!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_20666) = coupl(nGC_13218) + coupl(nGC_219)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_220)*dZHl_QED2/2d0
      coupl(nGC_26274) = coupl(nGC_13120) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0&
                         *coupl(nGC_34)*dZHl_QED2
      coupl(nGC_19289) = coupl(nGC_13231) + coupl(nGC_71)*dZWMinus_QED2
      coupl(nGC_27197) = coupl(nGC_13342) + coupl(nGC_TS_GC_219_Hh) + coupl(   &
                         nGC_TS_GC_220_Hl)
      coupl(nGC_TS_GC_207_Hh) = -coupl(nGC_207)*dtHh_QED1/cMHH**2d0
      coupl(nGC_21216) = coupl(nGC_13354) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_12903) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(    &
                         nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20084) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusR_QED2
      coupl(nGC_21187) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_21186) = coupl(nGC_19)*dZuR_QCD2
      coupl(nGC_21185) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_21188) = coupl(nGC_19)*dZuL_QCD2
      coupl(nGC_12875) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_214) - coupl(nGC_1197&
                         )*coupl(nGC_214)**2d0 - coupl(nGC_1197)*coupl(nGC_215 &
                         )**2d0 - coupl(nGC_1197)*coupl(nGC_216)**2d0 + 8d0*   &
                         coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_214) - coupl( &
                         nGC_1543)*coupl(nGC_197)*coupl(nGC_213))/(32d0*pi**2d0&
                         )
      coupl(nGC_12874) = coupl(nGC_1197)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12877) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_1523) -  &
                         coupl(nGC_1523)**2d0*coupl(nGC_218) + 8d0*coupl(      &
                         nGC_1523)*coupl(nGC_2)**2d0 - coupl(nGC_193)*coupl(   &
                         nGC_194)*coupl(nGC_217) - coupl(nGC_218)*coupl(nGC_219&
                         )**2d0 - coupl(nGC_218)*coupl(nGC_220)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_12876) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12871) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210) -   &
                         coupl(nGC_210)**2d0*coupl(nGC_607) + 8d0*coupl(nGC_210&
                         )*coupl(nGC_4)**2d0 - coupl(nGC_211)**2d0*coupl(      &
                         nGC_607) - coupl(nGC_212)**2d0*coupl(nGC_607))/(32d0* &
                         pi**2d0)
      coupl(nGC_12873) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1197) - coupl(       &
                         nGC_1197)**2d0*coupl(nGC_214) + 8d0*coupl(nGC_1197)*  &
                         coupl(nGC_122)*coupl(nGC_125) - coupl(nGC_197)*coupl( &
                         nGC_198)*coupl(nGC_213) - coupl(nGC_214)*coupl(nGC_215&
                         )**2d0 - coupl(nGC_214)*coupl(nGC_216)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_12872) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_607) -   &
                         coupl(nGC_210)*coupl(nGC_211)**2d0 - coupl(nGC_210)*  &
                         coupl(nGC_212)**2d0 - coupl(nGC_210)*coupl(nGC_607)** &
                         2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_607))/(32d0*pi**&
                         2d0)
      coupl(nGC_12975) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + coupl(nGC_1197&
                         )*coupl(nGC_125)*coupl(nGC_214) + 4d0*coupl(nGC_122)**&
                         3d0 + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl(     &
                         nGC_125)*coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12976) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122&
                         )*coupl(nGC_193)**2d0 + coupl(nGC_123)*coupl(nGC_1523 &
                         )*coupl(nGC_218) + coupl(nGC_123)*coupl(nGC_219)**2d0 &
                          + coupl(nGC_123)*coupl(nGC_220)**2d0 + 4d0*coupl(    &
                         nGC_125)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 &
                          + 4d0*coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0&
                         )
      coupl(nGC_12977) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(  &
                         nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 +    &
                         coupl(nGC_126)*coupl(nGC_1523)*coupl(nGC_218) + coupl(&
                         nGC_126)*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12878) = coupl(nGC_1523)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12972) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                         )*coupl(nGC_209)**2d0 + 4d0*coupl(nGC_128)*coupl(     &
                         nGC_99)**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12973) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                         )*coupl(nGC_221)**2d0 + 4d0*coupl(nGC_128)*coupl(     &
                         nGC_99)**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13195) = coupl(nGC_12449)*dye_QED3 + coupl(nGC_12450)*da_QED2
      coupl(nGC_13194) = coupl(nGC_12614)*dytau_QED3
      coupl(nGC_13196) = coupl(nGC_12673)*dym_QED3 + coupl(nGC_12674)*da_QED2
      coupl(nGC_13223) = coupl(nGC_12310)*dsw_QED2 + coupl(nGC_12311)*dZee_QED2&
                          + coupl(nGC_12312)*dvev_QED1
      coupl(nGC_13192) = coupl(nGC_12361)*dye_QED3
      coupl(nGC_19030) = coupl(nGC_13233) + coupl(nGC_86)*dZWMinus_QED2
      coupl(nGC_13050) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_193)**2d0&
                          - coupl(nGC_197)**2d0 - coupl(nGC_201)**2d0 - coupl( &
                         nGC_213)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_225)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_13051) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_193)**2d0 &
                          + coupl(nGC_197)**2d0 + coupl(nGC_201)**2d0 + coupl( &
                         nGC_213)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_225)**&
                         2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13052) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(     &
                         nGC_196)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*  &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 5d0*Nc* &
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(     &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 5d0*Nc*cima*  &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(   &
                         nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*  &
                         coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_228)*coupl(   &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_196)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_220)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_113)*coupl(nGC_120) + 5d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) + 5d0*cima&
                         *coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_212)*coupl(  &
                         nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_221)*coupl&
                         (nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_212)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(nGC_221)*coupl&
                         (nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_212)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*coupl&
                         (nGC_224)*coupl(nGC_99) + 6d0*cima*coupl(nGC_28)*coupl&
                         (nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(   &
                         nGC_28) + 6d0*coupl(nGC_103)*coupl(nGC_120)*coupl(    &
                         nGC_4))/(48d0*pi**2d0)
      coupl(nGC_23993) = coupl(nGC_13350) + coupl(nGC_MZ)*dZZ_QED2 + coupl(    &
                         nGC_TS_GC_175_Hh) + coupl(nGC_TS_GC_177_Hl)
      coupl(nGC_12899) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_202)**2d0*&
                         coupl(nGC_203) - coupl(nGC_203)**3d0 - coupl(nGC_203)*&
                         coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12898) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_203)**3d0 &
                          - coupl(nGC_203)*coupl(nGC_204)**2d0 - coupl(nGC_203 &
                         )*coupl(nGC_557)**2d0)/(32d0*pi**2d0)
      coupl(nGC_23994) = -coupl(nGC_23988)
      coupl(nGC_12893) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_194)**2d0*&
                         coupl(nGC_195) - coupl(nGC_195)**3d0 - coupl(nGC_195)*&
                         coupl(nGC_196)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12897) = coupl(nGC_19)**2d0*coupl(nGC_199)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12896) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl( &
                         nGC_198)**2d0*coupl(nGC_199) - coupl(nGC_199)**3d0 +  &
                         8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 - coupl(nGC_199)*&
                         coupl(nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12894) = coupl(nGC_19)**2d0*coupl(nGC_195)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_18745) = coupl(nGC_8)*dZAZ_QED2/2d0
      coupl(nGC_18744) = coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_13270) = coupl(nGC_12316)*dcw_QED2 + coupl(nGC_12317)*dsw_QED2 &
                          + coupl(nGC_12318)*dZee_QED2
      coupl(nGC_18740) = coupl(nGC_13205) + coupl(nGC_18738)
      coupl(nGC_18743) = coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_18742) = coupl(nGC_13206) + coupl(nGC_18737)
      coupl(nGC_13173) = coupl(nGC_12382)*dys_QED1_QCD2
      coupl(nGC_13172) = coupl(nGC_12379)*dydo_QED3
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
