!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_13004) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(   &
                         nGC_1523)*coupl(nGC_218) + coupl(nGC_193)**2d0 + 4d0* &
                         coupl(nGC_2)**2d0 + coupl(nGC_219)**2d0 + coupl(      &
                         nGC_220)**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19025) = coupl(nGC_13240) + coupl(nGC_8)*dZA_QED2 + coupl(nGC_8&
                         )*dZWMinus_QED2
      coupl(nGC_19436) = coupl(nGC_108)*dZA_QED2/2d0 + coupl(nGC_108)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13133) + coupl(nGC_14)* &
                         dZZA_QED2/2d0
      coupl(nGC_19074) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_19077) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
      coupl(nGC_19071) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_19078) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
      coupl(nGC_12999) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                         nGC_1197)*coupl(nGC_214) + 4d0*coupl(nGC_125)**2d0 +  &
                         coupl(nGC_197)**2d0 + coupl(nGC_215)**2d0 + coupl(    &
                         nGC_216)**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_12996) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                         nGC_1197)*coupl(nGC_214) - 4d0*coupl(nGC_125)**2d0 -  &
                         coupl(nGC_197)**2d0 - coupl(nGC_215)**2d0 - coupl(    &
                         nGC_216)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*&
                         Nc)
      coupl(nGC_12997) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                         nGC_1197)*coupl(nGC_214) - 4d0*coupl(nGC_122)**2d0 -  &
                         coupl(nGC_213)**2d0 - coupl(nGC_215)**2d0 - coupl(    &
                         nGC_216)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13136) = coupl(nGC_12667)*dsw_QED2 + coupl(nGC_12668)*dZee_QED2&
                          + coupl(nGC_12669)*da_QED2
      coupl(nGC_13134) = coupl(nGC_12366)*dsw_QED2 + coupl(nGC_12367)*dZee_QED2
      coupl(nGC_13130) = coupl(nGC_12297)*dsw_QED2 + coupl(nGC_12298)*dZee_QED2&
                          + coupl(nGC_12299)*da_QED2
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20466) = -coupl(nGC_19386)
      coupl(nGC_21778) = coupl(nGC_204)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_21779) = coupl(nGC_13183) + coupl(nGC_21778)
      coupl(nGC_12848) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl( &
                         nGC_1523)*coupl(nGC_193)*coupl(nGC_863) - coupl(      &
                         nGC_193)*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193&
                         )*coupl(nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_13150) = coupl(nGC_12459)*dZee_QED2
      coupl(nGC_12846) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) - &
                         Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) -  &
                         Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) +  &
                         Nc*cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) -  &
                         Nc*cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) -  &
                         Nc*cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) +  &
                         Nc*cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) -  &
                         Nc*cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) -  &
                         Nc*cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) +  &
                         Nc*cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) -  &
                         Nc*cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) -  &
                         Nc*cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) +  &
                         Nc*cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) -  &
                         Nc*cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) -  &
                         Nc*cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) +  &
                         Nc*cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) -  &
                         Nc*cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) -  &
                         Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) +  &
                         cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*&
                         coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*    &
                         coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*    &
                         coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*    &
                         coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*    &
                         coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*   &
                         coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*   &
                         coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*   &
                         coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima&
                         *coupl(nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(      &
                         nGC_154)*coupl(nGC_84) + 2d0*coupl(nGC_103)*coupl(    &
                         nGC_1253)*coupl(nGC_154) + 2d0*coupl(nGC_1253)*coupl( &
                         nGC_166)*coupl(nGC_3))/(16d0*pi**2d0)
      coupl(nGC_19736) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusR_QED2
      coupl(nGC_19735) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusL_QED2
      coupl(nGC_21777) = coupl(nGC_204)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_12923) = coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12922) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_194)**2d0*&
                         coupl(nGC_196) - coupl(nGC_195)**2d0*coupl(nGC_196) - &
                         coupl(nGC_196)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12921) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_195)**2d0*&
                         coupl(nGC_196) - coupl(nGC_196)**3d0 - coupl(nGC_196)*&
                         coupl(nGC_863)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12920) = (-2d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_196) + 2d0*&
                         Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_196) - &
                         2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_196) - 2d0*Nc&
                         *cMC*coupl(nGC_123)**2d0*coupl(nGC_200) + 2d0*Nc*cMC* &
                         coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) - 2d0*Nc*&
                         cMC*coupl(nGC_126)**2d0*coupl(nGC_200) - 2d0*Nc*cMD*  &
                         coupl(nGC_122)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(&
                         nGC_122)*coupl(nGC_125)*coupl(nGC_204) - 2d0*Nc*cMD*  &
                         coupl(nGC_125)**2d0*coupl(nGC_204) - 2d0*Nc*cMS*coupl(&
                         nGC_122)**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(      &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_216) - 2d0*Nc*cMS*  &
                         coupl(nGC_125)**2d0*coupl(nGC_216) - 2d0*Nc*cMT*coupl(&
                         nGC_123)**2d0*coupl(nGC_220) + 2d0*Nc*cMT*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_220) - 2d0*Nc*cMT*  &
                         coupl(nGC_126)**2d0*coupl(nGC_220) - 2d0*Nc*cMU*coupl(&
                         nGC_123)**2d0*coupl(nGC_228) + 2d0*Nc*cMU*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_228) - 2d0*Nc*cMU*  &
                         coupl(nGC_126)**2d0*coupl(nGC_228) - 2d0*cME*coupl(   &
                         nGC_124)**2d0*coupl(nGC_208) + 2d0*cME*coupl(nGC_124)*&
                         coupl(nGC_128)*coupl(nGC_208) - 2d0*cME*coupl(nGC_128 &
                         )**2d0*coupl(nGC_208) - 2d0*cMM*coupl(nGC_124)**2d0*  &
                         coupl(nGC_212) + 2d0*cMM*coupl(nGC_124)*coupl(nGC_128 &
                         )*coupl(nGC_212) - 2d0*cMM*coupl(nGC_128)**2d0*coupl( &
                         nGC_212) - 2d0*cMTA*coupl(nGC_124)**2d0*coupl(nGC_224 &
                         ) + 2d0*cMTA*coupl(nGC_124)*coupl(nGC_128)*coupl(     &
                         nGC_224) - 2d0*cMTA*coupl(nGC_128)**2d0*coupl(nGC_224 &
                         ) + cima*coupl(nGC_164)*coupl(nGC_85) + coupl(nGC_103 &
                         )**2d0*coupl(nGC_164) + coupl(nGC_1253)**2d0*coupl(   &
                         nGC_164))/(8d0*pi**2d0)
      coupl(nGC_12927) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_203)**2d0*&
                         coupl(nGC_204) - coupl(nGC_204)**3d0 - coupl(nGC_204)*&
                         coupl(nGC_557)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12926) = coupl(nGC_19)**2d0*coupl(nGC_200)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12925) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl( &
                         nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*   &
                         coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200  &
                         ) - coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12924) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -   &
                         coupl(nGC_1543)**2d0*coupl(nGC_200) - coupl(nGC_197)* &
                         coupl(nGC_213)*coupl(nGC_216) - coupl(nGC_199)**2d0*  &
                         coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200  &
                         ) - coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12929) = coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12928) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_202)**2d0*&
                         coupl(nGC_204) - coupl(nGC_203)**2d0*coupl(nGC_204) - &
                         coupl(nGC_204)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12749) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_643)**2d0)/(48d0* &
                         pi**2d0)
      coupl(nGC_12748) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2  &
                         )**2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 -  &
                         coupl(nGC_643)**2d0)/(48d0*pi**2d0)
      coupl(nGC_12743) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0 &
                          + Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 +  &
                         Nc*coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 +     &
                         coupl(nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(    &
                         nGC_224)**2d0)/(24d0*pi**2d0)
      coupl(nGC_12742) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_199)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_203)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_215)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_227)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_207)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_211)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_223&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_82) - cMZ**2d0*coupl( &
                         nGC_145) + 2d0*cima*coupl(nGC_162)**2d0 + cima*coupl( &
                         nGC_175)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12741) = cima*(Nc*coupl(nGC_195)**2d0 + Nc*coupl(nGC_199)**2d0 &
                          + Nc*coupl(nGC_203)**2d0 + Nc*coupl(nGC_215)**2d0 +  &
                         Nc*coupl(nGC_219)**2d0 + Nc*coupl(nGC_227)**2d0 +     &
                         coupl(nGC_207)**2d0 + coupl(nGC_211)**2d0 + coupl(    &
                         nGC_223)**2d0)/(24d0*pi**2d0)
      coupl(nGC_12740) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0* &
                         cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(    &
                         nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0  &
                          - Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*&
                         cima*coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(    &
                         nGC_197)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0  &
                          - Nc*cMT**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*&
                         cima*coupl(nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(    &
                         nGC_201)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_225)**2d0  &
                          - cME**2d0*cima*coupl(nGC_205)**2d0 - cMM**2d0*cima* &
                         coupl(nGC_209)**2d0 - cMTA**2d0*cima*coupl(nGC_221)** &
                         2d0 - 2d0*cMW**2d0*coupl(nGC_71) - cMZ**2d0*coupl(    &
                         nGC_141) + 2d0*cima*coupl(nGC_154)**2d0 + 2d0*cima*   &
                         coupl(nGC_166)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12747) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_122) + Nc*cMB&
                         **2d0*cima*coupl(nGC_1)*coupl(nGC_125) + Nc*cMC**2d0* &
                         cima*coupl(nGC_123)*coupl(nGC_2) + Nc*cMC**2d0*cima*  &
                         coupl(nGC_126)*coupl(nGC_2) + Nc*cMD**2d0*cima*coupl( &
                         nGC_1)*coupl(nGC_122) + Nc*cMD**2d0*cima*coupl(nGC_1)*&
                         coupl(nGC_125) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                         nGC_122) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_125&
                         ) + Nc*cMT**2d0*cima*coupl(nGC_123)*coupl(nGC_2) + Nc*&
                         cMT**2d0*cima*coupl(nGC_126)*coupl(nGC_2) + Nc*cMU**  &
                         2d0*cima*coupl(nGC_123)*coupl(nGC_2) + Nc*cMU**2d0*   &
                         cima*coupl(nGC_126)*coupl(nGC_2) + cME**2d0*cima*coupl&
                         (nGC_124)*coupl(nGC_4) + cME**2d0*cima*coupl(nGC_128)*&
                         coupl(nGC_4) + cMM**2d0*cima*coupl(nGC_124)*coupl(    &
                         nGC_4) + cMM**2d0*cima*coupl(nGC_128)*coupl(nGC_4) +  &
                         cMTA**2d0*cima*coupl(nGC_124)*coupl(nGC_4) + cMTA**2d0&
                         *cima*coupl(nGC_128)*coupl(nGC_4) + cMW**2d0*cima*    &
                         coupl(nGC_103)*coupl(nGC_3) + cMW**2d0*cima*coupl(    &
                         nGC_1253)*coupl(nGC_643) - cMW**2d0*coupl(nGC_116))/( &
                         8d0*pi**2d0)
      coupl(nGC_12746) = cima*(coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_1253)*  &
                         coupl(nGC_643))/(48d0*pi**2d0)
      coupl(nGC_12745) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_122) - 3d0*Nc*   &
                         coupl(nGC_1)*coupl(nGC_125) - 3d0*Nc*coupl(nGC_123)*  &
                         coupl(nGC_2) - 3d0*Nc*coupl(nGC_126)*coupl(nGC_2) -   &
                         coupl(nGC_103)*coupl(nGC_3) - 3d0*coupl(nGC_124)*coupl&
                         (nGC_4) - coupl(nGC_1253)*coupl(nGC_643) - 3d0*coupl( &
                         nGC_128)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_12744) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_216)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_212)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl( &
                         nGC_151) + 2d0*cima*coupl(nGC_164)**2d0 + cima*coupl( &
                         nGC_177)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13229) = coupl(nGC_12278)*dsw_QED2 + coupl(nGC_12279)*dZee_QED2&
                          + coupl(nGC_12280)*da_QED2
      coupl(nGC_13228) = coupl(nGC_12281)*dsw_QED2 + coupl(nGC_12282)*dZee_QED2
      coupl(nGC_19518) = coupl(nGC_125)*dZbL_QCD2
      coupl(nGC_20544) = coupl(nGC_202)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_20545) = coupl(nGC_202)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_19515) = coupl(nGC_122)*dZbR_QCD2
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
