!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_18770) = coupl(nGC_13232) + coupl(nGC_73)*dZWMinus_QED2
      coupl(nGC_20930) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*      &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_189_Hh) + coupl(    &
                         nGC_TS_GC_192_Hl)
      coupl(nGC_19450) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_13150)
      coupl(nGC_20429) = coupl(nGC_122)*dZsR_QCD2
      coupl(nGC_23561) = coupl(nGC_13239) + coupl(nGC_162)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_164)*dZHl_QED2/2d0 + coupl(nGC_164)*        &
                         dZWMinus_QED2 + coupl(nGC_TS_GC_92_Hh) + coupl(       &
                         nGC_TS_GC_96_Hl)
      coupl(nGC_19812) = coupl(nGC_198)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_19813) = coupl(nGC_198)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_24265) = coupl(nGC_13146) + 3d0*coupl(nGC_190)*dZHl_QED2/2d0 + &
                         3d0*coupl(nGC_192)*dZHhHl_QED2/2d0 + coupl(           &
                         nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_34_Hl)
      coupl(nGC_20499) = coupl(nGC_215)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_12761) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                         64d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_110_Hh) = -coupl(nGC_110)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13037) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196)**&
                         2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_204)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*  &
                         coupl(nGC_216)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_125)*coupl(nGC_196)**2d0 - Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_125)*coupl(nGC_204)**2d0 - Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_216)**2d0 - Nc*cima*  &
                         coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_200)**2d0 - Nc* &
                         cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220)**2d0  &
                          - Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228  &
                         )**2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(   &
                         nGC_200)**2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*  &
                         coupl(nGC_220)**2d0 - Nc*cima*coupl(nGC_126)*coupl(   &
                         nGC_2)*coupl(nGC_228)**2d0 + cima*coupl(nGC_116)*coupl&
                         (nGC_96) - cima*coupl(nGC_124)*coupl(nGC_208)**2d0*   &
                         coupl(nGC_4) - cima*coupl(nGC_124)*coupl(nGC_212)**2d0&
                         *coupl(nGC_4) - cima*coupl(nGC_124)*coupl(nGC_224)**  &
                         2d0*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(nGC_208  &
                         )**2d0*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(      &
                         nGC_212)**2d0*coupl(nGC_4) - cima*coupl(nGC_128)*coupl&
                         (nGC_224)**2d0*coupl(nGC_4) + coupl(nGC_103)*coupl(   &
                         nGC_3)*coupl(nGC_96) + coupl(nGC_1253)*coupl(nGC_643)*&
                         coupl(nGC_96))/(8d0*pi**2d0)
      coupl(nGC_20115) = coupl(nGC_13201) + coupl(nGC_20109)
      coupl(nGC_20114) = -coupl(nGC_13201) - coupl(nGC_20109)
      coupl(nGC_20113) = coupl(nGC_13202) + coupl(nGC_20108)
      coupl(nGC_20112) = -coupl(nGC_13202) - coupl(nGC_20108)
      coupl(nGC_18855) = coupl(nGC_13131) + coupl(nGC_81)*dZHhHl_QED2/2d0 +    &
                         coupl(nGC_93)*dZHh_QED2/2d0 + coupl(nGC_93)*dZHl_QED2/&
                         2d0 + coupl(nGC_95)*dZHlHh_QED2/2d0
      coupl(nGC_18850) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl&
                         (nGC_13110)
      coupl(nGC_23797) = coupl(nGC_13349) + coupl(nGC_23792)
      coupl(nGC_19338) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_12969) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(  &
                         nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(    &
                         nGC_607) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl(&
                         nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(  &
                         nGC_209)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20603) = -coupl(nGC_13193) - coupl(nGC_20602)
      coupl(nGC_12966) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(    &
                         nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_202)*coupl(  &
                         nGC_557) + coupl(nGC_125)*coupl(nGC_203)**2d0 + coupl(&
                         nGC_125)*coupl(nGC_204)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12965) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122 &
                         )*coupl(nGC_202)*coupl(nGC_557) + coupl(nGC_122)*coupl&
                         (nGC_203)**2d0 + coupl(nGC_122)*coupl(nGC_204)**2d0 + &
                         coupl(nGC_123)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_125&
                         )**3d0 + 2d0*coupl(nGC_1253)*coupl(nGC_99)**2d0 + 4d0*&
                         coupl(nGC_126)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12964) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12963) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(  &
                         nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_197)**2d0 +    &
                         coupl(nGC_126)*coupl(nGC_1543)*coupl(nGC_198) + coupl(&
                         nGC_126)*coupl(nGC_199)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12962) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12961) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122&
                         )*coupl(nGC_213)**2d0 + coupl(nGC_123)*coupl(nGC_1543 &
                         )*coupl(nGC_198) + coupl(nGC_123)*coupl(nGC_199)**2d0 &
                          + coupl(nGC_123)*coupl(nGC_200)**2d0 + 4d0*coupl(    &
                         nGC_125)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 &
                          + 4d0*coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0&
                         )
      coupl(nGC_20604) = coupl(nGC_13193) + coupl(nGC_20602)
      coupl(nGC_13049) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(     &
                         nGC_195)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*  &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 5d0*Nc* &
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(     &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 5d0*Nc*cima*  &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(   &
                         nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*  &
                         coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_199)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_227)*coupl(   &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_195)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_219)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_110)*coupl(nGC_113) + 5d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) + 5d0*cima&
                         *coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_211)*coupl(  &
                         nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_221)*coupl&
                         (nGC_223)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_211)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(nGC_221)*coupl&
                         (nGC_223)*coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_211)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*coupl&
                         (nGC_223)*coupl(nGC_99) + 6d0*cima*coupl(nGC_15)*coupl&
                         (nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(   &
                         nGC_15) + 6d0*coupl(nGC_103)*coupl(nGC_110)*coupl(    &
                         nGC_4))/(48d0*pi**2d0)
      coupl(nGC_13048) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 + &
                         coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13047) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0  &
                          - coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13046) = (Nc*cima*coupl(nGC_1)*coupl(nGC_122)**3d0 + Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_125)**3d0 + Nc*cima*coupl(     &
                         nGC_123)**3d0*coupl(nGC_2) + Nc*cima*coupl(nGC_126)** &
                         3d0*coupl(nGC_2) - 2d0*cima*coupl(nGC_103)**3d0*coupl(&
                         nGC_3) + cima*coupl(nGC_116)*coupl(nGC_85) + cima*    &
                         coupl(nGC_124)**3d0*coupl(nGC_4) - 2d0*cima*coupl(    &
                         nGC_1253)**3d0*coupl(nGC_643) + cima*coupl(nGC_128)** &
                         3d0*coupl(nGC_4) + coupl(nGC_103)**2d0*coupl(nGC_116  &
                         ) + coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_85) + coupl(&
                         nGC_116)*coupl(nGC_1253)**2d0 + coupl(nGC_1253)*coupl(&
                         nGC_643)*coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_13045) = (-4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_193)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_201)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_213)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_126)*coupl(   &
                         nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*coupl(     &
                         nGC_126)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*coupl(     &
                         nGC_122)*coupl(nGC_126)*coupl(nGC_213)**2d0 - 4d0*Nc* &
                         cima*coupl(nGC_123)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_225)**2d0 + 5d0*Nc*&
                         cima*coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_125)*coupl(   &
                         nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_123)*coupl(     &
                         nGC_125)*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl(     &
                         nGC_125)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_193)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_213)**2d0 - 4d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_205)**2d0 - 4d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_209)**2d0 - 4d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_221)**2d0 + 5d0*cima*coupl(   &
                         nGC_124)*coupl(nGC_129)*coupl(nGC_205)**2d0 + 5d0*cima&
                         *coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)**2d0 +  &
                         5d0*cima*coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221  &
                         )**2d0 - 4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_205)**&
                         2d0 - 4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_209)**2d0&
                          - 4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_221)**2d0 + &
                         3d0*cima*coupl(nGC_71)*coupl(nGC_85) + 3d0*coupl(     &
                         nGC_103)**2d0*coupl(nGC_71) + 3d0*coupl(nGC_1253)**2d0&
                         *coupl(nGC_71))/(24d0*pi**2d0)
      coupl(nGC_13044) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(     &
                         nGC_194)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*  &
                         coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) + 5d0*Nc* &
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_214)*    &
                         coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(     &
                         nGC_1523)*coupl(nGC_217)*coupl(nGC_99) + 5d0*Nc*cima* &
                         coupl(nGC_123)*coupl(nGC_1543)*coupl(nGC_197)*coupl(  &
                         nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*  &
                         coupl(nGC_637)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_1523)*coupl(nGC_217)*coupl(nGC_99  &
                         ) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_1543)*coupl( &
                         nGC_197)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_202)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_213)*coupl(nGC_214)*coupl(nGC_99) - 4d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_637)*coupl(   &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_1523)* &
                         coupl(nGC_217)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_1543)*coupl(nGC_197)*coupl(nGC_99  &
                         ) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*coupl(  &
                         nGC_194)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_214)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_637)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_107)*coupl(nGC_113) + 5d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99) + 5d0*cima&
                         *coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_210)*coupl(  &
                         nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_221)*coupl&
                         (nGC_222)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_210)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(nGC_221)*coupl&
                         (nGC_222)*coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_210)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*coupl&
                         (nGC_222)*coupl(nGC_99) + 6d0*cima*coupl(nGC_13)*coupl&
                         (nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(   &
                         nGC_13) + 6d0*coupl(nGC_103)*coupl(nGC_107)*coupl(    &
                         nGC_4))/(48d0*pi**2d0)
      coupl(nGC_13042) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0 &
                          + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_220)**2d0 +  &
                         20d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217)* &
                         coupl(nGC_220) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(   &
                         nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_200)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_216)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_200)*&
                         coupl(nGC_213)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_200 &
                         )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)** &
                         2d0*coupl(nGC_204)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0*&
                         coupl(nGC_228)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(   &
                         nGC_204)*coupl(nGC_225)*coupl(nGC_228) + 10d0*Nc*coupl&
                         (nGC_204)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(   &
                         nGC_213)**2d0*coupl(nGC_216)**2d0 + 10d0*Nc*coupl(    &
                         nGC_217)**2d0*coupl(nGC_220)**2d0 + 10d0*Nc*coupl(    &
                         nGC_225)**2d0*coupl(nGC_228)**2d0 + 12d0*coupl(nGC_120&
                         )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_151) + 10d0*    &
                         coupl(nGC_205)**2d0*coupl(nGC_208)**2d0 + 10d0*coupl( &
                         nGC_209)**2d0*coupl(nGC_212)**2d0 + 10d0*coupl(nGC_221&
                         )**2d0*coupl(nGC_224)**2d0 + 12d0*coupl(nGC_28)**2d0  &
                          + 6d0*coupl(nGC_71)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_13041) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)*coupl&
                         (nGC_196) + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219 &
                         )*coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)*coupl(      &
                         nGC_195)*coupl(nGC_217)*coupl(nGC_220) + 10d0*Nc*coupl&
                         (nGC_193)*coupl(nGC_196)*coupl(nGC_217)*coupl(nGC_219 &
                         ) + 10d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(      &
                         nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_199)*coupl(nGC_200) + 10d0*Nc*coupl(nGC_197)**2d0*&
                         coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_197 &
                         )*coupl(nGC_199)*coupl(nGC_213)*coupl(nGC_216) + 10d0*&
                         Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_213)*coupl(&
                         nGC_215) + 10d0*Nc*coupl(nGC_199)*coupl(nGC_200)*coupl&
                         (nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0*coupl(   &
                         nGC_203)*coupl(nGC_204) + 10d0*Nc*coupl(nGC_201)**2d0*&
                         coupl(nGC_227)*coupl(nGC_228) + 10d0*Nc*coupl(nGC_201 &
                         )*coupl(nGC_203)*coupl(nGC_225)*coupl(nGC_228) + 10d0*&
                         Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_225)*coupl(&
                         nGC_227) + 10d0*Nc*coupl(nGC_203)*coupl(nGC_204)*coupl&
                         (nGC_225)**2d0 + 10d0*Nc*coupl(nGC_213)**2d0*coupl(   &
                         nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_217)**2d0*&
                         coupl(nGC_219)*coupl(nGC_220) + 10d0*Nc*coupl(nGC_225 &
                         )**2d0*coupl(nGC_227)*coupl(nGC_228) + 12d0*coupl(    &
                         nGC_110)*coupl(nGC_120) + 3d0*coupl(nGC_141)*coupl(   &
                         nGC_147) + 12d0*coupl(nGC_15)*coupl(nGC_28) + 10d0*   &
                         coupl(nGC_205)**2d0*coupl(nGC_207)*coupl(nGC_208) +   &
                         10d0*coupl(nGC_209)**2d0*coupl(nGC_211)*coupl(nGC_212 &
                         ) + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)*coupl(    &
                         nGC_224) + 6d0*coupl(nGC_71)*coupl(nGC_92))/(48d0*pi**&
                         2d0)
      coupl(nGC_19024) = coupl(nGC_116)*dZZA_QED2
      coupl(nGC_22526) = coupl(nGC_13333) + coupl(nGC_MHH)*dZHh_QED2 + coupl(  &
                         nGC_TS_GC_189_Hl) + coupl(nGC_TS_GC_191_Hh)
      coupl(nGC_22521) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_13002) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(  &
                         nGC_1523)*coupl(nGC_218) - coupl(nGC_193)**2d0 - 4d0* &
                         coupl(nGC_2)**2d0 - coupl(nGC_219)**2d0 - coupl(      &
                         nGC_220)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*&
                         Nc)
      coupl(nGC_13267) = coupl(nGC_12275)*dcw_QED2 + coupl(nGC_12276)*dsw_QED2 &
                          + coupl(nGC_12277)*dZee_QED2
      coupl(nGC_13266) = coupl(nGC_12415)*dcw_QED2 + coupl(nGC_12416)*dsw_QED2 &
                          + coupl(nGC_12417)*dZee_QED2
      coupl(nGC_13265) = coupl(nGC_12329)*dcw_QED2 + coupl(nGC_12330)*dsw_QED2 &
                          + coupl(nGC_12331)*dZee_QED2
      coupl(nGC_13264) = coupl(nGC_12355)*dsw_QED2 + coupl(nGC_12356)*dZee_QED2
      coupl(nGC_13263) = coupl(nGC_387)*dZgs_QCD2
      coupl(nGC_13262) = coupl(nGC_12392)*dZee_QED2
      coupl(nGC_13261) = coupl(nGC_12354)*dZee_QED2
      coupl(nGC_13147) = coupl(nGC_12678)*dsw_QED2 + coupl(nGC_12679)*dZee_QED2&
                          + coupl(nGC_12680)*dvev_QED1 + coupl(nGC_12681)*     &
                         da_QED2
      coupl(nGC_13143) = coupl(nGC_12717)*dcw_QED2 + coupl(nGC_12718)*dsw_QED2 &
                          + coupl(nGC_12719)*dZee_QED2 + coupl(nGC_12720)*     &
                         dvev_QED1 + coupl(nGC_12721)*da_QED2
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
