!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl15()
      coupl(nGC_13269) = coupl(nGC_12686)*dcw_QED2 + coupl(nGC_12687)*dsw_QED2 &
                          + coupl(nGC_12688)*dZee_QED2
      coupl(nGC_13268) = coupl(nGC_12726)*dcw_QED2 + coupl(nGC_12727)*dsw_QED2 &
                          + coupl(nGC_12728)*dZee_QED2
      coupl(nGC_21121) = coupl(nGC_13196) + coupl(nGC_211)*dZHh_QED2/2d0 +     &
                         coupl(nGC_212)*dZHlHh_QED2/2d0
      coupl(nGC_21122) = coupl(nGC_21120) + coupl(nGC_21121)
      coupl(nGC_12798) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_125)**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(    &
                         nGC_863) + coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_196)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_217)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_99)**2d0 + &
                         2d0*coupl(nGC_643)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12799) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_122)**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(    &
                         nGC_863) + coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_196)**2d0 + coupl(nGC_193)**2d0*coupl&
                         (nGC_2))/(32d0*pi**2d0)
      coupl(nGC_12794) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195) - &
                         Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195) - Nc&
                         *cMC*coupl(nGC_123)*coupl(nGC_199)*coupl(nGC_2) - Nc* &
                         cMC*coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_2) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_203) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_215) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_215) - Nc*  &
                         cMT*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219) - Nc*  &
                         cMT*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219) - Nc*  &
                         cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227) - Nc*  &
                         cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_227) - cME* &
                         coupl(nGC_124)*coupl(nGC_207)*coupl(nGC_4) - cME*coupl&
                         (nGC_128)*coupl(nGC_207)*coupl(nGC_4) - cMM*coupl(    &
                         nGC_124)*coupl(nGC_211)*coupl(nGC_4) - cMM*coupl(     &
                         nGC_128)*coupl(nGC_211)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_124)*coupl(nGC_223)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_128)*coupl(nGC_223)*coupl(nGC_4) + cima*coupl(    &
                         nGC_116)*coupl(nGC_162) + coupl(nGC_103)*coupl(nGC_162&
                         )*coupl(nGC_3) + coupl(nGC_1253)*coupl(nGC_162)*coupl(&
                         nGC_643))/(8d0*pi**2d0)
      coupl(nGC_12795) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_196) - 2d0*Nc&
                         *cMC*coupl(nGC_2)**2d0*coupl(nGC_200) - 2d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_204) - 2d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_216) - 2d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_220) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_228) - 2d0*cME*coupl(nGC_208)*coupl(nGC_4)**&
                         2d0 - 2d0*cMM*coupl(nGC_212)*coupl(nGC_4)**2d0 - 2d0* &
                         cMTA*coupl(nGC_224)*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_164)*coupl(nGC_9) + coupl(nGC_164)*coupl(nGC_3)** &
                         2d0 + coupl(nGC_164)*coupl(nGC_643)**2d0)/(8d0*pi**2d0&
                         )
      coupl(nGC_12796) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_195) - 2d0*Nc&
                         *cMC*coupl(nGC_199)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_203) - 2d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_215) - 2d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_219) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_227) - 2d0*cME*coupl(nGC_207)*coupl(nGC_4)**&
                         2d0 - 2d0*cMM*coupl(nGC_211)*coupl(nGC_4)**2d0 - 2d0* &
                         cMTA*coupl(nGC_223)*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_162)*coupl(nGC_9) + coupl(nGC_162)*coupl(nGC_3)** &
                         2d0 + coupl(nGC_162)*coupl(nGC_643)**2d0)/(8d0*pi**2d0&
                         )
      coupl(nGC_12797) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196) - &
                         Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_196) - Nc&
                         *cMC*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_200) - Nc* &
                         cMC*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_204) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_204) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_216) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_216) - Nc*  &
                         cMT*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220) - Nc*  &
                         cMT*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220) - Nc*  &
                         cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228) - Nc*  &
                         cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228) - cME* &
                         coupl(nGC_124)*coupl(nGC_208)*coupl(nGC_4) - cME*coupl&
                         (nGC_128)*coupl(nGC_208)*coupl(nGC_4) - cMM*coupl(    &
                         nGC_124)*coupl(nGC_212)*coupl(nGC_4) - cMM*coupl(     &
                         nGC_128)*coupl(nGC_212)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_124)*coupl(nGC_224)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_128)*coupl(nGC_224)*coupl(nGC_4) + cima*coupl(    &
                         nGC_116)*coupl(nGC_164) + coupl(nGC_103)*coupl(nGC_164&
                         )*coupl(nGC_3) + coupl(nGC_1253)*coupl(nGC_164)*coupl(&
                         nGC_643))/(8d0*pi**2d0)
      coupl(nGC_12790) = (-Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99) -  &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99) - Nc*&
                         cMD*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99) - Nc*cMS&
                         *coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99) - Nc*cMT*  &
                         coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99) - Nc*cMU*   &
                         coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99) + 2d0*cima* &
                         coupl(nGC_113)*coupl(nGC_154) + 2d0*cima*coupl(nGC_166&
                         )*coupl(nGC_2621) + 2d0*coupl(nGC_103)*coupl(nGC_154)*&
                         coupl(nGC_643) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl&
                         (nGC_643))/(16d0*pi**2d0)
      coupl(nGC_12791) = (Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 + Nc*coupl(nGC_1 &
                         )*coupl(nGC_197)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_201 &
                         )**2d0 + Nc*coupl(nGC_1)*coupl(nGC_213)**2d0 + Nc*    &
                         coupl(nGC_1)*coupl(nGC_217)**2d0 + Nc*coupl(nGC_1)*   &
                         coupl(nGC_225)**2d0 - Nc*coupl(nGC_193)**2d0*coupl(   &
                         nGC_2) - Nc*coupl(nGC_197)**2d0*coupl(nGC_2) - Nc*    &
                         coupl(nGC_2)*coupl(nGC_201)**2d0 - Nc*coupl(nGC_2)*   &
                         coupl(nGC_213)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_217)**&
                         2d0 - Nc*coupl(nGC_2)*coupl(nGC_225)**2d0 + coupl(    &
                         nGC_205)**2d0*coupl(nGC_4) + coupl(nGC_209)**2d0*coupl&
                         (nGC_4) + coupl(nGC_221)**2d0*coupl(nGC_4))/(24d0*pi**&
                         2d0)
      coupl(nGC_12792) = (-Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99) -  &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99) - Nc*&
                         cMD*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99) - Nc*cMS&
                         *coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99) - Nc*cMT*  &
                         coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99) - Nc*cMU*   &
                         coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99) + 2d0*cima* &
                         coupl(nGC_113)*coupl(nGC_154) + 2d0*cima*coupl(nGC_166&
                         )*coupl(nGC_2621) + 2d0*coupl(nGC_102)*coupl(nGC_154)*&
                         coupl(nGC_3) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl( &
                         nGC_4))/(16d0*pi**2d0)
      coupl(nGC_12793) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 3d0*Nc*coupl&
                         (nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_102)*coupl(    &
                         nGC_1253)*coupl(nGC_3) - coupl(nGC_3)*coupl(nGC_4)*   &
                         coupl(nGC_643) + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0  &
                         )/(24d0*pi**2d0)
      coupl(nGC_12813) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1197)*&
                         coupl(nGC_214) + 4d0*coupl(nGC_1)*coupl(nGC_125)**2d0 &
                          + coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*   &
                         coupl(nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl(nGC_2 &
                         ) + 4d0*coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(  &
                         nGC_643)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12812) = (coupl(nGC_221)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)** &
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_12811) = (coupl(nGC_209)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)** &
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_19118) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_12817) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_1579&
                         )*coupl(nGC_222) + coupl(nGC_223)**2d0 + coupl(nGC_224&
                         )**2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12816) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123 &
                         )**2d0*coupl(nGC_2) + coupl(nGC_1523)*coupl(nGC_2)*   &
                         coupl(nGC_218) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*&
                         coupl(nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0&
                         )/(32d0*pi**2d0)
      coupl(nGC_12815) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(   &
                         nGC_2) + coupl(nGC_1523)*coupl(nGC_2)*coupl(nGC_218   &
                         ) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_219&
                         )**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 + 2d0*coupl(&
                         nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12814) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1197)*&
                         coupl(nGC_214) + 4d0*coupl(nGC_1)*coupl(nGC_122)**2d0 &
                          + coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*   &
                         coupl(nGC_216)**2d0 + coupl(nGC_2)*coupl(nGC_213)**2d0&
                         )/(32d0*pi**2d0)
      coupl(nGC_12819) = (coupl(nGC_1)*coupl(nGC_201)**2d0 + 4d0*coupl(nGC_1)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(   &
                         nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(  &
                         nGC_226)*coupl(nGC_637) + coupl(nGC_2)*coupl(nGC_227  &
                         )**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0 + 2d0*coupl(&
                         nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12818) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_1579&
                         )*coupl(nGC_222)*coupl(nGC_4) + coupl(nGC_223)**2d0*  &
                         coupl(nGC_4) + coupl(nGC_224)**2d0*coupl(nGC_4) - 2d0*&
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**  &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_19851) = coupl(nGC_100)*dZHh_QED2/2d0 + coupl(nGC_100)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHlHh_QED2/2d0 +  &
                         coupl(nGC_13229)
      coupl(nGC_19245) = coupl(nGC_13160) + coupl(nGC_201)*dZdR_QED2/2d0 +     &
                         coupl(nGC_201)*dZuL_QED2/2d0
      coupl(nGC_19244) = coupl(nGC_13162) + coupl(nGC_225)*dZdL_QED2/2d0 +     &
                         coupl(nGC_225)*dZuR_QED2/2d0
      coupl(nGC_19243) = coupl(nGC_13159) + coupl(nGC_201)*dZdR_QCD2/2d0 +     &
                         coupl(nGC_201)*dZuL_QCD2/2d0
      coupl(nGC_19242) = coupl(nGC_13161) + coupl(nGC_225)*dZdL_QCD2/2d0 +     &
                         coupl(nGC_225)*dZuR_QCD2/2d0
      coupl(nGC_18727) = coupl(nGC_114)*dZAZ_QED2/2d0 + coupl(nGC_13249) +     &
                         coupl(nGC_83)*dZWMinus_QED2/2d0 + coupl(nGC_83)*      &
                         dZZ_QED2/2d0
      coupl(nGC_19404) = coupl(nGC_13177) + coupl(nGC_19403)
      coupl(nGC_24428) = coupl(nGC_13119) + 2d0*coupl(nGC_33)*dZHlHh_QED2 + 2d0&
                         *coupl(nGC_35)*dZHh_QED2
      coupl(nGC_19485) = coupl(nGC_13197) + coupl(nGC_223)*dZHh_QED2/2d0 +     &
                         coupl(nGC_224)*dZHlHh_QED2/2d0
      coupl(nGC_19486) = coupl(nGC_19484) + coupl(nGC_19485)
      coupl(nGC_12967) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(  &
                         nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_206)*coupl(    &
                         nGC_829) + coupl(nGC_128)*coupl(nGC_207)**2d0 + coupl(&
                         nGC_128)*coupl(nGC_208)**2d0 + coupl(nGC_129)*coupl(  &
                         nGC_205)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19050) = coupl(nGC_13170) + coupl(nGC_217)*dZbL_QED2/2d0 +     &
                         coupl(nGC_217)*dZtR_QED2/2d0
      coupl(nGC_29905) = -coupl(nGC_12844)
      coupl(nGC_30373) = -coupl(nGC_12791)
      coupl(nGC_21780) = coupl(nGC_13184) + coupl(nGC_203)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_204)*dZHl_QED2/2d0
      coupl(nGC_20924) = coupl(nGC_I)*dZHhHl_QED2/2d0
      coupl(nGC_21547) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_19920) = -coupl(nGC_19913)/2d0 + coupl(nGC_19918)
      coupl(nGC_19921) = coupl(nGC_19913) + coupl(nGC_19919)
      coupl(nGC_18891) = coupl(nGC_103)*dZWMinus_QED2 + coupl(nGC_103)*dZZ_QED2&
                         /2d0 + coupl(nGC_13241) + coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_12960) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13234) = coupl(nGC_12313)*dsw_QED2 + coupl(nGC_12314)*dZee_QED2&
                          + coupl(nGC_12315)*da_QED2
      coupl(nGC_13199) = coupl(nGC_12556)*dym_QED3 + coupl(nGC_12557)*da_QED2
      coupl(nGC_23801) = -coupl(nGC_19751)
      coupl(nGC_13054) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(     &
                         nGC_195)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*  &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 5d0*Nc* &
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(     &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 5d0*Nc*cima*  &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(   &
                         nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*  &
                         coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_199)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_227)*coupl(   &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_195)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_219)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_110)*coupl(nGC_113) + 5d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) + 5d0*cima&
                         *coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_211)*coupl(  &
                         nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_221)*coupl&
                         (nGC_223)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_211)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(nGC_221)*coupl&
                         (nGC_223)*coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_211)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*coupl&
                         (nGC_223)*coupl(nGC_99) + 6d0*cima*coupl(nGC_15)*coupl&
                         (nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_1253)*coupl(  &
                         nGC_15) + 6d0*coupl(nGC_110)*coupl(nGC_1253)*coupl(   &
                         nGC_3))/(48d0*pi**2d0)
      coupl(nGC_21866) = coupl(nGC_13145) + coupl(nGC_189)*dZHh_QED2 + coupl(  &
                         nGC_189)*dZHl_QED2/2d0 + coupl(nGC_191)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_192)*dZHlHh_QED2 + coupl(             &
                         nGC_TS_GC_33_Hh) + coupl(nGC_TS_GC_36_Hl)
    end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
