!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl17()
      coupl(nGC_12910) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -   &
                         coupl(nGC_1523)**2d0*coupl(nGC_219) - coupl(nGC_193)* &
                         coupl(nGC_195)*coupl(nGC_217) + 8d0*coupl(nGC_2)**2d0*&
                         coupl(nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219)*&
                         coupl(nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12911) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -   &
                         coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*   &
                         coupl(nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_218)**2d0&
                         *coupl(nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219 &
                         )*coupl(nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19115) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_12919) = (-2d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_99)**2d0 - 2d0* &
                         Nc*cMC*coupl(nGC_200)*coupl(nGC_99)**2d0 - 2d0*Nc*cMD*&
                         coupl(nGC_204)*coupl(nGC_99)**2d0 - 2d0*Nc*cMS*coupl( &
                         nGC_216)*coupl(nGC_99)**2d0 - 2d0*Nc*cMT*coupl(nGC_220&
                         )*coupl(nGC_99)**2d0 - 2d0*Nc*cMU*coupl(nGC_228)*coupl&
                         (nGC_99)**2d0 - 2d0*cME*coupl(nGC_208)*coupl(nGC_99)**&
                         2d0 - 2d0*cMM*coupl(nGC_212)*coupl(nGC_99)**2d0 - 2d0*&
                         cMTA*coupl(nGC_224)*coupl(nGC_99)**2d0 + 2d0*cima*    &
                         coupl(nGC_164)*coupl(nGC_911) + cima*coupl(nGC_177)*  &
                         coupl(nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_1253)*   &
                         coupl(nGC_164) + 2d0*coupl(nGC_103)*coupl(nGC_177)*   &
                         coupl(nGC_3333) + 2d0*coupl(nGC_164)*coupl(nGC_4)*    &
                         coupl(nGC_643))/(16d0*pi**2d0)
      coupl(nGC_20268) = coupl(nGC_13158) + coupl(nGC_17)*dZg_QCD2/2d0
      coupl(nGC_23086) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*         &
                         dZmuMinusR_QED2 + coupl(nGC_13270)
      coupl(nGC_23087) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*         &
                         dZmuMinusL_QED2 + coupl(nGC_13246)
      coupl(nGC_12777) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 &
                          + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi&
                         **2d0)
      coupl(nGC_12774) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_12772) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0* &
                         pi**2d0)
      coupl(nGC_12773) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl(&
                         nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12770) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(  &
                         nGC_125))/(8d0*pi**2d0)
      coupl(nGC_12771) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_19520) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZbL_QED2&
                          + coupl(nGC_13268)
      coupl(nGC_13353) = coupl(nGC_513)*dMW2_QED2
      coupl(nGC_13352) = coupl(nGC_509)*dMW2_QED2
      coupl(nGC_18764) = coupl(nGC_13223) + coupl(nGC_154)*dZZA_QED2/2d0 +     &
                         coupl(nGC_166)*dZA_QED2/2d0 + coupl(nGC_166)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_TS_GC_110_Hh) + coupl(  &
                         nGC_TS_GC_120_Hl)
      coupl(nGC_20551) = coupl(nGC_13172) + coupl(nGC_20544)
      coupl(nGC_20550) = -coupl(nGC_13172) - coupl(nGC_20544)
      coupl(nGC_20799) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_18954) = coupl(nGC_13263) + coupl(nGC_19)*dZg_QCD2/2d0
      coupl(nGC_23073) = coupl(nGC_196)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_23074) = coupl(nGC_196)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_23076) = coupl(nGC_13188) + coupl(nGC_195)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_196)*dZHl_QED2/2d0
      coupl(nGC_19416) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*         &
                         dZeMinusL_QED2 + coupl(nGC_13246)
      coupl(nGC_TS_GC_100_Hh) = -coupl(nGC_100)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19417) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*         &
                         dZeMinusR_QED2 + coupl(nGC_13270)
      coupl(nGC_20060) = -2d0*coupl(nGC_20059)
      coupl(nGC_13148) = coupl(nGC_12293)*dsw_QED2 + coupl(nGC_12294)*dZee_QED2&
                          + coupl(nGC_12295)*dvev_QED1 + coupl(nGC_12296)*     &
                         da_QED2
      coupl(nGC_19968) = coupl(nGC_13181) + coupl(nGC_19967)
      coupl(nGC_23795) = coupl(nGC_13348) + coupl(nGC_TS_GC_195_Hh) + coupl(   &
                         nGC_TS_GC_196_Hl)
      coupl(nGC_23796) = coupl(nGC_23791) + coupl(nGC_23795)
      coupl(nGC_12948) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl( &
                         nGC_1)*coupl(nGC_643) + coupl(nGC_103)*coupl(nGC_126  &
                         ) + coupl(nGC_125)*coupl(nGC_1253) + 2d0*coupl(nGC_125&
                         )*coupl(nGC_126) + coupl(nGC_2)*coupl(nGC_3))/(16d0*pi&
                         **2d0)
      coupl(nGC_20295) = coupl(nGC_13144) + coupl(nGC_179)*dZHl_QED2/2d0 +     &
                         coupl(nGC_184)*dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_29_Hh&
                         ) + coupl(nGC_TS_GC_30_Hl)
      coupl(nGC_19232) = coupl(nGC_104)*dZZ_QED2/2d0 + coupl(nGC_13155) + coupl&
                         (nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_20950) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_13140) = coupl(nGC_12407)*dvev_QED1 + coupl(nGC_12408)*        &
                         dvevs_QED1 + coupl(nGC_12409)*da_QED2 + coupl(        &
                         nGC_12410)*dl1_QED4 + coupl(nGC_12411)*dl3_QED4
      coupl(nGC_29641) = -coupl(nGC_12845)
      coupl(nGC_22821) = coupl(nGC_13336) + coupl(nGC_TS_GC_211_Hh) + coupl(   &
                         nGC_TS_GC_212_Hl)
      coupl(nGC_18967) = coupl(nGC_107)*dZA_QED2/2d0 + coupl(nGC_107)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZA_QED2/2d0 +     &
                         coupl(nGC_13134)
      coupl(nGC_22822) = coupl(nGC_22819) + coupl(nGC_22821)
      coupl(nGC_12909) = coupl(nGC_19)**2d0*coupl(nGC_215)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_20123) = coupl(nGC_13224) + coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_20743) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_13243) + coupl&
                         (nGC_134)*dZA_QED2/2d0 + coupl(nGC_134)*dZZ_QED2/2d0  &
                          + coupl(nGC_141)*dZZA_QED2/2d0
      coupl(nGC_18905) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*dZHh_QED2&
                         /2d0 + coupl(nGC_110)*dZWMinus_QED2/2d0 + coupl(      &
                         nGC_120)*dZHlHh_QED2/2d0 + coupl(nGC_13221) + coupl(  &
                         nGC_15)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19001) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13220) + coupl(nGC_83)* &
                         dZZA_QED2/2d0
      coupl(nGC_29542) = -coupl(nGC_12793)
      coupl(nGC_23144) = coupl(nGC_13264) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*     &
                         dZtauMinusL_QED2/2d0
      coupl(nGC_12952) = coupl(nGC_99)*(-coupl(nGC_103)*coupl(nGC_128) - coupl(&
                         nGC_1253)*coupl(nGC_129) + 2d0*coupl(nGC_128)*coupl(  &
                         nGC_129) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
