!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl18()
      coupl(nGC_12953) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl( &
                         nGC_1)*coupl(nGC_2757) - coupl(nGC_102)*coupl(nGC_126 &
                         ) + 2d0*coupl(nGC_125)*coupl(nGC_126) - coupl(nGC_125 &
                         )*coupl(nGC_3333) - coupl(nGC_2)*coupl(nGC_4))/(16d0* &
                         pi**2d0)
      coupl(nGC_12950) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl( &
                         nGC_1)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_125) + &
                         2d0*coupl(nGC_125)*coupl(nGC_126) - coupl(nGC_1253)*  &
                         coupl(nGC_126) - coupl(nGC_2)*coupl(nGC_643))/(16d0*pi&
                         **2d0)
      coupl(nGC_12951) = coupl(nGC_99)*(coupl(nGC_103)*coupl(nGC_129) + coupl( &
                         nGC_1253)*coupl(nGC_128) + 2d0*coupl(nGC_128)*coupl(  &
                         nGC_129) + coupl(nGC_4)*coupl(nGC_643))/(16d0*pi**2d0)
      coupl(nGC_12956) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) + 2d0*   &
                         coupl(nGC_128)*coupl(nGC_129) + coupl(nGC_129)*coupl( &
                         nGC_3333) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12957) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122 &
                         )*coupl(nGC_194)*coupl(nGC_863) + coupl(nGC_122)*coupl&
                         (nGC_195)**2d0 + coupl(nGC_122)*coupl(nGC_196)**2d0 + &
                         coupl(nGC_123)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_125&
                         )**3d0 + 2d0*coupl(nGC_1253)*coupl(nGC_99)**2d0 + 4d0*&
                         coupl(nGC_126)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12954) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl( &
                         nGC_1)*coupl(nGC_4) + coupl(nGC_102)*coupl(nGC_125) + &
                         2d0*coupl(nGC_125)*coupl(nGC_126) + coupl(nGC_126)*   &
                         coupl(nGC_3333) + coupl(nGC_2)*coupl(nGC_2757))/(16d0*&
                         pi**2d0)
      coupl(nGC_19666) = coupl(nGC_13114) + coupl(nGC_144)*dZHh_QED2 + coupl(  &
                         nGC_148)*dZHlHh_QED2
      coupl(nGC_12958) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12959) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(    &
                         nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_194)*coupl(  &
                         nGC_863) + coupl(nGC_125)*coupl(nGC_195)**2d0 + coupl(&
                         nGC_125)*coupl(nGC_196)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_193)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20632) = coupl(nGC_13164) + coupl(nGC_213)*dZcL_QED2/2d0 +     &
                         coupl(nGC_213)*dZsR_QED2/2d0
      coupl(nGC_20633) = coupl(nGC_13166) + coupl(nGC_197)*dZcR_QED2/2d0 +     &
                         coupl(nGC_197)*dZsL_QED2/2d0
      coupl(nGC_20630) = coupl(nGC_13163) + coupl(nGC_213)*dZcL_QCD2/2d0 +     &
                         coupl(nGC_213)*dZsR_QCD2/2d0
      coupl(nGC_20631) = coupl(nGC_13165) + coupl(nGC_197)*dZcR_QCD2/2d0 +     &
                         coupl(nGC_197)*dZsL_QCD2/2d0
      coupl(nGC_13072) = cima*(20d0*Nc*coupl(nGC_196)**4d0 + 20d0*Nc*coupl(    &
                         nGC_200)**4d0 + 20d0*Nc*coupl(nGC_204)**4d0 + 20d0*Nc*&
                         coupl(nGC_216)**4d0 + 20d0*Nc*coupl(nGC_220)**4d0 +   &
                         20d0*Nc*coupl(nGC_228)**4d0 + 3d0*coupl(nGC_151)**2d0 &
                          + 20d0*coupl(nGC_208)**4d0 + 20d0*coupl(nGC_212)**4d0&
                          + 20d0*coupl(nGC_224)**4d0 + 6d0*coupl(nGC_96)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_13073) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)*coupl&
                         (nGC_196) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(    &
                         nGC_203)*coupl(nGC_204) - 8d0*Nc*cima*coupl(nGC_122)**&
                         2d0*coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*cima*coupl&
                         (nGC_122)*coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_196 &
                         ) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl( &
                         nGC_203)*coupl(nGC_204) + 10d0*Nc*cima*coupl(nGC_122)*&
                         coupl(nGC_125)*coupl(nGC_215)*coupl(nGC_216) - 8d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_199)*coupl(nGC_200 &
                         ) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_219)*   &
                         coupl(nGC_220) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl&
                         (nGC_227)*coupl(nGC_228) + 10d0*Nc*cima*coupl(nGC_123 &
                         )*coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_200) + 10d0*&
                         Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219)* &
                         coupl(nGC_220) + 10d0*Nc*cima*coupl(nGC_123)*coupl(   &
                         nGC_126)*coupl(nGC_227)*coupl(nGC_228) - 8d0*Nc*cima* &
                         coupl(nGC_125)**2d0*coupl(nGC_195)*coupl(nGC_196) -   &
                         8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_203)*coupl( &
                         nGC_204) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(     &
                         nGC_215)*coupl(nGC_216) - 8d0*Nc*cima*coupl(nGC_126)**&
                         2d0*coupl(nGC_199)*coupl(nGC_200) - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_219)*coupl(nGC_220) - 8d0*Nc* &
                         cima*coupl(nGC_126)**2d0*coupl(nGC_227)*coupl(nGC_228 &
                         ) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_207)*coupl(&
                         nGC_208) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_211 &
                         )*coupl(nGC_212) - 8d0*cima*coupl(nGC_124)**2d0*coupl(&
                         nGC_223)*coupl(nGC_224) + 10d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_208) + 10d0*  &
                         cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)*    &
                         coupl(nGC_212) + 10d0*cima*coupl(nGC_124)*coupl(      &
                         nGC_128)*coupl(nGC_223)*coupl(nGC_224) - 8d0*cima*    &
                         coupl(nGC_128)**2d0*coupl(nGC_207)*coupl(nGC_208) -   &
                         8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_211)*coupl(    &
                         nGC_212) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_223 &
                         )*coupl(nGC_224) + 3d0*cima*coupl(nGC_85)*coupl(nGC_92&
                         ) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_92) + 3d0*coupl(&
                         nGC_1253)**2d0*coupl(nGC_92))/(24d0*pi**2d0)
      coupl(nGC_13070) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_203)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_215)**2d0&
                          + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                         nGC_195)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(    &
                         nGC_125)*coupl(nGC_203)**2d0 + 10d0*Nc*cima*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_215)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_123)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_227)**2d0 + 10d0*Nc&
                         *cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199)**  &
                         2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl&
                         (nGC_219)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(   &
                         nGC_126)*coupl(nGC_227)**2d0 - 8d0*Nc*cima*coupl(     &
                         nGC_125)**2d0*coupl(nGC_195)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_203)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_215)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_227)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_207)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_211)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_223)**2d0 + 10d0*cima*coupl(  &
                         nGC_124)*coupl(nGC_128)*coupl(nGC_207)**2d0 + 10d0*   &
                         cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)**2d0&
                          + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(     &
                         nGC_223)**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(   &
                         nGC_207)**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(   &
                         nGC_211)**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(   &
                         nGC_223)**2d0 + 3d0*cima*coupl(nGC_82)*coupl(nGC_85   &
                         ) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_82) + 3d0*coupl(&
                         nGC_1253)**2d0*coupl(nGC_82))/(24d0*pi**2d0)
      coupl(nGC_13071) = (-8d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_99)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_200)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_204)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_216)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_220)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_228)**2d0*coupl(nGC_99)**2d0 &
                          + 3d0*cima*coupl(nGC_151)*coupl(nGC_85) - 8d0*cima*  &
                         coupl(nGC_208)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*    &
                         coupl(nGC_212)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*    &
                         coupl(nGC_224)**2d0*coupl(nGC_99)**2d0 + 6d0*cima*    &
                         coupl(nGC_911)*coupl(nGC_96) + 6d0*coupl(nGC_102)*    &
                         coupl(nGC_1253)*coupl(nGC_96) + 6d0*coupl(nGC_103)*   &
                         coupl(nGC_151)*coupl(nGC_3333) + 6d0*coupl(nGC_4)*    &
                         coupl(nGC_643)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_13076) = cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/( &
                         32d0*pi**2d0)
      coupl(nGC_13077) = -cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/(&
                         32d0*pi**2d0*Nc)
      coupl(nGC_13074) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1197)*    &
                         coupl(nGC_214) + coupl(nGC_1523)*coupl(nGC_218) +     &
                         coupl(nGC_1543)*coupl(nGC_198) + coupl(nGC_194)*coupl(&
                         nGC_863) + coupl(nGC_202)*coupl(nGC_557) + coupl(     &
                         nGC_226)*coupl(nGC_637))/(16d0*pi**2d0*Nc)
      coupl(nGC_19019) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_115)*dZA_QED2/&
                         2d0 + coupl(nGC_115)*dZZ_QED2/2d0 + coupl(nGC_13237   &
                         ) + coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_18833) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_13219) +     &
                         coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                         /2d0
      coupl(nGC_13078) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)**2d0 &
                          + coupl(nGC_199)**2d0 + coupl(nGC_203)**2d0 + coupl( &
                         nGC_215)**2d0 + coupl(nGC_219)**2d0 + coupl(nGC_227)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13079) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)**2d0&
                          - coupl(nGC_199)**2d0 - coupl(nGC_203)**2d0 - coupl( &
                         nGC_215)**2d0 - coupl(nGC_219)**2d0 - coupl(nGC_227)**&
                         2d0)/(16d0*pi**2d0)
      coupl(nGC_18778) = coupl(nGC_120)*dZAZ_QED2/2d0 + coupl(nGC_13248) +     &
                         coupl(nGC_15)*dZHhHl_QED2/2d0 + coupl(nGC_28)*        &
                         dZHl_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_28)*dZZ_QED2/2d0
      coupl(nGC_19011) = coupl(nGC_13264) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZeMinusL_QED2/2d0 + coupl(nGC_99)*     &
                         dZnu_eL_QED2/2d0
      coupl(nGC_21671) = coupl(nGC_13352) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_13258) = coupl(nGC_12340)*dcw_QED2 + coupl(nGC_12341)*dsw_QED2 &
                          + coupl(nGC_12342)*dZee_QED2 + coupl(nGC_12343)*     &
                         dvev_QED1 + coupl(nGC_12344)*da_QED2
      coupl(nGC_20221) = -coupl(nGC_19940)
      coupl(nGC_27198) = coupl(nGC_27189) + coupl(nGC_27197)
      coupl(nGC_27199) = coupl(nGC_13343) + coupl(nGC_27190)
      coupl(nGC_13252) = coupl(nGC_12710)*dcw_QED2 + coupl(nGC_12711)*dsw_QED2 &
                          + coupl(nGC_12712)*dZee_QED2
      coupl(nGC_13253) = coupl(nGC_12532)*dcw_QED2 + coupl(nGC_12533)*dsw_QED2 &
                          + coupl(nGC_12534)*dZee_QED2
      coupl(nGC_13250) = coupl(nGC_12564)*dcw_QED2 + coupl(nGC_12565)*dvev_QED1&
                          + coupl(nGC_12566)*dZee_QED2
      coupl(nGC_13251) = coupl(nGC_12675)*dcw_QED2 + coupl(nGC_12676)*dsw_QED2 &
                          + coupl(nGC_12677)*dZee_QED2
      coupl(nGC_13256) = coupl(nGC_12706)*dcw_QED2 + coupl(nGC_12707)*dsw_QED2 &
                          + coupl(nGC_12708)*dZee_QED2 + coupl(nGC_12709)*     &
                         da_QED2
      coupl(nGC_13257) = coupl(nGC_12527)*dcw_QED2 + coupl(nGC_12528)*dsw_QED2 &
                          + coupl(nGC_12529)*dZee_QED2 + coupl(nGC_12530)*     &
                         dvev_QED1 + coupl(nGC_12531)*da_QED2
      coupl(nGC_13255) = coupl(nGC_12735)*dcw_QED2 + coupl(nGC_12736)*dsw_QED2 &
                          + coupl(nGC_12737)*dZee_QED2 + coupl(nGC_12738)*     &
                         da_QED2
      coupl(nGC_13098) = cima*sq2**4d0*(-Nc*coupl(nGC_2133)**4d0 - 15d0*coupl( &
                         nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_13099) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(      &
                         nGC_2133)**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_3111  &
                         )**2d0 - 3d0*Nc*coupl(nGC_20)*coupl(nGC_2133)**2d0*sq2&
                         **2d0 - 3d0*Nc*coupl(nGC_2133)**2d0*coupl(nGC_3111)*  &
                         sq2**2d0 + 9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(    &
                         192d0*pi**2d0)
      coupl(nGC_13153) = coupl(nGC_12447)*dZee_QED2
      coupl(nGC_13154) = coupl(nGC_12637)*dcw_QED2 + coupl(nGC_12638)*dsw_QED2 &
                          + coupl(nGC_12639)*dZee_QED2
      coupl(nGC_13156) = coupl(nGC_12270)*dZgs_QCD2
      coupl(nGC_13090) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) -     &
                         coupl(nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_13091) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(64d0*pi**2d0)
      coupl(nGC_13092) = (Nc*cima*coupl(nGC_122)**4d0 + Nc*cima*coupl(nGC_123  &
                         )**4d0 + Nc*cima*coupl(nGC_125)**4d0 + Nc*cima*coupl( &
                         nGC_126)**4d0 - 2d0*cima*coupl(nGC_103)**4d0 + cima*  &
                         coupl(nGC_124)**4d0 - 2d0*cima*coupl(nGC_1253)**4d0 + &
                         cima*coupl(nGC_128)**4d0 + cima*coupl(nGC_129)**4d0 + &
                         cima*coupl(nGC_85)**2d0 + 2d0*coupl(nGC_103)**2d0*    &
                         coupl(nGC_85) + 2d0*coupl(nGC_1253)**2d0*coupl(nGC_85 &
                         ))/(8d0*pi**2d0)
      coupl(nGC_13093) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_122)**2d0&
                          - coupl(nGC_123)**2d0 - coupl(nGC_125)**2d0 - coupl( &
                         nGC_126)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13094) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_122)**2d0 &
                          + coupl(nGC_123)**2d0 + coupl(nGC_125)**2d0 + coupl( &
                         nGC_126)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13095) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +    &
                         coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(   &
                         32d0*pi**2d0*Nc**2d0)
      coupl(nGC_13096) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_122) -   &
                         coupl(nGC_123) - coupl(nGC_125) - coupl(nGC_126))/(   &
                         64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
