!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl19()
      coupl(nGC_13097) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +    &
                         coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(   &
                         128d0*pi**2d0)
      coupl(nGC_12789) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_12788) = cMU*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_12787) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(    &
                         nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_12786) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_12785) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_12784) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_12783) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(  &
                         nGC_125))/(8d0*pi**2d0)
      coupl(nGC_12782) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0&
                         *pi**2d0)
      coupl(nGC_12781) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_12780) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0&
                          - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi&
                         **2d0*Nc)
      coupl(nGC_12827) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) - &
                         Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) -  &
                         Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) +  &
                         Nc*cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) -  &
                         Nc*cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) -  &
                         Nc*cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) +  &
                         Nc*cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) -  &
                         Nc*cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) -  &
                         Nc*cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) +  &
                         Nc*cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) -  &
                         Nc*cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) -  &
                         Nc*cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) +  &
                         Nc*cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) -  &
                         Nc*cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) -  &
                         Nc*cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) +  &
                         Nc*cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) -  &
                         Nc*cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) -  &
                         Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) +  &
                         cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*&
                         coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*    &
                         coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*    &
                         coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*    &
                         coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*    &
                         coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*   &
                         coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*   &
                         coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*   &
                         coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima&
                         *coupl(nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(      &
                         nGC_154)*coupl(nGC_84) + 2d0*coupl(nGC_102)*coupl(    &
                         nGC_103)*coupl(nGC_154) + 2d0*coupl(nGC_103)*coupl(   &
                         nGC_166)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_12824) = coupl(nGC_99)*(Nc*coupl(nGC_1523)*coupl(nGC_217) + Nc*&
                         coupl(nGC_1543)*coupl(nGC_197) - Nc*coupl(nGC_193)*   &
                         coupl(nGC_194) - Nc*coupl(nGC_201)*coupl(nGC_202) - Nc&
                         *coupl(nGC_213)*coupl(nGC_214) + Nc*coupl(nGC_225)*   &
                         coupl(nGC_637) - coupl(nGC_205)*coupl(nGC_206) - coupl&
                         (nGC_209)*coupl(nGC_210) - coupl(nGC_221)*coupl(      &
                         nGC_222))/(24d0*pi**2d0)
      coupl(nGC_12822) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_196) + 2d0* &
                         Nc*cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_220) + &
                         2d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_217)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_197)**2d0*coupl(nGC_200) + 2d0*Nc*cMC* &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) + 2d0*Nc*&
                         cMC*coupl(nGC_200)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_201)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(&
                         nGC_201)*coupl(nGC_225)*coupl(nGC_228) + 2d0*Nc*cMD*  &
                         coupl(nGC_204)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_197)**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(      &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_213) + 2d0*Nc*cMS*  &
                         coupl(nGC_213)**2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(&
                         nGC_193)**2d0*coupl(nGC_220) + 2d0*Nc*cMT*coupl(      &
                         nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 2d0*Nc*cMT*  &
                         coupl(nGC_217)**2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(&
                         nGC_201)**2d0*coupl(nGC_228) + 2d0*Nc*cMU*coupl(      &
                         nGC_201)*coupl(nGC_204)*coupl(nGC_225) + 2d0*Nc*cMU*  &
                         coupl(nGC_225)**2d0*coupl(nGC_228) + 2d0*cME*coupl(   &
                         nGC_205)**2d0*coupl(nGC_208) + 2d0*cMM*coupl(nGC_209  &
                         )**2d0*coupl(nGC_212) + 2d0*cMTA*coupl(nGC_221)**2d0* &
                         coupl(nGC_224) + 4d0*cima*coupl(nGC_120)*coupl(nGC_166&
                         ) + cima*coupl(nGC_141)*coupl(nGC_177) + 4d0*cima*    &
                         coupl(nGC_154)*coupl(nGC_28) + 2d0*cima*coupl(nGC_164 &
                         )*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_12823) = (Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 + Nc*coupl(    &
                         nGC_122)*coupl(nGC_201)**2d0 + Nc*coupl(nGC_122)*coupl&
                         (nGC_213)**2d0 - Nc*coupl(nGC_123)*coupl(nGC_197)**2d0&
                          - Nc*coupl(nGC_123)*coupl(nGC_217)**2d0 - Nc*coupl(  &
                         nGC_123)*coupl(nGC_225)**2d0 + Nc*coupl(nGC_125)*coupl&
                         (nGC_197)**2d0 + Nc*coupl(nGC_125)*coupl(nGC_217)**2d0&
                          + Nc*coupl(nGC_125)*coupl(nGC_225)**2d0 - Nc*coupl(  &
                         nGC_126)*coupl(nGC_193)**2d0 - Nc*coupl(nGC_126)*coupl&
                         (nGC_201)**2d0 - Nc*coupl(nGC_126)*coupl(nGC_213)**2d0&
                          + coupl(nGC_124)*coupl(nGC_205)**2d0 + coupl(nGC_124 &
                         )*coupl(nGC_209)**2d0 + coupl(nGC_124)*coupl(nGC_221  &
                         )**2d0 - coupl(nGC_129)*coupl(nGC_205)**2d0 - coupl(  &
                         nGC_129)*coupl(nGC_209)**2d0 - coupl(nGC_129)*coupl(  &
                         nGC_221)**2d0)/(24d0*pi**2d0)
      coupl(nGC_12820) = (coupl(nGC_1)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_123 &
                         )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(  &
                         nGC_2)*coupl(nGC_226)*coupl(nGC_637) + coupl(nGC_2)*  &
                         coupl(nGC_227)**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0&
                         )/(32d0*pi**2d0)
      coupl(nGC_12821) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0* &
                         Nc*cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + &
                         2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC* &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*&
                         cMC*coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(&
                         nGC_201)*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*  &
                         coupl(nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_197)**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(      &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*  &
                         coupl(nGC_213)**2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(&
                         nGC_193)**2d0*coupl(nGC_219) + 2d0*Nc*cMT*coupl(      &
                         nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 2d0*Nc*cMT*  &
                         coupl(nGC_217)**2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(&
                         nGC_201)**2d0*coupl(nGC_227) + 2d0*Nc*cMU*coupl(      &
                         nGC_201)*coupl(nGC_203)*coupl(nGC_225) + 2d0*Nc*cMU*  &
                         coupl(nGC_225)**2d0*coupl(nGC_227) + 2d0*cME*coupl(   &
                         nGC_205)**2d0*coupl(nGC_207) + 2d0*cMM*coupl(nGC_209  &
                         )**2d0*coupl(nGC_211) + 2d0*cMTA*coupl(nGC_221)**2d0* &
                         coupl(nGC_223) + 4d0*cima*coupl(nGC_110)*coupl(nGC_166&
                         ) + cima*coupl(nGC_141)*coupl(nGC_175) + 4d0*cima*    &
                         coupl(nGC_15)*coupl(nGC_154) + 2d0*cima*coupl(nGC_162 &
                         )*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_13006) = sq2**3d0*(-Nc*cima*coupl(nGC_2133)**3d0 + 12d0*coupl( &
                         nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_12828) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl( &
                         nGC_1523)*coupl(nGC_217)*coupl(nGC_863) - coupl(      &
                         nGC_195)*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196&
                         )*coupl(nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_19843) = coupl(nGC_13148) + coupl(nGC_161)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_165)*dZHl_QED2/2d0
      coupl(nGC_20095) = coupl(nGC_100)*dZHhHl_QED2/2d0 + coupl(nGC_118)*      &
                         dZHl_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_13230)
      coupl(nGC_20312) = coupl(nGC_13122) + coupl(nGC_32)*dZHlHh_QED2 + coupl( &
                         nGC_33)*dZHhHl_QED2 + coupl(nGC_36)*dZHh_QED2 + coupl(&
                         nGC_36)*dZHl_QED2
      coupl(nGC_19270) = coupl(nGC_13208) + coupl(nGC_227)*dZHh_QED2/2d0 +     &
                         coupl(nGC_228)*dZHlHh_QED2/2d0
      coupl(nGC_19271) = coupl(nGC_19267) + coupl(nGC_19270)
      coupl(nGC_19278) = coupl(nGC_13256) + coupl(nGC_147)*dZHhHl_QED2 + coupl(&
                         nGC_151)*dZHl_QED2 + coupl(nGC_151)*dZZ_QED2
      coupl(nGC_12843) = coupl(nGC_99)*(Nc*coupl(nGC_1197)*coupl(nGC_213) + Nc*&
                         coupl(nGC_193)*coupl(nGC_863) - Nc*coupl(nGC_197)*    &
                         coupl(nGC_198) + Nc*coupl(nGC_201)*coupl(nGC_557) - Nc&
                         *coupl(nGC_217)*coupl(nGC_218) - Nc*coupl(nGC_225)*   &
                         coupl(nGC_226) + coupl(nGC_1579)*coupl(nGC_221) +     &
                         coupl(nGC_205)*coupl(nGC_829) + coupl(nGC_209)*coupl( &
                         nGC_607))/(24d0*pi**2d0)
      coupl(nGC_13015) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +  &
                         9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)** &
                         2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0&
                          - 2d0*cima*coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_3&
                         )**2d0 - 2d0*cima*coupl(nGC_103)*coupl(nGC_3333)*coupl&
                         (nGC_643)**2d0 + 3d0*cima*coupl(nGC_113)**2d0 + 3d0*  &
                         cima*coupl(nGC_2621)**2d0 - 2d0*cima*coupl(nGC_2757)* &
                         coupl(nGC_3)*coupl(nGC_643)**2d0 - 2d0*cima*coupl(    &
                         nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_643) - 3d0*cima*   &
                         coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 3d0*coupl(     &
                         nGC_103)*coupl(nGC_113)*coupl(nGC_643) + 3d0*coupl(   &
                         nGC_113)*coupl(nGC_3333)*coupl(nGC_643) + 3d0*coupl(  &
                         nGC_2621)*coupl(nGC_2757)*coupl(nGC_643) + 3d0*coupl( &
                         nGC_2621)*coupl(nGC_3)*coupl(nGC_643))/(24d0*pi**2d0)
      coupl(nGC_19472) = coupl(nGC_18954) + coupl(nGC_19469)
      coupl(nGC_19473) = coupl(nGC_18954) + coupl(nGC_19467)
      coupl(nGC_20409) = coupl(nGC_13126) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +  &
                         coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*          &
                         dZHhHl_QED2/2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
      coupl(nGC_24419) = -coupl(nGC_23094)
      coupl(nGC_18719) = coupl(nGC_111)*dZHh_QED2/2d0 + coupl(nGC_119)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_13136)
      coupl(nGC_28018) = coupl(nGC_13156) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
      coupl(nGC_22684) = coupl(nGC_130)*dZHh_QED2/2d0 + coupl(nGC_130)*dZZ_QED2&
                         /2d0 + coupl(nGC_13244) + coupl(nGC_136)*dZHlHh_QED2/ &
                         2d0
      coupl(nGC_TS_GC_101_Hh) = -coupl(nGC_101)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19831) = -coupl(nGC_13192) - coupl(nGC_19830)
      coupl(nGC_19832) = coupl(nGC_13192) + coupl(nGC_19830)
      coupl(nGC_19124) = coupl(nGC_13261) + coupl(nGC_2)*dZA_QED2/2d0
      coupl(nGC_12978) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(  &
                         nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_1579)*coupl(   &
                         nGC_222) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl(&
                         nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(  &
                         nGC_221)**2d0)/(32d0*pi**2d0)
      coupl(nGC_29912) = -coupl(nGC_12826)
      coupl(nGC_12979) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(      &
                         nGC_124)*coupl(nGC_1579)*coupl(nGC_222) + coupl(      &
                         nGC_124)*coupl(nGC_223)**2d0 + coupl(nGC_124)*coupl(  &
                         nGC_224)**2d0 + 4d0*coupl(nGC_128)**3d0 + 4d0*coupl(  &
                         nGC_128)*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(&
                         nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_136_Hl) = -coupl(nGC_136)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19762) = coupl(nGC_18954) + coupl(nGC_19759)
      coupl(nGC_19763) = coupl(nGC_18954) + coupl(nGC_19761)
      coupl(nGC_19586) = coupl(nGC_19583) + coupl(nGC_19585)
      coupl(nGC_18782) = coupl(nGC_13123) + coupl(nGC_16)*dZHhHl_QED2/2d0 +    &
                         coupl(nGC_27)*dZHl_QED2/2d0
      coupl(nGC_12983) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(    &
                         nGC_2133) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_12986) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(     &
                         nGC_2133) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_13102) = (-cima*coupl(nGC_2133)**4d0*sq2**4d0 + cima*coupl(    &
                         nGC_3103)**2d0 - 2d0*coupl(nGC_2133)**2d0*coupl(      &
                         nGC_3103)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_13103) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_3111) - Nc*cima* &
                         coupl(nGC_2133)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)* &
                         coupl(nGC_2133)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_2133 &
                         )**2d0*coupl(nGC_3111)*sq2**2d0 + 9d0*cima*coupl(     &
                         nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
