!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl20()
      coupl(nGC_13100) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_3103) + Nc*cima*    &
                         coupl(nGC_2133)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_3103&
                         )*coupl(nGC_3111) + Nc*coupl(nGC_20)*coupl(nGC_2133)**&
                         2d0*sq2**2d0 + Nc*coupl(nGC_2133)**2d0*coupl(nGC_3103 &
                         )*sq2**2d0 + Nc*coupl(nGC_2133)**2d0*coupl(nGC_3111)* &
                         sq2**2d0 - cima*coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi &
                         **2d0*Nc)
      coupl(nGC_21557) = coupl(nGC_19124) + coupl(nGC_21555)
      coupl(nGC_13104) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(      &
                         nGC_2133)**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_3111  &
                         )**2d0 - 6d0*Nc*coupl(nGC_20)*coupl(nGC_2133)**2d0*sq2&
                         **2d0 + 9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0* &
                         pi**2d0)
      coupl(nGC_13105) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_3111) - Nc*cima* &
                         coupl(nGC_2133)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_2133 &
                         )**2d0*coupl(nGC_3111)*sq2**2d0 + 9d0*cima*coupl(     &
                         nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_12902) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl(&
                         nGC_4)**2d0 - coupl(nGC_829)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20548) = -coupl(nGC_13171) - coupl(nGC_20545)
      coupl(nGC_20549) = coupl(nGC_13171) + coupl(nGC_20545)
      coupl(nGC_19519) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZbR_QED2&
                          + coupl(nGC_13267)
      coupl(nGC_21886) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*         &
                         dZtauMinusR_QED2 + coupl(nGC_13270)
      coupl(nGC_21887) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*         &
                         dZtauMinusL_QED2 + coupl(nGC_13246)
      coupl(nGC_18810) = coupl(nGC_13140) + coupl(nGC_179)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_184)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_29_Hl  &
                         ) + coupl(nGC_TS_GC_31_Hh)
      coupl(nGC_21889) = coupl(nGC_19415) + coupl(nGC_21887)
      coupl(nGC_19057) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*         &
                         dZnu_eL_QED2 + coupl(nGC_13269)
      coupl(nGC_19298) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZdL_QED2&
                          + coupl(nGC_13268)
      coupl(nGC_19357) = coupl(nGC_13211) + coupl(nGC_19356)
      coupl(nGC_18979) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2&
                          + coupl(nGC_13266)
      coupl(nGC_19359) = coupl(nGC_19355) + coupl(nGC_19358)
      coupl(nGC_30551) = -coupl(nGC_12823)
      coupl(nGC_22064) = coupl(nGC_13257) + coupl(nGC_175)*dZHh_QED2/2d0 +     &
                         coupl(nGC_175)*dZZ_QED2 + coupl(nGC_177)*dZHlHh_QED2/ &
                         2d0 + coupl(nGC_TS_GC_145_Hh) + coupl(nGC_TS_GC_147_Hl&
                         )
      coupl(nGC_12775) = cima*sq2**2d0*(Nc*coupl(nGC_2133)**2d0 - 6d0*coupl(   &
                         nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13101) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*    &
                         coupl(nGC_3111) - cima*coupl(nGC_2133)**4d0*sq2**4d0  &
                          + cima*coupl(nGC_3111)**2d0 - 2d0*coupl(nGC_20)*coupl&
                         (nGC_2133)**2d0*sq2**2d0 - 2d0*coupl(nGC_2133)**2d0*  &
                         coupl(nGC_3111)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_21451) = coupl(nGC_18954) + coupl(nGC_21450)
      coupl(nGC_20189) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2&
                          + coupl(nGC_13265)
      coupl(nGC_12778) = cima*sq2**2d0*(-Nc*coupl(nGC_2133)**2d0 + 6d0*coupl(  &
                         nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_21452) = coupl(nGC_18954) + coupl(nGC_21448)
      coupl(nGC_22573) = -coupl(nGC_20123)
      coupl(nGC_19792) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZtL_QED2&
                          + coupl(nGC_13265)
      coupl(nGC_19795) = coupl(nGC_18977) + coupl(nGC_19792)
      coupl(nGC_19794) = coupl(nGC_18977) + coupl(nGC_19793)
      coupl(nGC_21190) = coupl(nGC_18954) + coupl(nGC_21188)
      coupl(nGC_19817) = coupl(nGC_13203) + coupl(nGC_19813)
      coupl(nGC_19814) = -coupl(nGC_13204) - coupl(nGC_19812)
      coupl(nGC_19815) = coupl(nGC_13204) + coupl(nGC_19812)
      coupl(nGC_13055) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(     &
                         nGC_196)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*  &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 5d0*Nc* &
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(     &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 5d0*Nc*cima*  &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(   &
                         nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*  &
                         coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_228)*coupl(   &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_196)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_220)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_113)*coupl(nGC_120) + 5d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) + 5d0*cima&
                         *coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_212)*coupl(  &
                         nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_221)*coupl&
                         (nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_212)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(nGC_221)*coupl&
                         (nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - 4d0*cima&
                         *coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_212)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*coupl&
                         (nGC_224)*coupl(nGC_99) + 6d0*cima*coupl(nGC_28)*coupl&
                         (nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_1253)*coupl(  &
                         nGC_28) + 6d0*coupl(nGC_120)*coupl(nGC_1253)*coupl(   &
                         nGC_3))/(48d0*pi**2d0)
      coupl(nGC_20667) = coupl(nGC_20659) + coupl(nGC_20666)
      coupl(nGC_13056) = cima*(10d0*Nc*coupl(nGC_1197)**2d0*coupl(nGC_215)**2d0&
                          + 40d0*Nc*coupl(nGC_1197)*coupl(nGC_214)*coupl(      &
                         nGC_215)**2d0 + 10d0*Nc*coupl(nGC_1523)**2d0*coupl(   &
                         nGC_219)**2d0 + 40d0*Nc*coupl(nGC_1523)*coupl(nGC_218 &
                         )*coupl(nGC_219)**2d0 + 10d0*Nc*coupl(nGC_1543)**2d0* &
                         coupl(nGC_199)**2d0 + 40d0*Nc*coupl(nGC_1543)*coupl(  &
                         nGC_198)*coupl(nGC_199)**2d0 + 10d0*Nc*coupl(nGC_194  &
                         )**2d0*coupl(nGC_195)**2d0 + 40d0*Nc*coupl(nGC_194)*  &
                         coupl(nGC_195)**2d0*coupl(nGC_863) + 10d0*Nc*coupl(   &
                         nGC_195)**2d0*coupl(nGC_863)**2d0 + 10d0*Nc*coupl(    &
                         nGC_198)**2d0*coupl(nGC_199)**2d0 + 10d0*Nc*coupl(    &
                         nGC_202)**2d0*coupl(nGC_203)**2d0 + 40d0*Nc*coupl(    &
                         nGC_202)*coupl(nGC_203)**2d0*coupl(nGC_557) + 10d0*Nc*&
                         coupl(nGC_203)**2d0*coupl(nGC_557)**2d0 + 10d0*Nc*    &
                         coupl(nGC_214)**2d0*coupl(nGC_215)**2d0 + 10d0*Nc*    &
                         coupl(nGC_218)**2d0*coupl(nGC_219)**2d0 + 10d0*Nc*    &
                         coupl(nGC_226)**2d0*coupl(nGC_227)**2d0 + 40d0*Nc*    &
                         coupl(nGC_226)*coupl(nGC_227)**2d0*coupl(nGC_637) +   &
                         10d0*Nc*coupl(nGC_227)**2d0*coupl(nGC_637)**2d0 + 3d0*&
                         coupl(nGC_142)*coupl(nGC_145) + 10d0*coupl(nGC_1579)**&
                         2d0*coupl(nGC_223)**2d0 + 40d0*coupl(nGC_1579)*coupl( &
                         nGC_222)*coupl(nGC_223)**2d0 + 10d0*coupl(nGC_206)**  &
                         2d0*coupl(nGC_207)**2d0 + 40d0*coupl(nGC_206)*coupl(  &
                         nGC_207)**2d0*coupl(nGC_829) + 10d0*coupl(nGC_207)**  &
                         2d0*coupl(nGC_829)**2d0 + 10d0*coupl(nGC_210)**2d0*   &
                         coupl(nGC_211)**2d0 + 40d0*coupl(nGC_210)*coupl(      &
                         nGC_211)**2d0*coupl(nGC_607) + 10d0*coupl(nGC_211)**  &
                         2d0*coupl(nGC_607)**2d0 + 10d0*coupl(nGC_222)**2d0*   &
                         coupl(nGC_223)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_82  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_18841) = coupl(nGC_13250) + coupl(nGC_154)*dZWMinus_QED2/2d0 + &
                         coupl(nGC_154)*dZZ_QED2/2d0 + coupl(nGC_166)*dZAZ_QED2&
                         /2d0 + coupl(nGC_TS_GC_15_Hh) + coupl(nGC_TS_GC_28_Hl)
      coupl(nGC_23077) = coupl(nGC_23073) + coupl(nGC_23076)
      coupl(nGC_18845) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_13153) +     &
                         coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_13029) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + Nc*  &
                         cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + Nc*cima* &
                         coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl(     &
                         nGC_103)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_124  &
                         )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_1253)** &
                         2d0*coupl(nGC_643)**2d0 + cima*coupl(nGC_128)**2d0*   &
                         coupl(nGC_4)**2d0 + cima*coupl(nGC_85)*coupl(nGC_9) + &
                         coupl(nGC_103)**2d0*coupl(nGC_9) + coupl(nGC_1253)**  &
                         2d0*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_85) +  &
                         coupl(nGC_643)**2d0*coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_13028) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_122) + Nc*cima*  &
                         coupl(nGC_1)**3d0*coupl(nGC_125) + Nc*cima*coupl(     &
                         nGC_123)*coupl(nGC_2)**3d0 + Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_2)**3d0 - 2d0*cima*coupl(nGC_103)*coupl(    &
                         nGC_3)**3d0 + cima*coupl(nGC_116)*coupl(nGC_9) + cima*&
                         coupl(nGC_124)*coupl(nGC_4)**3d0 - 2d0*cima*coupl(    &
                         nGC_1253)*coupl(nGC_643)**3d0 + cima*coupl(nGC_128)*  &
                         coupl(nGC_4)**3d0 + coupl(nGC_103)*coupl(nGC_3)*coupl(&
                         nGC_9) + coupl(nGC_116)*coupl(nGC_3)**2d0 + coupl(    &
                         nGC_116)*coupl(nGC_643)**2d0 + coupl(nGC_1253)*coupl( &
                         nGC_643)*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_29619) = -coupl(nGC_12856)
      coupl(nGC_26064) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_13246) + coupl&
                         (nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_13021) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*  &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima*&
                         coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(     &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*    &
                         coupl(nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc&
                         *cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl&
                         (nGC_99) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl&
                         (nGC_2)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima* &
                         coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(     &
                         nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(  &
                         nGC_219)*coupl(nGC_99) + Nc*cima*coupl(nGC_2)*coupl(  &
                         nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_110)*coupl(nGC_2621) + 6d0*cima*coupl(nGC_113)*  &
                         coupl(nGC_15) + cima*coupl(nGC_205)*coupl(nGC_207)*   &
                         coupl(nGC_4)*coupl(nGC_99) + cima*coupl(nGC_209)*coupl&
                         (nGC_211)*coupl(nGC_4)*coupl(nGC_99) + cima*coupl(    &
                         nGC_221)*coupl(nGC_223)*coupl(nGC_4)*coupl(nGC_99) +  &
                         6d0*coupl(nGC_102)*coupl(nGC_15)*coupl(nGC_3) + 6d0*  &
                         coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_4))/(48d0*pi**  &
                         2d0)
      coupl(nGC_13020) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1523)*coupl(     &
                         nGC_217)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*    &
                         coupl(nGC_1543)*coupl(nGC_197)*coupl(nGC_99) + Nc*cima&
                         *coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_194)*coupl(    &
                         nGC_99) + Nc*cima*coupl(nGC_1)*coupl(nGC_201)*coupl(  &
                         nGC_202)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)*coupl(  &
                         nGC_213)*coupl(nGC_214)*coupl(nGC_99) - 4d0*Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_637)*coupl(     &
                         nGC_99) + Nc*cima*coupl(nGC_1523)*coupl(nGC_2)*coupl( &
                         nGC_217)*coupl(nGC_99) + Nc*cima*coupl(nGC_1543)*coupl&
                         (nGC_197)*coupl(nGC_2)*coupl(nGC_99) - 4d0*Nc*cima*   &
                         coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_2)*coupl(     &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201)*    &
                         coupl(nGC_202)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2&
                         )*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) + Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_225)*coupl(nGC_637)*coupl(&
                         nGC_99) + 6d0*cima*coupl(nGC_107)*coupl(nGC_2621) +   &
                         6d0*cima*coupl(nGC_113)*coupl(nGC_13) + cima*coupl(   &
                         nGC_205)*coupl(nGC_206)*coupl(nGC_4)*coupl(nGC_99) +  &
                         cima*coupl(nGC_209)*coupl(nGC_210)*coupl(nGC_4)*coupl(&
                         nGC_99) + cima*coupl(nGC_221)*coupl(nGC_222)*coupl(   &
                         nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102)*coupl(nGC_13&
                         )*coupl(nGC_3) + 6d0*coupl(nGC_107)*coupl(nGC_3)*coupl&
                         (nGC_4))/(48d0*pi**2d0)
      coupl(nGC_13023) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_193)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122&
                         )*coupl(nGC_201)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_122)*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_123)*coupl(nGC_197)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_123)*coupl(nGC_217)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_123)*coupl(     &
                         nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125&
                         )*coupl(nGC_197)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_125)*coupl(nGC_217)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_225)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_193)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(     &
                         nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126&
                         )*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*   &
                         coupl(nGC_193)**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl( &
                         nGC_122)*coupl(nGC_2)*coupl(nGC_201)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_122)*coupl(nGC_2)*coupl(nGC_213)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)**2d0*    &
                         coupl(nGC_2) - 8d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2 &
                         )*coupl(nGC_217)**2d0 - 8d0*Nc*cima*coupl(nGC_123)*   &
                         coupl(nGC_2)*coupl(nGC_225)**2d0 + 5d0*Nc*cima*coupl( &
                         nGC_125)*coupl(nGC_197)**2d0*coupl(nGC_2) + 5d0*Nc*   &
                         cima*coupl(nGC_125)*coupl(nGC_2)*coupl(nGC_217)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*coupl(     &
                         nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_193)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(nGC_126&
                         )*coupl(nGC_2)*coupl(nGC_201)**2d0 - 8d0*Nc*cima*coupl&
                         (nGC_126)*coupl(nGC_2)*coupl(nGC_213)**2d0 + 6d0*cima*&
                         coupl(nGC_116)*coupl(nGC_71) - 8d0*cima*coupl(nGC_124 &
                         )*coupl(nGC_205)**2d0*coupl(nGC_4) - 8d0*cima*coupl(  &
                         nGC_124)*coupl(nGC_209)**2d0*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_124)*coupl(nGC_221)**2d0*coupl(nGC_4) + 5d0*&
                         cima*coupl(nGC_129)*coupl(nGC_205)**2d0*coupl(nGC_4   &
                         ) + 5d0*cima*coupl(nGC_129)*coupl(nGC_209)**2d0*coupl(&
                         nGC_4) + 5d0*cima*coupl(nGC_129)*coupl(nGC_221)**2d0* &
                         coupl(nGC_4) + 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl( &
                         nGC_71) + 6d0*coupl(nGC_1253)*coupl(nGC_643)*coupl(   &
                         nGC_71))/(48d0*pi**2d0)
      coupl(nGC_19125) = coupl(nGC_19123) + coupl(nGC_19124)
      coupl(nGC_13025) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*  &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima*&
                         coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(     &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*    &
                         coupl(nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc&
                         *cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl&
                         (nGC_99) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl&
                         (nGC_2)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima* &
                         coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(     &
                         nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(  &
                         nGC_219)*coupl(nGC_99) + Nc*cima*coupl(nGC_2)*coupl(  &
                         nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_110)*coupl(nGC_2621) + 6d0*cima*coupl(nGC_113)*  &
                         coupl(nGC_15) + cima*coupl(nGC_205)*coupl(nGC_207)*   &
                         coupl(nGC_4)*coupl(nGC_99) + cima*coupl(nGC_209)*coupl&
                         (nGC_211)*coupl(nGC_4)*coupl(nGC_99) + cima*coupl(    &
                         nGC_221)*coupl(nGC_223)*coupl(nGC_4)*coupl(nGC_99) +  &
                         6d0*coupl(nGC_103)*coupl(nGC_15)*coupl(nGC_643) + 6d0*&
                         coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_643))/(48d0*pi**&
                         2d0)
      coupl(nGC_13024) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1197)*coupl(nGC_213)* &
                         coupl(nGC_99) + Nc*cima*coupl(nGC_1)*coupl(nGC_193)*  &
                         coupl(nGC_863)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99) + Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_201)*coupl(nGC_557)*coupl(&
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*    &
                         coupl(nGC_218)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99) - 4d0*Nc&
                         *cima*coupl(nGC_1197)*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_193)*coupl(nGC_2&
                         )*coupl(nGC_863)*coupl(nGC_99) + Nc*cima*coupl(nGC_197&
                         )*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_557)*coupl(&
                         nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(  &
                         nGC_218)*coupl(nGC_99) + Nc*cima*coupl(nGC_2)*coupl(  &
                         nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_108)*coupl(nGC_2621) + 6d0*cima*coupl(nGC_113)*  &
                         coupl(nGC_14) + cima*coupl(nGC_1579)*coupl(nGC_221)*  &
                         coupl(nGC_4)*coupl(nGC_99) + cima*coupl(nGC_205)*coupl&
                         (nGC_4)*coupl(nGC_829)*coupl(nGC_99) + cima*coupl(    &
                         nGC_209)*coupl(nGC_4)*coupl(nGC_607)*coupl(nGC_99) +  &
                         6d0*coupl(nGC_103)*coupl(nGC_14)*coupl(nGC_643) + 6d0*&
                         coupl(nGC_108)*coupl(nGC_3)*coupl(nGC_643))/(48d0*pi**&
                         2d0)
      coupl(nGC_13026) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*  &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197&
                         )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima*&
                         coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(     &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*    &
                         coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc&
                         *cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl&
                         (nGC_99) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*    &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(&
                         nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(  &
                         nGC_220)*coupl(nGC_99) + Nc*cima*coupl(nGC_2)*coupl(  &
                         nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_113)*coupl(nGC_28) + 6d0*cima*coupl(nGC_120)*    &
                         coupl(nGC_2621) + cima*coupl(nGC_205)*coupl(nGC_208)* &
                         coupl(nGC_4)*coupl(nGC_99) + cima*coupl(nGC_209)*coupl&
                         (nGC_212)*coupl(nGC_4)*coupl(nGC_99) + cima*coupl(    &
                         nGC_221)*coupl(nGC_224)*coupl(nGC_4)*coupl(nGC_99) +  &
                         6d0*coupl(nGC_103)*coupl(nGC_28)*coupl(nGC_643) + 6d0*&
                         coupl(nGC_120)*coupl(nGC_3)*coupl(nGC_643))/(48d0*pi**&
                         2d0)
    end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
