!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_13179) = coupl(nGC_12405)*dys_QED1_QCD2
      coupl(nGC_13170) = cima*dyt_QED3
      coupl(nGC_13177) = coupl(nGC_12468)*dydo_QED1_QCD2
      coupl(nGC_13176) = coupl(nGC_12713)*dyb_QED3
      coupl(nGC_13175) = coupl(nGC_12713)*dyb_QED1_QCD2
      coupl(nGC_21523) = coupl(nGC_214)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_18737) = coupl(nGC_218)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_18738) = coupl(nGC_218)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_22123) = coupl(nGC_200)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_22124) = coupl(nGC_200)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_19919) = coupl(nGC_13260) + coupl(nGC_85)*dZWMinus_QED2 + coupl&
                         (nGC_85)*dZZ_QED2
      coupl(nGC_19918) = coupl(nGC_13259) + coupl(nGC_84)*dZWMinus_QED2 + coupl&
                         (nGC_84)*dZZ_QED2
      coupl(nGC_20659) = coupl(nGC_220)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_18950) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_18951) = coupl(nGC_19)*dZdL_QCD2
      coupl(nGC_19456) = coupl(nGC_142)*dZZA_QED2/2d0
      coupl(nGC_13107) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13149) = coupl(nGC_12319)*dsw_QED2 + coupl(nGC_12320)*dZee_QED2&
                          + coupl(nGC_12321)*dvev_QED1
      coupl(nGC_13146) = coupl(nGC_349)*da_QED2 + coupl(nGC_351)*dvevs_QED1 +  &
                         coupl(nGC_353)*dvev_QED1 + coupl(nGC_355)*dl2_QED4 +  &
                         coupl(nGC_357)*dl3_QED4 + coupl(nGC_359)*dl1_QED4
      coupl(nGC_13144) = coupl(nGC_12698)*dvev_QED1 + coupl(nGC_12699)*        &
                         dvevs_QED1 + coupl(nGC_12700)*da_QED2 + coupl(        &
                         nGC_12701)*dl1_QED4 + coupl(nGC_12702)*dl3_QED4
      coupl(nGC_13145) = coupl(nGC_335)*da_QED2 + coupl(nGC_337)*dvevs_QED1 +  &
                         coupl(nGC_339)*dvev_QED1 + coupl(nGC_341)*dl2_QED4 +  &
                         coupl(nGC_343)*dl3_QED4 + coupl(nGC_345)*dl1_QED4
      coupl(nGC_13142) = coupl(nGC_321)*da_QED2 + coupl(nGC_323)*dvevs_QED1 +  &
                         coupl(nGC_325)*dvev_QED1 + coupl(nGC_327)*dl2_QED4 +  &
                         coupl(nGC_329)*dl3_QED4 + coupl(nGC_331)*dl1_QED4
      coupl(nGC_13141) = coupl(nGC_307)*da_QED2 + coupl(nGC_309)*dvevs_QED1 +  &
                         coupl(nGC_311)*dvev_QED1 + coupl(nGC_313)*dl2_QED4 +  &
                         coupl(nGC_315)*dl3_QED4 + coupl(nGC_317)*dl1_QED4
      coupl(nGC_19857) = coupl(nGC_151)*dZZA_QED2/2d0
      coupl(nGC_12918) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*    &
                         coupl(nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 +   &
                         4d0*cMTA*coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*   &
                         coupl(nGC_177) + 2d0*cima*coupl(nGC_164)*coupl(nGC_96 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_18949) = coupl(nGC_19)*dZdR_QCD2
      coupl(nGC_18948) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_TS_GC_228_Hl) = -coupl(nGC_228)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13215) = coupl(nGC_12591)*dyc_QED1_QCD2
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13152) = coupl(nGC_12438)*dZee_QED2
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_23791) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_19969) = coupl(nGC_13182) + coupl(nGC_195)*dZHh_QED2/2d0 +     &
                         coupl(nGC_196)*dZHlHh_QED2/2d0
      coupl(nGC_27196) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_27195) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_27190) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_13155) = coupl(nGC_12634)*dcw_QED2 + coupl(nGC_12635)*dsw_QED2 &
                          + coupl(nGC_12636)*dZee_QED2
      coupl(nGC_13157) = coupl(nGC_12497)*dZgs_QCD2
      coupl(nGC_13159) = -cima*dydo_QED1_QCD2
      coupl(nGC_12826) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_196) + Nc*&
                         coupl(nGC_197)*coupl(nGC_200) - Nc*coupl(nGC_201)*    &
                         coupl(nGC_204) - Nc*coupl(nGC_213)*coupl(nGC_216) + Nc&
                         *coupl(nGC_217)*coupl(nGC_220) + Nc*coupl(nGC_225)*   &
                         coupl(nGC_228) - coupl(nGC_205)*coupl(nGC_208) - coupl&
                         (nGC_209)*coupl(nGC_212) - coupl(nGC_221)*coupl(      &
                         nGC_224))/(24d0*pi**2d0)
      coupl(nGC_12825) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_195) + Nc*&
                         coupl(nGC_197)*coupl(nGC_199) - Nc*coupl(nGC_201)*    &
                         coupl(nGC_203) - Nc*coupl(nGC_213)*coupl(nGC_215) + Nc&
                         *coupl(nGC_217)*coupl(nGC_219) + Nc*coupl(nGC_225)*   &
                         coupl(nGC_227) - coupl(nGC_205)*coupl(nGC_207) - coupl&
                         (nGC_209)*coupl(nGC_211) - coupl(nGC_221)*coupl(      &
                         nGC_223))/(24d0*pi**2d0)
      coupl(nGC_12829) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_18990) = coupl(nGC_13254) + coupl(nGC_145)*dZHh_QED2 + coupl(  &
                         nGC_145)*dZZ_QED2 + coupl(nGC_147)*dZHlHh_QED2
      coupl(nGC_12739) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0 &
                          + Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 +  &
                         Nc*coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 +     &
                         coupl(nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(    &
                         nGC_221)**2d0)/(48d0*pi**2d0)
      coupl(nGC_12900) = coupl(nGC_19)**2d0*coupl(nGC_203)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
