!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_22939) = -coupl(nGC_22933)
      coupl(nGC_22938) = coupl(nGC_13351) + coupl(nGC_MW)*dZWMinus_QED2 + coupl&
                         (nGC_TS_GC_162_Hh) + coupl(nGC_TS_GC_164_Hl)
      coupl(nGC_19760) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_19761) = coupl(nGC_19)*dZbL_QCD2
      coupl(nGC_23995) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_20948) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_20949) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_19424) = coupl(nGC_13235) + coupl(nGC_82)*dZHhHl_QED2/2d0 +    &
                         coupl(nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZHl_QED2/&
                         2d0 + coupl(nGC_92)*dZWMinus_QED2 + coupl(nGC_96)*    &
                         dZHlHh_QED2/2d0
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19391) = coupl(nGC_145)*dZZA_QED2/2d0
      coupl(nGC_19553) = coupl(nGC_228)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_19552) = coupl(nGC_228)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_20502) = coupl(nGC_13180) + coupl(nGC_215)*dZHh_QED2/2d0 +     &
                         coupl(nGC_216)*dZHlHh_QED2/2d0
      coupl(nGC_13009) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*    &
                         coupl(nGC_2)**2d0 - coupl(nGC_225)**2d0 - coupl(      &
                         nGC_226)*coupl(nGC_637) - coupl(nGC_227)**2d0 - coupl(&
                         nGC_228)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13008) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - 4d0*    &
                         coupl(nGC_2)**2d0 - coupl(nGC_201)**2d0 - coupl(      &
                         nGC_226)*coupl(nGC_637) - coupl(nGC_227)**2d0 - coupl(&
                         nGC_228)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*&
                         Nc)
      coupl(nGC_19370) = coupl(nGC_99)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12994) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_125)**2d0 + coupl(nGC_202)*coupl(nGC_557) + coupl(&
                         nGC_203)**2d0 + coupl(nGC_204)**2d0 + coupl(nGC_225)**&
                         2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_12995) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_122)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_202)* &
                         coupl(nGC_557) + coupl(nGC_203)**2d0 + coupl(nGC_204  &
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_12992) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_125)**2d0 - coupl(nGC_202)*coupl(nGC_557) - coupl&
                         (nGC_203)**2d0 - coupl(nGC_204)**2d0 - coupl(nGC_225  &
                         )**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_12993) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_122)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_202)*&
                         coupl(nGC_557) - coupl(nGC_203)**2d0 - coupl(nGC_204  &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_12990) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(  &
                         nGC_1543)*coupl(nGC_198) + coupl(nGC_199)**2d0 + 4d0* &
                         coupl(nGC_2)**2d0 + coupl(nGC_200)**2d0 + coupl(      &
                         nGC_213)**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*&
                         Nc)
      coupl(nGC_12991) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(  &
                         nGC_1543)*coupl(nGC_198) + coupl(nGC_197)**2d0 + coupl&
                         (nGC_199)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_200&
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13137) = coupl(nGC_12729)*dsw_QED2 + coupl(nGC_12730)*dZee_QED2&
                          + coupl(nGC_12731)*da_QED2
      coupl(nGC_13135) = coupl(nGC_12444)*dcw_QED2 + coupl(nGC_12445)*dsw_QED2 &
                          + coupl(nGC_12446)*dZee_QED2
      coupl(nGC_13133) = coupl(nGC_12374)*dsw_QED2 + coupl(nGC_12375)*dZee_QED2
      coupl(nGC_13132) = coupl(nGC_12588)*dsw_QED2 + coupl(nGC_12589)*dZee_QED2&
                          + coupl(nGC_12590)*da_QED2
      coupl(nGC_13131) = coupl(nGC_12574)*dsw_QED2 + coupl(nGC_12575)*dZee_QED2&
                          + coupl(nGC_12576)*da_QED2
      coupl(nGC_13139) = coupl(nGC_12400)*dcw_QED2 + coupl(nGC_12401)*dsw_QED2 &
                          + coupl(nGC_12402)*dZee_QED2 + coupl(nGC_12403)*     &
                         dvev_QED1 + coupl(nGC_12404)*da_QED2
      coupl(nGC_13138) = coupl(nGC_12470)*dcw_QED2 + coupl(nGC_12471)*dvev_QED1&
                          + coupl(nGC_12472)*dZee_QED2
      coupl(nGC_19405) = coupl(nGC_13178) + coupl(nGC_203)*dZHh_QED2/2d0 +     &
                         coupl(nGC_204)*dZHlHh_QED2/2d0
      coupl(nGC_12849) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) - coupl(&
                         nGC_1197)*coupl(nGC_1543)*coupl(nGC_213) + 8d0*coupl( &
                         nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(nGC_199&
                         )*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl&
                         (nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_12844) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_195) - Nc* &
                         coupl(nGC_197)*coupl(nGC_199) + Nc*coupl(nGC_201)*    &
                         coupl(nGC_203) + Nc*coupl(nGC_213)*coupl(nGC_215) - Nc&
                         *coupl(nGC_217)*coupl(nGC_219) - Nc*coupl(nGC_225)*   &
                         coupl(nGC_227) + coupl(nGC_205)*coupl(nGC_207) + coupl&
                         (nGC_209)*coupl(nGC_211) + coupl(nGC_221)*coupl(      &
                         nGC_223))/(24d0*pi**2d0)
      coupl(nGC_12845) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_196) - Nc* &
                         coupl(nGC_197)*coupl(nGC_200) + Nc*coupl(nGC_201)*    &
                         coupl(nGC_204) + Nc*coupl(nGC_213)*coupl(nGC_216) - Nc&
                         *coupl(nGC_217)*coupl(nGC_220) - Nc*coupl(nGC_225)*   &
                         coupl(nGC_228) + coupl(nGC_205)*coupl(nGC_208) + coupl&
                         (nGC_209)*coupl(nGC_212) + coupl(nGC_221)*coupl(      &
                         nGC_224))/(24d0*pi**2d0)
      coupl(nGC_12847) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl( &
                         nGC_194)*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_195&
                         )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*coupl&
                         (nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_12840) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi**&
                         2d0)
      coupl(nGC_12841) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi**&
                         2d0)
      coupl(nGC_12842) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi**&
                         2d0)
      coupl(nGC_22347) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_20454) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_13222) = coupl(nGC_12732)*dsw_QED2 + coupl(nGC_12733)*dZee_QED2&
                          + coupl(nGC_12734)*da_QED2
      coupl(nGC_13221) = coupl(nGC_12412)*dsw_QED2 + coupl(nGC_12413)*dZee_QED2&
                          + coupl(nGC_12414)*da_QED2
      coupl(nGC_13220) = coupl(nGC_12692)*dcw_QED2 + coupl(nGC_12693)*dsw_QED2 &
                          + coupl(nGC_12694)*dZee_QED2
      coupl(nGC_13227) = coupl(nGC_12381)*dZee_QED2
      coupl(nGC_13226) = coupl(nGC_12597)*dsw_QED2 + coupl(nGC_12598)*dZee_QED2&
                          + coupl(nGC_12599)*da_QED2
      coupl(nGC_13225) = coupl(nGC_12625)*dsw_QED2 + coupl(nGC_12626)*dZee_QED2&
                          + coupl(nGC_12627)*da_QED2
      coupl(nGC_13224) = coupl(nGC_12487)*dsw_QED2 + coupl(nGC_12488)*dZee_QED2
      coupl(nGC_23565) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_21450) = coupl(nGC_19)*dZcR_QCD2
      coupl(nGC_20184) = coupl(nGC_123)*dZuR_QCD2
      coupl(nGC_20187) = coupl(nGC_126)*dZuL_QCD2
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
