!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_12901) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(    &
                         nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12868) = coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12905) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_195) + cMC*&
                         coupl(nGC_199) + cMD*coupl(nGC_203) + cMS*coupl(      &
                         nGC_215) + cMT*coupl(nGC_219) + cMU*coupl(nGC_227))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_12904) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl(&
                         nGC_4)**2d0 - coupl(nGC_607)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12907) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) - coupl(nGC_1197&
                         )**2d0*coupl(nGC_215) + 8d0*coupl(nGC_122)*coupl(     &
                         nGC_125)*coupl(nGC_215) - coupl(nGC_197)*coupl(nGC_199&
                         )*coupl(nGC_213) - coupl(nGC_215)**3d0 - coupl(nGC_215&
                         )*coupl(nGC_216)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12906) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_195) - cMC&
                         *coupl(nGC_199) - cMD*coupl(nGC_203) - cMS*coupl(     &
                         nGC_215) - cMT*coupl(nGC_219) - cMU*coupl(nGC_227))/( &
                         16d0*pi**2d0)
      coupl(nGC_13186) = coupl(nGC_12420)*dys_QED3 + coupl(nGC_12421)*da_QED2
      coupl(nGC_13187) = coupl(nGC_12273)*dyb_QED1_QCD2
      coupl(nGC_13185) = coupl(nGC_12420)*dys_QED1_QCD2
      coupl(nGC_13027) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(   &
                         nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*  &
                         coupl(nGC_4)**4d0 - 2d0*cima*coupl(nGC_643)**4d0 +    &
                         cima*coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl( &
                         nGC_9) + 2d0*coupl(nGC_643)**2d0*coupl(nGC_9))/(8d0*pi&
                         **2d0)
      coupl(nGC_12888) = (12d0*Nc*cMB*coupl(nGC_195)**2d0*coupl(nGC_196) + 12d0&
                         *Nc*cMC*coupl(nGC_199)**2d0*coupl(nGC_200) + 12d0*Nc* &
                         cMD*coupl(nGC_203)**2d0*coupl(nGC_204) + 12d0*Nc*cMS* &
                         coupl(nGC_215)**2d0*coupl(nGC_216) + 12d0*Nc*cMT*coupl&
                         (nGC_219)**2d0*coupl(nGC_220) + 12d0*Nc*cMU*coupl(    &
                         nGC_227)**2d0*coupl(nGC_228) + 12d0*cME*coupl(nGC_207 &
                         )**2d0*coupl(nGC_208) + 12d0*cMM*coupl(nGC_211)**2d0* &
                         coupl(nGC_212) + 12d0*cMTA*coupl(nGC_223)**2d0*coupl( &
                         nGC_224) + cima*coupl(nGC_145)*coupl(nGC_177) + 2d0*  &
                         cima*coupl(nGC_147)*coupl(nGC_175) + 4d0*cima*coupl(  &
                         nGC_162)*coupl(nGC_92) + 2d0*cima*coupl(nGC_164)*coupl&
                         (nGC_82))/(16d0*pi**2d0)
      coupl(nGC_12889) = (12d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_196)**2d0 + 12d0&
                         *Nc*cMC*coupl(nGC_199)*coupl(nGC_200)**2d0 + 12d0*Nc* &
                         cMD*coupl(nGC_203)*coupl(nGC_204)**2d0 + 12d0*Nc*cMS* &
                         coupl(nGC_215)*coupl(nGC_216)**2d0 + 12d0*Nc*cMT*coupl&
                         (nGC_219)*coupl(nGC_220)**2d0 + 12d0*Nc*cMU*coupl(    &
                         nGC_227)*coupl(nGC_228)**2d0 + 12d0*cME*coupl(nGC_207 &
                         )*coupl(nGC_208)**2d0 + 12d0*cMM*coupl(nGC_211)*coupl(&
                         nGC_212)**2d0 + 12d0*cMTA*coupl(nGC_223)*coupl(nGC_224&
                         )**2d0 + 2d0*cima*coupl(nGC_147)*coupl(nGC_177) + cima&
                         *coupl(nGC_151)*coupl(nGC_175) + 2d0*cima*coupl(      &
                         nGC_162)*coupl(nGC_96) + 4d0*cima*coupl(nGC_164)*coupl&
                         (nGC_92))/(16d0*pi**2d0)
      coupl(nGC_12763) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(  &
                         nGC_125))/(8d0*pi**2d0)
      coupl(nGC_23094) = coupl(nGC_101)*dZHhHl_QED2/2d0 + coupl(nGC_117)*      &
                         dZHl_QED2/2d0 + coupl(nGC_117)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_13226)
      coupl(nGC_12765) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_12764) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_12767) = cMC*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_12766) = cima*(-coupl(nGC_126)**2d0 - coupl(nGC_2)**2d0 - coupl&
                         (nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12880) = coupl(nGC_19)**2d0*coupl(nGC_218)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12881) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222) -   &
                         coupl(nGC_1579)*coupl(nGC_222)**2d0 - coupl(nGC_1579)*&
                         coupl(nGC_223)**2d0 - coupl(nGC_1579)*coupl(nGC_224)**&
                         2d0 + 8d0*coupl(nGC_222)*coupl(nGC_4)**2d0)/(32d0*pi**&
                         2d0)
      coupl(nGC_12882) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_1579) -  &
                         coupl(nGC_1579)**2d0*coupl(nGC_222) + 8d0*coupl(      &
                         nGC_1579)*coupl(nGC_4)**2d0 - coupl(nGC_222)*coupl(   &
                         nGC_223)**2d0 - coupl(nGC_222)*coupl(nGC_224)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_12883) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_637) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_637) - coupl(nGC_201)*&
                         coupl(nGC_202)*coupl(nGC_225) - coupl(nGC_226)*coupl( &
                         nGC_227)**2d0 - coupl(nGC_226)*coupl(nGC_228)**2d0 -  &
                         coupl(nGC_226)*coupl(nGC_637)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12884) = coupl(nGC_19)**2d0*coupl(nGC_637)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12885) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_226) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_226) - coupl(nGC_201)*&
                         coupl(nGC_225)*coupl(nGC_557) - coupl(nGC_226)**2d0*  &
                         coupl(nGC_637) - coupl(nGC_227)**2d0*coupl(nGC_637) - &
                         coupl(nGC_228)**2d0*coupl(nGC_637))/(32d0*pi**2d0)
      coupl(nGC_12886) = coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12887) = 3d0*(4d0*Nc*cMB*coupl(nGC_195)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_199)**3d0 + 4d0*Nc*cMD*coupl(nGC_203)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_215)**3d0 + 4d0*Nc*cMT*coupl(nGC_219 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_227)**3d0 + 4d0*cME*    &
                         coupl(nGC_207)**3d0 + 4d0*cMM*coupl(nGC_211)**3d0 +   &
                         4d0*cMTA*coupl(nGC_223)**3d0 + cima*coupl(nGC_145)*   &
                         coupl(nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_82 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_13201) = coupl(nGC_12269)*dyup_QED1_QCD2
      coupl(nGC_13200) = coupl(nGC_369)*dytau_QED3 + coupl(nGC_371)*da_QED2
      coupl(nGC_13202) = coupl(nGC_12269)*dyup_QED3
      coupl(nGC_13205) = coupl(nGC_12305)*dyt_QED1_QCD2
      coupl(nGC_13204) = coupl(nGC_12388)*dyc_QED3
      coupl(nGC_18754) = coupl(nGC_111)*dZHhHl_QED2/2d0 + coupl(nGC_119)*      &
                         dZHl_QED2/2d0 + coupl(nGC_13137)
      coupl(nGC_13206) = coupl(nGC_12305)*dyt_QED3
      coupl(nGC_13209) = coupl(nGC_12505)*dyc_QED1_QCD2
      coupl(nGC_13208) = coupl(nGC_12271)*dyup_QED3 + coupl(nGC_12272)*da_QED2
      coupl(nGC_18758) = coupl(nGC_13118) + coupl(nGC_29)*dZHlHh_QED2 + coupl( &
                         nGC_31)*dZHh_QED2
      coupl(nGC_20569) = coupl(nGC_13157) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_19627) = coupl(nGC_136)*dZZA_QED2/2d0
      coupl(nGC_13065) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(&
                         nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123&
                         )*coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi&
                         **2d0*Nc)
      coupl(nGC_20763) = coupl(nGC_13344) + coupl(nGC_TS_GC_203_Hh) + coupl(   &
                         nGC_TS_GC_204_Hl)
      coupl(nGC_20764) = coupl(nGC_20755) + coupl(nGC_20763)
      coupl(nGC_20765) = coupl(nGC_13345) + coupl(nGC_20756)
      coupl(nGC_TS_GC_82_Hh) = -coupl(nGC_82)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_147_Hh) = -coupl(nGC_147)*dtHh_QED1/cMHH**2d0
      coupl(nGC_23789) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_19970) = coupl(nGC_19966) + coupl(nGC_19969)
      coupl(nGC_20172) = coupl(nGC_13332) + coupl(nGC_MHL)*dZHl_QED2 + coupl(  &
                         nGC_TS_GC_190_Hl) + coupl(nGC_TS_GC_192_Hh)
      coupl(nGC_19386) = coupl(nGC_103)*dZZA_QED2/2d0 + coupl(nGC_13227) +     &
                         coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_12895) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -   &
                         coupl(nGC_1543)**2d0*coupl(nGC_199) - coupl(nGC_197)* &
                         coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_199)**3d0 + &
                         8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 - coupl(nGC_199)*&
                         coupl(nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20284) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusR_QED2
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
