!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_20283) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusL_QED2
      coupl(nGC_18802) = coupl(nGC_13186) + coupl(nGC_215)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_216)*dZHl_QED2/2d0
      coupl(nGC_21048) = coupl(nGC_13141) + 3d0*coupl(nGC_189)*dZHlHh_QED2/2d0 &
                          + 3d0*coupl(nGC_191)*dZHh_QED2/2d0 + coupl(          &
                         nGC_TS_GC_33_Hl) + coupl(nGC_TS_GC_35_Hh)
      coupl(nGC_20885) = coupl(nGC_13142) + coupl(nGC_189)*dZHhHl_QED2 + coupl(&
                         nGC_190)*dZHlHh_QED2/2d0 + coupl(nGC_192)*dZHh_QED2/  &
                         2d0 + coupl(nGC_192)*dZHl_QED2 + coupl(nGC_TS_GC_32_Hl&
                         ) + coupl(nGC_TS_GC_36_Hh)
      coupl(nGC_18741) = -coupl(nGC_13206) - coupl(nGC_18737)
      coupl(nGC_TS_GC_29_Hl) = -coupl(nGC_29)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19913) = coupl(nGC_116)*dZAZ_QED2
      coupl(nGC_19198) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
      coupl(nGC_20136) = coupl(nGC_13338) + coupl(nGC_TS_GC_227_Hh) + coupl(   &
                         nGC_TS_GC_228_Hl)
      coupl(nGC_19314) = coupl(nGC_13191) + coupl(nGC_221)*dZnu_tauL_QED2/2d0  &
                          + coupl(nGC_221)*dZtauMinusR_QED2/2d0
      coupl(nGC_19688) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_18937) = coupl(nGC_207)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_20578) = 2d0*coupl(nGC_20569)
      coupl(nGC_TS_GC_118_Hl) = -coupl(nGC_118)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13010) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + 4d0*coupl&
                         (nGC_2)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_226)*  &
                         coupl(nGC_637) + coupl(nGC_227)**2d0 + coupl(nGC_228  &
                         )**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13011) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + 4d0*coupl&
                         (nGC_2)**2d0 + coupl(nGC_225)**2d0 + coupl(nGC_226)*  &
                         coupl(nGC_637) + coupl(nGC_227)**2d0 + coupl(nGC_228  &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_13012) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 - &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_201)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_213)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_217)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_225)**2d0 +   &
                         5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(   &
                         nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*&
                         coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                         coupl(nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_2)*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_2)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*coupl( &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_225)**2d0 - 4d0*Nc*cima*&
                         coupl(nGC_193)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_197)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_213)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_225)**2d0 - 4d0*cima*coupl&
                         (nGC_205)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(    &
                         nGC_209)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(     &
                         nGC_221)**2d0*coupl(nGC_4)**2d0 + 3d0*cima*coupl(     &
                         nGC_71)*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(   &
                         nGC_71) + 3d0*coupl(nGC_643)**2d0*coupl(nGC_71))/(24d0&
                         *pi**2d0)
      coupl(nGC_13016) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 - &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_204)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_216)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_200)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_220)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_228)**2d0 -   &
                         2d0*cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 - 2d0* &
                         cima*coupl(nGC_212)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*&
                         coupl(nGC_224)**2d0*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_9)*coupl(nGC_96) + coupl(nGC_3)**2d0*coupl(nGC_96 &
                         ) + coupl(nGC_643)**2d0*coupl(nGC_96))/(8d0*pi**2d0)
      coupl(nGC_13018) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)**2d0 - &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_215)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_199)**2d0*coupl(nGC_2)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_219)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_227)**2d0 -   &
                         2d0*cima*coupl(nGC_207)**2d0*coupl(nGC_4)**2d0 - 2d0* &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*&
                         coupl(nGC_223)**2d0*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_82)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_82 &
                         ) + coupl(nGC_643)**2d0*coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_19290) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_19759) = coupl(nGC_19)*dZbR_QCD2
      coupl(nGC_19758) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_18976) = coupl(nGC_123)*dZcR_QCD2
      coupl(nGC_19910) = -coupl(nGC_19627)
      coupl(nGC_19751) = coupl(nGC_130)*dZHhHl_QED2/2d0 + coupl(nGC_13245) +   &
                         coupl(nGC_136)*dZHl_QED2/2d0 + coupl(nGC_136)*dZZ_QED2&
                         /2d0
      coupl(nGC_12945) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*&
                         coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*  &
                         coupl(nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) - &
                         coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12944) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*&
                         coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_227)**2d0*  &
                         coupl(nGC_228) - coupl(nGC_228)**3d0 - coupl(nGC_228)*&
                         coupl(nGC_637)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12940) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -   &
                         coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*   &
                         coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0&
                         *coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220   &
                         ) - coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12943) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_1579)**2d0 - coupl(nGC_223)**2d0 - coupl(   &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12942) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(    &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19992) = coupl(nGC_13132) + coupl(nGC_93)*dZHhHl_QED2 + coupl( &
                         nGC_95)*dZHl_QED2
      coupl(nGC_TS_GC_147_Hl) = -coupl(nGC_147)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13064) = cima*(20d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_196)**2d0 &
                          + 20d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_200)**2d0 +  &
                         20d0*Nc*coupl(nGC_203)**2d0*coupl(nGC_204)**2d0 + 20d0&
                         *Nc*coupl(nGC_215)**2d0*coupl(nGC_216)**2d0 + 20d0*Nc*&
                         coupl(nGC_219)**2d0*coupl(nGC_220)**2d0 + 20d0*Nc*    &
                         coupl(nGC_227)**2d0*coupl(nGC_228)**2d0 + coupl(      &
                         nGC_145)*coupl(nGC_151) + 2d0*coupl(nGC_147)**2d0 +   &
                         20d0*coupl(nGC_207)**2d0*coupl(nGC_208)**2d0 + 20d0*  &
                         coupl(nGC_211)**2d0*coupl(nGC_212)**2d0 + 20d0*coupl( &
                         nGC_223)**2d0*coupl(nGC_224)**2d0 + 2d0*coupl(nGC_82)*&
                         coupl(nGC_96) + 4d0*coupl(nGC_92)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13066) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl( &
                         nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123&
                         )*coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi&
                         **2d0)
      coupl(nGC_13061) = cima*(20d0*Nc*coupl(nGC_195)**4d0 + 20d0*Nc*coupl(    &
                         nGC_199)**4d0 + 20d0*Nc*coupl(nGC_203)**4d0 + 20d0*Nc*&
                         coupl(nGC_215)**4d0 + 20d0*Nc*coupl(nGC_219)**4d0 +   &
                         20d0*Nc*coupl(nGC_227)**4d0 + 3d0*coupl(nGC_145)**2d0 &
                          + 20d0*coupl(nGC_207)**4d0 + 20d0*coupl(nGC_211)**4d0&
                          + 20d0*coupl(nGC_223)**4d0 + 6d0*coupl(nGC_82)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_13063) = cima*(20d0*Nc*coupl(nGC_195)**3d0*coupl(nGC_196) +    &
                         20d0*Nc*coupl(nGC_199)**3d0*coupl(nGC_200) + 20d0*Nc* &
                         coupl(nGC_203)**3d0*coupl(nGC_204) + 20d0*Nc*coupl(   &
                         nGC_215)**3d0*coupl(nGC_216) + 20d0*Nc*coupl(nGC_219  &
                         )**3d0*coupl(nGC_220) + 20d0*Nc*coupl(nGC_227)**3d0*  &
                         coupl(nGC_228) + 3d0*coupl(nGC_145)*coupl(nGC_147) +  &
                         20d0*coupl(nGC_207)**3d0*coupl(nGC_208) + 20d0*coupl( &
                         nGC_211)**3d0*coupl(nGC_212) + 20d0*coupl(nGC_223)**  &
                         3d0*coupl(nGC_224) + 6d0*coupl(nGC_82)*coupl(nGC_92   &
                         ))/(16d0*pi**2d0)
      coupl(nGC_19006) = coupl(nGC_13125) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl&
                         (nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHlHh_QED2/2d0&
                          + coupl(nGC_31)*dZHhHl_QED2/2d0
      coupl(nGC_13069) = cima*(20d0*Nc*coupl(nGC_195)*coupl(nGC_196)**3d0 +    &
                         20d0*Nc*coupl(nGC_199)*coupl(nGC_200)**3d0 + 20d0*Nc* &
                         coupl(nGC_203)*coupl(nGC_204)**3d0 + 20d0*Nc*coupl(   &
                         nGC_215)*coupl(nGC_216)**3d0 + 20d0*Nc*coupl(nGC_219)*&
                         coupl(nGC_220)**3d0 + 20d0*Nc*coupl(nGC_227)*coupl(   &
                         nGC_228)**3d0 + 3d0*coupl(nGC_147)*coupl(nGC_151) +   &
                         20d0*coupl(nGC_207)*coupl(nGC_208)**3d0 + 20d0*coupl( &
                         nGC_211)*coupl(nGC_212)**3d0 + 20d0*coupl(nGC_223)*   &
                         coupl(nGC_224)**3d0 + 6d0*coupl(nGC_92)*coupl(nGC_96  &
                         ))/(16d0*pi**2d0)
      coupl(nGC_18800) = coupl(nGC_216)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_18801) = coupl(nGC_13185) + coupl(nGC_18800)
      coupl(nGC_13249) = coupl(nGC_12435)*dcw_QED2 + coupl(nGC_12436)*dsw_QED2 &
                          + coupl(nGC_12437)*dZee_QED2
      coupl(nGC_13248) = coupl(nGC_12618)*dcw_QED2 + coupl(nGC_12619)*dZee_QED2&
                          + coupl(nGC_12620)*da_QED2
      coupl(nGC_13244) = coupl(nGC_12322)*dcw_QED2 + coupl(nGC_12323)*dsw_QED2 &
                          + coupl(nGC_12324)*dZee_QED2 + coupl(nGC_12325)*     &
                         da_QED2
      coupl(nGC_13247) = coupl(nGC_12581)*dcw_QED2 + coupl(nGC_12582)*dZee_QED2&
                          + coupl(nGC_12583)*da_QED2
      coupl(nGC_13246) = coupl(nGC_12376)*dcw_QED2 + coupl(nGC_12377)*dsw_QED2 &
                          + coupl(nGC_12378)*dZee_QED2
      coupl(nGC_13241) = coupl(nGC_12631)*dcw_QED2 + coupl(nGC_12632)*dsw_QED2 &
                          + coupl(nGC_12633)*dZee_QED2
      coupl(nGC_13240) = coupl(nGC_12451)*dZee_QED2
      coupl(nGC_13124) = coupl(nGC_12535)*dcw_QED2 + coupl(nGC_12536)*dsw_QED2 &
                          + coupl(nGC_12537)*dZee_QED2 + coupl(nGC_12538)*     &
                         da_QED2
      coupl(nGC_13089) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_13120) = coupl(nGC_12657)*da_QED2 + coupl(nGC_12658)*dl2_QED4  &
                          + coupl(nGC_12659)*dl1_QED4 + coupl(nGC_12660)*      &
                         dl3_QED4
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
