!******************************************************************************!
!                                                                              !
!    ctparameter157.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter157.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter157
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter157()
  if (dME_QED2_scheme .eq. 0) then
    dME_QED2 = (2d0*Ten395*cME*coupl(nGC_4)**2d0 + Ten396*cME*(-coupl(nGC_124  &
               )**2d0 + 4d0*coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_128)**2d0&
               ) + Ten397*cME*coupl(nGC_208)**2d0 + Ten398*cME*coupl(nGC_207)**&
               2d0 - 2d0*Ten399*cME*coupl(nGC_4)**2d0 + Ten400*cME*(coupl(     &
               nGC_205)**2d0 + 2d0*coupl(nGC_99)**2d0)/2d0 + Ten401*cME*(-coupl&
               (nGC_124)**2d0 - coupl(nGC_128)**2d0 + coupl(nGC_206)**2d0) -   &
               Ten402*cME*coupl(nGC_208)**2d0 - Ten403*cME*coupl(nGC_207)**2d0 &
                + pi**2d0*(cME*coupl(nGC_124)**2d0/(2d0*pi**2d0) - 2d0*cME*    &
               coupl(nGC_124)*coupl(nGC_128)/pi**2d0 + cME*coupl(nGC_128)**2d0 &
               /(2d0*pi**2d0) - cME*coupl(nGC_4)**2d0/pi**2d0 + cME*coupl(     &
               nGC_99)**2d0/(2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_208&
               )*dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_207)*dtHh_QED1/cMHH**2d0
    dME_QED2 = cone*real(dME_QED2,kind=dp)
  end if 
end subroutine set_ctparameter157
end module ctparameter157
