!******************************************************************************!
!                                                                              !
!    ctparameter29.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter29.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter29
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter29()
  if (dZmuMinusL_QED2_scheme .eq. 1) then
    dZmuMinusL_QED2 = (2d0*Ten432*coupl(nGC_4)**2d0 + 2d0*Ten433*coupl(nGC_128 &
                      )**2d0 + 2d0*Ten436*coupl(nGC_4)**2d0 - 2d0*Ten437*coupl(&
                      nGC_99)**2d0 + 2d0*Ten438*coupl(nGC_128)**2d0 - 4d0*     &
                      Ten443*cMM_reg**2d0*coupl(nGC_4)**2d0 + 4d0*Ten447*      &
                      cMM_reg**2d0*coupl(nGC_4)**2d0 + pi**2d0*(-coupl(nGC_128 &
                      )**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0 - coupl(nGC_99&
                      )**2d0/pi**2d0))/(16d0*pi**2d0)
    dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter29
end module ctparameter29
