!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19505])

      allocate(vertices(4247)%branchCT(0:0))
      call avCT(4247, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1586)%branchCT(0:0))
      call avCT(1586, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(4383)%branchCT(0:0))
      call avCT(4383, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4249)%branchCT(0:0))
      call avCT(4249, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4250)%branchCT(0:0))
      call avCT(4250, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1006)%branchCT(0:0))
      call avCT(1006, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(1746)%branchCT(0:1))
      call avCT(1746, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19814, nGC_19815])

      call avCT(1746, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19816, nGC_19817])

      allocate(vertices(4253)%branchCT(0:0))
      call avCT(4253, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_20285, nGC_20286])

      allocate(vertices(5083)%branchCT(0:0))
      call avCT(5083, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(1750)%branchCT(0:0))
      call avCT(1750, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19908])

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4256)%branchCT(0:0))
      call avCT(4256, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20050])

      allocate(vertices(4257)%branchCT(0:0))
      call avCT(4257, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(1559)%branchCT(0:0))
      call avCT(1559, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(1753)%branchCT(0:0))
      call avCT(1753, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1754)%branchCT(0:0))
      call avCT(1754, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_20685])

      allocate(vertices(4305)%branchCT(0:0))
      call avCT(4305, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1756)%branchCT(0:0))
      call avCT(1756, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20736])

      allocate(vertices(1757)%branchCT(0:0))
      call avCT(1757, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4263)%branchCT(0:0))
      call avCT(4263, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4264)%branchCT(0:0))
      call avCT(4264, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1760)%branchCT(0:0))
      call avCT(1760, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(1761)%branchCT(0:0))
      call avCT(1761, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19831, nGC_19832])

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4267)%branchCT(0:0))
      call avCT(4267, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4269)%branchCT(0:0))
      call avCT(4269, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1762)%branchCT(0:1))
      call avCT(1762, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19269, nGC_19269])

      call avCT(1762, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19271, nGC_19271])

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(1766)%branchCT(0:0))
      call avCT(1766, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4274)%branchCT(0:0))
      call avCT(4274, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(1237)%branchCT(0:0))
      call avCT(1237, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19950])

      allocate(vertices(1245)%branchCT(0:0))
      call avCT(1245, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19908])

      allocate(vertices(4861)%branchCT(0:0))
      call avCT(4861, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(957)%branchCT(0:0))
      call avCT(957, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4279)%branchCT(0:0))
      call avCT(4279, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20050])

      allocate(vertices(949)%branchCT(0:0))
      call avCT(949, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4280)%branchCT(0:1))
      call avCT(4280, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_22350, nGC_22347])

      call avCT(4280, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_22354, nGC_22355])

      allocate(vertices(4284)%branchCT(0:0))
      call avCT(4284, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4287)%branchCT(0:0))
      call avCT(4287, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19623])

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(4288)%branchCT(0:0))
      call avCT(4288, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4289)%branchCT(0:0))
      call avCT(4289, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_19852])

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4291)%branchCT(0:0))
      call avCT(4291, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_21888, nGC_21889])

      allocate(vertices(4292)%branchCT(0:0))
      call avCT(4292, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18990])

      allocate(vertices(2302)%branchCT(0:0))
      call avCT(2302, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4295)%branchCT(0:0))
      call avCT(4295, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(5084)%branchCT(0:0))
      call avCT(5084, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2387)%branchCT(0:0))
      call avCT(2387, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19450])

      allocate(vertices(1783)%branchCT(0:1))
      call avCT(1783, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_20503, nGC_20503])

      call avCT(1783, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_20501, nGC_20501])

      allocate(vertices(5085)%branchCT(0:0))
      call avCT(5085, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_21107])

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1785)%branchCT(0:0))
      call avCT(1785, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_18845])

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(4299)%branchCT(0:0))
      call avCT(4299, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4300)%branchCT(0:0))
      call avCT(4300, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_18923, nGC_18924])

      allocate(vertices(4301)%branchCT(0:0))
      call avCT(4301, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_23693])

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4303)%branchCT(0:0))
      call avCT(4303, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4654)%branchCT(0:0))
      call avCT(4654, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_20603, nGC_20604])

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_23801])

      allocate(vertices(4306)%branchCT(0:0))
      call avCT(4306, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2651)%branchCT(0:0))
      call avCT(2651, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1795)%branchCT(0:0))
      call avCT(1795, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4308)%branchCT(0:0))
      call avCT(4308, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(1407)%branchCT(0:0))
      call avCT(1407, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4310)%branchCT(0:0))
      call avCT(4310, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19138])

      allocate(vertices(3213)%branchCT(0:0))
      call avCT(3213, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1799)%branchCT(0:1))
      call avCT(1799, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_21556, nGC_21557])

      call avCT(1799, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_21547, nGC_21550])

      allocate(vertices(3504)%branchCT(0:0))
      call avCT(3504, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2630)%branchCT(0:0))
      call avCT(2630, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(5086)%branchCT(0:0))
      call avCT(5086, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_25884])

      allocate(vertices(3942)%branchCT(0:5))
      call avCT(3942, 0, 73, 6, 0, VUaUV0, 0, [4, 0], [nGC_20569])

      call avCT(3942, 1, 71, 6, 0, VUaUV0, 0, [4, 0], [nGC_20569])

      call avCT(3942, 2, 72, 6, 0, VUaUV0, 0, [4, 0], [nGC_20569])

      call avCT(3942, 3, 70, 6, 0, VUaUV0, 0, [4, 0], [nGC_20569])

      call avCT(3942, 4, 74, 7, 0, VUaUV0, 0, [4, 0], [nGC_20578])

      call avCT(3942, 5, 75, 7, 0, VUaUV0, 0, [4, 0], [nGC_20578])

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(4143)%branchCT(0:0))
      call avCT(4143, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3915)%branchCT(0:0))
      call avCT(3915, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1805)%branchCT(0:0))
      call avCT(1805, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1807)%branchCT(0:0))
      call avCT(1807, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20085, nGC_20086])

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(4324)%branchCT(0:0))
      call avCT(4324, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1810)%branchCT(0:1))
      call avCT(1810, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19554, nGC_19554])

      call avCT(1810, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19556, nGC_19556])

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13111])

      allocate(vertices(3816)%branchCT(0:1))
      call avCT(3816, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_20630, nGC_20631])

      call avCT(3816, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_20632, nGC_20633])

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18764])

      allocate(vertices(1015)%branchCT(0:1))
      call avCT(1015, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19165, nGC_19166])

      call avCT(1015, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19163, nGC_19164])

      allocate(vertices(4328)%branchCT(0:0))
      call avCT(4328, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1516)%branchCT(0:0))
      call avCT(1516, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1814)%branchCT(0:1))
      call avCT(1814, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_21556, nGC_21557])

      call avCT(1814, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_21547, nGC_21550])

      allocate(vertices(4330)%branchCT(0:0))
      call avCT(4330, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4331)%branchCT(0:0))
      call avCT(4331, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_23561])

      allocate(vertices(4334)%branchCT(0:0))
      call avCT(4334, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3597)%branchCT(0:0))
      call avCT(3597, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(4337)%branchCT(0:0))
      call avCT(4337, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19851])

      allocate(vertices(4339)%branchCT(0:0))
      call avCT(4339, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18820])

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(5087)%branchCT(0:0))
      call avCT(5087, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(1820)%branchCT(0:0))
      call avCT(1820, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4343)%branchCT(0:0))
      call avCT(4343, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4345)%branchCT(0:0))
      call avCT(4345, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3500)%branchCT(0:0))
      call avCT(3500, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(2342)%branchCT(0:0))
      call avCT(2342, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(1823)%branchCT(0:0))
      call avCT(1823, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19099])

      allocate(vertices(1825)%branchCT(0:1))
      call avCT(1825, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_21547, nGC_21550])

      call avCT(1825, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_21556, nGC_21557])

      allocate(vertices(4350)%branchCT(0:0))
      call avCT(4350, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1826)%branchCT(0:0))
      call avCT(1826, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22685])

      allocate(vertices(4352)%branchCT(0:0))
      call avCT(4352, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1481)%branchCT(0:0))
      call avCT(1481, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1829)%branchCT(0:0))
      call avCT(1829, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4358)%branchCT(0:0))
      call avCT(4358, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_20466])

      allocate(vertices(4359)%branchCT(0:0))
      call avCT(4359, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4360)%branchCT(0:1))
      call avCT(4360, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19049, nGC_19048])

      call avCT(4360, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19051, nGC_19050])

      allocate(vertices(4362)%branchCT(0:0))
      call avCT(4362, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_26349])

      allocate(vertices(4042)%branchCT(0:0))
      call avCT(4042, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1834)%branchCT(0:0))
      call avCT(1834, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4366)%branchCT(0:0))
      call avCT(4366, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(2247)%branchCT(0:0))
      call avCT(2247, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2359)%branchCT(0:1))
      call avCT(2359, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_20435, nGC_20436])

      call avCT(2359, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_20429, nGC_20432])

      allocate(vertices(5088)%branchCT(0:0))
      call avCT(5088, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(1836)%branchCT(0:0))
      call avCT(1836, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(4371)%branchCT(0:0))
      call avCT(4371, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18841])

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(2396)%branchCT(0:1))
      call avCT(2396, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_18866, nGC_18866])

      call avCT(2396, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_18868, nGC_18868])

      allocate(vertices(4883)%branchCT(0:0))
      call avCT(4883, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19921, nGC_19920,     &
      nGC_19920])

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3502)%branchCT(0:0))
      call avCT(3502, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1967)%branchCT(0:0))
      call avCT(1967, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4376)%branchCT(0:0))
      call avCT(4376, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4379)%branchCT(0:0))
      call avCT(4379, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3726)%branchCT(0:0))
      call avCT(3726, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18715])

      allocate(vertices(4382)%branchCT(0:0))
      call avCT(4382, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1851)%branchCT(0:0))
      call avCT(1851, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_21022, nGC_21022])

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(5089)%branchCT(0:0))
      call avCT(5089, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3970)%branchCT(0:0))
      call avCT(3970, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4386)%branchCT(0:0))
      call avCT(4386, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,     &
      nGC_18750])

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2182)%branchCT(0:0))
      call avCT(2182, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4387)%branchCT(0:0))
      call avCT(4387, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2252)%branchCT(0:0))
      call avCT(2252, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4390)%branchCT(0:0))
      call avCT(4390, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18715])

      allocate(vertices(1841)%branchCT(0:0))
      call avCT(1841, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4945)%branchCT(0:0))
      call avCT(4945, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4394)%branchCT(0:0))
      call avCT(4394, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1859)%branchCT(0:1))
      call avCT(1859, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19554, nGC_19554])

      call avCT(1859, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19556, nGC_19556])

      allocate(vertices(4395)%branchCT(0:0))
      call avCT(4395, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3094)%branchCT(0:0))
      call avCT(3094, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4396)%branchCT(0:0))
      call avCT(4396, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3075)%branchCT(0:0))
      call avCT(3075, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1863)%branchCT(0:0))
      call avCT(1863, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(1864)%branchCT(0:1))
      call avCT(1864, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_18741, nGC_18742])

      call avCT(1864, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_18739, nGC_18740])

      allocate(vertices(1865)%branchCT(0:0))
      call avCT(1865, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4402)%branchCT(0:0))
      call avCT(4402, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4403)%branchCT(0:0))
      call avCT(4403, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20123])

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19011])

      allocate(vertices(4408)%branchCT(0:0))
      call avCT(4408, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4410)%branchCT(0:0))
      call avCT(4410, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19562])

      allocate(vertices(1870)%branchCT(0:0))
      call avCT(1870, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(5090)%branchCT(0:0))
      call avCT(5090, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_19910])

      allocate(vertices(4412)%branchCT(0:0))
      call avCT(4412, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20085, nGC_20086])

      allocate(vertices(1872)%branchCT(0:0))
      call avCT(1872, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1880)%branchCT(0:1))
      call avCT(1880, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19165, nGC_19166])

      call avCT(1880, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19163, nGC_19164])

      allocate(vertices(5091)%branchCT(0:0))
      call avCT(5091, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19456])

      allocate(vertices(4413)%branchCT(0:0))
      call avCT(4413, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(2255)%branchCT(0:0))
      call avCT(2255, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(1875)%branchCT(0:0))
      call avCT(1875, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_23987])

      allocate(vertices(4416)%branchCT(0:0))
      call avCT(4416, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4418)%branchCT(0:0))
      call avCT(4418, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(4378)%branchCT(0:0))
      call avCT(4378, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4420)%branchCT(0:0))
      call avCT(4420, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_23144])

      allocate(vertices(4421)%branchCT(0:0))
      call avCT(4421, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(1743)%branchCT(0:0))
      call avCT(1743, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4422)%branchCT(0:0))
      call avCT(4422, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2256)%branchCT(0:0))
      call avCT(2256, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1717)%branchCT(0:0))
      call avCT(1717, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(1879)%branchCT(0:1))
      call avCT(1879, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_19339])

      call avCT(1879, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_19338])

      allocate(vertices(1944)%branchCT(0:0))
      call avCT(1944, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(4430)%branchCT(0:1))
      call avCT(4430, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_20435, nGC_20436])

      call avCT(4430, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_20429, nGC_20432])

      allocate(vertices(4431)%branchCT(0:0))
      call avCT(4431, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4432)%branchCT(0:0))
      call avCT(4432, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4433)%branchCT(0:0))
      call avCT(4433, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4434)%branchCT(0:3))
      call avCT(4434, 0, 120, 2, 0, FaVF0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(4434, 1, 120, 2, 0, FaVF0, 0, [3, 0], [nGC_20530, nGC_20531])

      call avCT(4434, 2, 121, 3, 0, FaVF0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(4434, 3, 121, 3, 0, FaVF0, 0, [3, 0], [nGC_20530, nGC_20531])

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1618)%branchCT(0:0))
      call avCT(1618, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_20339])

      allocate(vertices(1970)%branchCT(0:0))
      call avCT(1970, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4437)%branchCT(0:0))
      call avCT(4437, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19260])

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19920, nGC_19921,     &
      nGC_19920])

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1886)%branchCT(0:0))
      call avCT(1886, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_23144])

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1172)%branchCT(0:0))
      call avCT(1172, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4940)%branchCT(0:0))
      call avCT(4940, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(4440)%branchCT(0:0))
      call avCT(4440, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4441)%branchCT(0:1))
      call avCT(4441, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_19371])

      call avCT(4441, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_19370])

      allocate(vertices(2019)%branchCT(0:0))
      call avCT(2019, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19232])

      allocate(vertices(3286)%branchCT(0:0))
      call avCT(3286, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2027)%branchCT(0:0))
      call avCT(2027, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19026,     &
      nGC_19027])

      allocate(vertices(4445)%branchCT(0:0))
      call avCT(4445, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_18882])

      allocate(vertices(3080)%branchCT(0:0))
      call avCT(3080, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_23144])

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(1893)%branchCT(0:0))
      call avCT(1893, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4449)%branchCT(0:1))
      call avCT(4449, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_18829])

      call avCT(4449, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_18828])

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4933)%branchCT(0:0))
      call avCT(4933, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(5092)%branchCT(0:1))
      call avCT(5092, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_27195, nGC_27187,     &
      nGC_27198, nGC_27198])

      call avCT(5092, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_27196, nGC_27188,     &
      nGC_27199, nGC_27199])

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3961)%branchCT(0:0))
      call avCT(3961, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4453)%branchCT(0:0))
      call avCT(4453, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(748)%branchCT(0:3))
      call avCT(748, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(748, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_19762, nGC_19763])

      call avCT(748, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(748, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_19762, nGC_19763])

      allocate(vertices(4737)%branchCT(0:0))
      call avCT(4737, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20312])

      allocate(vertices(2510)%branchCT(0:0))
      call avCT(2510, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4456)%branchCT(0:0))
      call avCT(4456, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4457)%branchCT(0:0))
      call avCT(4457, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19314])

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(5093)%branchCT(0:0))
      call avCT(5093, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19857])

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_23693])

      allocate(vertices(4459)%branchCT(0:0))
      call avCT(4459, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4461)%branchCT(0:0))
      call avCT(4461, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(4462)%branchCT(0:0))
      call avCT(4462, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1902)%branchCT(0:1))
      call avCT(1902, 0, 96, 4, 0, UUaV0, 0, [3, 0], [nGC_20268])

      call avCT(1902, 1, 97, 5, 0, UUaV0, 0, [3, 0], [nGC_20268])

      allocate(vertices(2128)%branchCT(0:0))
      call avCT(2128, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4465)%branchCT(0:0))
      call avCT(4465, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_20339])

      allocate(vertices(4466)%branchCT(0:0))
      call avCT(4466, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19260])

      allocate(vertices(4239)%branchCT(0:0))
      call avCT(4239, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2142)%branchCT(0:0))
      call avCT(2142, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(4469)%branchCT(0:0))
      call avCT(4469, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(1681)%branchCT(0:0))
      call avCT(1681, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1910)%branchCT(0:0))
      call avCT(1910, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19183])

      allocate(vertices(1911)%branchCT(0:0))
      call avCT(1911, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3200)%branchCT(0:0))
      call avCT(3200, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20201])

      allocate(vertices(2172)%branchCT(0:0))
      call avCT(2172, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1913)%branchCT(0:0))
      call avCT(1913, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_27296])

      allocate(vertices(4477)%branchCT(0:0))
      call avCT(4477, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4054)%branchCT(0:0))
      call avCT(4054, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13108])

      allocate(vertices(4479)%branchCT(0:0))
      call avCT(4479, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1915)%branchCT(0:0))
      call avCT(1915, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4481)%branchCT(0:0))
      call avCT(4481, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_18882])

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_20339])

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(5094)%branchCT(0:0))
      call avCT(5094, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19599])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1918)%branchCT(0:0))
      call avCT(1918, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_21122, nGC_21122])

      allocate(vertices(2637)%branchCT(0:0))
      call avCT(2637, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2676)%branchCT(0:0))
      call avCT(2676, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3651)%branchCT(0:0))
      call avCT(3651, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3966)%branchCT(0:1))
      call avCT(3966, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_20630, nGC_20631])

      call avCT(3966, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_20632, nGC_20633])

      allocate(vertices(4491)%branchCT(0:0))
      call avCT(4491, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(4492)%branchCT(0:1))
      call avCT(4492, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19357, nGC_19357])

      call avCT(4492, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19359, nGC_19359])

      allocate(vertices(1924)%branchCT(0:0))
      call avCT(1924, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3948)%branchCT(0:0))
      call avCT(3948, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(2660)%branchCT(0:0))
      call avCT(2660, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22573])

      allocate(vertices(1927)%branchCT(0:0))
      call avCT(1927, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19134])

      allocate(vertices(1928)%branchCT(0:0))
      call avCT(1928, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_23561])

      allocate(vertices(5095)%branchCT(0:1))
      call avCT(5095, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_20134, nGC_20126,    &
      nGC_20137, nGC_20137])

      call avCT(5095, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_20135, nGC_20127,    &
      nGC_20138, nGC_20138])

      allocate(vertices(1930)%branchCT(0:0))
      call avCT(1930, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(3480)%branchCT(0:0))
      call avCT(3480, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19562])

      allocate(vertices(2614)%branchCT(0:1))
      call avCT(2614, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_19125, nGC_19126])

      call avCT(2614, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_19118, nGC_19115])

      allocate(vertices(1932)%branchCT(0:0))
      call avCT(1932, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4498)%branchCT(0:0))
      call avCT(4498, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1935)%branchCT(0:0))
      call avCT(1935, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(4501)%branchCT(0:0))
      call avCT(4501, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_20603, nGC_20604])

      allocate(vertices(4502)%branchCT(0:0))
      call avCT(4502, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(2329)%branchCT(0:0))
      call avCT(2329, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2337)%branchCT(0:0))
      call avCT(2337, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(999)%branchCT(0:0))
      call avCT(999, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(4510)%branchCT(0:0))
      call avCT(4510, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(4513)%branchCT(0:0))
      call avCT(4513, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18723])

      allocate(vertices(2269)%branchCT(0:0))
      call avCT(2269, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(4516)%branchCT(0:0))
      call avCT(4516, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2394)%branchCT(0:0))
      call avCT(2394, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(5096)%branchCT(0:0))
      call avCT(5096, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19456])

      allocate(vertices(1943)%branchCT(0:0))
      call avCT(1943, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4519)%branchCT(0:0))
      call avCT(4519, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19232])

      allocate(vertices(4011)%branchCT(0:0))
      call avCT(4011, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1945)%branchCT(0:0))
      call avCT(1945, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_21888, nGC_21889])

      allocate(vertices(3971)%branchCT(0:0))
      call avCT(3971, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4524)%branchCT(0:3))
      call avCT(4524, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(4524, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_18955, nGC_18956])

      call avCT(4524, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(4524, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_18955, nGC_18956])

      allocate(vertices(2270)%branchCT(0:0))
      call avCT(2270, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2446)%branchCT(0:0))
      call avCT(2446, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1951)%branchCT(0:0))
      call avCT(1951, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_19386])

      allocate(vertices(2469)%branchCT(0:0))
      call avCT(2469, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19920, nGC_19921,     &
      nGC_19920])

      allocate(vertices(2811)%branchCT(0:1))
      call avCT(2811, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_23075, nGC_23075])

      call avCT(2811, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_23077, nGC_23077])

      allocate(vertices(4532)%branchCT(0:0))
      call avCT(4532, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4534)%branchCT(0:0))
      call avCT(4534, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4537)%branchCT(0:0))
      call avCT(4537, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22573])

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4539)%branchCT(0:0))
      call avCT(4539, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(4506)%branchCT(0:1))
      call avCT(4506, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19970, nGC_19970])

      call avCT(4506, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19968, nGC_19968])

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19134])

      allocate(vertices(4542)%branchCT(0:0))
      call avCT(4542, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2881)%branchCT(0:0))
      call avCT(2881, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4545)%branchCT(0:0))
      call avCT(4545, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1961)%branchCT(0:0))
      call avCT(1961, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(4551)%branchCT(0:0))
      call avCT(4551, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13112])

      allocate(vertices(1966)%branchCT(0:0))
      call avCT(1966, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1989)%branchCT(0:0))
      call avCT(1989, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4553)%branchCT(0:0))
      call avCT(4553, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4556)%branchCT(0:0))
      call avCT(4556, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19920, nGC_19921,     &
      nGC_19920])

      allocate(vertices(4436)%branchCT(0:0))
      call avCT(4436, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4558)%branchCT(0:0))
      call avCT(4558, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4252)%branchCT(0:0))
      call avCT(4252, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(1884)%branchCT(0:0))
      call avCT(1884, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18715])

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4559)%branchCT(0:0))
      call avCT(4559, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20706])

      allocate(vertices(2589)%branchCT(0:0))
      call avCT(2589, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1973)%branchCT(0:0))
      call avCT(1973, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(1974)%branchCT(0:0))
      call avCT(1974, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_18845])

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1976)%branchCT(0:0))
      call avCT(1976, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4562)%branchCT(0:0))
      call avCT(4562, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_21022, nGC_21022])

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1982)%branchCT(0:0))
      call avCT(1982, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2645)%branchCT(0:0))
      call avCT(2645, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19030])

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(961)%branchCT(0:0))
      call avCT(961, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4486)%branchCT(0:0))
      call avCT(4486, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1987)%branchCT(0:0))
      call avCT(1987, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(4574)%branchCT(0:0))
      call avCT(4574, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(4575)%branchCT(0:0))
      call avCT(4575, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20085, nGC_20086])

      allocate(vertices(3535)%branchCT(0:0))
      call avCT(3535, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1993)%branchCT(0:0))
      call avCT(1993, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20201])

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1941)%branchCT(0:0))
      call avCT(1941, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(3078)%branchCT(0:0))
      call avCT(3078, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19260])

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19505])

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(5097)%branchCT(0:0))
      call avCT(5097, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(4586)%branchCT(0:0))
      call avCT(4586, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2003)%branchCT(0:0))
      call avCT(2003, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_24050, nGC_24050])

      allocate(vertices(2004)%branchCT(0:0))
      call avCT(2004, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4589)%branchCT(0:0))
      call avCT(4589, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(4591)%branchCT(0:5))
      call avCT(4591, 0, 59, 6, 0, VVUUa0, 0, [4, 0], [nGC_20569])

      call avCT(4591, 1, 58, 6, 0, VVUUa0, 0, [4, 0], [nGC_20569])

      call avCT(4591, 2, 61, 6, 0, VVUUa0, 0, [4, 0], [nGC_20569])

      call avCT(4591, 3, 60, 6, 0, VVUUa0, 0, [4, 0], [nGC_20569])

      call avCT(4591, 4, 63, 7, 0, VVUUa0, 0, [4, 0], [nGC_20578])

      call avCT(4591, 5, 62, 7, 0, VVUUa0, 0, [4, 0], [nGC_20578])

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(4911)%branchCT(0:0))
      call avCT(4911, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13111])

      allocate(vertices(4592)%branchCT(0:0))
      call avCT(4592, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2007)%branchCT(0:0))
      call avCT(2007, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19314])

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4407)%branchCT(0:0))
      call avCT(4407, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2009)%branchCT(0:0))
      call avCT(2009, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4596)%branchCT(0:1))
      call avCT(4596, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19242, nGC_19243])

      call avCT(4596, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19244, nGC_19245])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2012)%branchCT(0:0))
      call avCT(2012, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2278)%branchCT(0:0))
      call avCT(2278, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4850)%branchCT(0:0))
      call avCT(4850, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4443)%branchCT(0:0))
      call avCT(4443, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19623])

      allocate(vertices(5098)%branchCT(0:0))
      call avCT(5098, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21752])

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18723])

      allocate(vertices(1926)%branchCT(0:1))
      call avCT(1926, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_22125, nGC_22125])

      call avCT(1926, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_22127, nGC_22127])

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_23561])

      allocate(vertices(2023)%branchCT(0:0))
      call avCT(2023, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4605)%branchCT(0:0))
      call avCT(4605, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_18923, nGC_18924])

      allocate(vertices(4606)%branchCT(0:0))
      call avCT(4606, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4607)%branchCT(0:1))
      call avCT(4607, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_18866, nGC_18866])

      call avCT(4607, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_18868, nGC_18868])

      allocate(vertices(5099)%branchCT(0:0))
      call avCT(5099, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_21672, nGC_21671])

      allocate(vertices(2026)%branchCT(0:1))
      call avCT(2026, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_20631, nGC_20630])

      call avCT(2026, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_20633, nGC_20632])

      allocate(vertices(4444)%branchCT(0:0))
      call avCT(4444, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(4609)%branchCT(0:0))
      call avCT(4609, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3706)%branchCT(0:0))
      call avCT(3706, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3990)%branchCT(0:0))
      call avCT(3990, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19134])

      allocate(vertices(4613)%branchCT(0:1))
      call avCT(4613, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_18801, nGC_18801])

      call avCT(4613, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_18803, nGC_18803])

      allocate(vertices(4614)%branchCT(0:0))
      call avCT(4614, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(4370)%branchCT(0:1))
      call avCT(4370, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19897, nGC_19898])

      call avCT(4370, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19890, nGC_19893])

      allocate(vertices(2031)%branchCT(0:1))
      call avCT(2031, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19199, nGC_19200])

      call avCT(2031, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19190, nGC_19193])

      allocate(vertices(3028)%branchCT(0:0))
      call avCT(3028, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(2033)%branchCT(0:0))
      call avCT(2033, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4618)%branchCT(0:0))
      call avCT(4618, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19260])

      allocate(vertices(5100)%branchCT(0:0))
      call avCT(5100, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19599])

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19920, nGC_19920,     &
      nGC_19921])

      allocate(vertices(4620)%branchCT(0:0))
      call avCT(4620, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(4621)%branchCT(0:0))
      call avCT(4621, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4622)%branchCT(0:0))
      call avCT(4622, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_27296])

      allocate(vertices(3992)%branchCT(0:0))
      call avCT(3992, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(4624)%branchCT(0:0))
      call avCT(4624, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4625)%branchCT(0:0))
      call avCT(4625, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20201])

      allocate(vertices(117)%branchCT(0:0))
      call avCT(117, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4083)%branchCT(0:0))
      call avCT(4083, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4626)%branchCT(0:0))
      call avCT(4626, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20706])

      allocate(vertices(4627)%branchCT(0:0))
      call avCT(4627, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_27296])

      allocate(vertices(4628)%branchCT(0:0))
      call avCT(4628, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3994)%branchCT(0:0))
      call avCT(3994, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2980)%branchCT(0:0))
      call avCT(2980, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(2042)%branchCT(0:0))
      call avCT(2042, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_23801])

      allocate(vertices(4633)%branchCT(0:0))
      call avCT(4633, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2043)%branchCT(0:0))
      call avCT(2043, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20096])

      allocate(vertices(4634)%branchCT(0:0))
      call avCT(4634, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_23094])

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4638)%branchCT(0:0))
      call avCT(4638, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20201])

      allocate(vertices(4639)%branchCT(0:0))
      call avCT(4639, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(4640)%branchCT(0:0))
      call avCT(4640, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(4641)%branchCT(0:0))
      call avCT(4641, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(2048)%branchCT(0:0))
      call avCT(2048, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19486, nGC_19486])

      allocate(vertices(3036)%branchCT(0:0))
      call avCT(3036, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(5101)%branchCT(0:0))
      call avCT(5101, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_25884])

      allocate(vertices(4644)%branchCT(0:0))
      call avCT(4644, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(2050)%branchCT(0:0))
      call avCT(2050, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19099])

      allocate(vertices(4645)%branchCT(0:0))
      call avCT(4645, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_20339])

      allocate(vertices(4241)%branchCT(0:0))
      call avCT(4241, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4647)%branchCT(0:0))
      call avCT(4647, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4649)%branchCT(0:0))
      call avCT(4649, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_18882])

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19618])

      allocate(vertices(4652)%branchCT(0:0))
      call avCT(4652, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_24050, nGC_24050])

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(5102)%branchCT(0:1))
      call avCT(5102, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_27977, nGC_27973,    &
      nGC_27980, nGC_27980])

      call avCT(5102, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_27978, nGC_27974,    &
      nGC_27981, nGC_27981])

      allocate(vertices(5103)%branchCT(0:1))
      call avCT(5103, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_27195, nGC_27187,    &
      nGC_27198, nGC_27198])

      call avCT(5103, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_27196, nGC_27188,    &
      nGC_27199, nGC_27199])

      allocate(vertices(2058)%branchCT(0:1))
      call avCT(2058, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19814, nGC_19815])

      call avCT(2058, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19816, nGC_19817])

      allocate(vertices(4655)%branchCT(0:0))
      call avCT(4655, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2168)%branchCT(0:0))
      call avCT(2168, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(5104)%branchCT(0:0))
      call avCT(5104, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_22820, nGC_22818,     &
      nGC_22822, nGC_22822])

      allocate(vertices(2062)%branchCT(0:1))
      call avCT(2062, 0, 2, 4, 0, VVV0, 0, [3, 0], [nGC_28018])

      call avCT(2062, 1, 3, 5, 0, VVV0, 0, [3, 0], [nGC_28018])

      allocate(vertices(4451)%branchCT(0:0))
      call avCT(4451, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(4664)%branchCT(0:0))
      call avCT(4664, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(2032)%branchCT(0:0))
      call avCT(2032, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(4666)%branchCT(0:0))
      call avCT(4666, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4667)%branchCT(0:1))
      call avCT(4667, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_23075, nGC_23075])

      call avCT(4667, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_23077, nGC_23077])

      allocate(vertices(4669)%branchCT(0:0))
      call avCT(4669, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20201])

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(4672)%branchCT(0:0))
      call avCT(4672, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19027, nGC_19026,     &
      nGC_19026])

      allocate(vertices(4673)%branchCT(0:0))
      call avCT(4673, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4676)%branchCT(0:0))
      call avCT(4676, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4901)%branchCT(0:1))
      call avCT(4901, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_20548, nGC_20549])

      call avCT(4901, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_20550, nGC_20551])

      allocate(vertices(5105)%branchCT(0:0))
      call avCT(5105, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3195)%branchCT(0:0))
      call avCT(3195, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(5106)%branchCT(0:0))
      call avCT(5106, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_25884])

      allocate(vertices(4680)%branchCT(0:0))
      call avCT(4680, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4682)%branchCT(0:0))
      call avCT(4682, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2847)%branchCT(0:0))
      call avCT(2847, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19996])

      allocate(vertices(4683)%branchCT(0:0))
      call avCT(4683, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4684)%branchCT(0:0))
      call avCT(4684, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19738, nGC_19739])

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4867)%branchCT(0:0))
      call avCT(4867, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2079)%branchCT(0:0))
      call avCT(2079, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19314])

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4685)%branchCT(0:0))
      call avCT(4685, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2082)%branchCT(0:1))
      call avCT(2082, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_19371])

      call avCT(2082, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_19370])

      allocate(vertices(3260)%branchCT(0:0))
      call avCT(3260, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(4687)%branchCT(0:0))
      call avCT(4687, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_20685])

      allocate(vertices(4688)%branchCT(0:0))
      call avCT(4688, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4164)%branchCT(0:0))
      call avCT(4164, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3275)%branchCT(0:0))
      call avCT(3275, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2088)%branchCT(0:1))
      call avCT(2088, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22125, nGC_22125])

      call avCT(2088, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22127, nGC_22127])

      allocate(vertices(2089)%branchCT(0:0))
      call avCT(2089, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4691)%branchCT(0:0))
      call avCT(4691, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19418, nGC_19419])

      allocate(vertices(4692)%branchCT(0:0))
      call avCT(4692, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19505])

      allocate(vertices(4695)%branchCT(0:0))
      call avCT(4695, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(4810)%branchCT(0:0))
      call avCT(4810, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3121)%branchCT(0:0))
      call avCT(3121, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(3331)%branchCT(0:0))
      call avCT(3331, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1895)%branchCT(0:0))
      call avCT(1895, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(4700)%branchCT(0:0))
      call avCT(4700, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2095)%branchCT(0:0))
      call avCT(2095, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_26349])

      allocate(vertices(4701)%branchCT(0:0))
      call avCT(4701, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2096)%branchCT(0:0))
      call avCT(2096, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4704)%branchCT(0:0))
      call avCT(4704, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4705)%branchCT(0:0))
      call avCT(4705, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3745)%branchCT(0:0))
      call avCT(3745, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4708)%branchCT(0:0))
      call avCT(4708, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2100)%branchCT(0:0))
      call avCT(2100, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18841])

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3555)%branchCT(0:0))
      call avCT(3555, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2104)%branchCT(0:0))
      call avCT(2104, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3573)%branchCT(0:1))
      call avCT(3573, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19243, nGC_19242])

      call avCT(3573, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19245, nGC_19244])

      allocate(vertices(4496)%branchCT(0:1))
      call avCT(4496, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_18829])

      call avCT(4496, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_18828])

      allocate(vertices(3124)%branchCT(0:0))
      call avCT(3124, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2106)%branchCT(0:0))
      call avCT(2106, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19027, nGC_19026,     &
      nGC_19026])

      allocate(vertices(1821)%branchCT(0:0))
      call avCT(1821, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3438)%branchCT(0:0))
      call avCT(3438, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4010)%branchCT(0:0))
      call avCT(4010, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4712)%branchCT(0:0))
      call avCT(4712, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19173])

      allocate(vertices(4713)%branchCT(0:0))
      call avCT(4713, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18764])

      allocate(vertices(2338)%branchCT(0:0))
      call avCT(2338, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4714)%branchCT(0:0))
      call avCT(4714, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19173])

      allocate(vertices(4715)%branchCT(0:0))
      call avCT(4715, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19260])

      allocate(vertices(4736)%branchCT(0:0))
      call avCT(4736, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4716)%branchCT(0:0))
      call avCT(4716, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2111)%branchCT(0:1))
      call avCT(2111, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19125, nGC_19126])

      call avCT(2111, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19118, nGC_19115])

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19618])

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_24050, nGC_24050])

      allocate(vertices(2115)%branchCT(0:0))
      call avCT(2115, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19505])

      allocate(vertices(5107)%branchCT(0:0))
      call avCT(5107, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_20454, nGC_20449,     &
      nGC_20456, nGC_20456])

      allocate(vertices(2117)%branchCT(0:0))
      call avCT(2117, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3732)%branchCT(0:0))
      call avCT(3732, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_23693])

      allocate(vertices(4721)%branchCT(0:0))
      call avCT(4721, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_23693])

      allocate(vertices(2121)%branchCT(0:1))
      call avCT(2121, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20665, nGC_20665])

      call avCT(2121, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20667, nGC_20667])

      allocate(vertices(2986)%branchCT(0:0))
      call avCT(2986, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20059, nGC_20060,     &
      nGC_20059])

      allocate(vertices(4725)%branchCT(0:0))
      call avCT(4725, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2124)%branchCT(0:0))
      call avCT(2124, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4726)%branchCT(0:0))
      call avCT(4726, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(5108)%branchCT(0:0))
      call avCT(5108, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19857])

      allocate(vertices(1621)%branchCT(0:1))
      call avCT(1621, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19339])

      call avCT(1621, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19338])

      allocate(vertices(4730)%branchCT(0:0))
      call avCT(4730, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_20339])

      allocate(vertices(3024)%branchCT(0:1))
      call avCT(3024, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19404, nGC_19404])

      call avCT(3024, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19406, nGC_19406])

      allocate(vertices(4731)%branchCT(0:0))
      call avCT(4731, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(2201)%branchCT(0:0))
      call avCT(2201, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13108])

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4733)%branchCT(0:0))
      call avCT(4733, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4543)%branchCT(0:0))
      call avCT(4543, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2130)%branchCT(0:0))
      call avCT(2130, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(4738)%branchCT(0:0))
      call avCT(4738, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19011])

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4740)%branchCT(0:0))
      call avCT(4740, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(3564)%branchCT(0:0))
      call avCT(3564, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_23144])

      allocate(vertices(4742)%branchCT(0:0))
      call avCT(4742, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_26064])

      allocate(vertices(3613)%branchCT(0:0))
      call avCT(3613, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(4746)%branchCT(0:0))
      call avCT(4746, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(5109)%branchCT(0:0))
      call avCT(5109, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19627])

      allocate(vertices(3811)%branchCT(0:0))
      call avCT(3811, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_23987])

      allocate(vertices(2138)%branchCT(0:0))
      call avCT(2138, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19573])

      allocate(vertices(4675)%branchCT(0:0))
      call avCT(4675, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4752)%branchCT(0:0))
      call avCT(4752, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4500)%branchCT(0:0))
      call avCT(4500, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19099])

      allocate(vertices(4754)%branchCT(0:0))
      call avCT(4754, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20285, nGC_20286])

      allocate(vertices(1504)%branchCT(0:0))
      call avCT(1504, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2143)%branchCT(0:0))
      call avCT(2143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(1953)%branchCT(0:0))
      call avCT(1953, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4756)%branchCT(0:0))
      call avCT(4756, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(3677)%branchCT(0:0))
      call avCT(3677, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2146)%branchCT(0:0))
      call avCT(2146, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2376)%branchCT(0:0))
      call avCT(2376, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4759)%branchCT(0:1))
      call avCT(4759, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22354, nGC_22355])

      call avCT(4759, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22350, nGC_22347])

      allocate(vertices(3746)%branchCT(0:0))
      call avCT(3746, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4760)%branchCT(0:0))
      call avCT(4760, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19921, nGC_19920,     &
      nGC_19920])

      allocate(vertices(3047)%branchCT(0:3))
      call avCT(3047, 0, 24, 2, 0, VFaF0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(3047, 1, 24, 2, 0, VFaF0, 0, [3, 0], [nGC_20530, nGC_20531])

      call avCT(3047, 2, 25, 3, 0, VFaF0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(3047, 3, 25, 3, 0, VFaF0, 0, [3, 0], [nGC_20530, nGC_20531])

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(214)%branchCT(0:1))
      call avCT(214, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_21526, nGC_21527])

      call avCT(214, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_21524, nGC_21525])

      allocate(vertices(4531)%branchCT(0:0))
      call avCT(4531, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19011])

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18723])

      allocate(vertices(2151)%branchCT(0:1))
      call avCT(2151, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19968, nGC_19968])

      call avCT(2151, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19970, nGC_19970])

      allocate(vertices(2593)%branchCT(0:0))
      call avCT(2593, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4767)%branchCT(0:3))
      call avCT(4767, 0, 120, 2, 0, FaVF0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(4767, 1, 120, 2, 0, FaVF0, 0, [3, 0], [nGC_21451, nGC_21452])

      call avCT(4767, 2, 121, 3, 0, FaVF0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(4767, 3, 121, 3, 0, FaVF0, 0, [3, 0], [nGC_21451, nGC_21452])

      allocate(vertices(2305)%branchCT(0:0))
      call avCT(2305, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(4769)%branchCT(0:0))
      call avCT(4769, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4770)%branchCT(0:0))
      call avCT(4770, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2155)%branchCT(0:0))
      call avCT(2155, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3768)%branchCT(0:0))
      call avCT(3768, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2156)%branchCT(0:0))
      call avCT(2156, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20085, nGC_20086])

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1968)%branchCT(0:0))
      call avCT(1968, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3320)%branchCT(0:0))
      call avCT(3320, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(3103)%branchCT(0:0))
      call avCT(3103, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4778)%branchCT(0:0))
      call avCT(4778, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13108])

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4780)%branchCT(0:0))
      call avCT(4780, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(3135)%branchCT(0:0))
      call avCT(3135, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(2165)%branchCT(0:3))
      call avCT(2165, 0, 123, 3, 0, FVFa1, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(2165, 1, 123, 3, 0, FVFa1, 0, [3, 0], [nGC_21451, nGC_21452])

      call avCT(2165, 2, 122, 2, 0, FVFa1, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(2165, 3, 122, 2, 0, FVFa1, 0, [3, 0], [nGC_21451, nGC_21452])

      allocate(vertices(2167)%branchCT(0:0))
      call avCT(2167, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4782)%branchCT(0:0))
      call avCT(4782, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2169)%branchCT(0:0))
      call avCT(2169, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(5110)%branchCT(0:1))
      call avCT(5110, 0, 16, 8, 0, VV2, 0, [2, 0], [nGC_28546, nGC_28545])

      call avCT(5110, 1, 15, 1, 0, VV2, 0, [2, 0], [nGC_28546, nGC_28545])

      allocate(vertices(4474)%branchCT(0:0))
      call avCT(4474, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(4522)%branchCT(0:0))
      call avCT(4522, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19921, nGC_19920,     &
      nGC_19920])

      allocate(vertices(4785)%branchCT(0:0))
      call avCT(4785, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(5111)%branchCT(0:0))
      call avCT(5111, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_22939, nGC_22933,      &
      nGC_22938])

      allocate(vertices(4788)%branchCT(0:1))
      call avCT(4788, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_20550, nGC_20551])

      call avCT(4788, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_20548, nGC_20549])

      allocate(vertices(2174)%branchCT(0:0))
      call avCT(2174, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4791)%branchCT(0:0))
      call avCT(4791, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18715])

      allocate(vertices(2176)%branchCT(0:0))
      call avCT(2176, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19314])

      allocate(vertices(4793)%branchCT(0:0))
      call avCT(4793, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19573])

      allocate(vertices(4794)%branchCT(0:0))
      call avCT(4794, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4470)%branchCT(0:0))
      call avCT(4470, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2180)%branchCT(0:0))
      call avCT(2180, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_23693])

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20593])

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2869)%branchCT(0:0))
      call avCT(2869, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(5112)%branchCT(0:0))
      call avCT(5112, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(2184)%branchCT(0:1))
      call avCT(2184, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_22354, nGC_22355])

      call avCT(2184, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_22350, nGC_22347])

      allocate(vertices(4801)%branchCT(0:0))
      call avCT(4801, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2475)%branchCT(0:0))
      call avCT(2475, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13108])

      allocate(vertices(4802)%branchCT(0:0))
      call avCT(4802, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(4168)%branchCT(0:0))
      call avCT(4168, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19134])

      allocate(vertices(2067)%branchCT(0:0))
      call avCT(2067, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4804)%branchCT(0:0))
      call avCT(4804, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4805)%branchCT(0:1))
      call avCT(4805, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_19371])

      call avCT(4805, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_19370])

      allocate(vertices(4225)%branchCT(0:0))
      call avCT(4225, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3964)%branchCT(0:0))
      call avCT(3964, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,     &
      nGC_18750])

      allocate(vertices(4809)%branchCT(0:0))
      call avCT(4809, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3139)%branchCT(0:0))
      call avCT(3139, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4811)%branchCT(0:0))
      call avCT(4811, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19562])

      allocate(vertices(2059)%branchCT(0:0))
      call avCT(2059, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19138])

      allocate(vertices(2193)%branchCT(0:0))
      call avCT(2193, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4517)%branchCT(0:0))
      call avCT(4517, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(2195)%branchCT(0:0))
      call avCT(2195, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19623])

      allocate(vertices(4814)%branchCT(0:1))
      call avCT(4814, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_19125, nGC_19126])

      call avCT(4814, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_19118, nGC_19115])

      allocate(vertices(4948)%branchCT(0:0))
      call avCT(4948, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(2196)%branchCT(0:0))
      call avCT(2196, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4033)%branchCT(0:0))
      call avCT(4033, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4480)%branchCT(0:0))
      call avCT(4480, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2198)%branchCT(0:0))
      call avCT(2198, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4050)%branchCT(0:0))
      call avCT(4050, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(4031)%branchCT(0:0))
      call avCT(4031, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(5113)%branchCT(0:0))
      call avCT(5113, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21797])

      allocate(vertices(4823)%branchCT(0:0))
      call avCT(4823, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(5114)%branchCT(0:1))
      call avCT(5114, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_23793, nGC_23789,     &
      nGC_23796, nGC_23796])

      call avCT(5114, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_23794, nGC_23790,     &
      nGC_23797, nGC_23797])

      allocate(vertices(4827)%branchCT(0:0))
      call avCT(4827, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13111])

      allocate(vertices(4484)%branchCT(0:0))
      call avCT(4484, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_20339])

      allocate(vertices(4828)%branchCT(0:0))
      call avCT(4828, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_20096])

      allocate(vertices(4088)%branchCT(0:0))
      call avCT(4088, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18723])

      allocate(vertices(4831)%branchCT(0:3))
      call avCT(4831, 0, 123, 3, 0, FVFa1, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(4831, 1, 123, 3, 0, FVFa1, 0, [3, 0], [nGC_19472, nGC_19473])

      call avCT(4831, 2, 122, 2, 0, FVFa1, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(4831, 3, 122, 2, 0, FVFa1, 0, [3, 0], [nGC_19472, nGC_19473])

      allocate(vertices(2208)%branchCT(0:0))
      call avCT(2208, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_23144])

      allocate(vertices(1162)%branchCT(0:0))
      call avCT(1162, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19418, nGC_19419])

      allocate(vertices(4836)%branchCT(0:0))
      call avCT(4836, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(3227)%branchCT(0:0))
      call avCT(3227, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2582)%branchCT(0:0))
      call avCT(2582, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_18882])

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4842)%branchCT(0:1))
      call avCT(4842, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19339])

      call avCT(4842, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19338])

      allocate(vertices(2215)%branchCT(0:1))
      call avCT(2215, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19794, nGC_19795])

      call avCT(2215, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19791, nGC_19787])

      allocate(vertices(4156)%branchCT(0:0))
      call avCT(4156, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20060, nGC_20059,     &
      nGC_20059])

      allocate(vertices(2216)%branchCT(0:0))
      call avCT(2216, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(2218)%branchCT(0:0))
      call avCT(2218, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19057])

      allocate(vertices(4173)%branchCT(0:0))
      call avCT(4173, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4181)%branchCT(0:0))
      call avCT(4181, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19908])

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20059, nGC_20059,     &
      nGC_20060])

      allocate(vertices(1776)%branchCT(0:1))
      call avCT(1776, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20501, nGC_20501])

      call avCT(1776, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20503, nGC_20503])

      allocate(vertices(2223)%branchCT(0:0))
      call avCT(2223, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2225)%branchCT(0:0))
      call avCT(2225, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4217)%branchCT(0:0))
      call avCT(4217, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,     &
      nGC_18750])

      allocate(vertices(4226)%branchCT(0:0))
      call avCT(4226, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(2231)%branchCT(0:0))
      call avCT(2231, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4856)%branchCT(0:0))
      call avCT(4856, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_18942, nGC_18942])

      allocate(vertices(2232)%branchCT(0:0))
      call avCT(2232, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4508)%branchCT(0:0))
      call avCT(4508, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4858)%branchCT(0:0))
      call avCT(4858, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4282)%branchCT(0:0))
      call avCT(4282, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20050])

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(4864)%branchCT(0:0))
      call avCT(4864, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20736])

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(5115)%branchCT(0:0))
      call avCT(5115, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19857])

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4236)%branchCT(0:0))
      call avCT(4236, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19831, nGC_19832])

      allocate(vertices(2239)%branchCT(0:0))
      call avCT(2239, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2240)%branchCT(0:0))
      call avCT(2240, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19843])

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4326)%branchCT(0:0))
      call avCT(4326, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(122)%branchCT(0:1))
      call avCT(122, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_18829])

      call avCT(122, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_18828])

      allocate(vertices(2241)%branchCT(0:0))
      call avCT(2241, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19831, nGC_19832])

      allocate(vertices(4872)%branchCT(0:1))
      call avCT(4872, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19890, nGC_19893])

      call avCT(4872, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19897, nGC_19898])

      allocate(vertices(2315)%branchCT(0:0))
      call avCT(2315, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(5116)%branchCT(0:1))
      call avCT(5116, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_27977, nGC_27973,     &
      nGC_27980, nGC_27980])

      call avCT(5116, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_27978, nGC_27974,     &
      nGC_27981, nGC_27981])

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3530)%branchCT(0:0))
      call avCT(3530, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2194)%branchCT(0:0))
      call avCT(2194, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(2246)%branchCT(0:1))
      call avCT(2246, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19048, nGC_19049])

      call avCT(2246, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19050, nGC_19051])

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2455)%branchCT(0:0))
      call avCT(2455, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(5117)%branchCT(0:0))
      call avCT(5117, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_23565])

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_26064])

      allocate(vertices(1546)%branchCT(0:0))
      call avCT(1546, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(4877)%branchCT(0:0))
      call avCT(4877, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_19486, nGC_19486])

      allocate(vertices(3427)%branchCT(0:0))
      call avCT(3427, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13117])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4404)%branchCT(0:0))
      call avCT(4404, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(4653)%branchCT(0:0))
      call avCT(4653, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4490)%branchCT(0:0))
      call avCT(4490, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(4880)%branchCT(0:0))
      call avCT(4880, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4881)%branchCT(0:1))
      call avCT(4881, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_18866, nGC_18866])

      call avCT(4881, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_18868, nGC_18868])

      allocate(vertices(4882)%branchCT(0:0))
      call avCT(4882, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2257)%branchCT(0:0))
      call avCT(2257, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(4435)%branchCT(0:0))
      call avCT(4435, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4885)%branchCT(0:0))
      call avCT(4885, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4587)%branchCT(0:1))
      call avCT(4587, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_21779, nGC_21779])

      call avCT(4587, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_21781, nGC_21781])

      allocate(vertices(4887)%branchCT(0:0))
      call avCT(4887, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4888)%branchCT(0:0))
      call avCT(4888, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1791)%branchCT(0:0))
      call avCT(1791, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_24419])

      allocate(vertices(4889)%branchCT(0:0))
      call avCT(4889, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3818)%branchCT(0:0))
      call avCT(3818, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4892)%branchCT(0:0))
      call avCT(4892, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2265)%branchCT(0:1))
      call avCT(2265, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_23077, nGC_23077])

      call avCT(2265, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_23075, nGC_23075])

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(4894)%branchCT(0:0))
      call avCT(4894, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(4897)%branchCT(0:0))
      call avCT(4897, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4898)%branchCT(0:0))
      call avCT(4898, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4899)%branchCT(0:0))
      call avCT(4899, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_18923, nGC_18924])

      allocate(vertices(4493)%branchCT(0:0))
      call avCT(4493, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20285, nGC_20286])

      allocate(vertices(5118)%branchCT(0:0))
      call avCT(5118, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19599])

      allocate(vertices(4902)%branchCT(0:0))
      call avCT(4902, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4903)%branchCT(0:1))
      call avCT(4903, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_20665, nGC_20665])

      call avCT(4903, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_20667, nGC_20667])

      allocate(vertices(4544)%branchCT(0:0))
      call avCT(4544, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4906)%branchCT(0:0))
      call avCT(4906, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4529)%branchCT(0:0))
      call avCT(4529, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_23094])

      allocate(vertices(2275)%branchCT(0:0))
      call avCT(2275, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4576)%branchCT(0:0))
      call avCT(4576, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2277)%branchCT(0:1))
      call avCT(2277, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_19299, nGC_19300])

      call avCT(2277, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_19293, nGC_19296])

      allocate(vertices(2433)%branchCT(0:0))
      call avCT(2433, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4909)%branchCT(0:0))
      call avCT(4909, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_21022, nGC_21022])

      allocate(vertices(4910)%branchCT(0:1))
      call avCT(4910, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20630, nGC_20631])

      call avCT(4910, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20632, nGC_20633])

      allocate(vertices(4904)%branchCT(0:0))
      call avCT(4904, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(5119)%branchCT(0:0))
      call avCT(5119, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_23995])

      allocate(vertices(1937)%branchCT(0:0))
      call avCT(1937, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4914)%branchCT(0:0))
      call avCT(4914, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18764])

    end subroutine fill_vertices_mdl10
end module vertices_info10
