!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(4800)%branch(0:0))
      call av(4800, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_113])

      allocate(vertices(4801)%branch(0:0))
      call av(4801, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_28])

      allocate(vertices(4802)%branch(0:0))
      call av(4802, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_73])

      allocate(vertices(4803)%branch(0:0))
      call av(4803, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4804)%branch(0:0))
      call av(4804, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4805)%branch(0:0))
      call av(4805, 0, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_99])

      allocate(vertices(4806)%branch(0:0))
      call av(4806, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_54])

      allocate(vertices(4807)%branch(0:0))
      call av(4807, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_61])

      allocate(vertices(4808)%branch(0:0))
      call av(4808, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_113, nGC_116, nGC_115])

      allocate(vertices(4809)%branch(0:0))
      call av(4809, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(4810)%branch(0:0))
      call av(4810, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_134])

      allocate(vertices(4811)%branch(0:0))
      call av(4811, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_5])

      allocate(vertices(4812)%branch(0:0))
      call av(4812, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_61])

      allocate(vertices(4813)%branch(0:0))
      call av(4813, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_89])

      allocate(vertices(4814)%branch(0:0))
      call av(4814, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(4815)%branch(0:0))
      call av(4815, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_111])

      allocate(vertices(4816)%branch(0:0))
      call av(4816, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

      allocate(vertices(4817)%branch(0:0))
      call av(4817, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_146])

      allocate(vertices(4818)%branch(0:0))
      call av(4818, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_96])

      allocate(vertices(4819)%branch(0:0))
      call av(4819, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_114])

      allocate(vertices(4820)%branch(0:0))
      call av(4820, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_160])

      allocate(vertices(4821)%branch(0:0))
      call av(4821, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_96])

      allocate(vertices(4822)%branch(0:0))
      call av(4822, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4823)%branch(0:0))
      call av(4823, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4824)%branch(0:0))
      call av(4824, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_219, nGC_219])

      allocate(vertices(4825)%branch(0:0))
      call av(4825, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_112])

      allocate(vertices(4826)%branch(0:0))
      call av(4826, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_80])

      allocate(vertices(4827)%branch(0:0))
      call av(4827, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_9])

      allocate(vertices(4828)%branch(0:0))
      call av(4828, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_3343])

      allocate(vertices(4829)%branch(0:0))
      call av(4829, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_27])

      allocate(vertices(4830)%branch(0:0))
      call av(4830, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(4831)%branch(0:1))
      call av(4831, 0, 123, 3, 0, FVFa1, 0, [1, 0], [nGC_19, nGC_19])

      call av(4831, 1, 122, 2, 0, FVFa1, 0, [1, 0], [nGC_19, nGC_19])

      allocate(vertices(4832)%branch(0:0))
      call av(4832, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

      allocate(vertices(4833)%branch(0:0))
      call av(4833, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(4834)%branch(0:0))
      call av(4834, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_86])

      allocate(vertices(4835)%branch(0:0))
      call av(4835, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4836)%branch(0:0))
      call av(4836, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_120])

      allocate(vertices(4837)%branch(0:0))
      call av(4837, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_102])

      allocate(vertices(4838)%branch(0:0))
      call av(4838, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_94])

      allocate(vertices(4839)%branch(0:0))
      call av(4839, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_78])

      allocate(vertices(4840)%branch(0:0))
      call av(4840, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(4841)%branch(0:0))
      call av(4841, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_92])

      allocate(vertices(4842)%branch(0:0))
      call av(4842, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_99])

      allocate(vertices(4843)%branch(0:0))
      call av(4843, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_77])

      allocate(vertices(4844)%branch(0:0))
      call av(4844, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_115])

      allocate(vertices(4845)%branch(0:0))
      call av(4845, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_119])

      allocate(vertices(4846)%branch(0:0))
      call av(4846, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4847)%branch(0:0))
      call av(4847, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_10])

      allocate(vertices(4848)%branch(0:0))
      call av(4848, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_110])

      allocate(vertices(4849)%branch(0:0))
      call av(4849, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_122, nGC_125])

      allocate(vertices(4850)%branch(0:0))
      call av(4850, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_16])

      allocate(vertices(4851)%branch(0:0))
      call av(4851, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_224, nGC_224])

      allocate(vertices(4852)%branch(0:0))
      call av(4852, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_107])

      allocate(vertices(4853)%branch(0:0))
      call av(4853, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_28])

      allocate(vertices(4854)%branch(0:0))
      call av(4854, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_46])

      allocate(vertices(4855)%branch(0:0))
      call av(4855, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_114])

      allocate(vertices(4856)%branch(0:0))
      call av(4856, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_207, nGC_207])

      allocate(vertices(4857)%branch(0:0))
      call av(4857, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_223, nGC_223])

      allocate(vertices(4858)%branch(0:0))
      call av(4858, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_16])

      allocate(vertices(4859)%branch(0:0))
      call av(4859, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_2757])

      allocate(vertices(4860)%branch(0:0))
      call av(4860, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(4861)%branch(0:0))
      call av(4861, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_110])

      allocate(vertices(4862)%branch(0:0))
      call av(4862, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_182])

      allocate(vertices(4863)%branch(0:0))
      call av(4863, 0, 1, 1, 0, VUUa1, 0, [0, 1], [nGC_1253])

      allocate(vertices(4864)%branch(0:0))
      call av(4864, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_129])

      allocate(vertices(4865)%branch(0:0))
      call av(4865, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_64])

      allocate(vertices(4866)%branch(0:0))
      call av(4866, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_47])

      allocate(vertices(4867)%branch(0:0))
      call av(4867, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_83])

      allocate(vertices(4868)%branch(0:0))
      call av(4868, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_65])

      allocate(vertices(4869)%branch(0:0))
      call av(4869, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_55])

      allocate(vertices(4870)%branch(0:0))
      call av(4870, 0, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_122, nGC_125])

      allocate(vertices(4871)%branch(0:0))
      call av(4871, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_143])

      allocate(vertices(4872)%branch(0:0))
      call av(4872, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(4873)%branch(0:0))
      call av(4873, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_113, nGC_115, nGC_116])

      allocate(vertices(4874)%branch(0:0))
      call av(4874, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_14])

      allocate(vertices(4875)%branch(0:0))
      call av(4875, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_116, nGC_577, nGC_577])

      allocate(vertices(4876)%branch(0:0))
      call av(4876, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_91])

      allocate(vertices(4877)%branch(0:0))
      call av(4877, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_223, nGC_223])

      allocate(vertices(4878)%branch(0:0))
      call av(4878, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_107])

      allocate(vertices(4879)%branch(0:0))
      call av(4879, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_66])

      allocate(vertices(4880)%branch(0:0))
      call av(4880, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4881)%branch(0:0))
      call av(4881, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_199, nGC_199])

      allocate(vertices(4882)%branch(0:0))
      call av(4882, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_16])

      allocate(vertices(4883)%branch(0:0))
      call av(4883, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_85, nGC_84, nGC_84])

      allocate(vertices(4884)%branch(0:0))
      call av(4884, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_123, nGC_126])

      allocate(vertices(4885)%branch(0:0))
      call av(4885, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_70])

      allocate(vertices(4886)%branch(0:0))
      call av(4886, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_69])

      allocate(vertices(4887)%branch(0:0))
      call av(4887, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_107])

      allocate(vertices(4888)%branch(0:0))
      call av(4888, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_111])

      allocate(vertices(4889)%branch(0:0))
      call av(4889, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_119])

      allocate(vertices(4890)%branch(0:0))
      call av(4890, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_53])

      allocate(vertices(4891)%branch(0:0))
      call av(4891, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_147])

      allocate(vertices(4892)%branch(0:0))
      call av(4892, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_93])

      allocate(vertices(4893)%branch(0:0))
      call av(4893, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4894)%branch(0:0))
      call av(4894, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_107])

      allocate(vertices(4895)%branch(0:1))
      call av(4895, 0, 102, 4, 0, VUaU1, 0, [1, 0], [nGC_2133])

      call av(4895, 1, 103, 5, 0, VUaU1, 0, [1, 0], [nGC_2133])

      allocate(vertices(4896)%branch(0:0))
      call av(4896, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

      allocate(vertices(4897)%branch(0:0))
      call av(4897, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4898)%branch(0:0))
      call av(4898, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4899)%branch(0:0))
      call av(4899, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_1579, nGC_222])

      allocate(vertices(4900)%branch(0:0))
      call av(4900, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_91])

      allocate(vertices(4901)%branch(0:0))
      call av(4901, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_557, nGC_202])

      allocate(vertices(4902)%branch(0:0))
      call av(4902, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_108])

      allocate(vertices(4903)%branch(0:0))
      call av(4903, 0, 17, 1, 0, FaFS1, 0, [0, 1], [nGC_220, nGC_220])

      allocate(vertices(4904)%branch(0:0))
      call av(4904, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_16])

      allocate(vertices(4905)%branch(0:0))
      call av(4905, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

      allocate(vertices(4906)%branch(0:0))
      call av(4906, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_83])

      allocate(vertices(4907)%branch(0:0))
      call av(4907, 0, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(4908)%branch(0:0))
      call av(4908, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_88])

      allocate(vertices(4909)%branch(0:0))
      call av(4909, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_224, nGC_224])

      allocate(vertices(4910)%branch(0:0))
      call av(4910, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_213, nGC_197])

      allocate(vertices(4911)%branch(0:0))
      call av(4911, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_9])

      allocate(vertices(4912)%branch(0:0))
      call av(4912, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_140])

      allocate(vertices(4913)%branch(0:0))
      call av(4913, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_59])

      allocate(vertices(4914)%branch(0:0))
      call av(4914, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_166])

      allocate(vertices(4915)%branch(0:0))
      call av(4915, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_27])

      allocate(vertices(4916)%branch(0:0))
      call av(4916, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_111])

      allocate(vertices(4917)%branch(0:0))
      call av(4917, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_100])

      allocate(vertices(4918)%branch(0:0))
      call av(4918, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_158])

      allocate(vertices(4919)%branch(0:0))
      call av(4919, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_76])

      allocate(vertices(4920)%branch(0:0))
      call av(4920, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_144])

      allocate(vertices(4921)%branch(0:0))
      call av(4921, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_179])

      allocate(vertices(4922)%branch(0:0))
      call av(4922, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_10])

      allocate(vertices(4923)%branch(0:0))
      call av(4923, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_105])

      allocate(vertices(4924)%branch(0:0))
      call av(4924, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_93])

      allocate(vertices(4925)%branch(0:0))
      call av(4925, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_28])

      allocate(vertices(4926)%branch(0:0))
      call av(4926, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4927)%branch(0:0))
      call av(4927, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

      allocate(vertices(4928)%branch(0:0))
      call av(4928, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_82])

      allocate(vertices(4929)%branch(0:0))
      call av(4929, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_192])

      allocate(vertices(4930)%branch(0:0))
      call av(4930, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_114])

      allocate(vertices(4931)%branch(0:0))
      call av(4931, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_27])

      allocate(vertices(4932)%branch(0:0))
      call av(4932, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4933)%branch(0:0))
      call av(4933, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_83])

      allocate(vertices(4934)%branch(0:0))
      call av(4934, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_81])

      allocate(vertices(4935)%branch(0:0))
      call av(4935, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_119])

      allocate(vertices(4936)%branch(0:0))
      call av(4936, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_115])

      allocate(vertices(4937)%branch(0:0))
      call av(4937, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_124, nGC_128])

      allocate(vertices(4938)%branch(0:0))
      call av(4938, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_27])

      allocate(vertices(4939)%branch(0:0))
      call av(4939, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_863, nGC_194])

      allocate(vertices(4940)%branch(0:0))
      call av(4940, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_107])

      allocate(vertices(4941)%branch(0:3))
      call av(4941, 0, 117, 7, 0, VVUaU0, 0, [2, 0], [nGC_21])

      call av(4941, 1, 118, 6, 0, VVUaU0, 0, [2, 0], [nGC_21])

      call av(4941, 2, 116, 6, 0, VVUaU0, 0, [2, 0], [nGC_21])

      call av(4941, 3, 119, 7, 0, VVUaU0, 0, [2, 0], [nGC_21])

      allocate(vertices(4942)%branch(0:0))
      call av(4942, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_6])

      allocate(vertices(4943)%branch(0:0))
      call av(4943, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_147])

      allocate(vertices(4944)%branch(0:0))
      call av(4944, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_71])

      allocate(vertices(4945)%branch(0:0))
      call av(4945, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

      allocate(vertices(4946)%branch(0:0))
      call av(4946, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_65])

      allocate(vertices(4947)%branch(0:0))
      call av(4947, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4948)%branch(0:0))
      call av(4948, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

      allocate(vertices(4949)%branch(0:0))
      call av(4949, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

      allocate(vertices(4950)%branch(0:0))
      call av(4950, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_216, nGC_216])

      allocate(vertices(4951)%branch(0:0))
      call av(4951, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_73])

      allocate(vertices(4952)%branch(0:0))
      call av(4952, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_10])

      allocate(vertices(4953)%branch(0:0))
      call av(4953, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4954)%branch(0:0))
      call av(4954, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(4955)%branch(0:0))
      call av(4955, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_139])

      allocate(vertices(4956)%branch(0:0))
      call av(4956, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(4957)%branch(0:0))
      call av(4957, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_124, nGC_128])

      allocate(vertices(4958)%branch(0:0))
      call av(4958, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(4959)%branch(0:0))
      call av(4959, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_52])

      allocate(vertices(4960)%branch(0:0))
      call av(4960, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_121])

      allocate(vertices(4961)%branch(0:0))
      call av(4961, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_99])

      allocate(vertices(4962)%branch(0:0))
      call av(4962, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_99])

      allocate(vertices(4963)%branch(0:0))
      call av(4963, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_61])

      allocate(vertices(4964)%branch(0:0))
      call av(4964, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_132])

      allocate(vertices(4965)%branch(0:0))
      call av(4965, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_111])

      allocate(vertices(4966)%branch(0:0))
      call av(4966, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_71])

      allocate(vertices(4967)%branch(0:3))
      call av(4967, 0, 112, 6, 0, VVUUa0, 0, [2, 0], [nGC_21])

      call av(4967, 1, 115, 7, 0, VVUUa0, 0, [2, 0], [nGC_21])

      call av(4967, 2, 113, 7, 0, VVUUa0, 0, [2, 0], [nGC_21])

      call av(4967, 3, 114, 6, 0, VVUUa0, 0, [2, 0], [nGC_21])

      allocate(vertices(4968)%branch(0:0))
      call av(4968, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_167])

      allocate(vertices(4969)%branch(0:0))
      call av(4969, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4970)%branch(0:0))
      call av(4970, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(4971)%branch(0:0))
      call av(4971, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_119])

      allocate(vertices(4972)%branch(0:0))
      call av(4972, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_95])

      allocate(vertices(4973)%branch(0:0))
      call av(4973, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_86])

      allocate(vertices(4974)%branch(0:0))
      call av(4974, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4975)%branch(0:0))
      call av(4975, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_132])

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2331)%branchCT(0:0))
      call avCT(2331, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18723])

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2335)%branchCT(0:0))
      call avCT(2335, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2336)%branchCT(0:1))
      call avCT(2336, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_18739, nGC_18740])

      call avCT(2336, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_18741, nGC_18742])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,       &
      nGC_18750])

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18764])

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2344)%branchCT(0:0))
      call avCT(2344, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2576)%branchCT(0:0))
      call avCT(2576, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2346)%branchCT(0:0))
      call avCT(2346, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2348)%branchCT(0:0))
      call avCT(2348, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3608)%branchCT(0:1))
      call avCT(3608, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_18801, nGC_18801])

      call avCT(3608, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_18803, nGC_18803])

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2351)%branchCT(0:0))
      call avCT(2351, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(4976)%branchCT(0:0))
      call avCT(4976, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_18815, nGC_18816])

      allocate(vertices(2353)%branchCT(0:0))
      call avCT(2353, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18820])

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4977)%branchCT(0:0))
      call avCT(4977, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_18829])

      call avCT(20, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_18828])

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13108])

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(2366)%branchCT(0:0))
      call avCT(2366, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_18846])

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(2445)%branchCT(0:0))
      call avCT(2445, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2369)%branchCT(0:0))
      call avCT(2369, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(31)%branchCT(0:1))
      call avCT(31, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_18866, nGC_18866])

      call avCT(31, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_18868, nGC_18868])

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_18882])

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2374)%branchCT(0:0))
      call avCT(2374, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_18891])

      allocate(vertices(4580)%branchCT(0:0))
      call avCT(4580, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2377)%branchCT(0:0))
      call avCT(2377, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2379)%branchCT(0:0))
      call avCT(2379, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2380)%branchCT(0:0))
      call avCT(2380, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_18845])

      allocate(vertices(2384)%branchCT(0:0))
      call avCT(2384, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_18914])

      allocate(vertices(3104)%branchCT(0:0))
      call avCT(3104, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,     &
      nGC_18750])

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_18923, nGC_18924])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13149])

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2391)%branchCT(0:0))
      call avCT(2391, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_18942, nGC_18942])

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(2343)%branchCT(0:0))
      call avCT(2343, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(53)%branchCT(0:3))
      call avCT(53, 0, 24, 2, 0, VFaF0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(53, 1, 24, 2, 0, VFaF0, 0, [3, 0], [nGC_18955, nGC_18956])

      call avCT(53, 2, 25, 3, 0, VFaF0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(53, 3, 25, 3, 0, VFaF0, 0, [3, 0], [nGC_18955, nGC_18956])

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13108])

      allocate(vertices(2395)%branchCT(0:0))
      call avCT(2395, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2398)%branchCT(0:1))
      call avCT(2398, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_18980, nGC_18981])

      call avCT(2398, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_18976, nGC_18973])

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(2399)%branchCT(0:0))
      call avCT(2399, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18990])

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(58)%branchCT(0:1))
      call avCT(58, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_18829])

      call avCT(58, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_18828])

      allocate(vertices(2401)%branchCT(0:0))
      call avCT(2401, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(800)%branchCT(0:0))
      call avCT(800, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1331)%branchCT(0:0))
      call avCT(1331, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19011])

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2406)%branchCT(0:0))
      call avCT(2406, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19027,      &
      nGC_19026])

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19030])

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2411)%branchCT(0:0))
      call avCT(2411, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(3471)%branchCT(0:0))
      call avCT(3471, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19048, nGC_19049])

      call avCT(70, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19050, nGC_19051])

      allocate(vertices(1564)%branchCT(0:0))
      call avCT(1564, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19057])

      allocate(vertices(2415)%branchCT(0:0))
      call avCT(2415, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2416)%branchCT(0:0))
      call avCT(2416, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(74)%branchCT(0:1))
      call avCT(74, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19079, nGC_19080])

      call avCT(74, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19074, nGC_19071])

      allocate(vertices(2421)%branchCT(0:0))
      call avCT(2421, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2114)%branchCT(0:0))
      call avCT(2114, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19011])

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2425)%branchCT(0:0))
      call avCT(2425, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19099])

      allocate(vertices(4978)%branchCT(0:0))
      call avCT(4978, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_18816, nGC_18815])

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4979)%branchCT(0:0))
      call avCT(4979, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(2427)%branchCT(0:0))
      call avCT(2427, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(503)%branchCT(0:1))
      call avCT(503, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_19125, nGC_19126])

      call avCT(503, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_19118, nGC_19115])

      allocate(vertices(2347)%branchCT(0:0))
      call avCT(2347, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(511)%branchCT(0:0))
      call avCT(511, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19134])

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19138])

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2435)%branchCT(0:1))
      call avCT(2435, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19163, nGC_19164])

      call avCT(2435, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19165, nGC_19166])

      allocate(vertices(4414)%branchCT(0:0))
      call avCT(4414, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2436)%branchCT(0:0))
      call avCT(2436, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(2438)%branchCT(0:0))
      call avCT(2438, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19183])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1212)%branchCT(0:0))
      call avCT(1212, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(98)%branchCT(0:1))
      call avCT(98, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_19199, nGC_19200])

      call avCT(98, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_19190, nGC_19193])

      allocate(vertices(3518)%branchCT(0:0))
      call avCT(3518, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(4526)%branchCT(0:0))
      call avCT(4526, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2447)%branchCT(0:0))
      call avCT(2447, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3506)%branchCT(0:0))
      call avCT(3506, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3630)%branchCT(0:0))
      call avCT(3630, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2452)%branchCT(0:0))
      call avCT(2452, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19232])

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(807)%branchCT(0:1))
      call avCT(807, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19242, nGC_19243])

      call avCT(807, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19244, nGC_19245])

      allocate(vertices(4079)%branchCT(0:0))
      call avCT(4079, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2457)%branchCT(0:0))
      call avCT(2457, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18723])

      allocate(vertices(2458)%branchCT(0:0))
      call avCT(2458, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19057])

      allocate(vertices(2350)%branchCT(0:0))
      call avCT(2350, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19260])

      allocate(vertices(113)%branchCT(0:1))
      call avCT(113, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19269, nGC_19269])

      call avCT(113, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19271, nGC_19271])

      allocate(vertices(2949)%branchCT(0:0))
      call avCT(2949, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19278])

      allocate(vertices(3179)%branchCT(0:0))
      call avCT(3179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2220)%branchCT(0:0))
      call avCT(2220, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(2463)%branchCT(0:1))
      call avCT(2463, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_19299, nGC_19300])

      call avCT(2463, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_19293, nGC_19296])

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_18923, nGC_18924])

      allocate(vertices(2467)%branchCT(0:0))
      call avCT(2467, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2468)%branchCT(0:0))
      call avCT(2468, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19314])

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(2470)%branchCT(0:1))
      call avCT(2470, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_18866, nGC_18866])

      call avCT(2470, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_18868, nGC_18868])

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1202)%branchCT(0:0))
      call avCT(1202, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3635)%branchCT(0:1))
      call avCT(3635, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_19339])

      call avCT(3635, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_19338])

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2476)%branchCT(0:1))
      call avCT(2476, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19357, nGC_19357])

      call avCT(2476, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19359, nGC_19359])

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2276)%branchCT(0:0))
      call avCT(2276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(132)%branchCT(0:1))
      call avCT(132, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_19371])

      call avCT(132, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_19370])

      allocate(vertices(4980)%branchCT(0:0))
      call avCT(4980, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(2479)%branchCT(0:0))
      call avCT(2479, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4082)%branchCT(0:0))
      call avCT(4082, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_19386])

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4981)%branchCT(0:0))
      call avCT(4981, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(2486)%branchCT(0:0))
      call avCT(2486, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(142)%branchCT(0:1))
      call avCT(142, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19404, nGC_19404])

      call avCT(142, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19406, nGC_19406])

      allocate(vertices(4758)%branchCT(0:0))
      call avCT(4758, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19418, nGC_19419])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(1954)%branchCT(0:0))
      call avCT(1954, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(4075)%branchCT(0:0))
      call avCT(4075, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19450])

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4982)%branchCT(0:0))
      call avCT(4982, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19456])

      allocate(vertices(156)%branchCT(0:1))
      call avCT(156, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19243, nGC_19242])

      call avCT(156, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19245, nGC_19244])

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(1575)%branchCT(0:3))
      call avCT(1575, 0, 27, 3, 0, VFFa1, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(1575, 1, 27, 3, 0, VFFa1, 0, [3, 0], [nGC_19472, nGC_19473])

      call avCT(1575, 2, 26, 2, 0, VFFa1, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(1575, 3, 26, 2, 0, VFFa1, 0, [3, 0], [nGC_19472, nGC_19473])

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19486, nGC_19486])

      allocate(vertices(958)%branchCT(0:0))
      call avCT(958, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13111])

      allocate(vertices(1206)%branchCT(0:0))
      call avCT(1206, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(1719)%branchCT(0:0))
      call avCT(1719, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2506)%branchCT(0:0))
      call avCT(2506, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_18846])

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19505])

      allocate(vertices(2508)%branchCT(0:0))
      call avCT(2508, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1019)%branchCT(0:1))
      call avCT(1019, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_19521, nGC_19522])

      call avCT(1019, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_19515, nGC_19518])

      allocate(vertices(2512)%branchCT(0:0))
      call avCT(2512, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19138])

      allocate(vertices(4983)%branchCT(0:0))
      call avCT(4983, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(2513)%branchCT(0:0))
      call avCT(2513, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13138])

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4136)%branchCT(0:0))
      call avCT(4136, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2516)%branchCT(0:0))
      call avCT(2516, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4144)%branchCT(0:0))
      call avCT(4144, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19541])

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2520)%branchCT(0:1))
      call avCT(2520, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19554, nGC_19554])

      call avCT(2520, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19556, nGC_19556])

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19562])

      allocate(vertices(2523)%branchCT(0:0))
      call avCT(2523, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3667)%branchCT(0:1))
      call avCT(3667, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19371])

      call avCT(3667, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19370])

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19573])

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4984)%branchCT(0:0))
      call avCT(4984, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_19584, nGC_19582,     &
      nGC_19586, nGC_19586])

      allocate(vertices(2526)%branchCT(0:0))
      call avCT(2526, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(2530)%branchCT(0:0))
      call avCT(2530, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(4947)%branchCT(0:0))
      call avCT(4947, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4985)%branchCT(0:0))
      call avCT(4985, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19599])

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2533)%branchCT(0:1))
      call avCT(2533, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_19371])

      call avCT(2533, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_19370])

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19183])

      allocate(vertices(2370)%branchCT(0:0))
      call avCT(2370, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(1145)%branchCT(0:0))
      call avCT(1145, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19623])

      allocate(vertices(2536)%branchCT(0:0))
      call avCT(2536, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4986)%branchCT(0:0))
      call avCT(4986, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_19627])

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2539)%branchCT(0:1))
      call avCT(2539, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19521, nGC_19522])

      call avCT(2539, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19515, nGC_19518])

      allocate(vertices(1496)%branchCT(0:0))
      call avCT(1496, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(2542)%branchCT(0:0))
      call avCT(2542, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(2543)%branchCT(0:0))
      call avCT(2543, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_19418, nGC_19419])

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2545)%branchCT(0:0))
      call avCT(2545, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18990])

      allocate(vertices(3196)%branchCT(0:0))
      call avCT(3196, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19680, nGC_19680])

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19057])

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4987)%branchCT(0:0))
      call avCT(4987, 0, 13, 1, 0, SV1, 0, [0, 2], [nGC_19688])

      allocate(vertices(4922)%branchCT(0:0))
      call avCT(4922, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19450])

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2550)%branchCT(0:0))
      call avCT(2550, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(2371)%branchCT(0:0))
      call avCT(2371, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2518)%branchCT(0:0))
      call avCT(2518, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18764])

      allocate(vertices(2555)%branchCT(0:3))
      call avCT(2555, 0, 123, 3, 0, FVFa1, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(2555, 1, 123, 3, 0, FVFa1, 0, [3, 0], [nGC_18955, nGC_18956])

      call avCT(2555, 2, 122, 2, 0, FVFa1, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(2555, 3, 122, 2, 0, FVFa1, 0, [3, 0], [nGC_18955, nGC_18956])

      allocate(vertices(4552)%branchCT(0:0))
      call avCT(4552, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_18914])

      allocate(vertices(2556)%branchCT(0:0))
      call avCT(2556, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_18923, nGC_18924])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19738, nGC_19739])

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_18914])

      allocate(vertices(825)%branchCT(0:0))
      call avCT(825, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(2563)%branchCT(0:0))
      call avCT(2563, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19751])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(220)%branchCT(0:3))
      call avCT(220, 0, 123, 3, 0, FVFa1, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(220, 1, 123, 3, 0, FVFa1, 0, [3, 0], [nGC_19762, nGC_19763])

      call avCT(220, 2, 122, 2, 0, FVFa1, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(220, 3, 122, 2, 0, FVFa1, 0, [3, 0], [nGC_19762, nGC_19763])

      allocate(vertices(3656)%branchCT(0:0))
      call avCT(3656, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2567)%branchCT(0:0))
      call avCT(2567, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4555)%branchCT(0:0))
      call avCT(4555, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2570)%branchCT(0:0))
      call avCT(2570, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2571)%branchCT(0:0))
      call avCT(2571, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2572)%branchCT(0:1))
      call avCT(2572, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19794, nGC_19795])

      call avCT(2572, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19791, nGC_19787])

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(2573)%branchCT(0:0))
      call avCT(2573, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19450])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1375)%branchCT(0:1))
      call avCT(1375, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19814, nGC_19815])

      call avCT(1375, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19816, nGC_19817])

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(1665)%branchCT(0:0))
      call avCT(1665, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1971)%branchCT(0:0))
      call avCT(1971, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19831, nGC_19832])

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19843])

      allocate(vertices(1203)%branchCT(0:0))
      call avCT(1203, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19843])

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13111])

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19852])

      allocate(vertices(3660)%branchCT(0:0))
      call avCT(3660, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19260])

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(4988)%branchCT(0:0))
      call avCT(4988, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19857])

      allocate(vertices(1425)%branchCT(0:1))
      call avCT(1425, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19199, nGC_19200])

      call avCT(1425, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19190, nGC_19193])

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1914)%branchCT(0:0))
      call avCT(1914, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4097)%branchCT(0:0))
      call avCT(4097, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18764])

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2587)%branchCT(0:1))
      call avCT(2587, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_19897, nGC_19898])

      call avCT(2587, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_19890, nGC_19893])

      allocate(vertices(4560)%branchCT(0:0))
      call avCT(4560, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19026,     &
      nGC_19027])

      allocate(vertices(3775)%branchCT(0:0))
      call avCT(3775, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4098)%branchCT(0:0))
      call avCT(4098, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19908])

      allocate(vertices(4989)%branchCT(0:0))
      call avCT(4989, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19910])

      allocate(vertices(2592)%branchCT(0:0))
      call avCT(2592, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19920, nGC_19921,      &
      nGC_19920])

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(2595)%branchCT(0:0))
      call avCT(2595, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19908])

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_19386])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4101)%branchCT(0:0))
      call avCT(4101, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4990)%branchCT(0:0))
      call avCT(4990, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_19940])

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19260])

      allocate(vertices(2602)%branchCT(0:0))
      call avCT(2602, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19278])

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19950])

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19026,      &
      nGC_19027])

      allocate(vertices(1551)%branchCT(0:0))
      call avCT(1551, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2605)%branchCT(0:0))
      call avCT(2605, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19623])

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4285)%branchCT(0:1))
      call avCT(4285, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19968, nGC_19968])

      call avCT(4285, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19970, nGC_19970])

      allocate(vertices(262)%branchCT(0:0))
      call avCT(262, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2610)%branchCT(0:0))
      call avCT(2610, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3663)%branchCT(0:1))
      call avCT(3663, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19048, nGC_19049])

      call avCT(3663, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19050, nGC_19051])

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19992])

      allocate(vertices(4327)%branchCT(0:0))
      call avCT(4327, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19996])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19173])

      allocate(vertices(4674)%branchCT(0:0))
      call avCT(4674, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2621)%branchCT(0:0))
      call avCT(2621, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(273)%branchCT(0:1))
      call avCT(273, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_18829])

      call avCT(273, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_18828])

      allocate(vertices(2624)%branchCT(0:0))
      call avCT(2624, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(2626)%branchCT(0:0))
      call avCT(2626, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2629)%branchCT(0:0))
      call avCT(2629, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3212)%branchCT(0:3))
      call avCT(3212, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(3212, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_19472, nGC_19473])

      call avCT(3212, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(3212, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_19472, nGC_19473])

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1683)%branchCT(0:0))
      call avCT(1683, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20050])

      allocate(vertices(2631)%branchCT(0:1))
      call avCT(2631, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19165, nGC_19166])

      call avCT(2631, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19163, nGC_19164])

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20060, nGC_20059,     &
      nGC_20059])

      allocate(vertices(4660)%branchCT(0:0))
      call avCT(4660, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18723])

      allocate(vertices(1700)%branchCT(0:0))
      call avCT(1700, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19011])

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19843])

      allocate(vertices(4991)%branchCT(0:0))
      call avCT(4991, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19456])

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20085, nGC_20086])

      allocate(vertices(2639)%branchCT(0:0))
      call avCT(2639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20096])

      allocate(vertices(2390)%branchCT(0:0))
      call avCT(2390, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1744)%branchCT(0:0))
      call avCT(1744, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(294)%branchCT(0:1))
      call avCT(294, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20112, nGC_20113])

      call avCT(294, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20114, nGC_20115])

      allocate(vertices(989)%branchCT(0:0))
      call avCT(989, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19680, nGC_19680])

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_20123])

      allocate(vertices(4992)%branchCT(0:1))
      call avCT(4992, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_20134, nGC_20126,     &
      nGC_20137, nGC_20137])

      call avCT(4992, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_20135, nGC_20127,     &
      nGC_20138, nGC_20138])

      allocate(vertices(1763)%branchCT(0:1))
      call avCT(1763, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19339])

      call avCT(1763, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19338])

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1520)%branchCT(0:0))
      call avCT(1520, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2392)%branchCT(0:0))
      call avCT(2392, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(2921)%branchCT(0:0))
      call avCT(2921, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(2654)%branchCT(0:0))
      call avCT(2654, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,     &
      nGC_18750])

      allocate(vertices(2655)%branchCT(0:0))
      call avCT(2655, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2656)%branchCT(0:0))
      call avCT(2656, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_20085, nGC_20086])

      allocate(vertices(4993)%branchCT(0:0))
      call avCT(4993, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_20172, nGC_20167])

      allocate(vertices(2657)%branchCT(0:0))
      call avCT(2657, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19908])

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(308)%branchCT(0:1))
      call avCT(308, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_20190, nGC_20191])

      call avCT(308, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_20184, nGC_20187])

      allocate(vertices(4994)%branchCT(0:0))
      call avCT(4994, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_19584, nGC_19582,     &
      nGC_19586, nGC_19586])

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20201])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(312)%branchCT(0:1))
      call avCT(312, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_19339])

      call avCT(312, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_19338])

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2664)%branchCT(0:0))
      call avCT(2664, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4995)%branchCT(0:0))
      call avCT(4995, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20221])

      allocate(vertices(2666)%branchCT(0:0))
      call avCT(2666, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4569)%branchCT(0:0))
      call avCT(4569, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18715])

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(4001)%branchCT(0:0))
      call avCT(4001, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2671)%branchCT(0:0))
      call avCT(2671, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(323)%branchCT(0:1))
      call avCT(323, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_18980, nGC_18981])

      call avCT(323, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_18976, nGC_18973])

      allocate(vertices(2675)%branchCT(0:0))
      call avCT(2675, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(1921)%branchCT(0:0))
      call avCT(1921, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4447)%branchCT(0:0))
      call avCT(4447, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19450])

      allocate(vertices(2678)%branchCT(0:0))
      call avCT(2678, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2683)%branchCT(0:1))
      call avCT(2683, 0, 102, 4, 0, VUaU0, 0, [3, 0], [nGC_20268])

      call avCT(2683, 1, 103, 5, 0, VUaU0, 0, [3, 0], [nGC_20268])

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(2685)%branchCT(0:0))
      call avCT(2685, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(4254)%branchCT(0:0))
      call avCT(4254, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20285, nGC_20286])

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2686)%branchCT(0:0))
      call avCT(2686, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4150)%branchCT(0:0))
      call avCT(4150, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_18882])

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(2005)%branchCT(0:0))
      call avCT(2005, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(4765)%branchCT(0:0))
      call avCT(4765, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20312])

      allocate(vertices(2695)%branchCT(0:0))
      call avCT(2695, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3223)%branchCT(0:0))
      call avCT(3223, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_19831, nGC_19832])

      allocate(vertices(4039)%branchCT(0:0))
      call avCT(4039, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4720)%branchCT(0:0))
      call avCT(4720, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_20339])

      allocate(vertices(2705)%branchCT(0:0))
      call avCT(2705, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(1994)%branchCT(0:1))
      call avCT(1994, 0, 98, 4, 0, UaVU0, 0, [3, 0], [nGC_20268])

      call avCT(1994, 1, 99, 5, 0, UaVU0, 0, [3, 0], [nGC_20268])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20355])

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1191)%branchCT(0:0))
      call avCT(1191, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19030])

      allocate(vertices(1995)%branchCT(0:0))
      call avCT(1995, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2129)%branchCT(0:0))
      call avCT(2129, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18841])

      allocate(vertices(3030)%branchCT(0:0))
      call avCT(3030, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13117])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4996)%branchCT(0:0))
      call avCT(4996, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19599])

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20095])

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19562])

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2181)%branchCT(0:0))
      call avCT(2181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20409])

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19623])

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4936)%branchCT(0:0))
      call avCT(4936, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19831, nGC_19832])

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(367)%branchCT(0:1))
      call avCT(367, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_20435, nGC_20436])

      call avCT(367, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_20429, nGC_20432])

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4997)%branchCT(0:0))
      call avCT(4997, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_20454, nGC_20449,     &
      nGC_20456, nGC_20456])

      allocate(vertices(3229)%branchCT(0:0))
      call avCT(3229, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_20466])

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4100)%branchCT(0:0))
      call avCT(4100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13138])

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(2283)%branchCT(0:0))
      call avCT(2283, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2750)%branchCT(0:1))
      call avCT(2750, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_20501, nGC_20501])

      call avCT(2750, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_20503, nGC_20503])

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19680, nGC_19680])

      allocate(vertices(382)%branchCT(0:0))
      call avCT(382, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13111])

      allocate(vertices(383)%branchCT(0:1))
      call avCT(383, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_18980, nGC_18981])

      call avCT(383, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_18976, nGC_18973])

      allocate(vertices(4998)%branchCT(0:0))
      call avCT(4998, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2333)%branchCT(0:3))
      call avCT(2333, 0, 22, 2, 0, FaFV0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(2333, 1, 22, 2, 0, FaFV0, 0, [3, 0], [nGC_20530, nGC_20531])

      call avCT(2333, 2, 23, 3, 0, FaFV0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(2333, 3, 23, 3, 0, FaFV0, 0, [3, 0], [nGC_20530, nGC_20531])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(387)%branchCT(0:1))
      call avCT(387, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20548, nGC_20549])

      call avCT(387, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20550, nGC_20551])

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1351)%branchCT(0:0))
      call avCT(1351, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19618])

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2163)%branchCT(0:0))
      call avCT(2163, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(390)%branchCT(0:5))
      call avCT(390, 0, 77, 6, 0, VUaVU0, 0, [4, 0], [nGC_20569])

      call avCT(390, 1, 76, 6, 0, VUaVU0, 0, [4, 0], [nGC_20569])

      call avCT(390, 2, 79, 6, 0, VUaVU0, 0, [4, 0], [nGC_20569])

      call avCT(390, 3, 78, 6, 0, VUaVU0, 0, [4, 0], [nGC_20569])

      call avCT(390, 4, 81, 7, 0, VUaVU0, 0, [4, 0], [nGC_20578])

      call avCT(390, 5, 80, 7, 0, VUaVU0, 0, [4, 0], [nGC_20578])

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(3511)%branchCT(0:0))
      call avCT(3511, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2382)%branchCT(0:0))
      call avCT(2382, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_18914])

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20593])

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(4846)%branchCT(0:0))
      call avCT(4846, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_20603, nGC_20604])

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2527)%branchCT(0:1))
      call avCT(2527, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19242, nGC_19243])

      call avCT(2527, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19244, nGC_19245])

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(854)%branchCT(0:1))
      call avCT(854, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_20631, nGC_20630])

      call avCT(854, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_20633, nGC_20632])

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3236)%branchCT(0:0))
      call avCT(3236, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19505])

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(408)%branchCT(0:1))
      call avCT(408, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_20665, nGC_20665])

      call avCT(408, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_20667, nGC_20667])

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(410)%branchCT(0:1))
      call avCT(410, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_19074, nGC_19071])

      call avCT(410, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2488)%branchCT(0:0))
      call avCT(2488, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19173])

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_20685])

      allocate(vertices(2279)%branchCT(0:1))
      call avCT(2279, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19404, nGC_19404])

      call avCT(2279, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19406, nGC_19406])

      allocate(vertices(3232)%branchCT(0:0))
      call avCT(3232, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19099])

      allocate(vertices(4857)%branchCT(0:0))
      call avCT(4857, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19486, nGC_19486])

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20706])

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4951)%branchCT(0:0))
      call avCT(4951, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19030])

      allocate(vertices(4999)%branchCT(0:0))
      call avCT(4999, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19857])

      allocate(vertices(1272)%branchCT(0:0))
      call avCT(1272, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_20339])

      allocate(vertices(5000)%branchCT(0:0))
      call avCT(5000, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19940])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(3295)%branchCT(0:0))
      call avCT(3295, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(421)%branchCT(0:1))
      call avCT(421, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_18741, nGC_18742])

      call avCT(421, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_18739, nGC_18740])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20736])

      allocate(vertices(423)%branchCT(0:0))
      call avCT(423, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(2752)%branchCT(0:1))
      call avCT(2752, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_18741, nGC_18742])

      call avCT(2752, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_18739, nGC_18740])

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(5001)%branchCT(0:1))
      call avCT(5001, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_20761, nGC_20753,     &
      nGC_20764, nGC_20764])

      call avCT(5001, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_20762, nGC_20754,     &
      nGC_20765, nGC_20765])

      allocate(vertices(2586)%branchCT(0:1))
      call avCT(2586, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_20501, nGC_20501])

      call avCT(2586, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_20503, nGC_20503])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19030])

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4709)%branchCT(0:0))
      call avCT(4709, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(3186)%branchCT(0:0))
      call avCT(3186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2798)%branchCT(0:1))
      call avCT(2798, 0, 2, 4, 0, UaUV1, 0, [3, 0], [nGC_20268])

      call avCT(2798, 1, 3, 5, 0, UaUV1, 0, [3, 0], [nGC_20268])

      allocate(vertices(5002)%branchCT(0:1))
      call avCT(5002, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_20803, nGC_20799,    &
      nGC_20806, nGC_20806])

      call avCT(5002, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_20804, nGC_20800,    &
      nGC_20807, nGC_20807])

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19138])

      allocate(vertices(433)%branchCT(0:1))
      call avCT(433, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19243, nGC_19242])

      call avCT(433, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19245, nGC_19244])

      allocate(vertices(4488)%branchCT(0:0))
      call avCT(4488, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2662)%branchCT(0:0))
      call avCT(2662, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(5003)%branchCT(0:0))
      call avCT(5003, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19456])

      allocate(vertices(4599)%branchCT(0:0))
      call avCT(4599, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_18942, nGC_18942])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2810)%branchCT(0:3))
      call avCT(2810, 0, 27, 3, 0, VFFa1, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(2810, 1, 27, 3, 0, VFFa1, 0, [3, 0], [nGC_18955, nGC_18956])

      call avCT(2810, 2, 26, 2, 0, VFFa1, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(2810, 3, 26, 2, 0, VFFa1, 0, [3, 0], [nGC_18955, nGC_18956])

      allocate(vertices(3696)%branchCT(0:0))
      call avCT(3696, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20593])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20885])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13108])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(457)%branchCT(0:1))
      call avCT(457, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19556, nGC_19556])

      call avCT(457, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19554, nGC_19554])

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4944)%branchCT(0:0))
      call avCT(4944, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(5004)%branchCT(0:0))
      call avCT(5004, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(4218)%branchCT(0:0))
      call avCT(4218, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(5005)%branchCT(0:0))
      call avCT(5005, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_20930, nGC_20924,      &
      nGC_20925])

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2227)%branchCT(0:0))
      call avCT(2227, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(5006)%branchCT(0:0))
      call avCT(5006, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_20948, nGC_20949,      &
      nGC_20948, nGC_20949, nGC_20950])

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4043)%branchCT(0:0))
      call avCT(4043, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2833)%branchCT(0:1))
      call avCT(2833, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_18739, nGC_18740])

      call avCT(2833, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_18741, nGC_18742])

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13108])

      allocate(vertices(2892)%branchCT(0:0))
      call avCT(2892, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2837)%branchCT(0:1))
      call avCT(2837, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_18829])

      call avCT(2837, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_18828])

      allocate(vertices(5007)%branchCT(0:0))
      call avCT(5007, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(2838)%branchCT(0:0))
      call avCT(2838, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2839)%branchCT(0:1))
      call avCT(2839, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_20630, nGC_20631])

      call avCT(2839, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_20632, nGC_20633])

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19562])

      allocate(vertices(3703)%branchCT(0:0))
      call avCT(3703, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2955)%branchCT(0:0))
      call avCT(2955, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19573])

      allocate(vertices(2846)%branchCT(0:0))
      call avCT(2846, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2400)%branchCT(0:0))
      call avCT(2400, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_21022, nGC_21022])

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3246)%branchCT(0:1))
      call avCT(3246, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19554, nGC_19554])

      call avCT(3246, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19556, nGC_19556])

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2993)%branchCT(0:0))
      call avCT(2993, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2849)%branchCT(0:0))
      call avCT(2849, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19623])

    end subroutine fill_vertices_mdl7
end module vertices_info7
