!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_151) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**  &
                       2d0*sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_150) = -cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee** &
                       2d0*sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_157) = -ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_156) = -ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_155) = cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_154) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_159) = ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_158) = ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_12336) = -sqrt(2d0)/2d0
      coupl(nGC_12334) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_12335) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12330) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_12331) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_12686) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12687) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_12680) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12681) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_48) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_12688) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_49) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_53) = -ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0*&
                      cw)
      coupl(nGC_51) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_50) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_57) = -ca*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cima*l1*sa - ca*  &
                      cima*l3*sa
      coupl(nGC_56) = ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0* &
                      cw)
      coupl(nGC_55) = -ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0*&
                      cw)
      coupl(nGC_54) = ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0* &
                      cw)
      coupl(nGC_59) = ca*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*l1*sa - ca*   &
                      cima*l3*sa
      coupl(nGC_58) = -ca*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cima*l1*sa - ca*  &
                      cima*l3*sa - ca*cima*ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_309) = -3d0*cima*sa*(ca**2d0*l3 + l2*sa**2d0)
      coupl(nGC_195) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_637) = -coupl(nGC_226)
      coupl(nGC_12500) = -ca**2d0*cima
      coupl(nGC_12435) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12437) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_12438) = 2d0*cima*ee
      coupl(nGC_12699) = -ca*cima*l3
      coupl(nGC_12698) = cima*l1*sa
      coupl(nGC_12693) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12692) = cima*ee**2d0/sw
      coupl(nGC_12694) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_12329) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_12321) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_12320) = cima*ee**2d0*vev/sw
      coupl(nGC_12323) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_12322) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12325) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12324) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12508) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_44) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l1 -  &
                      ca**2d0*cima*ee**2d0/(2d0*cw**2d0) - cima*l3*sa**2d0
      coupl(nGC_45) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_46) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_47) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_40) = cima*ee**2d0/(2d0*sw**2d0) - 2d0*cima*l1 + cima*ee**2d0/(&
                      2d0*cw**2d0)
      coupl(nGC_41) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l1 -   &
                      cima*l3*sa**2d0
      coupl(nGC_42) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l1 + ca&
                      **2d0*cima*ee**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0
      coupl(nGC_43) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l1 -  &
                      cima*l3*sa**2d0
      coupl(nGC_311) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
      coupl(nGC_313) = -3d0*cima*sa**3d0*vevs
      coupl(nGC_315) = -3d0*ca*cima*sa*(ca*vevs + sa*vev)
      coupl(nGC_317) = -3d0*ca**3d0*cima*vev
      coupl(nGC_12609) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12598) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_12599) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_12592) = sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_12590) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12591) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12597) = cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_12354) = -2d0*cima*ee/3d0
      coupl(nGC_12355) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_12356) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_12351) = ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_12352) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12353) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_39) = -cima*ee**2d0/(2d0*sw**2d0) - cima*l1
      coupl(nGC_38) = cima*ee**2d0/(4d0*sw**2d0) - cima*l1
      coupl(nGC_31) = -ca**2d0*cima*l1 - cima*l3*sa**2d0
      coupl(nGC_30) = -ca**2d0*cima*l3 - cima*l1*sa**2d0
      coupl(nGC_33) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*&
                      cima*l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_32) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      *cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_35) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l2*sa**4d0
      coupl(nGC_34) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l1*sa**4d0
      coupl(nGC_37) = -cima*ee**2d0/(4d0*sw**2d0) - 2d0*cima*l1 - cima*ee**2d0 &
                      /(4d0*cw**2d0)
      coupl(nGC_36) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**&
                      2d0*cima*l2*sa**2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 - cima*&
                      l3*sa**4d0
      coupl(nGC_329) = -cima*(ca**3d0*vev - 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**  &
                       2d0*vev + sa**3d0*vevs)
      coupl(nGC_325) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_327) = -3d0*ca**2d0*cima*sa*vevs
      coupl(nGC_321) = -cima*(3d0*ca**3d0*l2*vevs - 2d0*ca**3d0*l3*vevs + 6d0* &
                       ca**2d0*l1*sa*vev - 7d0*ca**2d0*l3*sa*vev - 6d0*ca*l2*sa&
                       **2d0*vevs + 7d0*ca*l3*sa**2d0*vevs - 3d0*l1*sa**3d0*vev&
                        + 2d0*l3*sa**3d0*vev)
      coupl(nGC_323) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_188) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l1*vev - ca&
                       *cima*ee**2d0*vev/(2d0*cw**2d0) - cima*l3*sa*vevs
      coupl(nGC_189) = -ca**3d0*cima*l3*vevs + 3d0*ca**2d0*cima*l1*sa*vev - 2d0&
                       *ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l2*sa**2d0*vevs + &
                       2d0*ca*cima*l3*sa**2d0*vevs + cima*l3*sa**3d0*vev
      coupl(nGC_180) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(4d0*sw**2d0) +  &
                       cima*l1*sa*vev
      coupl(nGC_181) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(4d0*sw**2d0) +  &
                       cima*l1*sa*vev - cima*ee**2d0*sa*vev/(4d0*cw**2d0)
      coupl(nGC_182) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(2d0*sw**2d0) +  &
                       cima*l1*sa*vev
      coupl(nGC_183) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(2d0*sw**2d0) +  &
                       cima*l1*sa*vev + cima*ee**2d0*sa*vev/(2d0*cw**2d0)
      coupl(nGC_184) = -ca*cima*l1*vev - cima*l3*sa*vevs
      coupl(nGC_185) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l1*vev -    &
                       cima*l3*sa*vevs
      coupl(nGC_186) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l1*vev + ca*&
                       cima*ee**2d0*vev/(4d0*cw**2d0) - cima*l3*sa*vevs
      coupl(nGC_187) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l1*vev -   &
                       cima*l3*sa*vevs
      coupl(nGC_509) = cima/(2d0*cMW)
      coupl(nGC_12589) = -cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_12588) = cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_12585) = -3d0*ca**3d0*cima*sa
      coupl(nGC_12584) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + 3d0*ca**2d0*l1*sa&
                         **2d0 + 3d0*ca**2d0*l2*sa**2d0 - 6d0*ca**2d0*l3*sa**  &
                         2d0 - l1*sa**4d0 + l3*sa**4d0)
      coupl(nGC_12587) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_12586) = 3d0*ca*cima*sa**3d0
      coupl(nGC_12581) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12583) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_12582) = -ca*cima*ee**2d0/cw
      coupl(nGC_12509) = -ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**  &
                         2d0*sw**2d0)
      coupl(nGC_12344) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw &
                         **2d0*sw**2d0)
      coupl(nGC_12343) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_12342) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12341) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12340) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_28) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_29) = ca*cima*l1*sa - ca*cima*l3*sa
      coupl(nGC_22) = -cima*l1
      coupl(nGC_23) = -2d0*cima*l1
      coupl(nGC_20) = -cima*gs**2d0
      coupl(nGC_21) = cima*gs**2d0
      coupl(nGC_26) = ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_27) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_12486) = sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_339) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_331) = -3d0*ca*cima*sa**2d0*vev
      coupl(nGC_337) = -ca*cima*(ca**2d0*l3 + 3d0*l2*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_12370) = -2d0*cima
      coupl(nGC_335) = cima*(3d0*ca**3d0*l1*vev - 2d0*ca**3d0*l3*vev - 6d0*ca**&
                       2d0*l2*sa*vevs + 7d0*ca**2d0*l3*sa*vevs - 6d0*ca*l1*sa**&
                       2d0*vev + 7d0*ca*l3*sa**2d0*vev + 3d0*l2*sa**3d0*vevs - &
                       2d0*l3*sa**3d0*vevs)
      coupl(nGC_12376) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_12377) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_12374) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12375) = ee**2d0/sw
      coupl(nGC_197) = cima*yc
      coupl(nGC_196) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_194) = -sqrt(2d0)*yb/2d0
      coupl(nGC_193) = -cima*yb
      coupl(nGC_192) = -ca**3d0*cima*l3*vev - 3d0*ca**2d0*cima*l2*sa*vevs + 2d0&
                       *ca**2d0*cima*l3*sa*vevs - 3d0*ca*cima*l1*sa**2d0*vev + &
                       2d0*ca*cima*l3*sa**2d0*vev - cima*l3*sa**3d0*vevs
      coupl(nGC_191) = -3d0*ca**3d0*cima*l1*vev - 3d0*ca**2d0*cima*l3*sa*vevs  &
                        - 3d0*ca*cima*l3*sa**2d0*vev - 3d0*cima*l2*sa**3d0*vevs
      coupl(nGC_190) = -3d0*ca**3d0*cima*l2*vevs + 3d0*ca**2d0*cima*l3*sa*vev  &
                        - 3d0*ca*cima*l3*sa**2d0*vevs + 3d0*cima*l1*sa**3d0*vev
      coupl(nGC_199) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_198) = sqrt(2d0)*yc/2d0
      coupl(nGC_17) = -2d0*gs
      coupl(nGC_16) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_607) = -coupl(nGC_210)
      coupl(nGC_15) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_11) = -ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_513) = -cima/(2d0*cMW)
      coupl(nGC_517) = 1d0/(2d0*cMZ)
      coupl(nGC_12626) = ca*cima*ee/(2d0*sw)
      coupl(nGC_12627) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_12574) = -ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_12575) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12576) = cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_12714) = -cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_12715) = cima*ee*sa/(2d0*sw)
      coupl(nGC_12716) = ca*cima*ee/(2d0*sw)
      coupl(nGC_12717) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12710) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**3d0*sw**2d0)
      coupl(nGC_12711) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**2d0*sw**3d0)
      coupl(nGC_12712) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_12713) = -sqrt(2d0)/2d0
      coupl(nGC_12718) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12719) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12485) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12487) = -ee/(2d0*sw**2d0)
      coupl(nGC_12480) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**2d0*sw**3d0)
      coupl(nGC_12481) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                         2d0)
      coupl(nGC_12378) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_12379) = -sqrt(2d0)/2d0
      coupl(nGC_14) = ee**2d0/(2d0*cw)
      coupl(nGC_13) = -ee**2d0/(2d0*cw)
      coupl(nGC_12) = ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_12620) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_12621) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3)
      coupl(nGC_12622) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_12623) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_12624) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_12625) = -ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_19) = cima*gs
      coupl(nGC_18) = -gs
      coupl(nGC_12392) = cima*ee/3d0
      coupl(nGC_12393) = -ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_12394) = ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_12395) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12396) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_375) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12451) = 2d0*cima*ee**2d0
      coupl(nGC_12450) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_703) = -coupl(nGC_98)
      coupl(nGC_12563) = -ca*cima*sa
      coupl(nGC_12562) = ca*cima*sa
      coupl(nGC_12561) = cima*(ca - sa)*(ca + sa)*(l1 - l3)
      coupl(nGC_12566) = -cima*ee**2d0*vev/cw
      coupl(nGC_12565) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_12564) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_1543) = -coupl(nGC_198)
      coupl(nGC_12707) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**2d0*sw**3d0)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
