!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl4()
      coupl(nGC_12361) = -sqrt(2d0)/2d0
      coupl(nGC_12409) = cima*(-ca*l3*vevs + l1*sa*vev)
      coupl(nGC_12407) = -ca*cima*l1
      coupl(nGC_12638) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_119) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_118) = cima*ee*sa/(2d0*sw)
      coupl(nGC_117) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_116) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_115) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_114) = cima*cw*ee**2d0/sw
      coupl(nGC_113) = -cima*cw*ee**2d0/sw
      coupl(nGC_112) = -ca*cima*ee**2d0/sw
      coupl(nGC_111) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_110) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_3343) = -coupl(nGC_118)
      coupl(nGC_2621) = coupl(nGC_10)/2d0
      coupl(nGC_2623) = -coupl(nGC_10)
      coupl(nGC_2935) = -coupl(nGC_101)
      coupl(nGC_571) = -coupl(nGC_130)
      coupl(nGC_1523) = -coupl(nGC_218)
      coupl(nGC_1253) = -coupl(nGC_103)
      coupl(nGC_2757) = -coupl(nGC_4)
      coupl(nGC_863) = -coupl(nGC_194)
      coupl(nGC_577) = -coupl(nGC_116)/2d0
      coupl(nGC_1739) = -2d0*coupl(nGC_72)
      coupl(nGC_3333) = -coupl(nGC_102)
      coupl(nGC_829) = -coupl(nGC_206)
      coupl(nGC_913) = -coupl(nGC_74)
      coupl(nGC_911) = coupl(nGC_74)/2d0
      coupl(nGC_623) = 2d0*coupl(nGC_21)
      coupl(nGC_2601) = -coupl(nGC_128)
      coupl(nGC_1761) = -coupl(nGC_100)
      coupl(nGC_2133) = -coupl(nGC_18)
      coupl(nGC_6027) = -coupl(nGC_117)
      coupl(nGC_4897) = -coupl(nGC_136)
    end subroutine fill_couplings_mdl4
end module fill_couplings4
