!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_13121) = coupl(nGC_12498)*da_QED2 + coupl(nGC_12499)*dl1_QED4  &
                          + coupl(nGC_12500)*dl3_QED4
      coupl(nGC_13123) = coupl(nGC_12549)*dcw_QED2 + coupl(nGC_12550)*dZee_QED2&
                          + coupl(nGC_12551)*da_QED2
      coupl(nGC_13083) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)*coupl&
                         (nGC_196) + coupl(nGC_199)*coupl(nGC_200) + coupl(    &
                         nGC_203)*coupl(nGC_204) + coupl(nGC_215)*coupl(nGC_216&
                         ) + coupl(nGC_219)*coupl(nGC_220) + coupl(nGC_227)*   &
                         coupl(nGC_228))/(16d0*pi**2d0*Nc)
      coupl(nGC_20449) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_13086) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_196)**2d0&
                          - coupl(nGC_200)**2d0 - coupl(nGC_204)**2d0 - coupl( &
                         nGC_216)**2d0 - coupl(nGC_220)**2d0 - coupl(nGC_228)**&
                         2d0)/(16d0*pi**2d0)
      coupl(nGC_13085) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_196)**2d0 &
                          + coupl(nGC_200)**2d0 + coupl(nGC_204)**2d0 + coupl( &
                         nGC_216)**2d0 + coupl(nGC_220)**2d0 + coupl(nGC_228)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13084) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)*    &
                         coupl(nGC_196) - coupl(nGC_199)*coupl(nGC_200) - coupl&
                         (nGC_203)*coupl(nGC_204) - coupl(nGC_215)*coupl(      &
                         nGC_216) - coupl(nGC_219)*coupl(nGC_220) - coupl(     &
                         nGC_227)*coupl(nGC_228))/(16d0*pi**2d0)
      coupl(nGC_18977) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_12838) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl( &
                         nGC_201)*coupl(nGC_202)*coupl(nGC_226) - coupl(nGC_201&
                         )*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl&
                         (nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_12832) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl( &
                         nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199&
                         )*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl&
                         (nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_12834) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) - coupl(&
                         nGC_1197)*coupl(nGC_1543)*coupl(nGC_197) + 8d0*coupl( &
                         nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl&
                         (nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_13129) = coupl(nGC_12452)*dsw_QED2 + coupl(nGC_12453)*dZee_QED2
      coupl(nGC_12930) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(    &
                         nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12932) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(    &
                         nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12933) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl(&
                         nGC_4)**2d0 - coupl(nGC_607)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12934) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC*&
                         coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(      &
                         nGC_216) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_12935) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC&
                         *coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(     &
                         nGC_216) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/( &
                         16d0*pi**2d0)
      coupl(nGC_12936) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) - coupl(nGC_1197&
                         )**2d0*coupl(nGC_216) + 8d0*coupl(nGC_122)*coupl(     &
                         nGC_125)*coupl(nGC_216) - coupl(nGC_197)*coupl(nGC_200&
                         )*coupl(nGC_213) - coupl(nGC_215)**2d0*coupl(nGC_216  &
                         ) - coupl(nGC_216)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12937) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197&
                         )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_214)**2d0*&
                         coupl(nGC_216) - coupl(nGC_215)**2d0*coupl(nGC_216) - &
                         coupl(nGC_216)**3d0)/(32d0*pi**2d0)
      coupl(nGC_12938) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_19406) = coupl(nGC_19402) + coupl(nGC_19405)
      coupl(nGC_13158) = coupl(nGC_12332)*dZgs_QCD2
      coupl(nGC_20083) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusL_QED2
      coupl(nGC_12750) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**&
                         2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                         coupl(nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1  &
                         )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*&
                         Nc*cMU**2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima&
                         *coupl(nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)** &
                         2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*&
                         cima*coupl(nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_643  &
                         )**2d0 - cMW**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_12754) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(    &
                         nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(    &
                         nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl&
                         (nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(   &
                         nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(     &
                         nGC_211)*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224&
                         ))/(24d0*pi**2d0)
      coupl(nGC_12755) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196   &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200 &
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204 &
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216 &
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220 &
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_227)*coupl(nGC_228 &
                         ) - 4d0*cME**2d0*cima*coupl(nGC_207)*coupl(nGC_208) - &
                         4d0*cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_212) - 4d0*&
                         cMTA**2d0*cima*coupl(nGC_223)*coupl(nGC_224) - 2d0*cMW&
                         **2d0*coupl(nGC_92) - cMZ**2d0*coupl(nGC_147) + 2d0*  &
                         cima*coupl(nGC_162)*coupl(nGC_164) + cima*coupl(      &
                         nGC_175)*coupl(nGC_177))/(16d0*pi**2d0)
      coupl(nGC_13239) = coupl(nGC_12283)*dsw_QED2 + coupl(nGC_12284)*dZee_QED2&
                          + coupl(nGC_12285)*dvev_QED1 + coupl(nGC_12286)*     &
                         da_QED2
      coupl(nGC_19260) = coupl(nGC_13236) + coupl(nGC_92)*dZHhHl_QED2 + coupl( &
                         nGC_96)*dZHl_QED2 + coupl(nGC_96)*dZWMinus_QED2
      coupl(nGC_13232) = coupl(nGC_12608)*dsw_QED2 + coupl(nGC_12609)*dZee_QED2
      coupl(nGC_13233) = coupl(nGC_12287)*dcw_QED2 + coupl(nGC_12288)*dsw_QED2 &
                          + coupl(nGC_12289)*dZee_QED2
      coupl(nGC_13237) = coupl(nGC_12521)*dcw_QED2 + coupl(nGC_12522)*dsw_QED2 &
                          + coupl(nGC_12523)*dZee_QED2
      coupl(nGC_20432) = coupl(nGC_125)*dZsL_QCD2
      coupl(nGC_23693) = coupl(nGC_104)*dZZA_QED2/2d0 + coupl(nGC_13152) +     &
                         coupl(nGC_6)*dZA_QED2/2d0
      coupl(nGC_20925) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_19469) = coupl(nGC_19)*dZtR_QCD2
      coupl(nGC_19468) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_TS_GC_117_Hl) = -coupl(nGC_117)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12830) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl( &
                         nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193&
                         )*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl&
                         (nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_19940) = coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_12836) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl( &
                         nGC_203)*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204&
                         )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_225)*coupl&
                         (nGC_557)*coupl(nGC_637))/(32d0*pi**2d0)
      coupl(nGC_27979) = coupl(nGC_13346) + coupl(nGC_TS_GC_215_Hh) + coupl(   &
                         nGC_TS_GC_216_Hl)
      coupl(nGC_13017) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)*coupl( &
                         nGC_196) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203&
                         )*coupl(nGC_204) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                         (nGC_215)*coupl(nGC_216) - 2d0*Nc*cima*coupl(nGC_199)*&
                         coupl(nGC_2)**2d0*coupl(nGC_200) - 2d0*Nc*cima*coupl( &
                         nGC_2)**2d0*coupl(nGC_219)*coupl(nGC_220) - 2d0*Nc*   &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_227)*coupl(nGC_228   &
                         ) - 2d0*cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4&
                         )**2d0 - 2d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(&
                         nGC_4)**2d0 - 2d0*cima*coupl(nGC_223)*coupl(nGC_224)* &
                         coupl(nGC_4)**2d0 + cima*coupl(nGC_9)*coupl(nGC_92) + &
                         coupl(nGC_3)**2d0*coupl(nGC_92) + coupl(nGC_643)**2d0*&
                         coupl(nGC_92))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_220_Hl) = -coupl(nGC_220)*dtHl_QED1/cMHL**2d0
      coupl(nGC_27981) = coupl(nGC_13347) + coupl(nGC_27976)
      coupl(nGC_27980) = coupl(nGC_27975) + coupl(nGC_27979)
      coupl(nGC_19599) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_12908) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_214)**2d0*&
                         coupl(nGC_215) - coupl(nGC_215)**3d0 - coupl(nGC_215)*&
                         coupl(nGC_216)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19791) = coupl(nGC_123)*dZtR_QCD2
      coupl(nGC_TS_GC_196_Hl) = -coupl(nGC_196)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20665) = coupl(nGC_13217) + coupl(nGC_20660)
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
