!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_13171) = coupl(nGC_12379)*dydo_QED1_QCD2
      coupl(nGC_13174) = coupl(nGC_12382)*dys_QED3
      coupl(nGC_20805) = coupl(nGC_13340) + coupl(nGC_TS_GC_199_Hh) + coupl(   &
                         nGC_TS_GC_200_Hl)
      coupl(nGC_20804) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_20807) = coupl(nGC_13341) + coupl(nGC_20802)
      coupl(nGC_20806) = coupl(nGC_20801) + coupl(nGC_20805)
      coupl(nGC_19122) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
      coupl(nGC_19123) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
      coupl(nGC_12800) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12801) = (coupl(nGC_1)*coupl(nGC_213)**2d0 + 4d0*coupl(nGC_1)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(   &
                         nGC_2) + coupl(nGC_1543)*coupl(nGC_198)*coupl(nGC_2   &
                         ) + coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2&
                         )**3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0 + 2d0*coupl(&
                         nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12802) = (coupl(nGC_1)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_123 &
                         )**2d0*coupl(nGC_2) + coupl(nGC_1543)*coupl(nGC_198)* &
                         coupl(nGC_2) + coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*&
                         coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_12803) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12804) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_125)**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(    &
                         nGC_557) + coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_204)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_225)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_99)**2d0 + &
                         2d0*coupl(nGC_643)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12805) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_122)**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(    &
                         nGC_557) + coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_204)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12808) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210 &
                         )*coupl(nGC_607) + coupl(nGC_211)**2d0 + coupl(nGC_212&
                         )**2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12809) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210 &
                         )*coupl(nGC_4)*coupl(nGC_607) + coupl(nGC_211)**2d0*  &
                         coupl(nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) - 2d0*&
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**  &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_21525) = coupl(nGC_13174) + coupl(nGC_21522)
      coupl(nGC_20355) = coupl(nGC_101)*dZHh_QED2/2d0 + coupl(nGC_101)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_117)*dZHlHh_QED2/2d0 +  &
                         coupl(nGC_13225)
      coupl(nGC_21527) = coupl(nGC_13173) + coupl(nGC_21523)
      coupl(nGC_21526) = -coupl(nGC_13173) - coupl(nGC_21523)
      coupl(nGC_12760) = (Nc*cMB**2d0*cima*coupl(nGC_122)**2d0 + Nc*cMB**2d0*  &
                         cima*coupl(nGC_125)**2d0 + Nc*cMC**2d0*cima*coupl(    &
                         nGC_123)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_126)**2d0  &
                          + Nc*cMD**2d0*cima*coupl(nGC_122)**2d0 + Nc*cMD**2d0*&
                         cima*coupl(nGC_125)**2d0 + Nc*cMS**2d0*cima*coupl(    &
                         nGC_122)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_125)**2d0  &
                          + Nc*cMT**2d0*cima*coupl(nGC_123)**2d0 + Nc*cMT**2d0*&
                         cima*coupl(nGC_126)**2d0 + Nc*cMU**2d0*cima*coupl(    &
                         nGC_123)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_126)**2d0  &
                          + cME**2d0*cima*coupl(nGC_124)**2d0 + cME**2d0*cima* &
                         coupl(nGC_128)**2d0 + cMM**2d0*cima*coupl(nGC_124)**  &
                         2d0 + cMM**2d0*cima*coupl(nGC_128)**2d0 + cMTA**2d0*  &
                         cima*coupl(nGC_124)**2d0 + cMTA**2d0*cima*coupl(      &
                         nGC_128)**2d0 + cMW**2d0*cima*coupl(nGC_103)**2d0 +   &
                         cMW**2d0*cima*coupl(nGC_1253)**2d0 - cMW**2d0*coupl(  &
                         nGC_85))/(8d0*pi**2d0)
      coupl(nGC_12762) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_125)**2d0 - coupl&
                         (nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_20339) = coupl(nGC_13128) + coupl(nGC_148)*dZHhHl_QED2 + coupl(&
                         nGC_150)*dZHl_QED2
      coupl(nGC_20500) = coupl(nGC_215)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_20501) = coupl(nGC_13179) + coupl(nGC_20500)
      coupl(nGC_18732) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_13247) +     &
                         coupl(nGC_15)*dZHh_QED2/2d0 + coupl(nGC_15)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_15)*dZZ_QED2/2d0 + coupl&
                         (nGC_28)*dZHlHh_QED2/2d0
      coupl(nGC_19555) = coupl(nGC_13214) + coupl(nGC_227)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_228)*dZHl_QED2/2d0
      coupl(nGC_19554) = coupl(nGC_13213) + coupl(nGC_19553)
      coupl(nGC_18739) = -coupl(nGC_13205) - coupl(nGC_18738)
      coupl(nGC_12769) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_12768) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22125) = coupl(nGC_13215) + coupl(nGC_22124)
      coupl(nGC_22126) = coupl(nGC_13216) + coupl(nGC_199)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_200)*dZHl_QED2/2d0
      coupl(nGC_22127) = coupl(nGC_22123) + coupl(nGC_22126)
      coupl(nGC_21797) = coupl(nGC_TS_GC_179_Hl) + coupl(nGC_TS_GC_184_Hh)
      coupl(nGC_21550) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_21554) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
      coupl(nGC_21555) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2
      coupl(nGC_19467) = coupl(nGC_19)*dZtL_QCD2
      coupl(nGC_19466) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_18887) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_13237)
      coupl(nGC_18882) = coupl(nGC_104)*dZWMinus_QED2/2d0 + coupl(nGC_13155)
      coupl(nGC_13203) = coupl(nGC_12388)*dyc_QED1_QCD2
      coupl(nGC_18922) = coupl(nGC_222)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_20593) = coupl(nGC_13127) + coupl(nGC_32)*dZHh_QED2/2d0 + 3d0* &
                         coupl(nGC_32)*dZHl_QED2/2d0 + coupl(nGC_34)*          &
                         dZHlHh_QED2/2d0 + 3d0*coupl(nGC_36)*dZHhHl_QED2/2d0
      coupl(nGC_13003) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - coupl(  &
                         nGC_1523)*coupl(nGC_218) - 4d0*coupl(nGC_2)**2d0 -    &
                         coupl(nGC_217)**2d0 - coupl(nGC_219)**2d0 - coupl(    &
                         nGC_220)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_24000) = -coupl(nGC_20355)
      coupl(nGC_13000) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                         nGC_1197)*coupl(nGC_214) + 4d0*coupl(nGC_122)**2d0 +  &
                         coupl(nGC_213)**2d0 + coupl(nGC_215)**2d0 + coupl(    &
                         nGC_216)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13207) = coupl(nGC_12271)*dyup_QED1_QCD2
      coupl(nGC_13005) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(   &
                         nGC_1523)*coupl(nGC_218) + 4d0*coupl(nGC_2)**2d0 +    &
                         coupl(nGC_217)**2d0 + coupl(nGC_219)**2d0 + coupl(    &
                         nGC_220)**2d0)/(64d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
