!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl16()
      coupl(nGC_13082) = (-3d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0  &
                          + 9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(   &
                         nGC_99)**2d0 - 3d0*Nc*cima*coupl(nGC_126)**2d0*coupl( &
                         nGC_99)**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103  &
                         )**2d0*coupl(nGC_1253) - 4d0*cima*coupl(nGC_103)**2d0*&
                         coupl(nGC_4)*coupl(nGC_643) + 3d0*cima*coupl(nGC_113  &
                         )**2d0 - 3d0*cima*coupl(nGC_128)**2d0*coupl(nGC_99)** &
                         2d0 + 9d0*cima*coupl(nGC_128)*coupl(nGC_129)*coupl(   &
                         nGC_99)**2d0 - 3d0*cima*coupl(nGC_129)**2d0*coupl(    &
                         nGC_99)**2d0 + 3d0*cima*coupl(nGC_84)**2d0 + 3d0*coupl&
                         (nGC_102)*coupl(nGC_103)*coupl(nGC_84) + 3d0*coupl(   &
                         nGC_103)*coupl(nGC_113)*coupl(nGC_4) + 3d0*coupl(     &
                         nGC_103)*coupl(nGC_113)*coupl(nGC_643) + 3d0*coupl(   &
                         nGC_103)*coupl(nGC_1253)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_18799) = coupl(nGC_216)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_18792) = coupl(nGC_13113) + coupl(nGC_16)*dZHh_QED2/2d0 + coupl&
                         (nGC_27)*dZHlHh_QED2/2d0
      coupl(nGC_19793) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZtR_QED2&
                          + coupl(nGC_13266)
      coupl(nGC_13036) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99&
                         )**2d0 + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl&
                         (nGC_99)**2d0 + 9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2&
                         )*coupl(nGC_99)**2d0 - 6d0*Nc*cima*coupl(nGC_126)*    &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_3   &
                         ) - 8d0*cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*&
                         coupl(nGC_643) + 6d0*cima*coupl(nGC_113)*coupl(       &
                         nGC_2621) + 6d0*cima*coupl(nGC_113)*coupl(nGC_84) -   &
                         6d0*cima*coupl(nGC_128)*coupl(nGC_4)*coupl(nGC_99)**  &
                         2d0 + 9d0*cima*coupl(nGC_129)*coupl(nGC_4)*coupl(     &
                         nGC_99)**2d0 + 6d0*coupl(nGC_102)*coupl(nGC_3)*coupl( &
                         nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_113)*coupl(    &
                         nGC_1253) + 6d0*coupl(nGC_113)*coupl(nGC_3)*coupl(    &
                         nGC_4) + 6d0*coupl(nGC_1253)*coupl(nGC_2621)*coupl(   &
                         nGC_3))/(48d0*pi**2d0)
      coupl(nGC_13198) = coupl(nGC_12485)*dye_QED3 + coupl(nGC_12486)*da_QED2
      coupl(nGC_13034) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99&
                         )**2d0 - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*    &
                         coupl(nGC_99)**2d0 - 15d0*Nc*cima*coupl(nGC_125)*coupl&
                         (nGC_2)*coupl(nGC_99)**2d0 + 18d0*Nc*cima*coupl(      &
                         nGC_126)*coupl(nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*  &
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_1253)*coupl(  &
                         nGC_3) - 8d0*cima*coupl(nGC_103)*coupl(nGC_3)*coupl(  &
                         nGC_4)*coupl(nGC_643) + 6d0*cima*coupl(nGC_116)*coupl(&
                         nGC_911) + 18d0*cima*coupl(nGC_128)*coupl(nGC_4)*coupl&
                         (nGC_99)**2d0 - 15d0*cima*coupl(nGC_129)*coupl(nGC_4)*&
                         coupl(nGC_99)**2d0 + 6d0*coupl(nGC_102)*coupl(nGC_116 &
                         )*coupl(nGC_1253) + 6d0*coupl(nGC_103)*coupl(nGC_3)*  &
                         coupl(nGC_911) + 6d0*coupl(nGC_116)*coupl(nGC_4)*coupl&
                         (nGC_643) + 6d0*coupl(nGC_1253)*coupl(nGC_643)*coupl( &
                         nGC_911))/(48d0*pi**2d0)
      coupl(nGC_13035) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99&
                         )**2d0 + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl&
                         (nGC_99)**2d0 + 9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2&
                         )*coupl(nGC_99)**2d0 - 6d0*Nc*cima*coupl(nGC_126)*    &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_3   &
                         ) - 8d0*cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*&
                         coupl(nGC_643) + 6d0*cima*coupl(nGC_113)*coupl(       &
                         nGC_2621) + 6d0*cima*coupl(nGC_113)*coupl(nGC_84) -   &
                         6d0*cima*coupl(nGC_128)*coupl(nGC_4)*coupl(nGC_99)**  &
                         2d0 + 9d0*cima*coupl(nGC_129)*coupl(nGC_4)*coupl(     &
                         nGC_99)**2d0 + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                         (nGC_113) + 6d0*coupl(nGC_103)*coupl(nGC_2621)*coupl( &
                         nGC_4) + 6d0*coupl(nGC_113)*coupl(nGC_3)*coupl(nGC_643&
                         ) + 6d0*coupl(nGC_1253)*coupl(nGC_3)*coupl(nGC_84))/( &
                         48d0*pi**2d0)
      coupl(nGC_13032) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195)**&
                         2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_203)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*  &
                         coupl(nGC_215)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_125)*coupl(nGC_195)**2d0 - Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_125)*coupl(nGC_203)**2d0 - Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_215)**2d0 - Nc*cima*  &
                         coupl(nGC_123)*coupl(nGC_199)**2d0*coupl(nGC_2) - Nc* &
                         cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)**2d0  &
                          - Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227  &
                         )**2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_199)**2d0*  &
                         coupl(nGC_2) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*   &
                         coupl(nGC_219)**2d0 - Nc*cima*coupl(nGC_126)*coupl(   &
                         nGC_2)*coupl(nGC_227)**2d0 + cima*coupl(nGC_116)*coupl&
                         (nGC_82) - cima*coupl(nGC_124)*coupl(nGC_207)**2d0*   &
                         coupl(nGC_4) - cima*coupl(nGC_124)*coupl(nGC_211)**2d0&
                         *coupl(nGC_4) - cima*coupl(nGC_124)*coupl(nGC_223)**  &
                         2d0*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(nGC_207  &
                         )**2d0*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(      &
                         nGC_211)**2d0*coupl(nGC_4) - cima*coupl(nGC_128)*coupl&
                         (nGC_223)**2d0*coupl(nGC_4) + coupl(nGC_103)*coupl(   &
                         nGC_3)*coupl(nGC_82) + coupl(nGC_1253)*coupl(nGC_643)*&
                         coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_13033) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195)* &
                         coupl(nGC_196) - Nc*cima*coupl(nGC_1)*coupl(nGC_122)* &
                         coupl(nGC_203)*coupl(nGC_204) - Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_122)*coupl(nGC_215)*coupl(nGC_216) - Nc*cima&
                         *coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195)*coupl(    &
                         nGC_196) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl( &
                         nGC_203)*coupl(nGC_204) - Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_125)*coupl(nGC_215)*coupl(nGC_216) - Nc*cima*coupl&
                         (nGC_123)*coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_200   &
                         ) - Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219 &
                         )*coupl(nGC_220) - Nc*cima*coupl(nGC_123)*coupl(nGC_2 &
                         )*coupl(nGC_227)*coupl(nGC_228) - Nc*cima*coupl(      &
                         nGC_126)*coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_200) - &
                         Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219)*   &
                         coupl(nGC_220) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)* &
                         coupl(nGC_227)*coupl(nGC_228) + cima*coupl(nGC_116)*  &
                         coupl(nGC_92) - cima*coupl(nGC_124)*coupl(nGC_207)*   &
                         coupl(nGC_208)*coupl(nGC_4) - cima*coupl(nGC_124)*    &
                         coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4) - cima*    &
                         coupl(nGC_124)*coupl(nGC_223)*coupl(nGC_224)*coupl(   &
                         nGC_4) - cima*coupl(nGC_128)*coupl(nGC_207)*coupl(    &
                         nGC_208)*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(    &
                         nGC_211)*coupl(nGC_212)*coupl(nGC_4) - cima*coupl(    &
                         nGC_128)*coupl(nGC_223)*coupl(nGC_224)*coupl(nGC_4) + &
                         coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_92) + coupl(    &
                         nGC_1253)*coupl(nGC_643)*coupl(nGC_92))/(8d0*pi**2d0)
      coupl(nGC_13030) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + Nc*  &
                         cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + Nc*cima* &
                         coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl(     &
                         nGC_103)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_116  &
                         )**2d0 + cima*coupl(nGC_124)**2d0*coupl(nGC_4)**2d0 - &
                         2d0*cima*coupl(nGC_1253)**2d0*coupl(nGC_643)**2d0 +   &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_4)**2d0 + 2d0*coupl&
                         (nGC_103)*coupl(nGC_116)*coupl(nGC_3) + 2d0*coupl(    &
                         nGC_116)*coupl(nGC_1253)*coupl(nGC_643))/(8d0*pi**2d0)
      coupl(nGC_13031) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1197)*coupl(nGC_122)*&
                         coupl(nGC_214) - Nc*cima*coupl(nGC_1)*coupl(nGC_1197)*&
                         coupl(nGC_125)*coupl(nGC_214) - Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_863) - Nc*cima&
                         *coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_202)*coupl(    &
                         nGC_557) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl( &
                         nGC_194)*coupl(nGC_863) - Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_125)*coupl(nGC_202)*coupl(nGC_557) - Nc*cima*coupl&
                         (nGC_123)*coupl(nGC_1523)*coupl(nGC_2)*coupl(nGC_218  &
                         ) - Nc*cima*coupl(nGC_123)*coupl(nGC_1543)*coupl(     &
                         nGC_198)*coupl(nGC_2) - Nc*cima*coupl(nGC_123)*coupl( &
                         nGC_2)*coupl(nGC_226)*coupl(nGC_637) - Nc*cima*coupl( &
                         nGC_126)*coupl(nGC_1523)*coupl(nGC_2)*coupl(nGC_218   &
                         ) - Nc*cima*coupl(nGC_126)*coupl(nGC_1543)*coupl(     &
                         nGC_198)*coupl(nGC_2) - Nc*cima*coupl(nGC_126)*coupl( &
                         nGC_2)*coupl(nGC_226)*coupl(nGC_637) + cima*coupl(    &
                         nGC_116)*coupl(nGC_71) - cima*coupl(nGC_124)*coupl(   &
                         nGC_1579)*coupl(nGC_222)*coupl(nGC_4) - cima*coupl(   &
                         nGC_124)*coupl(nGC_206)*coupl(nGC_4)*coupl(nGC_829) - &
                         cima*coupl(nGC_124)*coupl(nGC_210)*coupl(nGC_4)*coupl(&
                         nGC_607) - cima*coupl(nGC_128)*coupl(nGC_1579)*coupl( &
                         nGC_222)*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(    &
                         nGC_206)*coupl(nGC_4)*coupl(nGC_829) - cima*coupl(    &
                         nGC_128)*coupl(nGC_210)*coupl(nGC_4)*coupl(nGC_607) + &
                         coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_71) + coupl(    &
                         nGC_1253)*coupl(nGC_643)*coupl(nGC_71))/(8d0*pi**2d0)
      coupl(nGC_19143) = coupl(nGC_110)*dZHhHl_QED2/2d0 + coupl(nGC_120)*      &
                         dZA_QED2/2d0 + coupl(nGC_120)*dZHl_QED2/2d0 + coupl(  &
                         nGC_120)*dZWMinus_QED2/2d0 + coupl(nGC_13222) + coupl(&
                         nGC_28)*dZZA_QED2/2d0
      coupl(nGC_13039) = cima*(10d0*Nc*coupl(nGC_1197)*coupl(nGC_1543)*coupl(  &
                         nGC_197)*coupl(nGC_213) + 10d0*Nc*coupl(nGC_1197)*    &
                         coupl(nGC_197)**2d0*coupl(nGC_214) + 10d0*Nc*coupl(   &
                         nGC_1197)*coupl(nGC_213)**2d0*coupl(nGC_214) + 10d0*Nc&
                         *coupl(nGC_1523)*coupl(nGC_193)**2d0*coupl(nGC_218) + &
                         10d0*Nc*coupl(nGC_1523)*coupl(nGC_193)*coupl(nGC_217)*&
                         coupl(nGC_863) + 10d0*Nc*coupl(nGC_1523)*coupl(nGC_217&
                         )**2d0*coupl(nGC_218) + 10d0*Nc*coupl(nGC_1543)*coupl(&
                         nGC_197)**2d0*coupl(nGC_198) + 10d0*Nc*coupl(nGC_1543 &
                         )*coupl(nGC_198)*coupl(nGC_213)**2d0 + 10d0*Nc*coupl( &
                         nGC_193)**2d0*coupl(nGC_194)*coupl(nGC_863) + 10d0*Nc*&
                         coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_217)*coupl(   &
                         nGC_218) + 10d0*Nc*coupl(nGC_194)*coupl(nGC_217)**2d0*&
                         coupl(nGC_863) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_198 &
                         )*coupl(nGC_213)*coupl(nGC_214) + 10d0*Nc*coupl(      &
                         nGC_201)**2d0*coupl(nGC_202)*coupl(nGC_557) + 10d0*Nc*&
                         coupl(nGC_201)**2d0*coupl(nGC_226)*coupl(nGC_637) +   &
                         10d0*Nc*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_225)* &
                         coupl(nGC_226) + 10d0*Nc*coupl(nGC_201)*coupl(nGC_225 &
                         )*coupl(nGC_557)*coupl(nGC_637) + 10d0*Nc*coupl(      &
                         nGC_202)*coupl(nGC_225)**2d0*coupl(nGC_557) + 10d0*Nc*&
                         coupl(nGC_225)**2d0*coupl(nGC_226)*coupl(nGC_637) +   &
                         12d0*coupl(nGC_107)*coupl(nGC_108) + 12d0*coupl(nGC_13&
                         )*coupl(nGC_14) + 3d0*coupl(nGC_141)*coupl(nGC_142) + &
                         10d0*coupl(nGC_1579)*coupl(nGC_221)**2d0*coupl(nGC_222&
                         ) + 10d0*coupl(nGC_205)**2d0*coupl(nGC_206)*coupl(    &
                         nGC_829) + 10d0*coupl(nGC_209)**2d0*coupl(nGC_210)*   &
                         coupl(nGC_607) + 6d0*coupl(nGC_71)**2d0)/(48d0*pi**2d0&
                         )
      coupl(nGC_18820) = coupl(nGC_115)*dZAZ_QED2 + coupl(nGC_13233) + coupl(  &
                         nGC_86)*dZZ_QED2
      coupl(nGC_18715) = coupl(nGC_13124) + coupl(nGC_144)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_148)*dZHh_QED2/2d0 + coupl(nGC_148)*        &
                         dZHl_QED2/2d0 + coupl(nGC_150)*dZHlHh_QED2/2d0
      coupl(nGC_12971) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                         )*coupl(nGC_205)**2d0 + 4d0*coupl(nGC_128)*coupl(     &
                         nGC_99)**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_20167) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_19026) = -coupl(nGC_19024)/2d0 + coupl(nGC_19025)
      coupl(nGC_19067) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_13150) + coupl(    &
                         nGC_134)*dZZA_QED2
      coupl(nGC_18867) = coupl(nGC_13210) + coupl(nGC_199)*dZHh_QED2/2d0 +     &
                         coupl(nGC_200)*dZHlHh_QED2/2d0
      coupl(nGC_18860) = coupl(nGC_199)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_18861) = coupl(nGC_199)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_TS_GC_151_Hl) = -coupl(nGC_151)*dtHl_QED1/cMHL**2d0
      coupl(nGC_18941) = coupl(nGC_13195) + coupl(nGC_207)*dZHh_QED2/2d0 +     &
                         coupl(nGC_208)*dZHlHh_QED2/2d0
      coupl(nGC_13040) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)**2d0 &
                          + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)**2d0 +  &
                         20d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217)* &
                         coupl(nGC_219) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(   &
                         nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_199)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_215)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_199)*&
                         coupl(nGC_213)*coupl(nGC_215) + 10d0*Nc*coupl(nGC_199 &
                         )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)** &
                         2d0*coupl(nGC_203)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0*&
                         coupl(nGC_227)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(   &
                         nGC_203)*coupl(nGC_225)*coupl(nGC_227) + 10d0*Nc*coupl&
                         (nGC_203)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(   &
                         nGC_213)**2d0*coupl(nGC_215)**2d0 + 10d0*Nc*coupl(    &
                         nGC_217)**2d0*coupl(nGC_219)**2d0 + 10d0*Nc*coupl(    &
                         nGC_225)**2d0*coupl(nGC_227)**2d0 + 12d0*coupl(nGC_110&
                         )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_145) + 12d0*    &
                         coupl(nGC_15)**2d0 + 10d0*coupl(nGC_205)**2d0*coupl(  &
                         nGC_207)**2d0 + 10d0*coupl(nGC_209)**2d0*coupl(nGC_211&
                         )**2d0 + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)**2d0 &
                          + 6d0*coupl(nGC_71)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_18868) = coupl(nGC_18860) + coupl(nGC_18867)
      coupl(nGC_12981) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(  &
                         nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_225)**2d0 +    &
                         coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_637) + coupl( &
                         nGC_126)*coupl(nGC_227)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12980) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122&
                         )*coupl(nGC_201)**2d0 + coupl(nGC_123)*coupl(nGC_226)*&
                         coupl(nGC_637) + coupl(nGC_123)*coupl(nGC_227)**2d0 + &
                         coupl(nGC_123)*coupl(nGC_228)**2d0 + 4d0*coupl(nGC_125&
                         )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0* &
                         coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12982) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_125)**2d0 - coupl(nGC_194)*coupl(nGC_863) - coupl&
                         (nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_217  &
                         )**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_12985) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_125)**2d0 + coupl(nGC_194)*coupl(nGC_863) + coupl(&
                         nGC_195)**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_217)**&
                         2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_12984) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_122)**2d0 - coupl(nGC_193)**2d0 - coupl(nGC_194)*&
                         coupl(nGC_863) - coupl(nGC_195)**2d0 - coupl(nGC_196  &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_12987) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_122)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_194)* &
                         coupl(nGC_863) + coupl(nGC_195)**2d0 + coupl(nGC_196  &
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_12989) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - coupl( &
                         nGC_1543)*coupl(nGC_198) - coupl(nGC_197)**2d0 - coupl&
                         (nGC_199)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_200&
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_12988) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl( &
                         nGC_1543)*coupl(nGC_198) - coupl(nGC_199)**2d0 - 4d0* &
                         coupl(nGC_2)**2d0 - coupl(nGC_200)**2d0 - coupl(      &
                         nGC_213)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_23987) = coupl(nGC_13238) + coupl(nGC_162)*dZHh_QED2/2d0 +     &
                         coupl(nGC_162)*dZWMinus_QED2 + coupl(nGC_164)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_82_Hh) + coupl(     &
                         nGC_TS_GC_92_Hl)
      coupl(nGC_13151) = coupl(nGC_12448)*dZee_QED2
      coupl(nGC_12859) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_194) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_194) - coupl(       &
                         nGC_1523)*coupl(nGC_193)*coupl(nGC_217) - coupl(      &
                         nGC_194)**2d0*coupl(nGC_863) - coupl(nGC_195)**2d0*   &
                         coupl(nGC_863) - coupl(nGC_196)**2d0*coupl(nGC_863))/(&
                         32d0*pi**2d0)
      coupl(nGC_12858) = coupl(nGC_19)**2d0*coupl(nGC_863)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12857) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_863) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_863) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_194)*coupl&
                         (nGC_195)**2d0 - coupl(nGC_194)*coupl(nGC_196)**2d0 - &
                         coupl(nGC_194)*coupl(nGC_863)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12856) = (Nc*coupl(nGC_1197)*coupl(nGC_122)*coupl(nGC_216) - Nc&
                         *coupl(nGC_1197)*coupl(nGC_125)*coupl(nGC_216) - Nc*  &
                         coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_196) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_196)*coupl(nGC_863) - Nc*    &
                         coupl(nGC_122)*coupl(nGC_202)*coupl(nGC_204) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_204)*coupl(nGC_557) - Nc*    &
                         coupl(nGC_122)*coupl(nGC_214)*coupl(nGC_216) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_1523)*coupl(nGC_220) + Nc*   &
                         coupl(nGC_123)*coupl(nGC_1543)*coupl(nGC_200) - Nc*   &
                         coupl(nGC_123)*coupl(nGC_198)*coupl(nGC_200) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_218)*coupl(nGC_220) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_226)*coupl(nGC_228) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_228)*coupl(nGC_637) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_196) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_196)*coupl(nGC_863) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_202)*coupl(nGC_204) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_204)*coupl(nGC_557) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_214)*coupl(nGC_216) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_1523)*coupl(nGC_220) - Nc*   &
                         coupl(nGC_126)*coupl(nGC_1543)*coupl(nGC_200) + Nc*   &
                         coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_200) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_220) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_228) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_228)*coupl(nGC_637) + coupl( &
                         nGC_124)*coupl(nGC_1579)*coupl(nGC_224) - coupl(      &
                         nGC_124)*coupl(nGC_206)*coupl(nGC_208) + coupl(nGC_124&
                         )*coupl(nGC_208)*coupl(nGC_829) - coupl(nGC_124)*coupl&
                         (nGC_210)*coupl(nGC_212) + coupl(nGC_124)*coupl(      &
                         nGC_212)*coupl(nGC_607) - coupl(nGC_124)*coupl(nGC_222&
                         )*coupl(nGC_224) - coupl(nGC_128)*coupl(nGC_1579)*    &
                         coupl(nGC_224) + coupl(nGC_128)*coupl(nGC_206)*coupl( &
                         nGC_208) - coupl(nGC_128)*coupl(nGC_208)*coupl(nGC_829&
                         ) + coupl(nGC_128)*coupl(nGC_210)*coupl(nGC_212) -    &
                         coupl(nGC_128)*coupl(nGC_212)*coupl(nGC_607) + coupl( &
                         nGC_128)*coupl(nGC_222)*coupl(nGC_224))/(24d0*pi**2d0)
      coupl(nGC_12855) = (Nc*coupl(nGC_1197)*coupl(nGC_122)*coupl(nGC_215) - Nc&
                         *coupl(nGC_1197)*coupl(nGC_125)*coupl(nGC_215) - Nc*  &
                         coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_195) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_195)*coupl(nGC_863) - Nc*    &
                         coupl(nGC_122)*coupl(nGC_202)*coupl(nGC_203) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_203)*coupl(nGC_557) - Nc*    &
                         coupl(nGC_122)*coupl(nGC_214)*coupl(nGC_215) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_1523)*coupl(nGC_219) + Nc*   &
                         coupl(nGC_123)*coupl(nGC_1543)*coupl(nGC_199) - Nc*   &
                         coupl(nGC_123)*coupl(nGC_198)*coupl(nGC_199) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_218)*coupl(nGC_219) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_226)*coupl(nGC_227) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_227)*coupl(nGC_637) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_195) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_863) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_202)*coupl(nGC_203) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_203)*coupl(nGC_557) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_214)*coupl(nGC_215) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_1523)*coupl(nGC_219) - Nc*   &
                         coupl(nGC_126)*coupl(nGC_1543)*coupl(nGC_199) + Nc*   &
                         coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_199) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_219) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_227) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_227)*coupl(nGC_637) + coupl( &
                         nGC_124)*coupl(nGC_1579)*coupl(nGC_223) - coupl(      &
                         nGC_124)*coupl(nGC_206)*coupl(nGC_207) + coupl(nGC_124&
                         )*coupl(nGC_207)*coupl(nGC_829) - coupl(nGC_124)*coupl&
                         (nGC_210)*coupl(nGC_211) + coupl(nGC_124)*coupl(      &
                         nGC_211)*coupl(nGC_607) - coupl(nGC_124)*coupl(nGC_222&
                         )*coupl(nGC_223) - coupl(nGC_128)*coupl(nGC_1579)*    &
                         coupl(nGC_223) + coupl(nGC_128)*coupl(nGC_206)*coupl( &
                         nGC_207) - coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_829&
                         ) + coupl(nGC_128)*coupl(nGC_210)*coupl(nGC_211) -    &
                         coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_607) + coupl( &
                         nGC_128)*coupl(nGC_222)*coupl(nGC_223))/(24d0*pi**2d0)
      coupl(nGC_12854) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_196) + 8d0* &
                         Nc*cMB*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_863) + &
                         2d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_863)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_1543)**2d0*coupl(nGC_200) + 8d0*Nc*cMC*&
                         coupl(nGC_1543)*coupl(nGC_198)*coupl(nGC_200) + 2d0*Nc&
                         *cMC*coupl(nGC_198)**2d0*coupl(nGC_200) + 2d0*Nc*cMD* &
                         coupl(nGC_202)**2d0*coupl(nGC_204) + 8d0*Nc*cMD*coupl(&
                         nGC_202)*coupl(nGC_204)*coupl(nGC_557) + 2d0*Nc*cMD*  &
                         coupl(nGC_204)*coupl(nGC_557)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_1197)**2d0*coupl(nGC_216) + 8d0*Nc*cMS*coupl(     &
                         nGC_1197)*coupl(nGC_214)*coupl(nGC_216) + 2d0*Nc*cMS* &
                         coupl(nGC_214)**2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(&
                         nGC_1523)**2d0*coupl(nGC_220) + 8d0*Nc*cMT*coupl(     &
                         nGC_1523)*coupl(nGC_218)*coupl(nGC_220) + 2d0*Nc*cMT* &
                         coupl(nGC_218)**2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(&
                         nGC_226)**2d0*coupl(nGC_228) + 8d0*Nc*cMU*coupl(      &
                         nGC_226)*coupl(nGC_228)*coupl(nGC_637) + 2d0*Nc*cMU*  &
                         coupl(nGC_228)*coupl(nGC_637)**2d0 + 2d0*cME*coupl(   &
                         nGC_206)**2d0*coupl(nGC_208) + 8d0*cME*coupl(nGC_206)*&
                         coupl(nGC_208)*coupl(nGC_829) + 2d0*cME*coupl(nGC_208 &
                         )*coupl(nGC_829)**2d0 + 2d0*cMM*coupl(nGC_210)**2d0*  &
                         coupl(nGC_212) + 8d0*cMM*coupl(nGC_210)*coupl(nGC_212 &
                         )*coupl(nGC_607) + 2d0*cMM*coupl(nGC_212)*coupl(      &
                         nGC_607)**2d0 + 2d0*cMTA*coupl(nGC_1579)**2d0*coupl(  &
                         nGC_224) + 8d0*cMTA*coupl(nGC_1579)*coupl(nGC_222)*   &
                         coupl(nGC_224) + 2d0*cMTA*coupl(nGC_222)**2d0*coupl(  &
                         nGC_224) + cima*coupl(nGC_142)*coupl(nGC_177) + 2d0*  &
                         cima*coupl(nGC_164)*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_12853) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_195) + 8d0* &
                         Nc*cMB*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_863) + &
                         2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_863)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_1543)**2d0*coupl(nGC_199) + 8d0*Nc*cMC*&
                         coupl(nGC_1543)*coupl(nGC_198)*coupl(nGC_199) + 2d0*Nc&
                         *cMC*coupl(nGC_198)**2d0*coupl(nGC_199) + 2d0*Nc*cMD* &
                         coupl(nGC_202)**2d0*coupl(nGC_203) + 8d0*Nc*cMD*coupl(&
                         nGC_202)*coupl(nGC_203)*coupl(nGC_557) + 2d0*Nc*cMD*  &
                         coupl(nGC_203)*coupl(nGC_557)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_1197)**2d0*coupl(nGC_215) + 8d0*Nc*cMS*coupl(     &
                         nGC_1197)*coupl(nGC_214)*coupl(nGC_215) + 2d0*Nc*cMS* &
                         coupl(nGC_214)**2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(&
                         nGC_1523)**2d0*coupl(nGC_219) + 8d0*Nc*cMT*coupl(     &
                         nGC_1523)*coupl(nGC_218)*coupl(nGC_219) + 2d0*Nc*cMT* &
                         coupl(nGC_218)**2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(&
                         nGC_226)**2d0*coupl(nGC_227) + 8d0*Nc*cMU*coupl(      &
                         nGC_226)*coupl(nGC_227)*coupl(nGC_637) + 2d0*Nc*cMU*  &
                         coupl(nGC_227)*coupl(nGC_637)**2d0 + 2d0*cME*coupl(   &
                         nGC_206)**2d0*coupl(nGC_207) + 8d0*cME*coupl(nGC_206)*&
                         coupl(nGC_207)*coupl(nGC_829) + 2d0*cME*coupl(nGC_207 &
                         )*coupl(nGC_829)**2d0 + 2d0*cMM*coupl(nGC_210)**2d0*  &
                         coupl(nGC_211) + 8d0*cMM*coupl(nGC_210)*coupl(nGC_211 &
                         )*coupl(nGC_607) + 2d0*cMM*coupl(nGC_211)*coupl(      &
                         nGC_607)**2d0 + 2d0*cMTA*coupl(nGC_1579)**2d0*coupl(  &
                         nGC_223) + 8d0*cMTA*coupl(nGC_1579)*coupl(nGC_222)*   &
                         coupl(nGC_223) + 2d0*cMTA*coupl(nGC_222)**2d0*coupl(  &
                         nGC_223) + cima*coupl(nGC_142)*coupl(nGC_175) + 2d0*  &
                         cima*coupl(nGC_162)*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_12916) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*&
                         coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_226)**2d0*  &
                         coupl(nGC_227) - coupl(nGC_227)**3d0 - coupl(nGC_227)*&
                         coupl(nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12917) = coupl(nGC_19)**2d0*coupl(nGC_227)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12914) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_1579)**2d0 - coupl(nGC_223)**2d0 - coupl(   &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12915) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*&
                         coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_227)**3d0 - &
                         coupl(nGC_227)*coupl(nGC_228)**2d0 - coupl(nGC_227)*  &
                         coupl(nGC_637)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12912) = coupl(nGC_19)**2d0*coupl(nGC_219)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12913) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(    &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
