!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_TS_GC_223_Hh) = -coupl(nGC_223)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20128) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_20129) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_20126) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_20127) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_19830) = coupl(nGC_206)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20753) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_20755) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_20754) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_20756) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_TS_GC_92_Hl) = -coupl(nGC_92)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19584) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_19585) = coupl(nGC_13337) + coupl(nGC_TS_GC_223_Hh) + coupl(   &
                         nGC_TS_GC_224_Hl)
      coupl(nGC_19582) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_19583) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_184_Hh) = -coupl(nGC_184)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13182) = coupl(nGC_12303)*dyb_QED3 + coupl(nGC_12304)*da_QED2
      coupl(nGC_13183) = coupl(nGC_12640)*dydo_QED1_QCD2
      coupl(nGC_13180) = coupl(nGC_12405)*dys_QED3 + coupl(nGC_12406)*da_QED2
      coupl(nGC_13181) = coupl(nGC_12303)*dyb_QED1_QCD2
      coupl(nGC_13184) = coupl(nGC_12640)*dydo_QED3 + coupl(nGC_12641)*da_QED2
      coupl(nGC_13168) = -cima*dyb_QED3
      coupl(nGC_13169) = cima*dyt_QED1_QCD2
      coupl(nGC_13160) = -cima*dydo_QED3
      coupl(nGC_13161) = cima*dyup_QED1_QCD2
      coupl(nGC_13162) = cima*dyup_QED3
      coupl(nGC_13163) = -cima*dys_QED1_QCD2
      coupl(nGC_13164) = -cima*dys_QED3
      coupl(nGC_13165) = cima*dyc_QED1_QCD2
      coupl(nGC_13166) = cima*dyc_QED3
      coupl(nGC_13167) = -cima*dyb_QED1_QCD2
      coupl(nGC_13178) = coupl(nGC_12468)*dydo_QED3 + coupl(nGC_12469)*da_QED2
      coupl(nGC_20138) = coupl(nGC_13339) + coupl(nGC_20129)
      coupl(nGC_20135) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_20134) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_TS_GC_164_Hl) = -coupl(nGC_164)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19267) = coupl(nGC_227)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_19268) = coupl(nGC_227)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_21522) = coupl(nGC_214)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_19049) = coupl(nGC_13167) + coupl(nGC_193)*dZbR_QCD2/2d0 +     &
                         coupl(nGC_193)*dZtL_QCD2/2d0
      coupl(nGC_19048) = coupl(nGC_13169) + coupl(nGC_217)*dZbL_QCD2/2d0 +     &
                         coupl(nGC_217)*dZtR_QCD2/2d0
      coupl(nGC_21752) = coupl(nGC_177)*dZZA_QED2/2d0
      coupl(nGC_13197) = coupl(nGC_363)*dytau_QED3 + coupl(nGC_365)*da_QED2
      coupl(nGC_13191) = -cima*dytau_QED3
      coupl(nGC_13190) = -cima*dym_QED3
      coupl(nGC_13193) = coupl(nGC_12336)*dym_QED3
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
