!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl21()
      coupl(nGC_12869) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -   &
                         coupl(nGC_206)**2d0*coupl(nGC_829) + 8d0*coupl(nGC_206&
                         )*coupl(nGC_4)**2d0 - coupl(nGC_207)**2d0*coupl(      &
                         nGC_829) - coupl(nGC_208)**2d0*coupl(nGC_829))/(32d0* &
                         pi**2d0)
      coupl(nGC_23075) = coupl(nGC_13187) + coupl(nGC_23074)
      coupl(nGC_20191) = coupl(nGC_18977) + coupl(nGC_20189)
      coupl(nGC_19183) = coupl(nGC_105)*dZZA_QED2/2d0 + coupl(nGC_13151) +     &
                         coupl(nGC_5)*dZA_QED2/2d0
      coupl(nGC_19126) = coupl(nGC_19122) + coupl(nGC_19124)
      coupl(nGC_19522) = coupl(nGC_19290) + coupl(nGC_19520)
      coupl(nGC_21189) = coupl(nGC_18954) + coupl(nGC_21186)
      coupl(nGC_19418) = coupl(nGC_19415) + coupl(nGC_19417)
      coupl(nGC_18955) = coupl(nGC_18949) + coupl(nGC_18954)
      coupl(nGC_12870) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_829) -   &
                         coupl(nGC_206)*coupl(nGC_207)**2d0 - coupl(nGC_206)*  &
                         coupl(nGC_208)**2d0 - coupl(nGC_206)*coupl(nGC_829)** &
                         2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_829))/(32d0*pi**&
                         2d0)
      coupl(nGC_12974) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_1197&
                         )*coupl(nGC_122)*coupl(nGC_214) + coupl(nGC_122)*coupl&
                         (nGC_215)**2d0 + coupl(nGC_122)*coupl(nGC_216)**2d0 + &
                         coupl(nGC_123)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_125&
                         )**3d0 + 2d0*coupl(nGC_1253)*coupl(nGC_99)**2d0 + 4d0*&
                         coupl(nGC_126)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12879) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218) -   &
                         coupl(nGC_1523)*coupl(nGC_218)**2d0 - coupl(nGC_1523)*&
                         coupl(nGC_219)**2d0 - coupl(nGC_1523)*coupl(nGC_220)**&
                         2d0 - coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_863) +  &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_218))/(32d0*pi**2d0)
      coupl(nGC_20050) = coupl(nGC_13253) + coupl(nGC_134)*dZAZ_QED2 + coupl(  &
                         nGC_141)*dZZ_QED2
      coupl(nGC_18914) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*         &
                         dZnu_tauL_QED2 + coupl(nGC_13269)
      coupl(nGC_29920) = -coupl(nGC_13006)
      coupl(nGC_13058) = cima*(10d0*Nc*coupl(nGC_1197)**2d0*coupl(nGC_215)*    &
                         coupl(nGC_216) + 40d0*Nc*coupl(nGC_1197)*coupl(nGC_214&
                         )*coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(      &
                         nGC_1523)**2d0*coupl(nGC_219)*coupl(nGC_220) + 40d0*Nc&
                         *coupl(nGC_1523)*coupl(nGC_218)*coupl(nGC_219)*coupl( &
                         nGC_220) + 10d0*Nc*coupl(nGC_1543)**2d0*coupl(nGC_199 &
                         )*coupl(nGC_200) + 40d0*Nc*coupl(nGC_1543)*coupl(     &
                         nGC_198)*coupl(nGC_199)*coupl(nGC_200) + 10d0*Nc*coupl&
                         (nGC_194)**2d0*coupl(nGC_195)*coupl(nGC_196) + 40d0*Nc&
                         *coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_196)*coupl(  &
                         nGC_863) + 10d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl&
                         (nGC_863)**2d0 + 10d0*Nc*coupl(nGC_198)**2d0*coupl(   &
                         nGC_199)*coupl(nGC_200) + 10d0*Nc*coupl(nGC_202)**2d0*&
                         coupl(nGC_203)*coupl(nGC_204) + 40d0*Nc*coupl(nGC_202 &
                         )*coupl(nGC_203)*coupl(nGC_204)*coupl(nGC_557) + 10d0*&
                         Nc*coupl(nGC_203)*coupl(nGC_204)*coupl(nGC_557)**2d0  &
                          + 10d0*Nc*coupl(nGC_214)**2d0*coupl(nGC_215)*coupl(  &
                         nGC_216) + 10d0*Nc*coupl(nGC_218)**2d0*coupl(nGC_219)*&
                         coupl(nGC_220) + 10d0*Nc*coupl(nGC_226)**2d0*coupl(   &
                         nGC_227)*coupl(nGC_228) + 40d0*Nc*coupl(nGC_226)*coupl&
                         (nGC_227)*coupl(nGC_228)*coupl(nGC_637) + 10d0*Nc*    &
                         coupl(nGC_227)*coupl(nGC_228)*coupl(nGC_637)**2d0 +   &
                         3d0*coupl(nGC_142)*coupl(nGC_147) + 10d0*coupl(       &
                         nGC_1579)**2d0*coupl(nGC_223)*coupl(nGC_224) + 40d0*  &
                         coupl(nGC_1579)*coupl(nGC_222)*coupl(nGC_223)*coupl(  &
                         nGC_224) + 10d0*coupl(nGC_206)**2d0*coupl(nGC_207)*   &
                         coupl(nGC_208) + 40d0*coupl(nGC_206)*coupl(nGC_207)*  &
                         coupl(nGC_208)*coupl(nGC_829) + 10d0*coupl(nGC_207)*  &
                         coupl(nGC_208)*coupl(nGC_829)**2d0 + 10d0*coupl(      &
                         nGC_210)**2d0*coupl(nGC_211)*coupl(nGC_212) + 40d0*   &
                         coupl(nGC_210)*coupl(nGC_211)*coupl(nGC_212)*coupl(   &
                         nGC_607) + 10d0*coupl(nGC_211)*coupl(nGC_212)*coupl(  &
                         nGC_607)**2d0 + 10d0*coupl(nGC_222)**2d0*coupl(nGC_223&
                         )*coupl(nGC_224) + 6d0*coupl(nGC_71)*coupl(nGC_92))/( &
                         48d0*pi**2d0)
      coupl(nGC_13059) = (-8d0*Nc*cima*coupl(nGC_1197)*coupl(nGC_214)*coupl(   &
                         nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_1523)*coupl(     &
                         nGC_218)*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(      &
                         nGC_1543)*coupl(nGC_198)*coupl(nGC_99)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_194)*coupl(nGC_863)*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_202)*coupl(nGC_557)*coupl(   &
                         nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_226)*coupl(      &
                         nGC_637)*coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_142)*&
                         coupl(nGC_85) - 8d0*cima*coupl(nGC_1579)*coupl(nGC_222&
                         )*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_206)*coupl( &
                         nGC_829)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_210)*&
                         coupl(nGC_607)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_71)*coupl(nGC_911) + 6d0*coupl(nGC_102)*coupl(    &
                         nGC_1253)*coupl(nGC_71) + 6d0*coupl(nGC_103)*coupl(   &
                         nGC_142)*coupl(nGC_3333) + 6d0*coupl(nGC_4)*coupl(    &
                         nGC_643)*coupl(nGC_71))/(48d0*pi**2d0)
      coupl(nGC_19138) = coupl(nGC_13147) + coupl(nGC_161)*dZHh_QED2/2d0 +     &
                         coupl(nGC_165)*dZHlHh_QED2/2d0
      coupl(nGC_13057) = cima*(20d0*Nc*coupl(nGC_1197)**2d0*coupl(nGC_214)**2d0&
                          + 20d0*Nc*coupl(nGC_1523)**2d0*coupl(nGC_218)**2d0 + &
                         20d0*Nc*coupl(nGC_1543)**2d0*coupl(nGC_198)**2d0 +    &
                         20d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_863)**2d0 + 20d0&
                         *Nc*coupl(nGC_202)**2d0*coupl(nGC_557)**2d0 + 20d0*Nc*&
                         coupl(nGC_226)**2d0*coupl(nGC_637)**2d0 + 3d0*coupl(  &
                         nGC_142)**2d0 + 20d0*coupl(nGC_1579)**2d0*coupl(      &
                         nGC_222)**2d0 + 20d0*coupl(nGC_206)**2d0*coupl(nGC_829&
                         )**2d0 + 20d0*coupl(nGC_210)**2d0*coupl(nGC_607)**2d0 &
                          + 6d0*coupl(nGC_71)**2d0)/(16d0*pi**2d0)
      coupl(nGC_19339) = coupl(nGC_13264) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZcL_QED2/2d0 + coupl(nGC_99)*dZsL_QED2/&
                         2d0
      coupl(nGC_13053) = (5d0*Nc*cima*coupl(nGC_1197)*coupl(nGC_122)*coupl(    &
                         nGC_213)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1197)* &
                         coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_1197)*coupl(nGC_126)*coupl(nGC_213)*   &
                         coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*coupl(     &
                         nGC_193)*coupl(nGC_863)*coupl(nGC_99) + 5d0*Nc*cima*  &
                         coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_557)*coupl(   &
                         nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                         coupl(nGC_198)*coupl(nGC_99) + 5d0*Nc*cima*coupl(     &
                         nGC_123)*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99   &
                         ) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(  &
                         nGC_226)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_193)*coupl(nGC_863)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_198)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_201)*coupl(nGC_557)*coupl(nGC_99) - 4d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_218)*coupl(   &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_225)*  &
                         coupl(nGC_226)*coupl(nGC_99) - 4d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_193)*coupl(nGC_863)*coupl(nGC_99   &
                         ) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*coupl(  &
                         nGC_198)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_201)*coupl(nGC_557)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_218)*    &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_108)*coupl(nGC_113) + 5d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_1579)*coupl(nGC_221)*coupl(nGC_99) + 5d0*   &
                         cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_829)*    &
                         coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209 &
                         )*coupl(nGC_607)*coupl(nGC_99) - 4d0*cima*coupl(      &
                         nGC_128)*coupl(nGC_1579)*coupl(nGC_221)*coupl(nGC_99  &
                         ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_205)*coupl(     &
                         nGC_829)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl&
                         (nGC_209)*coupl(nGC_607)*coupl(nGC_99) - 4d0*cima*    &
                         coupl(nGC_129)*coupl(nGC_1579)*coupl(nGC_221)*coupl(  &
                         nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_205)*coupl&
                         (nGC_829)*coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_209)*coupl(nGC_607)*coupl(nGC_99) + 6d0*cima&
                         *coupl(nGC_14)*coupl(nGC_84) + 6d0*coupl(nGC_103)*    &
                         coupl(nGC_1253)*coupl(nGC_14) + 6d0*coupl(nGC_108)*   &
                         coupl(nGC_1253)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_12892) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_195)**3d0 &
                          - coupl(nGC_195)*coupl(nGC_196)**2d0 - coupl(nGC_195 &
                         )*coupl(nGC_863)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12891) = (-2d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_195) + 2d0*&
                         Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_195) - &
                         2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_195) - 2d0*Nc&
                         *cMC*coupl(nGC_123)**2d0*coupl(nGC_199) + 2d0*Nc*cMC* &
                         coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) - 2d0*Nc*&
                         cMC*coupl(nGC_126)**2d0*coupl(nGC_199) - 2d0*Nc*cMD*  &
                         coupl(nGC_122)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(&
                         nGC_122)*coupl(nGC_125)*coupl(nGC_203) - 2d0*Nc*cMD*  &
                         coupl(nGC_125)**2d0*coupl(nGC_203) - 2d0*Nc*cMS*coupl(&
                         nGC_122)**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(      &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_215) - 2d0*Nc*cMS*  &
                         coupl(nGC_125)**2d0*coupl(nGC_215) - 2d0*Nc*cMT*coupl(&
                         nGC_123)**2d0*coupl(nGC_219) + 2d0*Nc*cMT*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_219) - 2d0*Nc*cMT*  &
                         coupl(nGC_126)**2d0*coupl(nGC_219) - 2d0*Nc*cMU*coupl(&
                         nGC_123)**2d0*coupl(nGC_227) + 2d0*Nc*cMU*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_227) - 2d0*Nc*cMU*  &
                         coupl(nGC_126)**2d0*coupl(nGC_227) - 2d0*cME*coupl(   &
                         nGC_124)**2d0*coupl(nGC_207) + 2d0*cME*coupl(nGC_124)*&
                         coupl(nGC_128)*coupl(nGC_207) - 2d0*cME*coupl(nGC_128 &
                         )**2d0*coupl(nGC_207) - 2d0*cMM*coupl(nGC_124)**2d0*  &
                         coupl(nGC_211) + 2d0*cMM*coupl(nGC_124)*coupl(nGC_128 &
                         )*coupl(nGC_211) - 2d0*cMM*coupl(nGC_128)**2d0*coupl( &
                         nGC_211) - 2d0*cMTA*coupl(nGC_124)**2d0*coupl(nGC_223 &
                         ) + 2d0*cMTA*coupl(nGC_124)*coupl(nGC_128)*coupl(     &
                         nGC_223) - 2d0*cMTA*coupl(nGC_128)**2d0*coupl(nGC_223 &
                         ) + cima*coupl(nGC_162)*coupl(nGC_85) + coupl(nGC_103 &
                         )**2d0*coupl(nGC_162) + coupl(nGC_1253)**2d0*coupl(   &
                         nGC_162))/(8d0*pi**2d0)
      coupl(nGC_12890) = (-2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_99)**2d0 - 2d0* &
                         Nc*cMC*coupl(nGC_199)*coupl(nGC_99)**2d0 - 2d0*Nc*cMD*&
                         coupl(nGC_203)*coupl(nGC_99)**2d0 - 2d0*Nc*cMS*coupl( &
                         nGC_215)*coupl(nGC_99)**2d0 - 2d0*Nc*cMT*coupl(nGC_219&
                         )*coupl(nGC_99)**2d0 - 2d0*Nc*cMU*coupl(nGC_227)*coupl&
                         (nGC_99)**2d0 - 2d0*cME*coupl(nGC_207)*coupl(nGC_99)**&
                         2d0 - 2d0*cMM*coupl(nGC_211)*coupl(nGC_99)**2d0 - 2d0*&
                         cMTA*coupl(nGC_223)*coupl(nGC_99)**2d0 + 2d0*cima*    &
                         coupl(nGC_162)*coupl(nGC_911) + cima*coupl(nGC_175)*  &
                         coupl(nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_1253)*   &
                         coupl(nGC_162) + 2d0*coupl(nGC_103)*coupl(nGC_175)*   &
                         coupl(nGC_3333) + 2d0*coupl(nGC_162)*coupl(nGC_4)*    &
                         coupl(nGC_643))/(16d0*pi**2d0)
      coupl(nGC_20201) = coupl(nGC_13264) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*    &
                         dZnu_muL_QED2/2d0
      coupl(nGC_19134) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +   &
                         coupl(nGC_13150)
      coupl(nGC_30098) = -coupl(nGC_12843)
      coupl(nGC_18748) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*         &
                         dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(  &
                         nGC_13251)
      coupl(nGC_18980) = coupl(nGC_18977) + coupl(nGC_18979)
      coupl(nGC_13022) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*  &
                         coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197&
                         )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima*&
                         coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(     &
                         nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*    &
                         coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc&
                         *cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl&
                         (nGC_99) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*    &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(&
                         nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_217)*coupl(  &
                         nGC_220)*coupl(nGC_99) + Nc*cima*coupl(nGC_2)*coupl(  &
                         nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 6d0*cima*coupl&
                         (nGC_113)*coupl(nGC_28) + 6d0*cima*coupl(nGC_120)*    &
                         coupl(nGC_2621) + cima*coupl(nGC_205)*coupl(nGC_208)* &
                         coupl(nGC_4)*coupl(nGC_99) + cima*coupl(nGC_209)*coupl&
                         (nGC_212)*coupl(nGC_4)*coupl(nGC_99) + cima*coupl(    &
                         nGC_221)*coupl(nGC_224)*coupl(nGC_4)*coupl(nGC_99) +  &
                         6d0*coupl(nGC_102)*coupl(nGC_28)*coupl(nGC_3) + 6d0*  &
                         coupl(nGC_120)*coupl(nGC_3)*coupl(nGC_4))/(48d0*pi**  &
                         2d0)
      coupl(nGC_12968) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(      &
                         nGC_124)*coupl(nGC_206)*coupl(nGC_829) + coupl(nGC_124&
                         )*coupl(nGC_207)**2d0 + coupl(nGC_124)*coupl(nGC_208  &
                         )**2d0 + 4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*&
                         coupl(nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_19300) = coupl(nGC_19290) + coupl(nGC_19298)
      coupl(nGC_18803) = coupl(nGC_18799) + coupl(nGC_18802)
      coupl(nGC_18829) = coupl(nGC_13264) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/&
                         2d0
      coupl(nGC_24049) = coupl(nGC_13199) + coupl(nGC_211)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_212)*dZHl_QED2/2d0
      coupl(nGC_12806) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_206 &
                         )*coupl(nGC_829) + coupl(nGC_207)**2d0 + coupl(nGC_208&
                         )**2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12807) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_206 &
                         )*coupl(nGC_4)*coupl(nGC_829) + coupl(nGC_207)**2d0*  &
                         coupl(nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) - 2d0*&
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**  &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_13043) = (-4d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_99)**2d0  &
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_99)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_201)**2d0*coupl(nGC_99)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_213)**2d0*coupl(nGC_99)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_217)**2d0*coupl(nGC_99)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_225)**2d0*coupl(nGC_99)**2d0 &
                          + 3d0*cima*coupl(nGC_10)*coupl(nGC_9) + 6d0*cima*    &
                         coupl(nGC_116)*coupl(nGC_134) + 3d0*cima*coupl(nGC_141&
                         )*coupl(nGC_85) - 4d0*cima*coupl(nGC_205)**2d0*coupl( &
                         nGC_99)**2d0 - 4d0*cima*coupl(nGC_209)**2d0*coupl(    &
                         nGC_99)**2d0 - 4d0*cima*coupl(nGC_221)**2d0*coupl(    &
                         nGC_99)**2d0 + 6d0*cima*coupl(nGC_71)*coupl(nGC_911   &
                         ) + 6d0*coupl(nGC_10)*coupl(nGC_2757)*coupl(nGC_3) +  &
                         6d0*coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_71) + 6d0&
                         *coupl(nGC_103)*coupl(nGC_134)*coupl(nGC_2757) + 6d0* &
                         coupl(nGC_103)*coupl(nGC_141)*coupl(nGC_3333) + 6d0*  &
                         coupl(nGC_134)*coupl(nGC_3)*coupl(nGC_3333) + 6d0*    &
                         coupl(nGC_4)*coupl(nGC_643)*coupl(nGC_71))/(48d0*pi** &
                         2d0)
      coupl(nGC_21888) = coupl(nGC_19415) + coupl(nGC_21886)
      coupl(nGC_21524) = -coupl(nGC_13174) - coupl(nGC_21522)
      coupl(nGC_20736) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*         &
                         dZnu_muL_QED2 + coupl(nGC_13269)
      coupl(nGC_20530) = coupl(nGC_18954) + coupl(nGC_20529)
      coupl(nGC_19908) = coupl(nGC_13255) + coupl(nGC_145)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_147)*dZHh_QED2/2d0 + coupl(nGC_147)*        &
                         dZHl_QED2/2d0 + coupl(nGC_147)*dZZ_QED2 + coupl(      &
                         nGC_151)*dZHlHh_QED2/2d0
      coupl(nGC_21781) = coupl(nGC_21777) + coupl(nGC_21780)
      coupl(nGC_20137) = coupl(nGC_20128) + coupl(nGC_20136)
      coupl(nGC_19419) = coupl(nGC_19415) + coupl(nGC_19416)
      coupl(nGC_20503) = coupl(nGC_20499) + coupl(nGC_20502)
      coupl(nGC_21217) = coupl(nGC_TS_GC_130_Hh) + coupl(nGC_TS_GC_136_Hl)
      coupl(nGC_19318) = coupl(nGC_13121) + coupl(nGC_29)*dZHhHl_QED2 + coupl( &
                         nGC_30)*dZHl_QED2
      coupl(nGC_12955) = coupl(nGC_99)*(-coupl(nGC_102)*coupl(nGC_129) + 2d0*  &
                         coupl(nGC_128)*coupl(nGC_129) - coupl(nGC_128)*coupl( &
                         nGC_3333) - coupl(nGC_2757)*coupl(nGC_4))/(16d0*pi**  &
                         2d0)
    end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
