!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl22()
      coupl(nGC_19556) = coupl(nGC_19552) + coupl(nGC_19555)
      coupl(nGC_13075) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1197)*   &
                         coupl(nGC_214) - coupl(nGC_1523)*coupl(nGC_218) -     &
                         coupl(nGC_1543)*coupl(nGC_198) - coupl(nGC_194)*coupl(&
                         nGC_863) - coupl(nGC_202)*coupl(nGC_557) - coupl(     &
                         nGC_226)*coupl(nGC_637))/(16d0*pi**2d0)
      coupl(nGC_20096) = -coupl(nGC_20095)
      coupl(nGC_19852) = -coupl(nGC_19851)
      coupl(nGC_13013) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +  &
                         9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)** &
                         2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0&
                          - 2d0*cima*coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_3&
                         )**2d0 - 2d0*cima*coupl(nGC_103)*coupl(nGC_3333)*coupl&
                         (nGC_643)**2d0 + 3d0*cima*coupl(nGC_113)**2d0 + 3d0*  &
                         cima*coupl(nGC_2621)**2d0 - 2d0*cima*coupl(nGC_2757)* &
                         coupl(nGC_3)*coupl(nGC_643)**2d0 - 2d0*cima*coupl(    &
                         nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_643) - 3d0*cima*   &
                         coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 3d0*coupl(     &
                         nGC_102)*coupl(nGC_113)*coupl(nGC_3) + 3d0*coupl(     &
                         nGC_113)*coupl(nGC_1253)*coupl(nGC_3) + 3d0*coupl(    &
                         nGC_2621)*coupl(nGC_3)*coupl(nGC_4) + 3d0*coupl(      &
                         nGC_2621)*coupl(nGC_3)*coupl(nGC_643))/(24d0*pi**2d0)
      coupl(nGC_13014) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 -   &
                         15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**&
                         2d0 + 9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0&
                          - 2d0*cima*coupl(nGC_102)*coupl(nGC_1253)*coupl(nGC_3&
                         )**2d0 - 2d0*cima*coupl(nGC_103)*coupl(nGC_3333)*coupl&
                         (nGC_643)**2d0 - 2d0*cima*coupl(nGC_2757)*coupl(nGC_3 &
                         )*coupl(nGC_643)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*   &
                         coupl(nGC_4)*coupl(nGC_643) + 9d0*cima*coupl(nGC_4)** &
                         2d0*coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_9)*coupl( &
                         nGC_911) + 3d0*coupl(nGC_102)*coupl(nGC_1253)*coupl(  &
                         nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_911) + 3d0*  &
                         coupl(nGC_4)*coupl(nGC_643)*coupl(nGC_9) + 3d0*coupl( &
                         nGC_643)**2d0*coupl(nGC_911))/(24d0*pi**2d0)
      coupl(nGC_18978) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZcL_QED2&
                          + coupl(nGC_13265)
      coupl(nGC_19541) = coupl(nGC_13258) + coupl(nGC_175)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_177)*dZHl_QED2/2d0 + coupl(nGC_177)*dZZ_QED2&
                          + coupl(nGC_TS_GC_147_Hh) + coupl(nGC_TS_GC_151_Hl)
      coupl(nGC_13019) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1197)*coupl(&
                         nGC_214) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_194&
                         )*coupl(nGC_863) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                         (nGC_202)*coupl(nGC_557) - 2d0*Nc*cima*coupl(nGC_1523 &
                         )*coupl(nGC_2)**2d0*coupl(nGC_218) - 2d0*Nc*cima*coupl&
                         (nGC_1543)*coupl(nGC_198)*coupl(nGC_2)**2d0 - 2d0*Nc* &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_226)*coupl(nGC_637   &
                         ) - 2d0*cima*coupl(nGC_1579)*coupl(nGC_222)*coupl(    &
                         nGC_4)**2d0 - 2d0*cima*coupl(nGC_206)*coupl(nGC_4)**  &
                         2d0*coupl(nGC_829) - 2d0*cima*coupl(nGC_210)*coupl(   &
                         nGC_4)**2d0*coupl(nGC_607) + cima*coupl(nGC_71)*coupl(&
                         nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_71) + coupl(     &
                         nGC_643)**2d0*coupl(nGC_71))/(8d0*pi**2d0)
      coupl(nGC_22355) = coupl(nGC_19124) + coupl(nGC_22352)
      coupl(nGC_21672) = coupl(nGC_TS_GC_100_Hh) + coupl(nGC_TS_GC_118_Hl)
      coupl(nGC_21556) = coupl(nGC_19124) + coupl(nGC_21554)
      coupl(nGC_20455) = coupl(nGC_13335) + coupl(nGC_TS_GC_207_Hh) + coupl(   &
                         nGC_TS_GC_208_Hl)
      coupl(nGC_21021) = coupl(nGC_13200) + coupl(nGC_223)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_224)*dZHl_QED2/2d0
      coupl(nGC_21022) = coupl(nGC_21017) + coupl(nGC_21021)
      coupl(nGC_18723) = coupl(nGC_13234) + coupl(nGC_82)*dZHh_QED2 + coupl(   &
                         nGC_82)*dZWMinus_QED2 + coupl(nGC_92)*dZHlHh_QED2
      coupl(nGC_12947) = (3d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 3d0*Nc*   &
                         coupl(nGC_126)*coupl(nGC_99)**2d0 - coupl(nGC_102)*   &
                         coupl(nGC_103)*coupl(nGC_1253) - coupl(nGC_103)*coupl(&
                         nGC_4)*coupl(nGC_643) + 3d0*coupl(nGC_128)*coupl(     &
                         nGC_99)**2d0 - 3d0*coupl(nGC_129)*coupl(nGC_99)**2d0  &
                         )/(24d0*pi**2d0)
      coupl(nGC_19562) = coupl(nGC_13151) + coupl(nGC_5)*dZWMinus_QED2/2d0
      coupl(nGC_18924) = coupl(nGC_13194) + coupl(nGC_18922)
      coupl(nGC_19679) = coupl(nGC_13198) + coupl(nGC_207)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_208)*dZHl_QED2/2d0
      coupl(nGC_19618) = coupl(nGC_13130) + coupl(nGC_81)*dZHh_QED2 + coupl(   &
                         nGC_93)*dZHlHh_QED2
      coupl(nGC_19996) = coupl(nGC_13143) + coupl(nGC_174)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_178)*dZHl_QED2/2d0
      coupl(nGC_18923) = -coupl(nGC_13194) - coupl(nGC_18922)
      coupl(nGC_13067) = (-8d0*Nc*cima*coupl(nGC_1197)*coupl(nGC_122)**2d0*    &
                         coupl(nGC_214) + 10d0*Nc*cima*coupl(nGC_1197)*coupl(  &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_214) - 8d0*Nc*cima* &
                         coupl(nGC_1197)*coupl(nGC_125)**2d0*coupl(nGC_214) -  &
                         8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_194)*coupl( &
                         nGC_863) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(     &
                         nGC_202)*coupl(nGC_557) + 10d0*Nc*cima*coupl(nGC_122)*&
                         coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_863) + 10d0*Nc&
                         *cima*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_202)*   &
                         coupl(nGC_557) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl&
                         (nGC_1523)*coupl(nGC_218) - 8d0*Nc*cima*coupl(nGC_123 &
                         )**2d0*coupl(nGC_1543)*coupl(nGC_198) - 8d0*Nc*cima*  &
                         coupl(nGC_123)**2d0*coupl(nGC_226)*coupl(nGC_637) +   &
                         10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(     &
                         nGC_1523)*coupl(nGC_218) + 10d0*Nc*cima*coupl(nGC_123 &
                         )*coupl(nGC_126)*coupl(nGC_1543)*coupl(nGC_198) + 10d0&
                         *Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_226)*&
                         coupl(nGC_637) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl&
                         (nGC_194)*coupl(nGC_863) - 8d0*Nc*cima*coupl(nGC_125  &
                         )**2d0*coupl(nGC_202)*coupl(nGC_557) - 8d0*Nc*cima*   &
                         coupl(nGC_126)**2d0*coupl(nGC_1523)*coupl(nGC_218) -  &
                         8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_1543)*coupl(&
                         nGC_198) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(     &
                         nGC_226)*coupl(nGC_637) - 8d0*cima*coupl(nGC_124)**2d0&
                         *coupl(nGC_1579)*coupl(nGC_222) - 8d0*cima*coupl(     &
                         nGC_124)**2d0*coupl(nGC_206)*coupl(nGC_829) - 8d0*cima&
                         *coupl(nGC_124)**2d0*coupl(nGC_210)*coupl(nGC_607) +  &
                         10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_1579&
                         )*coupl(nGC_222) + 10d0*cima*coupl(nGC_124)*coupl(    &
                         nGC_128)*coupl(nGC_206)*coupl(nGC_829) + 10d0*cima*   &
                         coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210)*coupl(   &
                         nGC_607) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_1579&
                         )*coupl(nGC_222) - 8d0*cima*coupl(nGC_128)**2d0*coupl(&
                         nGC_206)*coupl(nGC_829) - 8d0*cima*coupl(nGC_128)**2d0&
                         *coupl(nGC_210)*coupl(nGC_607) + 3d0*cima*coupl(nGC_71&
                         )*coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_71&
                         ) + 3d0*coupl(nGC_1253)**2d0*coupl(nGC_71))/(24d0*pi**&
                         2d0)
      coupl(nGC_13060) = cima*(10d0*Nc*coupl(nGC_1197)**2d0*coupl(nGC_216)**2d0&
                          + 40d0*Nc*coupl(nGC_1197)*coupl(nGC_214)*coupl(      &
                         nGC_216)**2d0 + 10d0*Nc*coupl(nGC_1523)**2d0*coupl(   &
                         nGC_220)**2d0 + 40d0*Nc*coupl(nGC_1523)*coupl(nGC_218 &
                         )*coupl(nGC_220)**2d0 + 10d0*Nc*coupl(nGC_1543)**2d0* &
                         coupl(nGC_200)**2d0 + 40d0*Nc*coupl(nGC_1543)*coupl(  &
                         nGC_198)*coupl(nGC_200)**2d0 + 10d0*Nc*coupl(nGC_194  &
                         )**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*coupl(nGC_194)*  &
                         coupl(nGC_196)**2d0*coupl(nGC_863) + 10d0*Nc*coupl(   &
                         nGC_196)**2d0*coupl(nGC_863)**2d0 + 10d0*Nc*coupl(    &
                         nGC_198)**2d0*coupl(nGC_200)**2d0 + 10d0*Nc*coupl(    &
                         nGC_202)**2d0*coupl(nGC_204)**2d0 + 40d0*Nc*coupl(    &
                         nGC_202)*coupl(nGC_204)**2d0*coupl(nGC_557) + 10d0*Nc*&
                         coupl(nGC_204)**2d0*coupl(nGC_557)**2d0 + 10d0*Nc*    &
                         coupl(nGC_214)**2d0*coupl(nGC_216)**2d0 + 10d0*Nc*    &
                         coupl(nGC_218)**2d0*coupl(nGC_220)**2d0 + 10d0*Nc*    &
                         coupl(nGC_226)**2d0*coupl(nGC_228)**2d0 + 40d0*Nc*    &
                         coupl(nGC_226)*coupl(nGC_228)**2d0*coupl(nGC_637) +   &
                         10d0*Nc*coupl(nGC_228)**2d0*coupl(nGC_637)**2d0 + 3d0*&
                         coupl(nGC_142)*coupl(nGC_151) + 10d0*coupl(nGC_1579)**&
                         2d0*coupl(nGC_224)**2d0 + 40d0*coupl(nGC_1579)*coupl( &
                         nGC_222)*coupl(nGC_224)**2d0 + 10d0*coupl(nGC_206)**  &
                         2d0*coupl(nGC_208)**2d0 + 40d0*coupl(nGC_206)*coupl(  &
                         nGC_208)**2d0*coupl(nGC_829) + 10d0*coupl(nGC_208)**  &
                         2d0*coupl(nGC_829)**2d0 + 10d0*coupl(nGC_210)**2d0*   &
                         coupl(nGC_212)**2d0 + 40d0*coupl(nGC_210)*coupl(      &
                         nGC_212)**2d0*coupl(nGC_607) + 10d0*coupl(nGC_212)**  &
                         2d0*coupl(nGC_607)**2d0 + 10d0*coupl(nGC_222)**2d0*   &
                         coupl(nGC_224)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_96  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_13062) = (-8d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_99)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_199)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_203)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_215)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_219)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_227)**2d0*coupl(nGC_99)**2d0 &
                          + 3d0*cima*coupl(nGC_145)*coupl(nGC_85) - 8d0*cima*  &
                         coupl(nGC_207)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*    &
                         coupl(nGC_211)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*    &
                         coupl(nGC_223)**2d0*coupl(nGC_99)**2d0 + 6d0*cima*    &
                         coupl(nGC_82)*coupl(nGC_911) + 6d0*coupl(nGC_102)*    &
                         coupl(nGC_1253)*coupl(nGC_82) + 6d0*coupl(nGC_103)*   &
                         coupl(nGC_145)*coupl(nGC_3333) + 6d0*coupl(nGC_4)*    &
                         coupl(nGC_643)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_31515) = -coupl(nGC_12855)
      coupl(nGC_19297) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZdR_QED2&
                          + coupl(nGC_13267)
      coupl(nGC_13068) = (-8d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(    &
                         nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_199)*coupl(      &
                         nGC_200)*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(      &
                         nGC_203)*coupl(nGC_204)*coupl(nGC_99)**2d0 - 8d0*Nc*  &
                         cima*coupl(nGC_215)*coupl(nGC_216)*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_219)*coupl(nGC_220)*coupl(   &
                         nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_227)*coupl(      &
                         nGC_228)*coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_147)*&
                         coupl(nGC_85) - 8d0*cima*coupl(nGC_207)*coupl(nGC_208 &
                         )*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_211)*coupl( &
                         nGC_212)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_223)*&
                         coupl(nGC_224)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_911)*coupl(nGC_92) + 6d0*coupl(nGC_102)*coupl(    &
                         nGC_1253)*coupl(nGC_92) + 6d0*coupl(nGC_103)*coupl(   &
                         nGC_147)*coupl(nGC_3333) + 6d0*coupl(nGC_4)*coupl(    &
                         nGC_643)*coupl(nGC_92))/(48d0*pi**2d0)
      coupl(nGC_13001) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                         nGC_2133) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_13007) = sq2**3d0*(Nc*cima*coupl(nGC_2133)**3d0 - 12d0*coupl(  &
                         nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_19680) = coupl(nGC_19675) + coupl(nGC_19679)
      coupl(nGC_13088) = (18d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(    &
                         nGC_102)**2d0*coupl(nGC_1253)**2d0 - 8d0*cima*coupl(  &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_3333&
                         ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_1253)*coupl(    &
                         nGC_4)*coupl(nGC_643) - 8d0*cima*coupl(nGC_102)*coupl(&
                         nGC_3)*coupl(nGC_3333)*coupl(nGC_643) - 4d0*cima*coupl&
                         (nGC_103)**2d0*coupl(nGC_3333)**2d0 - 8d0*cima*coupl( &
                         nGC_103)*coupl(nGC_1253)*coupl(nGC_2757)*coupl(nGC_4  &
                         ) - 8d0*cima*coupl(nGC_103)*coupl(nGC_2757)*coupl(    &
                         nGC_3)*coupl(nGC_3333) + 6d0*cima*coupl(nGC_116)**2d0 &
                          - 4d0*cima*coupl(nGC_2757)**2d0*coupl(nGC_3)**2d0 -  &
                         8d0*cima*coupl(nGC_2757)*coupl(nGC_3)*coupl(nGC_4)*   &
                         coupl(nGC_643) - 4d0*cima*coupl(nGC_4)**2d0*coupl(    &
                         nGC_643)**2d0 + 3d0*cima*coupl(nGC_85)**2d0 + 3d0*cima&
                         *coupl(nGC_9)**2d0 + 6d0*cima*coupl(nGC_911)**2d0 +   &
                         18d0*cima*coupl(nGC_99)**4d0 + 6d0*coupl(nGC_102)*    &
                         coupl(nGC_116)*coupl(nGC_643) + 6d0*coupl(nGC_102)*   &
                         coupl(nGC_1253)*coupl(nGC_85) + 6d0*coupl(nGC_102)*   &
                         coupl(nGC_1253)*coupl(nGC_911) + 6d0*coupl(nGC_103)*  &
                         coupl(nGC_116)*coupl(nGC_2757) + 6d0*coupl(nGC_103)*  &
                         coupl(nGC_3333)*coupl(nGC_85) + 6d0*coupl(nGC_103)*   &
                         coupl(nGC_3333)*coupl(nGC_911) + 6d0*coupl(nGC_116)*  &
                         coupl(nGC_1253)*coupl(nGC_4) + 6d0*coupl(nGC_116)*    &
                         coupl(nGC_3)*coupl(nGC_3333) + 6d0*coupl(nGC_2757)*   &
                         coupl(nGC_3)*coupl(nGC_9) + 6d0*coupl(nGC_2757)*coupl(&
                         nGC_3)*coupl(nGC_911) + 6d0*coupl(nGC_4)*coupl(nGC_643&
                         )*coupl(nGC_9) + 6d0*coupl(nGC_4)*coupl(nGC_643)*coupl&
                         (nGC_911))/(48d0*pi**2d0)
      coupl(nGC_20188) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZuR_QED2&
                          + coupl(nGC_13266)
      coupl(nGC_13081) = (9d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 - &
                         15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(     &
                         nGC_99)**2d0 + 9d0*Nc*cima*coupl(nGC_126)**2d0*coupl( &
                         nGC_99)**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103  &
                         )**2d0*coupl(nGC_1253) - 4d0*cima*coupl(nGC_103)**2d0*&
                         coupl(nGC_4)*coupl(nGC_643) + 9d0*cima*coupl(nGC_128  &
                         )**2d0*coupl(nGC_99)**2d0 - 15d0*cima*coupl(nGC_128)* &
                         coupl(nGC_129)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(   &
                         nGC_129)**2d0*coupl(nGC_99)**2d0 + 3d0*cima*coupl(    &
                         nGC_85)*coupl(nGC_911) + 3d0*coupl(nGC_102)*coupl(    &
                         nGC_1253)*coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*    &
                         coupl(nGC_911) + 3d0*coupl(nGC_1253)**2d0*coupl(      &
                         nGC_911) + 3d0*coupl(nGC_4)*coupl(nGC_643)*coupl(     &
                         nGC_85))/(24d0*pi**2d0)
      coupl(nGC_13080) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_196)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_204)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_216)**2d0&
                          + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                         nGC_196)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(    &
                         nGC_125)*coupl(nGC_204)**2d0 + 10d0*Nc*cima*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_216)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_123)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_228)**2d0 + 10d0*Nc&
                         *cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200)**  &
                         2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl&
                         (nGC_220)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(   &
                         nGC_126)*coupl(nGC_228)**2d0 - 8d0*Nc*cima*coupl(     &
                         nGC_125)**2d0*coupl(nGC_196)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_204)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_216)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_228)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_208)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_212)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_224)**2d0 + 10d0*cima*coupl(  &
                         nGC_124)*coupl(nGC_128)*coupl(nGC_208)**2d0 + 10d0*   &
                         cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212)**2d0&
                          + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(     &
                         nGC_224)**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(   &
                         nGC_208)**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(   &
                         nGC_212)**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(   &
                         nGC_224)**2d0 + 3d0*cima*coupl(nGC_85)*coupl(nGC_96   &
                         ) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_96) + 3d0*coupl(&
                         nGC_1253)**2d0*coupl(nGC_96))/(24d0*pi**2d0)
      coupl(nGC_13087) = (-30d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(   &
                         nGC_102)**2d0*coupl(nGC_1253)**2d0 - 8d0*cima*coupl(  &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_3333&
                         ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_1253)*coupl(    &
                         nGC_4)*coupl(nGC_643) - 8d0*cima*coupl(nGC_102)*coupl(&
                         nGC_3)*coupl(nGC_3333)*coupl(nGC_643) - 4d0*cima*coupl&
                         (nGC_103)**2d0*coupl(nGC_3333)**2d0 - 8d0*cima*coupl( &
                         nGC_103)*coupl(nGC_1253)*coupl(nGC_2757)*coupl(nGC_4  &
                         ) - 8d0*cima*coupl(nGC_103)*coupl(nGC_2757)*coupl(    &
                         nGC_3)*coupl(nGC_3333) - 4d0*cima*coupl(nGC_2757)**2d0&
                         *coupl(nGC_3)**2d0 - 8d0*cima*coupl(nGC_2757)*coupl(  &
                         nGC_3)*coupl(nGC_4)*coupl(nGC_643) - 4d0*cima*coupl(  &
                         nGC_4)**2d0*coupl(nGC_643)**2d0 + 3d0*cima*coupl(     &
                         nGC_75)**2d0 - 30d0*cima*coupl(nGC_99)**4d0 + 6d0*    &
                         coupl(nGC_102)*coupl(nGC_3333)*coupl(nGC_75) + 6d0*   &
                         coupl(nGC_103)*coupl(nGC_1253)*coupl(nGC_75) + 6d0*   &
                         coupl(nGC_2757)*coupl(nGC_4)*coupl(nGC_75) + 6d0*coupl&
                         (nGC_3)*coupl(nGC_643)*coupl(nGC_75))/(48d0*pi**2d0)
      coupl(nGC_19573) = coupl(nGC_105)*dZZ_QED2/2d0 + coupl(nGC_13154) + coupl&
                         (nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_22685) = -coupl(nGC_22684)
      coupl(nGC_20706) = coupl(nGC_13252) + coupl(nGC_142)*dZZ_QED2
      coupl(nGC_26349) = -coupl(nGC_26064)
      coupl(nGC_12779) = cima*coupl(nGC_2133)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_19173) = coupl(nGC_13228) + coupl(nGC_74)*dZWMinus_QED2
      coupl(nGC_12931) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl(&
                         nGC_4)**2d0 - coupl(nGC_829)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19076) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_13262)
      coupl(nGC_22354) = coupl(nGC_19124) + coupl(nGC_22353)
      coupl(nGC_18815) = coupl(nGC_TS_GC_101_Hh) + coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_18816) = coupl(nGC_13353) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_12939) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -   &
                         coupl(nGC_1523)**2d0*coupl(nGC_220) - coupl(nGC_193)* &
                         coupl(nGC_196)*coupl(nGC_217) + 8d0*coupl(nGC_2)**2d0*&
                         coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) - &
                         coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_19371) = coupl(nGC_13264) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZdL_QED2/2d0 + coupl(nGC_99)*dZuL_QED2/&
                         2d0
    end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
