!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl23()
      coupl(nGC_27296) = -coupl(nGC_18891)
      coupl(nGC_19079) = coupl(nGC_19076) + coupl(nGC_19078)
      coupl(nGC_18956) = coupl(nGC_18951) + coupl(nGC_18954)
      coupl(nGC_12758) = cima*(-3d0*Nc*coupl(nGC_122)**2d0 - 3d0*Nc*coupl(     &
                         nGC_123)**2d0 - 3d0*Nc*coupl(nGC_125)**2d0 - 3d0*Nc*  &
                         coupl(nGC_126)**2d0 - coupl(nGC_103)**2d0 - 3d0*coupl(&
                         nGC_124)**2d0 - coupl(nGC_1253)**2d0 - 3d0*coupl(     &
                         nGC_128)**2d0 - 3d0*coupl(nGC_129)**2d0)/(48d0*pi**2d0&
                         )
      coupl(nGC_12759) = cima*(coupl(nGC_103)**2d0 + coupl(nGC_1253)**2d0)/(   &
                         48d0*pi**2d0)
      coupl(nGC_12998) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                         nGC_2133) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_12751) = cima*(-3d0*Nc*coupl(nGC_99)**2d0 - coupl(nGC_102)*    &
                         coupl(nGC_1253) - coupl(nGC_103)*coupl(nGC_3333) -    &
                         coupl(nGC_2757)*coupl(nGC_3) - coupl(nGC_4)*coupl(    &
                         nGC_643) - 3d0*coupl(nGC_99)**2d0)/(48d0*pi**2d0)
      coupl(nGC_12752) = cima*(coupl(nGC_102)*coupl(nGC_1253) + coupl(nGC_103)*&
                         coupl(nGC_3333) + coupl(nGC_2757)*coupl(nGC_3) + coupl&
                         (nGC_4)*coupl(nGC_643))/(48d0*pi**2d0)
      coupl(nGC_12753) = (Nc*cMB**2d0*cima*coupl(nGC_99)**2d0 + Nc*cMC**2d0*   &
                         cima*coupl(nGC_99)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                         nGC_99)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_99)**2d0 +  &
                         Nc*cMT**2d0*cima*coupl(nGC_99)**2d0 + Nc*cMU**2d0*cima&
                         *coupl(nGC_99)**2d0 + cME**2d0*cima*coupl(nGC_99)**2d0&
                          + cMM**2d0*cima*coupl(nGC_99)**2d0 + cMTA**2d0*cima* &
                         coupl(nGC_99)**2d0 + cMW**2d0*cima*coupl(nGC_102)*    &
                         coupl(nGC_1253) + cMW**2d0*cima*coupl(nGC_103)*coupl( &
                         nGC_3333) + cMW**2d0*cima*coupl(nGC_2757)*coupl(nGC_3 &
                         ) + cMW**2d0*cima*coupl(nGC_4)*coupl(nGC_643) - 2d0*  &
                         cMW**2d0*coupl(nGC_911) + cMZ**2d0*cima*coupl(nGC_102 &
                         )*coupl(nGC_1253) + cMZ**2d0*cima*coupl(nGC_103)*coupl&
                         (nGC_3333) - cMZ**2d0*coupl(nGC_85))/(16d0*pi**2d0)
      coupl(nGC_12756) = cima*(Nc*coupl(nGC_1197)*coupl(nGC_214) + Nc*coupl(   &
                         nGC_1523)*coupl(nGC_218) + Nc*coupl(nGC_1543)*coupl(  &
                         nGC_198) + Nc*coupl(nGC_194)*coupl(nGC_863) + Nc*coupl&
                         (nGC_202)*coupl(nGC_557) + Nc*coupl(nGC_226)*coupl(   &
                         nGC_637) + coupl(nGC_1579)*coupl(nGC_222) + coupl(    &
                         nGC_206)*coupl(nGC_829) + coupl(nGC_210)*coupl(nGC_607&
                         ))/(24d0*pi**2d0)
      coupl(nGC_12757) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_194)*coupl(nGC_863   &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_1543)*coupl(nGC_198&
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_202)*coupl(nGC_557 &
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_1197)*coupl(nGC_214&
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_1523)*coupl(nGC_218&
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_226)*coupl(nGC_637 &
                         ) - 4d0*cME**2d0*cima*coupl(nGC_206)*coupl(nGC_829) - &
                         4d0*cMM**2d0*cima*coupl(nGC_210)*coupl(nGC_607) - 4d0*&
                         cMTA**2d0*cima*coupl(nGC_1579)*coupl(nGC_222) - 2d0*  &
                         cMW**2d0*coupl(nGC_71) - cMZ**2d0*coupl(nGC_142))/(   &
                         16d0*pi**2d0)
      coupl(nGC_20531) = coupl(nGC_18954) + coupl(nGC_20527)
      coupl(nGC_19505) = coupl(nGC_105)*dZWMinus_QED2/2d0 + coupl(nGC_13154)
      coupl(nGC_19269) = coupl(nGC_13207) + coupl(nGC_19268)
      coupl(nGC_23088) = coupl(nGC_19415) + coupl(nGC_23086)
      coupl(nGC_19816) = -coupl(nGC_13203) - coupl(nGC_19813)
      coupl(nGC_20433) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZsR_QED2&
                          + coupl(nGC_13267)
      coupl(nGC_20434) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZsL_QED2&
                          + coupl(nGC_13268)
      coupl(nGC_20435) = coupl(nGC_19290) + coupl(nGC_20433)
      coupl(nGC_20436) = coupl(nGC_19290) + coupl(nGC_20434)
      coupl(nGC_12776) = -Nc*cima*coupl(nGC_2133)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_19027) = coupl(nGC_19024) - 2d0*coupl(nGC_19025)
      coupl(nGC_19737) = coupl(nGC_13153) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_29918) = -coupl(nGC_13007)
      coupl(nGC_29678) = -coupl(nGC_12824)
      coupl(nGC_18866) = coupl(nGC_13209) + coupl(nGC_18861)
      coupl(nGC_19521) = coupl(nGC_19290) + coupl(nGC_19519)
      coupl(nGC_18942) = coupl(nGC_18937) + coupl(nGC_18941)
      coupl(nGC_23089) = coupl(nGC_19415) + coupl(nGC_23087)
      coupl(nGC_20085) = coupl(nGC_19737) + coupl(nGC_20084)
      coupl(nGC_20286) = coupl(nGC_19737) + coupl(nGC_20283)
      coupl(nGC_20285) = coupl(nGC_19737) + coupl(nGC_20284)
      coupl(nGC_19200) = coupl(nGC_19076) + coupl(nGC_19198)
      coupl(nGC_19898) = coupl(nGC_19076) + coupl(nGC_19896)
      coupl(nGC_19897) = coupl(nGC_19076) + coupl(nGC_19895)
      coupl(nGC_19199) = coupl(nGC_19076) + coupl(nGC_19197)
      coupl(nGC_18846) = -coupl(nGC_18845)
      coupl(nGC_19739) = coupl(nGC_19735) + coupl(nGC_19737)
      coupl(nGC_20086) = coupl(nGC_19737) + coupl(nGC_20083)
      coupl(nGC_20190) = coupl(nGC_18977) + coupl(nGC_20188)
      coupl(nGC_19299) = coupl(nGC_19290) + coupl(nGC_19297)
      coupl(nGC_18750) = coupl(nGC_18744) + coupl(nGC_18745) - coupl(nGC_18748 &
                         )/2d0
      coupl(nGC_19738) = coupl(nGC_19736) + coupl(nGC_19737)
      coupl(nGC_20456) = coupl(nGC_20450) + coupl(nGC_20455)
      coupl(nGC_29532) = -coupl(nGC_12947)
      coupl(nGC_19080) = coupl(nGC_19076) + coupl(nGC_19077)
      coupl(nGC_24050) = coupl(nGC_24045) + coupl(nGC_24049)
      coupl(nGC_18749) = coupl(nGC_18743) - 2d0*coupl(nGC_18745) + coupl(      &
                         nGC_18748)
      coupl(nGC_18981) = coupl(nGC_18977) + coupl(nGC_18978)
    end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
