!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_24568) = coupl(nGC_13157) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_24569) = -coupl(nGC_24568)
      coupl(nGC_22818) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_22819) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_22820) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_21107) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_TS_GC_216_Hl) = -coupl(nGC_216)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_190_Hl) = -coupl(nGC_190)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19099) = coupl(nGC_13190) + coupl(nGC_209)*dZmuMinusR_QED2/2d0 &
                          + coupl(nGC_209)*dZnu_muL_QED2/2d0
      coupl(nGC_12946) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12941) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_19162) = coupl(nGC_194)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_19163) = -coupl(nGC_13175) - coupl(nGC_19162)
      coupl(nGC_19161) = coupl(nGC_194)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_19166) = coupl(nGC_13176) + coupl(nGC_19161)
      coupl(nGC_19164) = coupl(nGC_13175) + coupl(nGC_19162)
      coupl(nGC_19165) = -coupl(nGC_13176) - coupl(nGC_19161)
      coupl(nGC_27187) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_27189) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_27188) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_13125) = coupl(nGC_12561)*da_QED2 + coupl(nGC_12562)*dl1_QED4  &
                          + coupl(nGC_12563)*dl3_QED4
      coupl(nGC_13126) = coupl(nGC_12604)*da_QED2 + coupl(nGC_12605)*dl2_QED4  &
                          + coupl(nGC_12606)*dl1_QED4 + coupl(nGC_12607)*      &
                         dl3_QED4
      coupl(nGC_13127) = coupl(nGC_12584)*da_QED2 + coupl(nGC_12585)*dl2_QED4  &
                          + coupl(nGC_12586)*dl1_QED4 + coupl(nGC_12587)*      &
                         dl3_QED4
      coupl(nGC_13122) = coupl(nGC_12621)*da_QED2 + coupl(nGC_12622)*dl2_QED4  &
                          + coupl(nGC_12623)*dl1_QED4 + coupl(nGC_12624)*      &
                         dl3_QED4
      coupl(nGC_13128) = coupl(nGC_12552)*dcw_QED2 + coupl(nGC_12553)*dsw_QED2 &
                          + coupl(nGC_12554)*dZee_QED2 + coupl(nGC_12555)*     &
                         da_QED2
      coupl(nGC_12839) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12831) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12833) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12835) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12837) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_162_Hh) = -coupl(nGC_162)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13238) = coupl(nGC_12393)*dsw_QED2 + coupl(nGC_12394)*dZee_QED2&
                          + coupl(nGC_12395)*dvev_QED1 + coupl(nGC_12396)*     &
                         da_QED2
      coupl(nGC_13230) = coupl(nGC_12714)*dsw_QED2 + coupl(nGC_12715)*dZee_QED2&
                          + coupl(nGC_12716)*da_QED2
      coupl(nGC_13231) = coupl(nGC_12368)*dsw_QED2 + coupl(nGC_12369)*dZee_QED2
      coupl(nGC_13235) = coupl(nGC_12351)*dsw_QED2 + coupl(nGC_12352)*dZee_QED2&
                          + coupl(nGC_12353)*da_QED2
      coupl(nGC_13236) = coupl(nGC_12333)*dsw_QED2 + coupl(nGC_12334)*dZee_QED2&
                          + coupl(nGC_12335)*da_QED2
      coupl(nGC_21447) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_21448) = coupl(nGC_19)*dZcL_QCD2
      coupl(nGC_21449) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_24579) = -2d0*coupl(nGC_24568)
      coupl(nGC_24570) = 2d0*coupl(nGC_24568)
      coupl(nGC_20660) = coupl(nGC_220)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_19896) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
      coupl(nGC_19893) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_19890) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22933) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_TS_GC_219_Hh) = -coupl(nGC_219)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
