!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2850)%branchCT(0:0))
      call avCT(2850, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21048])

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19843])

      allocate(vertices(3895)%branchCT(0:5))
      call avCT(3895, 0, 64, 6, 0, VVUaU0, 0, [4, 0], [nGC_20569])

      call avCT(3895, 1, 67, 6, 0, VVUaU0, 0, [4, 0], [nGC_20569])

      call avCT(3895, 2, 66, 6, 0, VVUaU0, 0, [4, 0], [nGC_20569])

      call avCT(3895, 3, 69, 7, 0, VVUaU0, 0, [4, 0], [nGC_20578])

      call avCT(3895, 4, 68, 7, 0, VVUaU0, 0, [4, 0], [nGC_20578])

      call avCT(3895, 5, 65, 6, 0, VVUaU0, 0, [4, 0], [nGC_20569])

      allocate(vertices(2853)%branchCT(0:1))
      call avCT(2853, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_18980, nGC_18981])

      call avCT(2853, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_18976, nGC_18973])

      allocate(vertices(2854)%branchCT(0:0))
      call avCT(2854, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19138])

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(2857)%branchCT(0:0))
      call avCT(2857, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19011])

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20312])

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13112])

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3941)%branchCT(0:0))
      call avCT(3941, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(504)%branchCT(0:1))
      call avCT(504, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20190, nGC_20191])

      call avCT(504, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20184, nGC_20187])

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(5008)%branchCT(0:0))
      call avCT(5008, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21107])

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(510)%branchCT(0:0))
      call avCT(510, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19232])

      allocate(vertices(3175)%branchCT(0:0))
      call avCT(3175, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(3707)%branchCT(0:0))
      call avCT(3707, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_21122, nGC_21122])

      allocate(vertices(512)%branchCT(0:1))
      call avCT(512, 0, 100, 4, 0, VUUa0, 0, [3, 0], [nGC_20268])

      call avCT(512, 1, 101, 5, 0, VUUa0, 0, [3, 0], [nGC_20268])

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13138])

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19623])

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2884)%branchCT(0:0))
      call avCT(2884, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20050])

      allocate(vertices(2885)%branchCT(0:0))
      call avCT(2885, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(2886)%branchCT(0:1))
      call avCT(2886, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19269, nGC_19269])

      call avCT(2886, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19271, nGC_19271])

      allocate(vertices(3192)%branchCT(0:0))
      call avCT(3192, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4610)%branchCT(0:0))
      call avCT(4610, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2889)%branchCT(0:0))
      call avCT(2889, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18820])

      allocate(vertices(2891)%branchCT(0:0))
      call avCT(2891, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2893)%branchCT(0:0))
      call avCT(2893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19030])

      allocate(vertices(2373)%branchCT(0:3))
      call avCT(2373, 0, 123, 3, 0, FVFa1, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(2373, 1, 123, 3, 0, FVFa1, 0, [3, 0], [nGC_21189, nGC_21190])

      call avCT(2373, 2, 122, 2, 0, FVFa1, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(2373, 3, 122, 2, 0, FVFa1, 0, [3, 0], [nGC_21189, nGC_21190])

      allocate(vertices(536)%branchCT(0:0))
      call avCT(536, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19921, nGC_19920,      &
      nGC_19920])

      allocate(vertices(2898)%branchCT(0:0))
      call avCT(2898, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2899)%branchCT(0:0))
      call avCT(2899, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4952)%branchCT(0:0))
      call avCT(4952, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19450])

      allocate(vertices(3255)%branchCT(0:0))
      call avCT(3255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(5009)%branchCT(0:0))
      call avCT(5009, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_21216, nGC_21217])

      allocate(vertices(2495)%branchCT(0:0))
      call avCT(2495, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19030])

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,      &
      nGC_18750])

      allocate(vertices(2905)%branchCT(0:0))
      call avCT(2905, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(5010)%branchCT(0:0))
      call avCT(5010, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19599])

      allocate(vertices(2909)%branchCT(0:0))
      call avCT(2909, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(5011)%branchCT(0:0))
      call avCT(5011, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19857])

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19418, nGC_19419])

      allocate(vertices(4617)%branchCT(0:0))
      call avCT(4617, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(5012)%branchCT(0:0))
      call avCT(5012, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19391])

      allocate(vertices(3355)%branchCT(0:0))
      call avCT(3355, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(3375)%branchCT(0:0))
      call avCT(3375, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3386)%branchCT(0:0))
      call avCT(3386, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(559)%branchCT(0:0))
      call avCT(559, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3404)%branchCT(0:0))
      call avCT(3404, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(2919)%branchCT(0:0))
      call avCT(2919, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19562])

      allocate(vertices(2920)%branchCT(0:0))
      call avCT(2920, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(3419)%branchCT(0:0))
      call avCT(3419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20312])

      allocate(vertices(3949)%branchCT(0:0))
      call avCT(3949, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19505])

      allocate(vertices(2924)%branchCT(0:0))
      call avCT(2924, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(2926)%branchCT(0:0))
      call avCT(2926, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2927)%branchCT(0:0))
      call avCT(2927, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_20685])

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19573])

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2931)%branchCT(0:0))
      call avCT(2931, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19618])

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(5013)%branchCT(0:0))
      call avCT(5013, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(571)%branchCT(0:5))
      call avCT(571, 0, 9, 6, 0, UaUVV0, 0, [4, 0], [nGC_20569])

      call avCT(571, 1, 7, 6, 0, UaUVV0, 0, [4, 0], [nGC_20569])

      call avCT(571, 2, 8, 6, 0, UaUVV0, 0, [4, 0], [nGC_20569])

      call avCT(571, 3, 6, 6, 0, UaUVV0, 0, [4, 0], [nGC_20569])

      call avCT(571, 4, 5, 7, 0, UaUVV0, 0, [4, 0], [nGC_20578])

      call avCT(571, 5, 4, 7, 0, UaUVV0, 0, [4, 0], [nGC_20578])

      allocate(vertices(3486)%branchCT(0:0))
      call avCT(3486, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(575)%branchCT(0:1))
      call avCT(575, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19049, nGC_19048])

      call avCT(575, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19051, nGC_19050])

      allocate(vertices(2937)%branchCT(0:0))
      call avCT(2937, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13111])

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4309)%branchCT(0:0))
      call avCT(4309, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_18882])

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(584)%branchCT(0:1))
      call avCT(584, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19339])

      call avCT(584, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19338])

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19486, nGC_19486])

      allocate(vertices(2945)%branchCT(0:1))
      call avCT(2945, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_19199, nGC_19200])

      call avCT(2945, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_19190, nGC_19193])

      allocate(vertices(4468)%branchCT(0:0))
      call avCT(4468, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(3996)%branchCT(0:0))
      call avCT(3996, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2948)%branchCT(0:0))
      call avCT(2948, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19562])

      allocate(vertices(5014)%branchCT(0:0))
      call avCT(5014, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2950)%branchCT(0:0))
      call avCT(2950, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3581)%branchCT(0:0))
      call avCT(3581, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1130)%branchCT(0:0))
      call avCT(1130, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19852])

      allocate(vertices(3627)%branchCT(0:0))
      call avCT(3627, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3637)%branchCT(0:0))
      call avCT(3637, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(599)%branchCT(0:1))
      call avCT(599, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_19371])

      call avCT(599, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_19370])

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(5015)%branchCT(0:0))
      call avCT(5015, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(2961)%branchCT(0:0))
      call avCT(2961, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(3927)%branchCT(0:0))
      call avCT(3927, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2964)%branchCT(0:0))
      call avCT(2964, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4199)%branchCT(0:0))
      call avCT(4199, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3477)%branchCT(0:3))
      call avCT(3477, 0, 22, 2, 0, FaFV0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(3477, 1, 22, 2, 0, FaFV0, 0, [3, 0], [nGC_21451, nGC_21452])

      call avCT(3477, 2, 23, 3, 0, FaFV0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(3477, 3, 23, 3, 0, FaFV0, 0, [3, 0], [nGC_21451, nGC_21452])

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(612)%branchCT(0:3))
      call avCT(612, 0, 27, 3, 0, VFFa1, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(612, 1, 27, 3, 0, VFFa1, 0, [3, 0], [nGC_21451, nGC_21452])

      call avCT(612, 2, 26, 2, 0, VFFa1, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(612, 3, 26, 2, 0, VFFa1, 0, [3, 0], [nGC_21451, nGC_21452])

      allocate(vertices(3723)%branchCT(0:0))
      call avCT(3723, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4160)%branchCT(0:0))
      call avCT(4160, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2973)%branchCT(0:0))
      call avCT(2973, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(5016)%branchCT(0:0))
      call avCT(5016, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20221])

      allocate(vertices(4723)%branchCT(0:0))
      call avCT(4723, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(615)%branchCT(0:0))
      call avCT(615, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(2974)%branchCT(0:0))
      call avCT(2974, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19314])

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4163)%branchCT(0:0))
      call avCT(4163, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2977)%branchCT(0:1))
      call avCT(2977, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19165, nGC_19166])

      call avCT(2977, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19163, nGC_19164])

      allocate(vertices(5017)%branchCT(0:0))
      call avCT(5017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19391])

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19026,      &
      nGC_19027])

      allocate(vertices(623)%branchCT(0:1))
      call avCT(623, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_21524, nGC_21525])

      call avCT(623, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_21526, nGC_21527])

      allocate(vertices(4632)%branchCT(0:0))
      call avCT(4632, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2982)%branchCT(0:1))
      call avCT(2982, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19242, nGC_19243])

      call avCT(2982, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19244, nGC_19245])

      allocate(vertices(2983)%branchCT(0:0))
      call avCT(2983, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2984)%branchCT(0:1))
      call avCT(2984, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_21547, nGC_21550])

      call avCT(2984, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_21556, nGC_21557])

      allocate(vertices(2389)%branchCT(0:0))
      call avCT(2389, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2988)%branchCT(0:3))
      call avCT(2988, 0, 22, 2, 0, FaFV0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(2988, 1, 22, 2, 0, FaFV0, 0, [3, 0], [nGC_21189, nGC_21190])

      call avCT(2988, 2, 23, 3, 0, FaFV0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(2988, 3, 23, 3, 0, FaFV0, 0, [3, 0], [nGC_21189, nGC_21190])

      allocate(vertices(2450)%branchCT(0:0))
      call avCT(2450, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,     &
      nGC_18750])

      allocate(vertices(2989)%branchCT(0:0))
      call avCT(2989, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19751])

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(634)%branchCT(0:1))
      call avCT(634, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19357, nGC_19357])

      call avCT(634, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19359, nGC_19359])

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3569)%branchCT(0:5))
      call avCT(3569, 0, 91, 6, 0, VUUaV0, 0, [4, 0], [nGC_20569])

      call avCT(3569, 1, 90, 6, 0, VUUaV0, 0, [4, 0], [nGC_20569])

      call avCT(3569, 2, 89, 6, 0, VUUaV0, 0, [4, 0], [nGC_20569])

      call avCT(3569, 3, 88, 6, 0, VUUaV0, 0, [4, 0], [nGC_20569])

      call avCT(3569, 4, 93, 7, 0, VUUaV0, 0, [4, 0], [nGC_20578])

      call avCT(3569, 5, 92, 7, 0, VUUaV0, 0, [4, 0], [nGC_20578])

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2995)%branchCT(0:0))
      call avCT(2995, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13112])

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(2998)%branchCT(0:0))
      call avCT(2998, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(641)%branchCT(0:3))
      call avCT(641, 0, 22, 2, 0, FaFV0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(641, 1, 22, 2, 0, FaFV0, 0, [3, 0], [nGC_19762, nGC_19763])

      call avCT(641, 2, 23, 3, 0, FaFV0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(641, 3, 23, 3, 0, FaFV0, 0, [3, 0], [nGC_19762, nGC_19763])

      allocate(vertices(643)%branchCT(0:0))
      call avCT(643, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19314])

      allocate(vertices(3731)%branchCT(0:0))
      call avCT(3731, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19618])

      allocate(vertices(2330)%branchCT(0:0))
      call avCT(2330, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1261)%branchCT(0:0))
      call avCT(1261, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4321)%branchCT(0:0))
      call avCT(4321, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(5018)%branchCT(0:0))
      call avCT(5018, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_21671, nGC_21672])

      allocate(vertices(3006)%branchCT(0:0))
      call avCT(3006, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_19851])

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(3008)%branchCT(0:0))
      call avCT(3008, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19908])

      allocate(vertices(3009)%branchCT(0:0))
      call avCT(3009, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13108])

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19505])

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19011])

      allocate(vertices(657)%branchCT(0:0))
      call avCT(657, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19314])

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18820])

      allocate(vertices(659)%branchCT(0:0))
      call avCT(659, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3014)%branchCT(0:1))
      call avCT(3014, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_18866, nGC_18866])

      call avCT(3014, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_18868, nGC_18868])

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4046)%branchCT(0:0))
      call avCT(4046, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3016)%branchCT(0:0))
      call avCT(3016, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(3340)%branchCT(0:0))
      call avCT(3340, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4648)%branchCT(0:1))
      call avCT(4648, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_20190, nGC_20191])

      call avCT(4648, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_20184, nGC_20187])

      allocate(vertices(3019)%branchCT(0:0))
      call avCT(3019, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(4077)%branchCT(0:0))
      call avCT(4077, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13111])

      allocate(vertices(3022)%branchCT(0:0))
      call avCT(3022, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3562)%branchCT(0:0))
      call avCT(3562, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19011])

      allocate(vertices(5019)%branchCT(0:0))
      call avCT(5019, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19857])

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(3027)%branchCT(0:0))
      call avCT(3027, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(5020)%branchCT(0:0))
      call avCT(5020, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(5021)%branchCT(0:0))
      call avCT(5021, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21752])

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(4577)%branchCT(0:0))
      call avCT(4577, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4921)%branchCT(0:0))
      call avCT(4921, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(3042)%branchCT(0:0))
      call avCT(3042, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(681)%branchCT(0:1))
      call avCT(681, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_21779, nGC_21779])

      call avCT(681, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_21781, nGC_21781])

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20312])

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19843])

      allocate(vertices(3397)%branchCT(0:0))
      call avCT(3397, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19183])

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(5022)%branchCT(0:0))
      call avCT(5022, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21797])

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(1554)%branchCT(0:0))
      call avCT(1554, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(3046)%branchCT(0:1))
      call avCT(3046, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_18803, nGC_18803])

      call avCT(3046, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_18801, nGC_18801])

      allocate(vertices(688)%branchCT(0:0))
      call avCT(688, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19843])

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3049)%branchCT(0:1))
      call avCT(3049, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_20435, nGC_20436])

      call avCT(3049, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_20429, nGC_20432])

      allocate(vertices(4235)%branchCT(0:0))
      call avCT(4235, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(694)%branchCT(0:1))
      call avCT(694, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19269, nGC_19269])

      call avCT(694, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19271, nGC_19271])

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(5023)%branchCT(0:0))
      call avCT(5023, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21797])

      allocate(vertices(4179)%branchCT(0:0))
      call avCT(4179, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18990])

      allocate(vertices(698)%branchCT(0:1))
      call avCT(698, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_19339])

      call avCT(698, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_19338])

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21866])

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2408)%branchCT(0:0))
      call avCT(2408, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(3059)%branchCT(0:0))
      call avCT(3059, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_19738, nGC_19739])

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13149])

      allocate(vertices(4329)%branchCT(0:0))
      call avCT(4329, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_21888, nGC_21889])

      allocate(vertices(3446)%branchCT(0:0))
      call avCT(3446, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(4338)%branchCT(0:0))
      call avCT(4338, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(3356)%branchCT(0:0))
      call avCT(3356, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3068)%branchCT(0:0))
      call avCT(3068, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3070)%branchCT(0:0))
      call avCT(3070, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(4384)%branchCT(0:0))
      call avCT(4384, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13117])

      allocate(vertices(714)%branchCT(0:3))
      call avCT(714, 0, 123, 3, 0, FVFa1, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(714, 1, 123, 3, 0, FVFa1, 0, [3, 0], [nGC_20530, nGC_20531])

      call avCT(714, 2, 122, 2, 0, FVFa1, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(714, 3, 122, 2, 0, FVFa1, 0, [3, 0], [nGC_20530, nGC_20531])

      allocate(vertices(3073)%branchCT(0:0))
      call avCT(3073, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3074)%branchCT(0:0))
      call avCT(3074, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_20095])

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3077)%branchCT(0:0))
      call avCT(3077, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(5024)%branchCT(0:0))
      call avCT(5024, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19391])

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(723)%branchCT(0:1))
      call avCT(723, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19271, nGC_19271])

      call avCT(723, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19269, nGC_19269])

      allocate(vertices(4450)%branchCT(0:0))
      call avCT(4450, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3082)%branchCT(0:0))
      call avCT(3082, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(5025)%branchCT(0:0))
      call avCT(5025, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19599])

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3085)%branchCT(0:3))
      call avCT(3085, 0, 120, 2, 0, FaVF0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(3085, 1, 120, 2, 0, FaVF0, 0, [3, 0], [nGC_18955, nGC_18956])

      call avCT(3085, 2, 121, 3, 0, FaVF0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(3085, 3, 121, 3, 0, FaVF0, 0, [3, 0], [nGC_18955, nGC_18956])

      allocate(vertices(2054)%branchCT(0:0))
      call avCT(2054, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4485)%branchCT(0:0))
      call avCT(4485, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4351)%branchCT(0:0))
      call avCT(4351, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_20339])

      allocate(vertices(729)%branchCT(0:1))
      call avCT(729, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_20114, nGC_20115])

      call avCT(729, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_20112, nGC_20113])

      allocate(vertices(3093)%branchCT(0:0))
      call avCT(3093, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19183])

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(3095)%branchCT(0:0))
      call avCT(3095, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(2888)%branchCT(0:0))
      call avCT(2888, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4755)%branchCT(0:0))
      call avCT(4755, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3096)%branchCT(0:0))
      call avCT(3096, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3097)%branchCT(0:0))
      call avCT(3097, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19099])

      allocate(vertices(2559)%branchCT(0:0))
      call avCT(2559, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4819)%branchCT(0:0))
      call avCT(4819, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4538)%branchCT(0:0))
      call avCT(4538, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4265)%branchCT(0:0))
      call avCT(4265, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19030])

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4579)%branchCT(0:0))
      call avCT(4579, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3105)%branchCT(0:0))
      call avCT(3105, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19738, nGC_19739])

      allocate(vertices(3106)%branchCT(0:0))
      call avCT(3106, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3752)%branchCT(0:0))
      call avCT(3752, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19173])

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3110)%branchCT(0:0))
      call avCT(3110, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22064])

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(751)%branchCT(0:1))
      call avCT(751, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_19079, nGC_19080])

      call avCT(751, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_19074, nGC_19071])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3115)%branchCT(0:0))
      call avCT(3115, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3118)%branchCT(0:0))
      call avCT(3118, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4689)%branchCT(0:0))
      call avCT(4689, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4697)%branchCT(0:0))
      call avCT(4697, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20603, nGC_20604])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3123)%branchCT(0:0))
      call avCT(3123, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_18914])

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(765)%branchCT(0:1))
      call avCT(765, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19968, nGC_19968])

      call avCT(765, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19970, nGC_19970])

      allocate(vertices(1115)%branchCT(0:0))
      call avCT(1115, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18820])

      allocate(vertices(3127)%branchCT(0:1))
      call avCT(3127, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_22125, nGC_22125])

      call avCT(3127, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_22127, nGC_22127])

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(3129)%branchCT(0:0))
      call avCT(3129, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19099])

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3132)%branchCT(0:0))
      call avCT(3132, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3133)%branchCT(0:0))
      call avCT(3133, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13149])

      allocate(vertices(2061)%branchCT(0:0))
      call avCT(2061, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3134)%branchCT(0:0))
      call avCT(3134, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19996])

      allocate(vertices(2875)%branchCT(0:0))
      call avCT(2875, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1257)%branchCT(0:0))
      call avCT(1257, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(5026)%branchCT(0:0))
      call avCT(5026, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19627])

      allocate(vertices(4126)%branchCT(0:1))
      call avCT(4126, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19357, nGC_19357])

      call avCT(4126, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19359, nGC_19359])

      allocate(vertices(3141)%branchCT(0:0))
      call avCT(3141, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3584)%branchCT(0:0))
      call avCT(3584, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3145)%branchCT(0:0))
      call avCT(3145, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3146)%branchCT(0:1))
      call avCT(3146, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19406, nGC_19406])

      call avCT(3146, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19404, nGC_19404])

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4874)%branchCT(0:0))
      call avCT(4874, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4835)%branchCT(0:0))
      call avCT(4835, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3149)%branchCT(0:0))
      call avCT(3149, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(1579)%branchCT(0:0))
      call avCT(1579, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3152)%branchCT(0:0))
      call avCT(3152, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13108])

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3157)%branchCT(0:0))
      call avCT(3157, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1313)%branchCT(0:0))
      call avCT(1313, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4972)%branchCT(0:0))
      call avCT(4972, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19992])

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(3162)%branchCT(0:3))
      call avCT(3162, 0, 24, 2, 0, VFaF0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(3162, 1, 24, 2, 0, VFaF0, 0, [3, 0], [nGC_21451, nGC_21452])

      call avCT(3162, 2, 25, 3, 0, VFaF0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(3162, 3, 25, 3, 0, VFaF0, 0, [3, 0], [nGC_21451, nGC_21452])

      allocate(vertices(1741)%branchCT(0:0))
      call avCT(1741, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(5027)%branchCT(0:0))
      call avCT(5027, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(797)%branchCT(0:1))
      call avCT(797, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_19199, nGC_19200])

      call avCT(797, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_19190, nGC_19193])

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4670)%branchCT(0:1))
      call avCT(4670, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_20190, nGC_20191])

      call avCT(4670, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_20184, nGC_20187])

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3171)%branchCT(0:0))
      call avCT(3171, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(5028)%branchCT(0:0))
      call avCT(5028, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19456])

      allocate(vertices(4659)%branchCT(0:0))
      call avCT(4659, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19541])

      allocate(vertices(805)%branchCT(0:0))
      call avCT(805, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3177)%branchCT(0:0))
      call avCT(3177, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2065)%branchCT(0:0))
      call avCT(2065, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3182)%branchCT(0:1))
      call avCT(3182, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19404, nGC_19404])

      call avCT(3182, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19406, nGC_19406])

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3185)%branchCT(0:0))
      call avCT(3185, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3187)%branchCT(0:0))
      call avCT(3187, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3189)%branchCT(0:0))
      call avCT(3189, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(812)%branchCT(0:1))
      call avCT(812, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22354, nGC_22355])

      call avCT(812, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22350, nGC_22347])

      allocate(vertices(916)%branchCT(0:0))
      call avCT(916, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3190)%branchCT(0:0))
      call avCT(3190, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19505])

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3197)%branchCT(0:1))
      call avCT(3197, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_19074, nGC_19071])

      call avCT(3197, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(3199)%branchCT(0:0))
      call avCT(3199, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(826)%branchCT(0:1))
      call avCT(826, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_20665, nGC_20665])

      call avCT(826, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_20667, nGC_20667])

      allocate(vertices(2213)%branchCT(0:0))
      call avCT(2213, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3767)%branchCT(0:0))
      call avCT(3767, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(5029)%branchCT(0:0))
      call avCT(5029, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19173])

      allocate(vertices(3205)%branchCT(0:0))
      call avCT(3205, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19134])

      allocate(vertices(3206)%branchCT(0:0))
      call avCT(3206, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19030])

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20201])

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(2965)%branchCT(0:1))
      call avCT(2965, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_20665, nGC_20665])

      call avCT(2965, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_20667, nGC_20667])

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19996])

      allocate(vertices(4840)%branchCT(0:0))
      call avCT(4840, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13115])

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19057])

      allocate(vertices(2071)%branchCT(0:0))
      call avCT(2071, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3214)%branchCT(0:1))
      call avCT(3214, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19269, nGC_19269])

      call avCT(3214, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19271, nGC_19271])

      allocate(vertices(91)%branchCT(0:1))
      call avCT(91, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_18980, nGC_18981])

      call avCT(91, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_18976, nGC_18973])

      allocate(vertices(3215)%branchCT(0:0))
      call avCT(3215, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(3218)%branchCT(0:0))
      call avCT(3218, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1850)%branchCT(0:0))
      call avCT(1850, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19260])

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(841)%branchCT(0:0))
      call avCT(841, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3221)%branchCT(0:0))
      call avCT(3221, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18820])

      allocate(vertices(844)%branchCT(0:0))
      call avCT(844, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(2393)%branchCT(0:0))
      call avCT(2393, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(846)%branchCT(0:0))
      call avCT(846, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(848)%branchCT(0:1))
      call avCT(848, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19243, nGC_19242])

      call avCT(848, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19245, nGC_19244])

      allocate(vertices(2074)%branchCT(0:0))
      call avCT(2074, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3228)%branchCT(0:0))
      call avCT(3228, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(5030)%branchCT(0:0))
      call avCT(5030, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_22526, nGC_22521])

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3230)%branchCT(0:0))
      call avCT(3230, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19138])

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19450])

      allocate(vertices(2484)%branchCT(0:0))
      call avCT(2484, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1321)%branchCT(0:0))
      call avCT(1321, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_18846])

      allocate(vertices(4058)%branchCT(0:0))
      call avCT(4058, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1610)%branchCT(0:0))
      call avCT(1610, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_20685])

      allocate(vertices(3071)%branchCT(0:0))
      call avCT(3071, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(3777)%branchCT(0:0))
      call avCT(3777, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3237)%branchCT(0:0))
      call avCT(3237, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_21122, nGC_21122])

      allocate(vertices(795)%branchCT(0:0))
      call avCT(795, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3240)%branchCT(0:0))
      call avCT(3240, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22573])

      allocate(vertices(4678)%branchCT(0:0))
      call avCT(4678, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3244)%branchCT(0:3))
      call avCT(3244, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(3244, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_21451, nGC_21452])

      call avCT(3244, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_21449, nGC_21447])

      call avCT(3244, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_21451, nGC_21452])

      allocate(vertices(862)%branchCT(0:0))
      call avCT(862, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3520)%branchCT(0:1))
      call avCT(3520, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19404, nGC_19404])

      call avCT(3520, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19406, nGC_19406])

      allocate(vertices(4364)%branchCT(0:0))
      call avCT(4364, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13112])

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(3249)%branchCT(0:0))
      call avCT(3249, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(5031)%branchCT(0:0))
      call avCT(5031, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(869)%branchCT(0:0))
      call avCT(869, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3251)%branchCT(0:0))
      call avCT(3251, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(4276)%branchCT(0:0))
      call avCT(4276, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2901)%branchCT(0:0))
      call avCT(2901, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(3256)%branchCT(0:0))
      call avCT(3256, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3621)%branchCT(0:0))
      call avCT(3621, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19134])

      allocate(vertices(877)%branchCT(0:0))
      call avCT(877, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_21888, nGC_21889])

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3263)%branchCT(0:0))
      call avCT(3263, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22064])

      allocate(vertices(880)%branchCT(0:0))
      call avCT(880, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3264)%branchCT(0:0))
      call avCT(3264, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_19680, nGC_19680])

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3266)%branchCT(0:0))
      call avCT(3266, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19996])

      allocate(vertices(3269)%branchCT(0:0))
      call avCT(3269, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22685])

      allocate(vertices(1822)%branchCT(0:0))
      call avCT(1822, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3272)%branchCT(0:0))
      call avCT(3272, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19950])

      allocate(vertices(3911)%branchCT(0:0))
      call avCT(3911, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3273)%branchCT(0:0))
      call avCT(3273, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3274)%branchCT(0:0))
      call avCT(3274, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19908])

      allocate(vertices(1197)%branchCT(0:0))
      call avCT(1197, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(3276)%branchCT(0:0))
      call avCT(3276, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19138])

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(890)%branchCT(0:0))
      call avCT(890, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20123])

      allocate(vertices(4213)%branchCT(0:0))
      call avCT(4213, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13112])

      allocate(vertices(682)%branchCT(0:1))
      call avCT(682, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19554, nGC_19554])

      call avCT(682, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19556, nGC_19556])

      allocate(vertices(893)%branchCT(0:3))
      call avCT(893, 0, 22, 2, 0, FaFV0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(893, 1, 22, 2, 0, FaFV0, 0, [3, 0], [nGC_18955, nGC_18956])

      call avCT(893, 2, 23, 3, 0, FaFV0, 0, [1, 2], [nGC_18948, nGC_18950])

      call avCT(893, 3, 23, 3, 0, FaFV0, 0, [3, 0], [nGC_18955, nGC_18956])

      allocate(vertices(5032)%branchCT(0:0))
      call avCT(5032, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(3322)%branchCT(0:0))
      call avCT(3322, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(5033)%branchCT(0:0))
      call avCT(5033, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19940])

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1701)%branchCT(0:0))
      call avCT(1701, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19260])

      allocate(vertices(3284)%branchCT(0:0))
      call avCT(3284, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19173])

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18764])

      allocate(vertices(4215)%branchCT(0:1))
      call avCT(4215, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_18801, nGC_18801])

      call avCT(4215, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_18803, nGC_18803])

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3291)%branchCT(0:0))
      call avCT(3291, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(5034)%branchCT(0:0))
      call avCT(5034, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19456])

      allocate(vertices(3293)%branchCT(0:0))
      call avCT(3293, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19541])

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(903)%branchCT(0:0))
      call avCT(903, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19173])

      allocate(vertices(904)%branchCT(0:0))
      call avCT(904, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(3296)%branchCT(0:0))
      call avCT(3296, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(3298)%branchCT(0:0))
      call avCT(3298, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22684])

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3301)%branchCT(0:0))
      call avCT(3301, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_18891])

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(5035)%branchCT(0:0))
      call avCT(5035, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_22820, nGC_22818,     &
      nGC_22822, nGC_22822])

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(813)%branchCT(0:0))
      call avCT(813, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3305)%branchCT(0:0))
      call avCT(3305, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(918)%branchCT(0:0))
      call avCT(918, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19027,      &
      nGC_19026])

      allocate(vertices(3306)%branchCT(0:0))
      call avCT(3306, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_20339])

      allocate(vertices(3516)%branchCT(0:0))
      call avCT(3516, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(5036)%branchCT(0:0))
      call avCT(5036, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21752])

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19950])

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3314)%branchCT(0:0))
      call avCT(3314, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20603, nGC_20604])

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3319)%branchCT(0:1))
      call avCT(3319, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_19794, nGC_19795])

      call avCT(3319, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_19791, nGC_19787])

      allocate(vertices(1330)%branchCT(0:0))
      call avCT(1330, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(5037)%branchCT(0:0))
      call avCT(5037, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(939)%branchCT(0:0))
      call avCT(939, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3326)%branchCT(0:1))
      call avCT(3326, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_19521, nGC_19522])

      call avCT(3326, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_19515, nGC_19518])

      allocate(vertices(937)%branchCT(0:0))
      call avCT(937, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(986)%branchCT(0:0))
      call avCT(986, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3328)%branchCT(0:0))
      call avCT(3328, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(4222)%branchCT(0:0))
      call avCT(4222, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19232])

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(935)%branchCT(0:0))
      call avCT(935, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(940)%branchCT(0:1))
      call avCT(940, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22125, nGC_22125])

      call avCT(940, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22127, nGC_22127])

      allocate(vertices(1215)%branchCT(0:0))
      call avCT(1215, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(941)%branchCT(0:0))
      call avCT(941, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(960)%branchCT(0:0))
      call avCT(960, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3335)%branchCT(0:0))
      call avCT(3335, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(5038)%branchCT(0:0))
      call avCT(5038, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_22939, nGC_22933,      &
      nGC_22938])

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,     &
      nGC_18750])

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3342)%branchCT(0:1))
      call avCT(3342, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_19339])

      call avCT(3342, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_19338])

      allocate(vertices(5039)%branchCT(0:0))
      call avCT(5039, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_22955, nGC_22954])

      allocate(vertices(3339)%branchCT(0:0))
      call avCT(3339, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(1020)%branchCT(0:0))
      call avCT(1020, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19030])

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3354)%branchCT(0:1))
      call avCT(3354, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22354, nGC_22355])

      call avCT(3354, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22350, nGC_22347])

      allocate(vertices(955)%branchCT(0:0))
      call avCT(955, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(1531)%branchCT(0:0))
      call avCT(1531, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19134])

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19027, nGC_19026,       &
      nGC_19026])

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1058)%branchCT(0:1))
      call avCT(1058, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_21779, nGC_21779])

      call avCT(1058, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_21781, nGC_21781])

      allocate(vertices(3362)%branchCT(0:0))
      call avCT(3362, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3363)%branchCT(0:1))
      call avCT(3363, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_19794, nGC_19795])

      call avCT(3363, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_19791, nGC_19787])

      allocate(vertices(3333)%branchCT(0:0))
      call avCT(3333, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3365)%branchCT(0:0))
      call avCT(3365, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1712)%branchCT(0:0))
      call avCT(1712, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2280)%branchCT(0:0))
      call avCT(2280, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1097)%branchCT(0:1))
      call avCT(1097, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_19897, nGC_19898])

      call avCT(1097, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_19890, nGC_19893])

      allocate(vertices(3370)%branchCT(0:0))
      call avCT(3370, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1109)%branchCT(0:0))
      call avCT(1109, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3372)%branchCT(0:0))
      call avCT(3372, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19011])

      allocate(vertices(5040)%branchCT(0:0))
      call avCT(5040, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19857])

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20050])

      allocate(vertices(2914)%branchCT(0:0))
      call avCT(2914, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(1139)%branchCT(0:0))
      call avCT(1139, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(971)%branchCT(0:1))
      call avCT(971, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_19521, nGC_19522])

      call avCT(971, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_19515, nGC_19518])

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19950])

      allocate(vertices(4763)%branchCT(0:0))
      call avCT(4763, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(1957)%branchCT(0:0))
      call avCT(1957, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(1161)%branchCT(0:0))
      call avCT(1161, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(977)%branchCT(0:1))
      call avCT(977, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_23075, nGC_23075])

      call avCT(977, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_23077, nGC_23077])

      allocate(vertices(978)%branchCT(0:0))
      call avCT(978, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(979)%branchCT(0:0))
      call avCT(979, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_23088, nGC_23089])

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3031)%branchCT(0:0))
      call avCT(3031, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_23094])

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1338)%branchCT(0:0))
      call avCT(1338, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3418)%branchCT(0:1))
      call avCT(3418, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19968, nGC_19968])

      call avCT(3418, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19970, nGC_19970])

      allocate(vertices(984)%branchCT(0:0))
      call avCT(984, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19134])

      allocate(vertices(3391)%branchCT(0:0))
      call avCT(3391, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18841])

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1207)%branchCT(0:0))
      call avCT(1207, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(3281)%branchCT(0:5))
      call avCT(3281, 0, 53, 6, 0, UaVUV0, 0, [4, 0], [nGC_20569])

      call avCT(3281, 1, 52, 6, 0, UaVUV0, 0, [4, 0], [nGC_20569])

      call avCT(3281, 2, 57, 7, 0, UaVUV0, 0, [4, 0], [nGC_20578])

      call avCT(3281, 3, 56, 7, 0, UaVUV0, 0, [4, 0], [nGC_20578])

      call avCT(3281, 4, 55, 6, 0, UaVUV0, 0, [4, 0], [nGC_20569])

      call avCT(3281, 5, 54, 6, 0, UaVUV0, 0, [4, 0], [nGC_20569])

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(4232)%branchCT(0:0))
      call avCT(4232, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_23144])

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3399)%branchCT(0:0))
      call avCT(3399, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19618])

      allocate(vertices(1707)%branchCT(0:0))
      call avCT(1707, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(2360)%branchCT(0:0))
      call avCT(2360, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20050])

      allocate(vertices(3402)%branchCT(0:0))
      call avCT(3402, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(993)%branchCT(0:0))
      call avCT(993, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(2634)%branchCT(0:0))
      call avCT(2634, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18723])

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3407)%branchCT(0:0))
      call avCT(3407, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(995)%branchCT(0:3))
      call avCT(995, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(995, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_20530, nGC_20531])

      call avCT(995, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(995, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_20530, nGC_20531])

      allocate(vertices(3343)%branchCT(0:0))
      call avCT(3343, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3560)%branchCT(0:0))
      call avCT(3560, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(998)%branchCT(0:1))
      call avCT(998, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21779, nGC_21779])

      call avCT(998, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21781, nGC_21781])

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3413)%branchCT(0:0))
      call avCT(3413, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(1341)%branchCT(0:0))
      call avCT(1341, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1001)%branchCT(0:0))
      call avCT(1001, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3416)%branchCT(0:0))
      call avCT(3416, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1322)%branchCT(0:0))
      call avCT(1322, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19138])

      allocate(vertices(1004)%branchCT(0:0))
      call avCT(1004, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3420)%branchCT(0:0))
      call avCT(3420, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20050])

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3422)%branchCT(0:0))
      call avCT(3422, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19173])

      allocate(vertices(2105)%branchCT(0:0))
      call avCT(2105, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1012)%branchCT(0:0))
      call avCT(1012, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18820])

      allocate(vertices(3424)%branchCT(0:0))
      call avCT(3424, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20885])

      allocate(vertices(1013)%branchCT(0:0))
      call avCT(1013, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2498)%branchCT(0:0))
      call avCT(2498, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_18942, nGC_18942])

      allocate(vertices(3337)%branchCT(0:0))
      call avCT(3337, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(1018)%branchCT(0:0))
      call avCT(1018, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(4389)%branchCT(0:0))
      call avCT(4389, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19450])

      allocate(vertices(2906)%branchCT(0:0))
      call avCT(2906, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(951)%branchCT(0:0))
      call avCT(951, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3428)%branchCT(0:1))
      call avCT(3428, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_20548, nGC_20549])

      call avCT(3428, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_20550, nGC_20551])

      allocate(vertices(1022)%branchCT(0:0))
      call avCT(1022, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1405)%branchCT(0:1))
      call avCT(1405, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_19339])

      call avCT(1405, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_19338])

      allocate(vertices(4237)%branchCT(0:0))
      call avCT(4237, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3433)%branchCT(0:0))
      call avCT(3433, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19618])

      allocate(vertices(3434)%branchCT(0:0))
      call avCT(3434, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13112])

      allocate(vertices(4855)%branchCT(0:0))
      call avCT(4855, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(5041)%branchCT(0:0))
      call avCT(5041, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_19688])

      allocate(vertices(1026)%branchCT(0:0))
      call avCT(1026, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3437)%branchCT(0:1))
      call avCT(3437, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19079, nGC_19080])

      call avCT(3437, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19074, nGC_19071])

      allocate(vertices(5042)%branchCT(0:0))
      call avCT(5042, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19857])

      allocate(vertices(946)%branchCT(0:0))
      call avCT(946, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3439)%branchCT(0:0))
      call avCT(3439, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1032)%branchCT(0:0))
      call avCT(1032, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3441)%branchCT(0:0))
      call avCT(3441, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13138])

      allocate(vertices(1033)%branchCT(0:0))
      call avCT(1033, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19027, nGC_19026,     &
      nGC_19026])

      allocate(vertices(3445)%branchCT(0:0))
      call avCT(3445, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19260])

      allocate(vertices(1037)%branchCT(0:1))
      call avCT(1037, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_18801, nGC_18801])

      call avCT(1037, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_18803, nGC_18803])

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(3448)%branchCT(0:0))
      call avCT(3448, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22573])

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3450)%branchCT(0:0))
      call avCT(3450, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(2514)%branchCT(0:0))
      call avCT(2514, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3451)%branchCT(0:0))
      call avCT(3451, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19030])

      allocate(vertices(3452)%branchCT(0:0))
      call avCT(3452, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19278])

      allocate(vertices(3453)%branchCT(0:0))
      call avCT(3453, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1042)%branchCT(0:0))
      call avCT(1042, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(5043)%branchCT(0:0))
      call avCT(5043, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19599])

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(3457)%branchCT(0:0))
      call avCT(3457, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3458)%branchCT(0:0))
      call avCT(3458, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3459)%branchCT(0:3))
      call avCT(3459, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(3459, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_21189, nGC_21190])

      call avCT(3459, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(3459, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_21189, nGC_21190])

      allocate(vertices(2930)%branchCT(0:0))
      call avCT(2930, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_18882])

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20885])

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19173])

      allocate(vertices(3466)%branchCT(0:0))
      call avCT(3466, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(1054)%branchCT(0:1))
      call avCT(1054, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_18829])

      call avCT(1054, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_18828])

      allocate(vertices(3468)%branchCT(0:0))
      call avCT(3468, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(5044)%branchCT(0:0))
      call avCT(5044, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19599])

      allocate(vertices(3469)%branchCT(0:0))
      call avCT(3469, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(4717)%branchCT(0:0))
      call avCT(4717, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4718)%branchCT(0:1))
      call avCT(4718, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_21779, nGC_21779])

      call avCT(4718, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_21781, nGC_21781])

      allocate(vertices(1735)%branchCT(0:0))
      call avCT(1735, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20593])

      allocate(vertices(3474)%branchCT(0:0))
      call avCT(3474, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(396)%branchCT(0:1))
      call avCT(396, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_20112, nGC_20113])

      call avCT(396, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_20114, nGC_20115])

      allocate(vertices(3476)%branchCT(0:0))
      call avCT(3476, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(4719)%branchCT(0:3))
      call avCT(4719, 0, 120, 2, 0, FaVF0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(4719, 1, 120, 2, 0, FaVF0, 0, [3, 0], [nGC_19762, nGC_19763])

      call avCT(4719, 2, 121, 3, 0, FaVF0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(4719, 3, 121, 3, 0, FaVF0, 0, [3, 0], [nGC_19762, nGC_19763])

      allocate(vertices(2933)%branchCT(0:0))
      call avCT(2933, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19618])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4482)%branchCT(0:0))
      call avCT(4482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1703)%branchCT(0:0))
      call avCT(1703, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1070)%branchCT(0:1))
      call avCT(1070, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_18829])

      call avCT(1070, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_18828])

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1720)%branchCT(0:0))
      call avCT(1720, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3483)%branchCT(0:0))
      call avCT(3483, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22685])

      allocate(vertices(3484)%branchCT(0:0))
      call avCT(3484, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(2934)%branchCT(0:0))
      call avCT(2934, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_18942, nGC_18942])

      allocate(vertices(1748)%branchCT(0:0))
      call avCT(1748, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3489)%branchCT(0:1))
      call avCT(3489, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_19897, nGC_19898])

      call avCT(3489, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_19890, nGC_19893])

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,      &
      nGC_18750])

      allocate(vertices(2524)%branchCT(0:0))
      call avCT(2524, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_21122, nGC_21122])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19011])

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3490)%branchCT(0:0))
      call avCT(3490, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19436])

      allocate(vertices(1775)%branchCT(0:0))
      call avCT(1775, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3492)%branchCT(0:0))
      call avCT(3492, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20736])

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2936)%branchCT(0:0))
      call avCT(2936, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_23561])

      allocate(vertices(3809)%branchCT(0:0))
      call avCT(3809, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(5045)%branchCT(0:0))
      call avCT(5045, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_23565])

      allocate(vertices(1086)%branchCT(0:1))
      call avCT(1086, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_18803, nGC_18803])

      call avCT(1086, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_18801, nGC_18801])

      allocate(vertices(1355)%branchCT(0:0))
      call avCT(1355, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_23088, nGC_23089])

      allocate(vertices(3368)%branchCT(0:0))
      call avCT(3368, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3497)%branchCT(0:0))
      call avCT(3497, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1811)%branchCT(0:0))
      call avCT(1811, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19314])

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13112])

      allocate(vertices(4248)%branchCT(0:0))
      call avCT(4248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2525)%branchCT(0:0))
      call avCT(2525, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1180)%branchCT(0:0))
      call avCT(1180, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2248)%branchCT(0:0))
      call avCT(2248, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(3507)%branchCT(0:0))
      call avCT(3507, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(5046)%branchCT(0:0))
      call avCT(5046, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19599])

      allocate(vertices(1357)%branchCT(0:0))
      call avCT(1357, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20409])

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19134])

      allocate(vertices(2262)%branchCT(0:0))
      call avCT(2262, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(1101)%branchCT(0:1))
      call avCT(1101, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19816, nGC_19817])

      call avCT(1101, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19814, nGC_19815])

      allocate(vertices(1888)%branchCT(0:0))
      call avCT(1888, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19623])

      allocate(vertices(4603)%branchCT(0:0))
      call avCT(4603, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19134])

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1107)%branchCT(0:0))
      call avCT(1107, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3517)%branchCT(0:0))
      call avCT(3517, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1108)%branchCT(0:1))
      call avCT(1108, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_21556, nGC_21557])

      call avCT(1108, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_21547, nGC_21550])

      allocate(vertices(3522)%branchCT(0:0))
      call avCT(3522, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_19751])

      allocate(vertices(898)%branchCT(0:1))
      call avCT(898, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19049, nGC_19048])

      call avCT(898, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19051, nGC_19050])

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3307)%branchCT(0:0))
      call avCT(3307, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18764])

      allocate(vertices(4347)%branchCT(0:0))
      call avCT(4347, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1112)%branchCT(0:0))
      call avCT(1112, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(4931)%branchCT(0:0))
      call avCT(4931, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_23693])

      allocate(vertices(1116)%branchCT(0:0))
      call avCT(1116, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1117)%branchCT(0:0))
      call avCT(1117, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20050])

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2940)%branchCT(0:0))
      call avCT(2940, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13112])

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3532)%branchCT(0:0))
      call avCT(3532, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(3533)%branchCT(0:0))
      call avCT(3533, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(2000)%branchCT(0:0))
      call avCT(2000, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1126)%branchCT(0:0))
      call avCT(1126, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19950])

      allocate(vertices(4729)%branchCT(0:0))
      call avCT(4729, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19851])

      allocate(vertices(3539)%branchCT(0:0))
      call avCT(3539, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(1127)%branchCT(0:1))
      call avCT(1127, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_18829])

      call avCT(1127, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_18828])

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_18891])

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20706])

      allocate(vertices(4540)%branchCT(0:0))
      call avCT(4540, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13138])

      allocate(vertices(1133)%branchCT(0:0))
      call avCT(1133, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3545)%branchCT(0:0))
      call avCT(3545, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19562])

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13129])

    end subroutine fill_vertices_mdl8
end module vertices_info8
