!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(3546)%branchCT(0:0))
      call avCT(3546, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3547)%branchCT(0:0))
      call avCT(3547, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,     &
      nGC_18750])

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1137)%branchCT(0:1))
      call avCT(1137, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_20501, nGC_20501])

      call avCT(1137, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_20503, nGC_20503])

      allocate(vertices(3360)%branchCT(0:0))
      call avCT(3360, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1138)%branchCT(0:0))
      call avCT(1138, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3551)%branchCT(0:0))
      call avCT(3551, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13138])

      allocate(vertices(1140)%branchCT(0:0))
      call avCT(1140, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_19314])

      allocate(vertices(1142)%branchCT(0:0))
      call avCT(1142, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19738, nGC_19739])

      allocate(vertices(5047)%branchCT(0:1))
      call avCT(5047, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_23793, nGC_23789,    &
      nGC_23796, nGC_23796])

      call avCT(5047, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_23794, nGC_23790,    &
      nGC_23797, nGC_23797])

      allocate(vertices(1143)%branchCT(0:0))
      call avCT(1143, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_23801])

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20409])

      allocate(vertices(3556)%branchCT(0:3))
      call avCT(3556, 0, 24, 2, 0, VFaF0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(3556, 1, 24, 2, 0, VFaF0, 0, [3, 0], [nGC_21189, nGC_21190])

      call avCT(3556, 2, 25, 3, 0, VFaF0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(3556, 3, 25, 3, 0, VFaF0, 0, [3, 0], [nGC_21189, nGC_21190])

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3558)%branchCT(0:0))
      call avCT(3558, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1148)%branchCT(0:1))
      call avCT(1148, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19049, nGC_19048])

      call avCT(1148, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19051, nGC_19050])

      allocate(vertices(1592)%branchCT(0:0))
      call avCT(1592, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(1149)%branchCT(0:0))
      call avCT(1149, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2134)%branchCT(0:0))
      call avCT(2134, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19183])

      allocate(vertices(2947)%branchCT(0:0))
      call avCT(2947, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1150)%branchCT(0:0))
      call avCT(1150, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19562])

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1153)%branchCT(0:0))
      call avCT(1153, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3796)%branchCT(0:0))
      call avCT(3796, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2175)%branchCT(0:0))
      call avCT(2175, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3574)%branchCT(0:1))
      call avCT(3574, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_19897, nGC_19898])

      call avCT(3574, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_19890, nGC_19893])

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19618])

      allocate(vertices(1030)%branchCT(0:0))
      call avCT(1030, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(2189)%branchCT(0:0))
      call avCT(2189, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3578)%branchCT(0:5))
      call avCT(3578, 0, 30, 6, 0, UVVUa0, 0, [4, 0], [nGC_20569])

      call avCT(3578, 1, 33, 7, 0, UVVUa0, 0, [4, 0], [nGC_20578])

      call avCT(3578, 2, 32, 7, 0, UVVUa0, 0, [4, 0], [nGC_20578])

      call avCT(3578, 3, 29, 6, 0, UVVUa0, 0, [4, 0], [nGC_20569])

      call avCT(3578, 4, 28, 6, 0, UVVUa0, 0, [4, 0], [nGC_20569])

      call avCT(3578, 5, 31, 6, 0, UVVUa0, 0, [4, 0], [nGC_20569])

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(3384)%branchCT(0:0))
      call avCT(3384, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_21022, nGC_21022])

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(4851)%branchCT(0:0))
      call avCT(4851, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_21022, nGC_21022])

      allocate(vertices(3582)%branchCT(0:0))
      call avCT(3582, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3585)%branchCT(0:0))
      call avCT(3585, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18855])

      allocate(vertices(1165)%branchCT(0:0))
      call avCT(1165, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19920, nGC_19920,     &
      nGC_19921])

      allocate(vertices(1166)%branchCT(0:0))
      call avCT(1166, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19843])

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3385)%branchCT(0:0))
      call avCT(3385, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3589)%branchCT(0:0))
      call avCT(3589, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3591)%branchCT(0:0))
      call avCT(3591, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2268)%branchCT(0:0))
      call avCT(2268, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19134])

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(2274)%branchCT(0:0))
      call avCT(2274, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3594)%branchCT(0:0))
      call avCT(3594, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(3595)%branchCT(0:0))
      call avCT(3595, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(981)%branchCT(0:0))
      call avCT(981, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3598)%branchCT(0:1))
      call avCT(3598, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_20630, nGC_20631])

      call avCT(3598, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_20632, nGC_20633])

      allocate(vertices(5048)%branchCT(0:0))
      call avCT(5048, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19599])

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(2308)%branchCT(0:0))
      call avCT(2308, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3601)%branchCT(0:0))
      call avCT(3601, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_23987])

      allocate(vertices(5049)%branchCT(0:0))
      call avCT(5049, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_23994, nGC_23988,      &
      nGC_23993])

      allocate(vertices(5050)%branchCT(0:0))
      call avCT(5050, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_23995])

      allocate(vertices(5051)%branchCT(0:0))
      call avCT(5051, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19857])

      allocate(vertices(3606)%branchCT(0:0))
      call avCT(3606, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_24000])

      allocate(vertices(1183)%branchCT(0:0))
      call avCT(1183, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(1184)%branchCT(0:1))
      call avCT(1184, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_21526, nGC_21527])

      call avCT(1184, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_21524, nGC_21525])

      allocate(vertices(2367)%branchCT(0:0))
      call avCT(2367, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3612)%branchCT(0:0))
      call avCT(3612, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(3614)%branchCT(0:0))
      call avCT(3614, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(2954)%branchCT(0:0))
      call avCT(2954, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1190)%branchCT(0:0))
      call avCT(1190, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1670)%branchCT(0:0))
      call avCT(1670, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3618)%branchCT(0:1))
      call avCT(3618, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19125, nGC_19126])

      call avCT(3618, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19118, nGC_19115])

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(1194)%branchCT(0:0))
      call avCT(1194, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(5052)%branchCT(0:0))
      call avCT(5052, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(3624)%branchCT(0:0))
      call avCT(3624, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3626)%branchCT(0:0))
      call avCT(3626, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_24050, nGC_24050])

      allocate(vertices(5053)%branchCT(0:0))
      call avCT(5053, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21752])

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(1196)%branchCT(0:0))
      call avCT(1196, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19027,     &
      nGC_19026])

      allocate(vertices(3629)%branchCT(0:0))
      call avCT(3629, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1199)%branchCT(0:0))
      call avCT(1199, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3632)%branchCT(0:0))
      call avCT(3632, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(386)%branchCT(0:1))
      call avCT(386, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20435, nGC_20436])

      call avCT(386, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20429, nGC_20432])

      allocate(vertices(3633)%branchCT(0:0))
      call avCT(3633, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1201)%branchCT(0:0))
      call avCT(1201, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(3634)%branchCT(0:0))
      call avCT(3634, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2474)%branchCT(0:1))
      call avCT(2474, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_23075, nGC_23075])

      call avCT(2474, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_23077, nGC_23077])

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(5054)%branchCT(0:0))
      call avCT(5054, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19599])

      allocate(vertices(1205)%branchCT(0:0))
      call avCT(1205, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3603)%branchCT(0:0))
      call avCT(3603, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18820])

      allocate(vertices(5055)%branchCT(0:0))
      call avCT(5055, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19391])

      allocate(vertices(4912)%branchCT(0:0))
      call avCT(4912, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13112])

      allocate(vertices(1208)%branchCT(0:0))
      call avCT(1208, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(2699)%branchCT(0:1))
      call avCT(2699, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19049, nGC_19048])

      call avCT(2699, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19051, nGC_19050])

      allocate(vertices(4750)%branchCT(0:0))
      call avCT(4750, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19011])

      allocate(vertices(1210)%branchCT(0:0))
      call avCT(1210, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21866])

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20050])

      allocate(vertices(1211)%branchCT(0:0))
      call avCT(1211, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3647)%branchCT(0:0))
      call avCT(3647, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1371)%branchCT(0:0))
      call avCT(1371, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2140)%branchCT(0:0))
      call avCT(2140, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2560)%branchCT(0:0))
      call avCT(2560, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1218)%branchCT(0:0))
      call avCT(1218, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4771)%branchCT(0:1))
      call avCT(4771, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_20548, nGC_20549])

      call avCT(4771, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_20550, nGC_20551])

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18990])

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18855])

      allocate(vertices(1220)%branchCT(0:0))
      call avCT(1220, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1223)%branchCT(0:1))
      call avCT(1223, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_19125, nGC_19126])

      call avCT(1223, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_19118, nGC_19115])

      allocate(vertices(3661)%branchCT(0:0))
      call avCT(3661, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_23144])

      allocate(vertices(604)%branchCT(0:0))
      call avCT(604, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3664)%branchCT(0:0))
      call avCT(3664, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22684])

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(2633)%branchCT(0:0))
      call avCT(2633, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(2636)%branchCT(0:0))
      call avCT(2636, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3669)%branchCT(0:0))
      call avCT(3669, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1230)%branchCT(0:0))
      call avCT(1230, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4070)%branchCT(0:0))
      call avCT(4070, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_21122, nGC_21122])

      allocate(vertices(2317)%branchCT(0:0))
      call avCT(2317, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3672)%branchCT(0:1))
      call avCT(3672, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_20190, nGC_20191])

      call avCT(3672, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_20184, nGC_20187])

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(3673)%branchCT(0:0))
      call avCT(3673, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(3675)%branchCT(0:0))
      call avCT(3675, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3676)%branchCT(0:0))
      call avCT(3676, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20409])

      allocate(vertices(2144)%branchCT(0:0))
      call avCT(2144, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13117])

      allocate(vertices(1768)%branchCT(0:0))
      call avCT(1768, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1238)%branchCT(0:0))
      call avCT(1238, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18723])

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19232])

      allocate(vertices(3683)%branchCT(0:0))
      call avCT(3683, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3685)%branchCT(0:0))
      call avCT(3685, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1243)%branchCT(0:0))
      call avCT(1243, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18750,     &
      nGC_18749])

      allocate(vertices(4275)%branchCT(0:0))
      call avCT(4275, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(3687)%branchCT(0:0))
      call avCT(3687, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18715])

      allocate(vertices(5056)%branchCT(0:0))
      call avCT(5056, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_20930, nGC_20925,      &
      nGC_20924])

      allocate(vertices(3688)%branchCT(0:0))
      call avCT(3688, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_24265])

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(1247)%branchCT(0:1))
      call avCT(1247, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_20501, nGC_20501])

      call avCT(1247, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_20503, nGC_20503])

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1250)%branchCT(0:0))
      call avCT(1250, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1251)%branchCT(0:0))
      call avCT(1251, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3691)%branchCT(0:3))
      call avCT(3691, 0, 120, 2, 0, FaVF0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(3691, 1, 120, 2, 0, FaVF0, 0, [3, 0], [nGC_21189, nGC_21190])

      call avCT(3691, 2, 121, 3, 0, FaVF0, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(3691, 3, 121, 3, 0, FaVF0, 0, [3, 0], [nGC_21189, nGC_21190])

      allocate(vertices(3692)%branchCT(0:5))
      call avCT(3692, 0, 41, 6, 0, UUaVV0, 0, [4, 0], [nGC_20569])

      call avCT(3692, 1, 40, 6, 0, UUaVV0, 0, [4, 0], [nGC_20569])

      call avCT(3692, 2, 45, 7, 0, UUaVV0, 0, [4, 0], [nGC_20578])

      call avCT(3692, 3, 44, 7, 0, UUaVV0, 0, [4, 0], [nGC_20578])

      call avCT(3692, 4, 43, 6, 0, UUaVV0, 0, [4, 0], [nGC_20569])

      call avCT(3692, 5, 42, 6, 0, UUaVV0, 0, [4, 0], [nGC_20569])

      allocate(vertices(2698)%branchCT(0:0))
      call avCT(2698, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3693)%branchCT(0:0))
      call avCT(3693, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_18764])

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(5057)%branchCT(0:1))
      call avCT(5057, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_20803, nGC_20799,     &
      nGC_20806, nGC_20806])

      call avCT(5057, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_20804, nGC_20800,     &
      nGC_20807, nGC_20807])

      allocate(vertices(1256)%branchCT(0:0))
      call avCT(1256, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1259)%branchCT(0:0))
      call avCT(1259, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(3701)%branchCT(0:0))
      call avCT(3701, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20095])

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(994)%branchCT(0:0))
      call avCT(994, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3704)%branchCT(0:0))
      call avCT(3704, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(5058)%branchCT(0:0))
      call avCT(5058, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19456])

      allocate(vertices(1772)%branchCT(0:0))
      call avCT(1772, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(2871)%branchCT(0:0))
      call avCT(2871, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1266)%branchCT(0:0))
      call avCT(1266, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_21122, nGC_21122])

      allocate(vertices(2312)%branchCT(0:0))
      call avCT(2312, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3709)%branchCT(0:0))
      call avCT(3709, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1271)%branchCT(0:0))
      call avCT(1271, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3166)%branchCT(0:0))
      call avCT(3166, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19843])

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(3716)%branchCT(0:0))
      call avCT(3716, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3718)%branchCT(0:1))
      call avCT(3718, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_18829])

      call avCT(3718, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_18828])

      allocate(vertices(3719)%branchCT(0:0))
      call avCT(3719, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3720)%branchCT(0:0))
      call avCT(3720, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20123])

      allocate(vertices(2299)%branchCT(0:0))
      call avCT(2299, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1275)%branchCT(0:5))
      call avCT(1275, 0, 50, 7, 0, UaVVU0, 0, [4, 0], [nGC_20578])

      call avCT(1275, 1, 49, 6, 0, UaVVU0, 0, [4, 0], [nGC_20569])

      call avCT(1275, 2, 47, 6, 0, UaVVU0, 0, [4, 0], [nGC_20569])

      call avCT(1275, 3, 48, 6, 0, UaVVU0, 0, [4, 0], [nGC_20569])

      call avCT(1275, 4, 46, 6, 0, UaVVU0, 0, [4, 0], [nGC_20569])

      call avCT(1275, 5, 51, 7, 0, UaVVU0, 0, [4, 0], [nGC_20578])

      allocate(vertices(3409)%branchCT(0:1))
      call avCT(3409, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_20435, nGC_20436])

      call avCT(3409, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_20429, nGC_20432])

      allocate(vertices(3722)%branchCT(0:0))
      call avCT(3722, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_24419])

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19130])

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_18882])

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24428])

      allocate(vertices(1734)%branchCT(0:0))
      call avCT(1734, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1278)%branchCT(0:0))
      call avCT(1278, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13108])

      allocate(vertices(2321)%branchCT(0:0))
      call avCT(2321, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(5059)%branchCT(0:0))
      call avCT(5059, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_20949, nGC_20948,      &
      nGC_20949, nGC_20948, nGC_20950])

      allocate(vertices(1281)%branchCT(0:0))
      call avCT(1281, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4875)%branchCT(0:0))
      call avCT(4875, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,     &
      nGC_18750])

      allocate(vertices(4630)%branchCT(0:1))
      call avCT(4630, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_23075, nGC_23075])

      call avCT(4630, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_23077, nGC_23077])

      allocate(vertices(3729)%branchCT(0:0))
      call avCT(3729, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(3002)%branchCT(0:0))
      call avCT(3002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(1283)%branchCT(0:0))
      call avCT(1283, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_20685])

      allocate(vertices(3733)%branchCT(0:1))
      call avCT(3733, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_20114, nGC_20115])

      call avCT(3733, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_20112, nGC_20113])

      allocate(vertices(3734)%branchCT(0:0))
      call avCT(3734, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1284)%branchCT(0:0))
      call avCT(1284, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(2152)%branchCT(0:0))
      call avCT(2152, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(2603)%branchCT(0:1))
      call avCT(2603, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_20631, nGC_20630])

      call avCT(2603, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_20633, nGC_20632])

      allocate(vertices(3740)%branchCT(0:0))
      call avCT(3740, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19057])

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19623])

      allocate(vertices(3741)%branchCT(0:0))
      call avCT(3741, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19992])

      allocate(vertices(1290)%branchCT(0:0))
      call avCT(1290, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13112])

      allocate(vertices(1291)%branchCT(0:1))
      call avCT(1291, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_20631, nGC_20630])

      call avCT(1291, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_20633, nGC_20632])

      allocate(vertices(1292)%branchCT(0:1))
      call avCT(1292, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_22125, nGC_22125])

      call avCT(1292, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_22127, nGC_22127])

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(3076)%branchCT(0:0))
      call avCT(3076, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3749)%branchCT(0:0))
      call avCT(3749, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3750)%branchCT(0:0))
      call avCT(3750, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19950])

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3108)%branchCT(0:0))
      call avCT(3108, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(1299)%branchCT(0:1))
      call avCT(1299, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_20630, nGC_20631])

      call avCT(1299, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_20632, nGC_20633])

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3561)%branchCT(0:1))
      call avCT(3561, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_21524, nGC_21525])

      call avCT(3561, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_21526, nGC_21527])

      allocate(vertices(1303)%branchCT(0:1))
      call avCT(1303, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_22350, nGC_22347])

      call avCT(1303, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_22354, nGC_22355])

      allocate(vertices(3755)%branchCT(0:0))
      call avCT(3755, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_18764])

      allocate(vertices(3756)%branchCT(0:5))
      call avCT(3756, 0, 9, 6, 0, VVVV0, 0, [4, 0], [nGC_24569, nGC_24570,     &
      nGC_24569])

      call avCT(3756, 1, 7, 6, 0, VVVV0, 0, [4, 0], [nGC_24569, nGC_24570,     &
      nGC_24569])

      call avCT(3756, 2, 8, 6, 0, VVVV0, 0, [4, 0], [nGC_24570, nGC_24569,     &
      nGC_24569])

      call avCT(3756, 3, 6, 6, 0, VVVV0, 0, [4, 0], [nGC_24570, nGC_24569,     &
      nGC_24569])

      call avCT(3756, 4, 5, 7, 0, VVVV0, 0, [4, 0], [nGC_24568, nGC_24568,     &
      nGC_24579])

      call avCT(3756, 5, 4, 7, 0, VVVV0, 0, [4, 0], [nGC_24568, nGC_24568,     &
      nGC_24579])

      allocate(vertices(3757)%branchCT(0:0))
      call avCT(3757, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_18882])

      allocate(vertices(4034)%branchCT(0:0))
      call avCT(4034, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3137)%branchCT(0:0))
      call avCT(3137, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3759)%branchCT(0:0))
      call avCT(3759, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13117])

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(3760)%branchCT(0:0))
      call avCT(3760, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3170)%branchCT(0:0))
      call avCT(3170, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1309)%branchCT(0:0))
      call avCT(1309, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22573])

      allocate(vertices(3763)%branchCT(0:0))
      call avCT(3763, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1311)%branchCT(0:0))
      call avCT(1311, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(4069)%branchCT(0:0))
      call avCT(4069, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20736])

      allocate(vertices(4013)%branchCT(0:0))
      call avCT(4013, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3766)%branchCT(0:0))
      call avCT(3766, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(4772)%branchCT(0:0))
      call avCT(4772, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19908])

      allocate(vertices(3769)%branchCT(0:0))
      call avCT(3769, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3925)%branchCT(0:0))
      call avCT(3925, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4747)%branchCT(0:1))
      call avCT(4747, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19049, nGC_19048])

      call avCT(4747, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19051, nGC_19050])

      allocate(vertices(3776)%branchCT(0:0))
      call avCT(3776, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3235)%branchCT(0:0))
      call avCT(3235, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19573])

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19138])

      allocate(vertices(5060)%branchCT(0:0))
      call avCT(5060, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19391])

      allocate(vertices(1323)%branchCT(0:3))
      call avCT(1323, 0, 27, 3, 0, VFFa1, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(1323, 1, 27, 3, 0, VFFa1, 0, [3, 0], [nGC_21189, nGC_21190])

      call avCT(1323, 2, 26, 2, 0, VFFa1, 0, [1, 2], [nGC_21185, nGC_21187])

      call avCT(1323, 3, 26, 2, 0, VFFa1, 0, [3, 0], [nGC_21189, nGC_21190])

      allocate(vertices(3779)%branchCT(0:0))
      call avCT(3779, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20706])

      allocate(vertices(3780)%branchCT(0:0))
      call avCT(3780, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18715])

      allocate(vertices(1324)%branchCT(0:1))
      call avCT(1324, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_19339])

      call avCT(1324, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_19338])

      allocate(vertices(3781)%branchCT(0:0))
      call avCT(3781, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_23088, nGC_23089])

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3783)%branchCT(0:1))
      call avCT(3783, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_20631, nGC_20630])

      call avCT(3783, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_20633, nGC_20632])

      allocate(vertices(4773)%branchCT(0:0))
      call avCT(4773, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1329)%branchCT(0:0))
      call avCT(1329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(2187)%branchCT(0:0))
      call avCT(2187, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(3787)%branchCT(0:0))
      call avCT(3787, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(3788)%branchCT(0:0))
      call avCT(3788, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1332)%branchCT(0:0))
      call avCT(1332, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3336)%branchCT(0:0))
      call avCT(3336, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(5061)%branchCT(0:0))
      call avCT(5061, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19599])

      allocate(vertices(3791)%branchCT(0:0))
      call avCT(3791, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(3792)%branchCT(0:0))
      call avCT(3792, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1781)%branchCT(0:0))
      call avCT(1781, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20312])

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3793)%branchCT(0:0))
      call avCT(3793, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4635)%branchCT(0:0))
      call avCT(4635, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3795)%branchCT(0:0))
      call avCT(3795, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3414)%branchCT(0:0))
      call avCT(3414, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_20339])

      allocate(vertices(3799)%branchCT(0:0))
      call avCT(3799, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(3801)%branchCT(0:0))
      call avCT(3801, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_24000])

      allocate(vertices(3803)%branchCT(0:1))
      call avCT(3803, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_20631, nGC_20630])

      call avCT(3803, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_20633, nGC_20632])

      allocate(vertices(2164)%branchCT(0:0))
      call avCT(2164, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4790)%branchCT(0:0))
      call avCT(4790, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20059, nGC_20059,     &
      nGC_20060])

      allocate(vertices(3804)%branchCT(0:1))
      call avCT(3804, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_20548, nGC_20549])

      call avCT(3804, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_20550, nGC_20551])

      allocate(vertices(3464)%branchCT(0:0))
      call avCT(3464, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3807)%branchCT(0:1))
      call avCT(3807, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_21524, nGC_21525])

      call avCT(3807, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_21526, nGC_21527])

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19738, nGC_19739])

      allocate(vertices(2459)%branchCT(0:0))
      call avCT(2459, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1354)%branchCT(0:0))
      call avCT(1354, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3495)%branchCT(0:0))
      call avCT(3495, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_21888, nGC_21889])

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3508)%branchCT(0:0))
      call avCT(3508, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(2981)%branchCT(0:0))
      call avCT(2981, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3813)%branchCT(0:0))
      call avCT(3813, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18715])

      allocate(vertices(1359)%branchCT(0:0))
      call avCT(1359, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(3814)%branchCT(0:0))
      call avCT(3814, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_23561])

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20059, nGC_20060,     &
      nGC_20059])

      allocate(vertices(1364)%branchCT(0:0))
      call avCT(1364, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(3819)%branchCT(0:0))
      call avCT(3819, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3820)%branchCT(0:0))
      call avCT(3820, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19950])

      allocate(vertices(3821)%branchCT(0:5))
      call avCT(3821, 0, 86, 7, 0, VUVUa0, 0, [4, 0], [nGC_20578])

      call avCT(3821, 1, 85, 6, 0, VUVUa0, 0, [4, 0], [nGC_20569])

      call avCT(3821, 2, 84, 6, 0, VUVUa0, 0, [4, 0], [nGC_20569])

      call avCT(3821, 3, 83, 6, 0, VUVUa0, 0, [4, 0], [nGC_20569])

      call avCT(3821, 4, 82, 6, 0, VUVUa0, 0, [4, 0], [nGC_20569])

      call avCT(3821, 5, 87, 7, 0, VUVUa0, 0, [4, 0], [nGC_20578])

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18715])

      allocate(vertices(1367)%branchCT(0:0))
      call avCT(1367, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4783)%branchCT(0:0))
      call avCT(4783, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3641)%branchCT(0:1))
      call avCT(3641, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19165, nGC_19166])

      call avCT(3641, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19163, nGC_19164])

      allocate(vertices(1014)%branchCT(0:0))
      call avCT(1014, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_24050, nGC_24050])

      allocate(vertices(2388)%branchCT(0:0))
      call avCT(2388, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13112])

      allocate(vertices(3659)%branchCT(0:0))
      call avCT(3659, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(627)%branchCT(0:0))
      call avCT(627, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_18914])

      allocate(vertices(1374)%branchCT(0:1))
      call avCT(1374, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_21556, nGC_21557])

      call avCT(1374, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_21547, nGC_21550])

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20201])

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_20123])

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1378)%branchCT(0:1))
      call avCT(1378, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_19190, nGC_19193])

      call avCT(1378, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_19199, nGC_19200])

      allocate(vertices(5062)%branchCT(0:0))
      call avCT(5062, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19456])

      allocate(vertices(1380)%branchCT(0:0))
      call avCT(1380, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(1167)%branchCT(0:0))
      call avCT(1167, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(947)%branchCT(0:0))
      call avCT(947, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4748)%branchCT(0:0))
      call avCT(4748, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19618])

      allocate(vertices(3849)%branchCT(0:1))
      call avCT(3849, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19968, nGC_19968])

      call avCT(3849, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19970, nGC_19970])

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20355])

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3856)%branchCT(0:1))
      call avCT(3856, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19359, nGC_19359])

      call avCT(3856, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19357, nGC_19357])

      allocate(vertices(4834)%branchCT(0:0))
      call avCT(4834, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19030])

      allocate(vertices(4319)%branchCT(0:0))
      call avCT(4319, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(1396)%branchCT(0:1))
      call avCT(1396, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_22125, nGC_22125])

      call avCT(1396, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_22127, nGC_22127])

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(5063)%branchCT(0:0))
      call avCT(5063, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(1398)%branchCT(0:0))
      call avCT(1398, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(2992)%branchCT(0:0))
      call avCT(2992, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1400)%branchCT(0:0))
      call avCT(1400, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(2903)%branchCT(0:0))
      call avCT(2903, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3380)%branchCT(0:0))
      call avCT(3380, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_19505])

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19920, nGC_19920,     &
      nGC_19921])

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20050])

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13138])

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(1797)%branchCT(0:0))
      call avCT(1797, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3393)%branchCT(0:0))
      call avCT(3393, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18820])

      allocate(vertices(4710)%branchCT(0:0))
      call avCT(4710, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_23987])

      allocate(vertices(3401)%branchCT(0:0))
      call avCT(3401, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_21888, nGC_21889])

      allocate(vertices(5064)%branchCT(0:0))
      call avCT(5064, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21752])

      allocate(vertices(3947)%branchCT(0:0))
      call avCT(3947, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19618])

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_18942, nGC_18942])

      allocate(vertices(3918)%branchCT(0:0))
      call avCT(3918, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_19099])

      allocate(vertices(2962)%branchCT(0:0))
      call avCT(2962, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3311)%branchCT(0:0))
      call avCT(3311, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,     &
      nGC_18750])

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1421)%branchCT(0:1))
      call avCT(1421, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_19339])

      call avCT(1421, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_19338])

      allocate(vertices(3883)%branchCT(0:0))
      call avCT(3883, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19173])

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3888)%branchCT(0:1))
      call avCT(3888, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_18980, nGC_18981])

      call avCT(3888, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_18976, nGC_18973])

      allocate(vertices(2997)%branchCT(0:0))
      call avCT(2997, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(4932)%branchCT(0:0))
      call avCT(4932, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1403)%branchCT(0:0))
      call avCT(1403, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18715])

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1025)%branchCT(0:0))
      call avCT(1025, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4582)%branchCT(0:0))
      call avCT(4582, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3896)%branchCT(0:0))
      call avCT(3896, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(1431)%branchCT(0:0))
      call avCT(1431, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19680, nGC_19680])

      allocate(vertices(1433)%branchCT(0:1))
      call avCT(1433, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19299, nGC_19300])

      call avCT(1433, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19293, nGC_19296])

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13111])

      allocate(vertices(4056)%branchCT(0:1))
      call avCT(4056, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19371])

      call avCT(4056, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19370])

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13135])

      allocate(vertices(3905)%branchCT(0:0))
      call avCT(3905, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19099])

      allocate(vertices(1027)%branchCT(0:0))
      call avCT(1027, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20285, nGC_20286])

      allocate(vertices(4792)%branchCT(0:0))
      call avCT(4792, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19138])

      allocate(vertices(4086)%branchCT(0:0))
      call avCT(4086, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19278])

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18967])

      allocate(vertices(3908)%branchCT(0:1))
      call avCT(3908, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_20665, nGC_20665])

      call avCT(3908, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_20667, nGC_20667])

      allocate(vertices(2044)%branchCT(0:1))
      call avCT(2044, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19048, nGC_19049])

      call avCT(2044, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19050, nGC_19051])

      allocate(vertices(4797)%branchCT(0:0))
      call avCT(4797, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18715])

      allocate(vertices(3912)%branchCT(0:0))
      call avCT(3912, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3914)%branchCT(0:0))
      call avCT(3914, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_24050, nGC_24050])

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3772)%branchCT(0:0))
      call avCT(3772, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(3000)%branchCT(0:0))
      call avCT(3000, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(3917)%branchCT(0:0))
      call avCT(3917, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20706])

      allocate(vertices(5065)%branchCT(0:0))
      call avCT(5065, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19599])

      allocate(vertices(4786)%branchCT(0:0))
      call avCT(4786, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3671)%branchCT(0:0))
      call avCT(3671, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4201)%branchCT(0:0))
      call avCT(4201, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(5066)%branchCT(0:0))
      call avCT(5066, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19599])

      allocate(vertices(2521)%branchCT(0:0))
      call avCT(2521, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3926)%branchCT(0:0))
      call avCT(3926, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(1416)%branchCT(0:0))
      call avCT(1416, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(3928)%branchCT(0:0))
      call avCT(3928, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(3929)%branchCT(0:0))
      call avCT(3929, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(3930)%branchCT(0:0))
      call avCT(3930, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_20466])

      allocate(vertices(3440)%branchCT(0:0))
      call avCT(3440, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4244)%branchCT(0:0))
      call avCT(4244, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1464)%branchCT(0:0))
      call avCT(1464, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_24000])

      allocate(vertices(1789)%branchCT(0:0))
      call avCT(1789, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18715])

      allocate(vertices(4251)%branchCT(0:0))
      call avCT(4251, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(5067)%branchCT(0:0))
      call avCT(5067, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19599])

      allocate(vertices(3933)%branchCT(0:0))
      call avCT(3933, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13111])

      allocate(vertices(3934)%branchCT(0:0))
      call avCT(3934, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3935)%branchCT(0:0))
      call avCT(3935, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19450])

      allocate(vertices(3936)%branchCT(0:0))
      call avCT(3936, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3937)%branchCT(0:0))
      call avCT(3937, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3940)%branchCT(0:0))
      call avCT(3940, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19996])

      allocate(vertices(4316)%branchCT(0:0))
      call avCT(4316, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(3943)%branchCT(0:0))
      call avCT(3943, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3944)%branchCT(0:1))
      call avCT(3944, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_20112, nGC_20113])

      call avCT(3944, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_20114, nGC_20115])

      allocate(vertices(1479)%branchCT(0:3))
      call avCT(1479, 0, 24, 2, 0, VFaF0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(1479, 1, 24, 2, 0, VFaF0, 0, [3, 0], [nGC_19472, nGC_19473])

      call avCT(1479, 2, 25, 3, 0, VFaF0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(1479, 3, 25, 3, 0, VFaF0, 0, [3, 0], [nGC_19472, nGC_19473])

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2689)%branchCT(0:0))
      call avCT(2689, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19992])

      allocate(vertices(4353)%branchCT(0:0))
      call avCT(4353, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3946)%branchCT(0:1))
      call avCT(3946, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_21779, nGC_21779])

      call avCT(3946, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_21781, nGC_21781])

      allocate(vertices(4363)%branchCT(0:0))
      call avCT(4363, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1483)%branchCT(0:1))
      call avCT(1483, 0, 94, 4, 0, UVUa0, 0, [3, 0], [nGC_20268])

      call avCT(1483, 1, 95, 5, 0, UVUa0, 0, [3, 0], [nGC_20268])

      allocate(vertices(636)%branchCT(0:0))
      call avCT(636, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(4380)%branchCT(0:0))
      call avCT(4380, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1485)%branchCT(0:3))
      call avCT(1485, 0, 27, 3, 0, VFFa1, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(1485, 1, 27, 3, 0, VFFa1, 0, [3, 0], [nGC_19762, nGC_19763])

      call avCT(1485, 2, 26, 2, 0, VFFa1, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(1485, 3, 26, 2, 0, VFFa1, 0, [3, 0], [nGC_19762, nGC_19763])

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(4844)%branchCT(0:0))
      call avCT(4844, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(3952)%branchCT(0:1))
      call avCT(3952, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_19079, nGC_19080])

      call avCT(3952, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_19074, nGC_19071])

      allocate(vertices(3953)%branchCT(0:0))
      call avCT(3953, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(3956)%branchCT(0:0))
      call avCT(3956, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13138])

      allocate(vertices(3957)%branchCT(0:0))
      call avCT(3957, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(3959)%branchCT(0:0))
      call avCT(3959, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3960)%branchCT(0:0))
      call avCT(3960, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1493)%branchCT(0:0))
      call avCT(1493, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(1494)%branchCT(0:0))
      call avCT(1494, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20285, nGC_20286])

      allocate(vertices(3962)%branchCT(0:0))
      call avCT(3962, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18764])

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_23144])

      allocate(vertices(4397)%branchCT(0:0))
      call avCT(4397, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(987)%branchCT(0:0))
      call avCT(987, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3965)%branchCT(0:0))
      call avCT(3965, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(4067)%branchCT(0:0))
      call avCT(4067, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13149])

      allocate(vertices(5068)%branchCT(0:0))
      call avCT(5068, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19857])

      allocate(vertices(1501)%branchCT(0:1))
      call avCT(1501, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19299, nGC_19300])

      call avCT(1501, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19293, nGC_19296])

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3968)%branchCT(0:0))
      call avCT(3968, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3969)%branchCT(0:0))
      call avCT(3969, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18841])

      allocate(vertices(2254)%branchCT(0:0))
      call avCT(2254, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19418, nGC_19419])

      allocate(vertices(1503)%branchCT(0:0))
      call avCT(1503, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3890)%branchCT(0:0))
      call avCT(3890, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19006])

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1506)%branchCT(0:1))
      call avCT(1506, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_19814, nGC_19815])

      call avCT(1506, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_19816, nGC_19817])

      allocate(vertices(1507)%branchCT(0:1))
      call avCT(1507, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19243, nGC_19242])

      call avCT(1507, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19245, nGC_19244])

      allocate(vertices(3975)%branchCT(0:0))
      call avCT(3975, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(3977)%branchCT(0:0))
      call avCT(3977, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3978)%branchCT(0:0))
      call avCT(3978, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_20355])

      allocate(vertices(3979)%branchCT(0:0))
      call avCT(3979, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(3980)%branchCT(0:0))
      call avCT(3980, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19950])

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3891)%branchCT(0:0))
      call avCT(3891, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13112])

      allocate(vertices(4572)%branchCT(0:0))
      call avCT(4572, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,     &
      nGC_18750])

      allocate(vertices(3986)%branchCT(0:0))
      call avCT(3986, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3987)%branchCT(0:0))
      call avCT(3987, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22684])

      allocate(vertices(4611)%branchCT(0:0))
      call avCT(4611, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(3991)%branchCT(0:1))
      call avCT(3991, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_19521, nGC_19522])

      call avCT(3991, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_19515, nGC_19518])

      allocate(vertices(3983)%branchCT(0:0))
      call avCT(3983, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1519)%branchCT(0:0))
      call avCT(1519, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19680, nGC_19680])

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19450])

      allocate(vertices(2711)%branchCT(0:1))
      call avCT(2711, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19521, nGC_19522])

      call avCT(2711, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19515, nGC_19518])

      allocate(vertices(1522)%branchCT(0:0))
      call avCT(1522, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3997)%branchCT(0:0))
      call avCT(3997, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19099])

      allocate(vertices(3998)%branchCT(0:0))
      call avCT(3998, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(3999)%branchCT(0:3))
      call avCT(3999, 0, 120, 2, 0, FaVF0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(3999, 1, 120, 2, 0, FaVF0, 0, [3, 0], [nGC_19472, nGC_19473])

      call avCT(3999, 2, 121, 3, 0, FaVF0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(3999, 3, 121, 3, 0, FaVF0, 0, [3, 0], [nGC_19472, nGC_19473])

      allocate(vertices(1815)%branchCT(0:0))
      call avCT(1815, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4000)%branchCT(0:0))
      call avCT(4000, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4002)%branchCT(0:0))
      call avCT(4002, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4003)%branchCT(0:0))
      call avCT(4003, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20201])

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13117])

      allocate(vertices(1041)%branchCT(0:0))
      call avCT(1041, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(3628)%branchCT(0:0))
      call avCT(3628, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19019])

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22064])

      allocate(vertices(4008)%branchCT(0:0))
      call avCT(4008, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4009)%branchCT(0:1))
      call avCT(4009, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19371])

      call avCT(4009, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19370])

      allocate(vertices(3012)%branchCT(0:1))
      call avCT(3012, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19371])

      call avCT(3012, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19370])

      allocate(vertices(2597)%branchCT(0:0))
      call avCT(2597, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1528)%branchCT(0:0))
      call avCT(1528, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(4012)%branchCT(0:0))
      call avCT(4012, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_20603, nGC_20604])

      allocate(vertices(4727)%branchCT(0:0))
      call avCT(4727, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1530)%branchCT(0:0))
      call avCT(1530, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19562])

      allocate(vertices(4015)%branchCT(0:0))
      call avCT(4015, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3013)%branchCT(0:0))
      call avCT(3013, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4017)%branchCT(0:0))
      call avCT(4017, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(4020)%branchCT(0:0))
      call avCT(4020, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_19950])

      allocate(vertices(1533)%branchCT(0:0))
      call avCT(1533, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4024)%branchCT(0:0))
      call avCT(4024, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_23088, nGC_23089])

      allocate(vertices(4816)%branchCT(0:0))
      call avCT(4816, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18850])

      allocate(vertices(2553)%branchCT(0:0))
      call avCT(2553, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19026, nGC_19027,     &
      nGC_19026])

      allocate(vertices(4026)%branchCT(0:1))
      call avCT(4026, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_19242, nGC_19243])

      call avCT(4026, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_19244, nGC_19245])

      allocate(vertices(4027)%branchCT(0:0))
      call avCT(4027, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(2987)%branchCT(0:0))
      call avCT(2987, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1535)%branchCT(0:0))
      call avCT(1535, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3764)%branchCT(0:3))
      call avCT(3764, 0, 27, 3, 0, VFFa1, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(3764, 1, 27, 3, 0, VFFa1, 0, [3, 0], [nGC_20530, nGC_20531])

      call avCT(3764, 2, 26, 2, 0, VFFa1, 0, [1, 2], [nGC_20528, nGC_20526])

      call avCT(3764, 3, 26, 2, 0, VFFa1, 0, [3, 0], [nGC_20530, nGC_20531])

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1538)%branchCT(0:0))
      call avCT(1538, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(3898)%branchCT(0:0))
      call avCT(3898, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20295])

      allocate(vertices(3303)%branchCT(0:0))
      call avCT(3303, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18905])

      allocate(vertices(1541)%branchCT(0:0))
      call avCT(1541, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4036)%branchCT(0:0))
      call avCT(4036, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(4038)%branchCT(0:0))
      call avCT(4038, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20201])

      allocate(vertices(4040)%branchCT(0:0))
      call avCT(4040, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19950])

      allocate(vertices(4041)%branchCT(0:1))
      call avCT(4041, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_19371])

      call avCT(4041, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_19370])

      allocate(vertices(3456)%branchCT(0:0))
      call avCT(3456, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19618])

      allocate(vertices(4044)%branchCT(0:0))
      call avCT(4044, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_23144])

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(5069)%branchCT(0:0))
      call avCT(5069, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21752])

      allocate(vertices(2604)%branchCT(0:0))
      call avCT(2604, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13110])

      allocate(vertices(4051)%branchCT(0:0))
      call avCT(4051, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4053)%branchCT(0:0))
      call avCT(4053, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19173])

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4055)%branchCT(0:0))
      call avCT(4055, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1555)%branchCT(0:0))
      call avCT(1555, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19099])

      allocate(vertices(4057)%branchCT(0:1))
      call avCT(4057, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19048, nGC_19049])

      call avCT(4057, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19050, nGC_19051])

      allocate(vertices(2202)%branchCT(0:0))
      call avCT(2202, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19134])

      allocate(vertices(4059)%branchCT(0:0))
      call avCT(4059, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20050])

      allocate(vertices(1645)%branchCT(0:0))
      call avCT(1645, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4852)%branchCT(0:0))
      call avCT(4852, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4061)%branchCT(0:0))
      call avCT(4061, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18723])

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_21866])

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4065)%branchCT(0:0))
      call avCT(4065, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18749, nGC_18750,     &
      nGC_18750])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4066)%branchCT(0:1))
      call avCT(4066, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19048, nGC_19049])

      call avCT(4066, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19050, nGC_19051])

      allocate(vertices(4068)%branchCT(0:0))
      call avCT(4068, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1561)%branchCT(0:0))
      call avCT(1561, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4072)%branchCT(0:0))
      call avCT(4072, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13110])

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1566)%branchCT(0:1))
      call avCT(1566, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_19359, nGC_19359])

      call avCT(1566, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_19357, nGC_19357])

      allocate(vertices(5070)%branchCT(0:0))
      call avCT(5070, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19599])

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18732])

      allocate(vertices(3023)%branchCT(0:0))
      call avCT(3023, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4076)%branchCT(0:0))
      call avCT(4076, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13112])

      allocate(vertices(1570)%branchCT(0:0))
      call avCT(1570, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19019])

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1573)%branchCT(0:0))
      call avCT(1573, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1574)%branchCT(0:0))
      call avCT(1574, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(4080)%branchCT(0:1))
      call avCT(4080, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_19243, nGC_19242])

      call avCT(4080, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_19245, nGC_19244])

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(4084)%branchCT(0:0))
      call avCT(4084, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(1576)%branchCT(0:1))
      call avCT(1576, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_19242, nGC_19243])

      call avCT(1576, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_19244, nGC_19245])

      allocate(vertices(1577)%branchCT(0:0))
      call avCT(1577, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1229)%branchCT(0:0))
      call avCT(1229, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19618])

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4087)%branchCT(0:0))
      call avCT(4087, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4829)%branchCT(0:0))
      call avCT(4829, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_23144])

      allocate(vertices(5071)%branchCT(0:0))
      call avCT(5071, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_18825])

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4074)%branchCT(0:0))
      call avCT(4074, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4089)%branchCT(0:0))
      call avCT(4089, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(5072)%branchCT(0:0))
      call avCT(5072, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_20221])

      allocate(vertices(2612)%branchCT(0:0))
      call avCT(2612, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1587)%branchCT(0:0))
      call avCT(1587, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4091)%branchCT(0:1))
      call avCT(4091, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_18739, nGC_18740])

      call avCT(4091, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_18741, nGC_18742])

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1590)%branchCT(0:0))
      call avCT(1590, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4354)%branchCT(0:0))
      call avCT(4354, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(330)%branchCT(0:1))
      call avCT(330, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_19299, nGC_19300])

      call avCT(330, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_19293, nGC_19296])

      allocate(vertices(1591)%branchCT(0:0))
      call avCT(1591, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(2687)%branchCT(0:0))
      call avCT(2687, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_18770])

      allocate(vertices(5073)%branchCT(0:0))
      call avCT(5073, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_25884])

      allocate(vertices(4833)%branchCT(0:0))
      call avCT(4833, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(4102)%branchCT(0:0))
      call avCT(4102, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19908])

      allocate(vertices(1595)%branchCT(0:0))
      call avCT(1595, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19436])

      allocate(vertices(4103)%branchCT(0:0))
      call avCT(4103, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4104)%branchCT(0:0))
      call avCT(4104, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18850])

      allocate(vertices(4106)%branchCT(0:0))
      call avCT(4106, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4107)%branchCT(0:0))
      call avCT(4107, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(4109)%branchCT(0:0))
      call avCT(4109, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19424])

      allocate(vertices(4111)%branchCT(0:0))
      call avCT(4111, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_18764])

      allocate(vertices(1599)%branchCT(0:0))
      call avCT(1599, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19278])

      allocate(vertices(1600)%branchCT(0:0))
      call avCT(1600, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_23088, nGC_23089])

      allocate(vertices(3029)%branchCT(0:0))
      call avCT(3029, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19260])

      allocate(vertices(4112)%branchCT(0:0))
      call avCT(4112, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19130])

      allocate(vertices(1602)%branchCT(0:0))
      call avCT(1602, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19099])

      allocate(vertices(4663)%branchCT(0:0))
      call avCT(4663, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1604)%branchCT(0:0))
      call avCT(1604, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_18750, nGC_18749,     &
      nGC_18750])

      allocate(vertices(5074)%branchCT(0:0))
      call avCT(5074, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_25884])

      allocate(vertices(5075)%branchCT(0:1))
      call avCT(5075, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_20761, nGC_20753,    &
      nGC_20764, nGC_20764])

      call avCT(5075, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_20762, nGC_20754,    &
      nGC_20765, nGC_20765])

      allocate(vertices(1606)%branchCT(0:0))
      call avCT(1606, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19314])

      allocate(vertices(1607)%branchCT(0:0))
      call avCT(1607, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18967])

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19450])

      allocate(vertices(5076)%branchCT(0:0))
      call avCT(5076, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19599])

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_23987])

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1614)%branchCT(0:0))
      call avCT(1614, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4121)%branchCT(0:0))
      call avCT(4121, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(1617)%branchCT(0:3))
      call avCT(1617, 0, 22, 2, 0, FaFV0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(1617, 1, 22, 2, 0, FaFV0, 0, [3, 0], [nGC_19472, nGC_19473])

      call avCT(1617, 2, 23, 3, 0, FaFV0, 0, [1, 2], [nGC_19468, nGC_19466])

      call avCT(1617, 3, 23, 3, 0, FaFV0, 0, [3, 0], [nGC_19472, nGC_19473])

      allocate(vertices(4789)%branchCT(0:0))
      call avCT(4789, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_18758])

      allocate(vertices(4123)%branchCT(0:0))
      call avCT(4123, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19450])

      allocate(vertices(4124)%branchCT(0:0))
      call avCT(4124, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4612)%branchCT(0:0))
      call avCT(4612, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(5077)%branchCT(0:0))
      call avCT(5077, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_21217, nGC_21216])

      allocate(vertices(1624)%branchCT(0:0))
      call avCT(1624, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19843])

      allocate(vertices(1625)%branchCT(0:0))
      call avCT(1625, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22573])

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_19371])

      call avCT(349, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_19370])

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4132)%branchCT(0:0))
      call avCT(4132, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4135)%branchCT(0:0))
      call avCT(4135, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1632)%branchCT(0:0))
      call avCT(1632, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(5078)%branchCT(0:0))
      call avCT(5078, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19456])

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4139)%branchCT(0:0))
      call avCT(4139, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4140)%branchCT(0:0))
      call avCT(4140, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(2622)%branchCT(0:0))
      call avCT(2622, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13149])

      allocate(vertices(4142)%branchCT(0:0))
      call avCT(4142, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19623])

      allocate(vertices(4841)%branchCT(0:0))
      call avCT(4841, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19424])

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_20339])

      allocate(vertices(1636)%branchCT(0:0))
      call avCT(1636, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19143])

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4147)%branchCT(0:0))
      call avCT(4147, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1641)%branchCT(0:0))
      call avCT(1641, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4149)%branchCT(0:0))
      call avCT(4149, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_26064])

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(4152)%branchCT(0:0))
      call avCT(4152, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4153)%branchCT(0:0))
      call avCT(4153, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4368)%branchCT(0:0))
      call avCT(4368, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(1648)%branchCT(0:0))
      call avCT(1648, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1649)%branchCT(0:0))
      call avCT(1649, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1650)%branchCT(0:0))
      call avCT(1650, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19908])

      allocate(vertices(1651)%branchCT(0:0))
      call avCT(1651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13116])

      allocate(vertices(1652)%branchCT(0:0))
      call avCT(1652, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4157)%branchCT(0:0))
      call avCT(4157, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19486, nGC_19486])

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4158)%branchCT(0:0))
      call avCT(4158, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(4159)%branchCT(0:0))
      call avCT(4159, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19992])

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18770])

      allocate(vertices(4161)%branchCT(0:3))
      call avCT(4161, 0, 24, 2, 0, VFaF0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(4161, 1, 24, 2, 0, VFaF0, 0, [3, 0], [nGC_19762, nGC_19763])

      call avCT(4161, 2, 25, 3, 0, VFaF0, 0, [1, 2], [nGC_19758, nGC_19760])

      call avCT(4161, 3, 25, 3, 0, VFaF0, 0, [3, 0], [nGC_19762, nGC_19763])

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18723])

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(4165)%branchCT(0:1))
      call avCT(4165, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_19299, nGC_19300])

      call avCT(4165, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_19293, nGC_19296])

      allocate(vertices(1659)%branchCT(0:0))
      call avCT(1659, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18727])

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18810])

      allocate(vertices(4166)%branchCT(0:0))
      call avCT(4166, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

      allocate(vertices(4923)%branchCT(0:0))
      call avCT(4923, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19505])

      allocate(vertices(1837)%branchCT(0:1))
      call avCT(1837, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_19814, nGC_19815])

      call avCT(1837, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_19816, nGC_19817])

      allocate(vertices(1664)%branchCT(0:0))
      call avCT(1664, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19143])

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4483)%branchCT(0:0))
      call avCT(4483, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2219)%branchCT(0:0))
      call avCT(2219, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18820])

      allocate(vertices(4174)%branchCT(0:0))
      call avCT(4174, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19173])

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_18887])

      allocate(vertices(4176)%branchCT(0:0))
      call avCT(4176, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19908])

      allocate(vertices(1671)%branchCT(0:0))
      call avCT(1671, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1672)%branchCT(0:0))
      call avCT(1672, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(5079)%branchCT(0:0))
      call avCT(5079, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_25884])

      allocate(vertices(1674)%branchCT(0:0))
      call avCT(1674, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19992])

      allocate(vertices(1597)%branchCT(0:0))
      call avCT(1597, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18792])

      allocate(vertices(1675)%branchCT(0:1))
      call avCT(1675, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_20190, nGC_20191])

      call avCT(1675, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_20184, nGC_20187])

      allocate(vertices(4183)%branchCT(0:5))
      call avCT(4183, 0, 35, 6, 0, UVUaV0, 0, [4, 0], [nGC_20569])

      call avCT(4183, 1, 34, 6, 0, UVUaV0, 0, [4, 0], [nGC_20569])

      call avCT(4183, 2, 39, 7, 0, UVUaV0, 0, [4, 0], [nGC_20578])

      call avCT(4183, 3, 38, 7, 0, UVUaV0, 0, [4, 0], [nGC_20578])

      call avCT(4183, 4, 37, 6, 0, UVUaV0, 0, [4, 0], [nGC_20569])

      call avCT(4183, 5, 36, 6, 0, UVUaV0, 0, [4, 0], [nGC_20569])

      allocate(vertices(4184)%branchCT(0:0))
      call avCT(4184, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(4757)%branchCT(0:0))
      call avCT(4757, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(3954)%branchCT(0:0))
      call avCT(3954, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4188)%branchCT(0:0))
      call avCT(4188, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(4190)%branchCT(0:0))
      call avCT(4190, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4191)%branchCT(0:0))
      call avCT(4191, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19950])

      allocate(vertices(4192)%branchCT(0:1))
      call avCT(4192, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_19794, nGC_19795])

      call avCT(4192, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_19791, nGC_19787])

      allocate(vertices(5080)%branchCT(0:0))
      call avCT(5080, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18825])

      allocate(vertices(3721)%branchCT(0:0))
      call avCT(3721, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18719])

      allocate(vertices(4193)%branchCT(0:0))
      call avCT(4193, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_18820])

      allocate(vertices(4194)%branchCT(0:0))
      call avCT(4194, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13135])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18905])

      allocate(vertices(4195)%branchCT(0:0))
      call avCT(4195, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13133])

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13129])

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_23987])

      allocate(vertices(1688)%branchCT(0:0))
      call avCT(1688, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19001])

      allocate(vertices(3913)%branchCT(0:0))
      call avCT(3913, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13129])

      allocate(vertices(5081)%branchCT(0:0))
      call avCT(5081, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19456])

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19318])

      allocate(vertices(1963)%branchCT(0:0))
      call avCT(1963, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19450])

      allocate(vertices(3922)%branchCT(0:0))
      call avCT(3922, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_18882])

      allocate(vertices(4203)%branchCT(0:0))
      call avCT(4203, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_20123])

      allocate(vertices(4205)%branchCT(0:0))
      call avCT(4205, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19019])

      allocate(vertices(4454)%branchCT(0:0))
      call avCT(4454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_26274])

      allocate(vertices(4206)%branchCT(0:0))
      call avCT(4206, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19030])

      allocate(vertices(1693)%branchCT(0:1))
      call avCT(1693, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_18829])

      call avCT(1693, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_18828])

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19289])

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20743])

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_18732])

      allocate(vertices(4210)%branchCT(0:0))
      call avCT(4210, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_23561])

      allocate(vertices(1696)%branchCT(0:0))
      call avCT(1696, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18833])

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(5082)%branchCT(0:0))
      call avCT(5082, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19857])

      allocate(vertices(4214)%branchCT(0:0))
      call avCT(4214, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1702)%branchCT(0:1))
      call avCT(1702, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_21526, nGC_21527])

      call avCT(1702, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_21524, nGC_21525])

      allocate(vertices(4853)%branchCT(0:0))
      call avCT(4853, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18778])

      allocate(vertices(911)%branchCT(0:0))
      call avCT(911, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(930)%branchCT(0:0))
      call avCT(930, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18833])

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13135])

      allocate(vertices(4623)%branchCT(0:0))
      call avCT(4623, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20201])

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_18715])

      allocate(vertices(3316)%branchCT(0:0))
      call avCT(3316, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19001])

      allocate(vertices(1711)%branchCT(0:0))
      call avCT(1711, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_18792])

      allocate(vertices(4227)%branchCT(0:0))
      call avCT(4227, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19278])

      allocate(vertices(1714)%branchCT(0:1))
      call avCT(1714, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_19794, nGC_19795])

      call avCT(1714, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_19791, nGC_19787])

      allocate(vertices(1716)%branchCT(0:0))
      call avCT(1716, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_26349])

      allocate(vertices(4231)%branchCT(0:0))
      call avCT(4231, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_18778])

      allocate(vertices(1718)%branchCT(0:0))
      call avCT(1718, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_23144])

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_18875])

      allocate(vertices(4233)%branchCT(0:0))
      call avCT(4233, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_18875])

      allocate(vertices(1848)%branchCT(0:0))
      call avCT(1848, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_18770])

      allocate(vertices(1724)%branchCT(0:0))
      call avCT(1724, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20201])

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13134])

      allocate(vertices(1726)%branchCT(0:0))
      call avCT(1726, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_24419])

      allocate(vertices(4062)%branchCT(0:0))
      call avCT(4062, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4629)%branchCT(0:0))
      call avCT(4629, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_18855])

      allocate(vertices(4240)%branchCT(0:0))
      call avCT(4240, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13138])

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_18820])

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_18754])

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_18723])

      allocate(vertices(4243)%branchCT(0:0))
      call avCT(4243, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_18727])

      allocate(vertices(4245)%branchCT(0:0))
      call avCT(4245, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_18782])

      allocate(vertices(4246)%branchCT(0:0))
      call avCT(4246, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19843])

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13109])

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_18754])

    end subroutine fill_vertices_mdl9
end module vertices_info9
